'''
# API Reference <a name="API Reference"></a>

## Constructs <a name="Constructs"></a>

### AccountGrant <a name="cdktf-snowflake.AccountGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html snowflake_account_grant}.

#### Initializer <a name="cdktf-snowflake.AccountGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import AccountGrant

AccountGrant(scope, Construct, id, string, config?: AccountGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.AccountGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.AccountGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.AccountGrantConfig`](#cdktf-snowflake.AccountGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetPrivilege` <a name="cdktf-snowflake.AccountGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.AccountGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.AccountGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.AccountGrant.property.id"></a>

* *Type:* `string`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.AccountGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.AccountGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.AccountGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### ApiIntegration <a name="cdktf-snowflake.ApiIntegration"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html snowflake_api_integration}.

#### Initializer <a name="cdktf-snowflake.ApiIntegration.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ApiIntegration

ApiIntegration(scope, Construct, id, string, config, ApiIntegrationConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ApiIntegrationConfig`](#cdktf-snowflake.ApiIntegrationConfig)

---


#### Methods <a name="Methods"></a>

##### `resetApiAwsRoleArn` <a name="cdktf-snowflake.ApiIntegration.resetApiAwsRoleArn"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_api_aws_role_arn()
```

##### `resetApiBlockedPrefixes` <a name="cdktf-snowflake.ApiIntegration.resetApiBlockedPrefixes"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_api_blocked_prefixes()
```

##### `resetAzureAdApplicationId` <a name="cdktf-snowflake.ApiIntegration.resetAzureAdApplicationId"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_azure_ad_application_id()
```

##### `resetAzureTenantId` <a name="cdktf-snowflake.ApiIntegration.resetAzureTenantId"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_azure_tenant_id()
```

##### `resetEnabled` <a name="cdktf-snowflake.ApiIntegration.resetEnabled"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_enabled()
```

#### Properties <a name="Properties"></a>

##### `apiAllowedPrefixesInput`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiAllowedPrefixesInput"></a>

* *Type:* `string`[]

---


##### `apiAwsExternalId`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiAwsExternalId"></a>

* *Type:* `string`

---


##### `apiAwsIamUserArn`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiAwsIamUserArn"></a>

* *Type:* `string`

---


##### `apiProviderInput`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiProviderInput"></a>

* *Type:* `string`

---


##### `azureConsentUrl`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.azureConsentUrl"></a>

* *Type:* `string`

---


##### `azureMultiTenantAppName`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.azureMultiTenantAppName"></a>

* *Type:* `string`

---


##### `createdOn`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.createdOn"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.nameInput"></a>

* *Type:* `string`

---


##### `apiAwsRoleArnInput`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiAwsRoleArnInput"></a>

* *Type:* `string`

---


##### `apiBlockedPrefixesInput`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiBlockedPrefixesInput"></a>

* *Type:* `string`[]

---


##### `azureAdApplicationIdInput`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegration.property.azureAdApplicationIdInput"></a>

* *Type:* `string`

---


##### `azureTenantIdInput`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegration.property.azureTenantIdInput"></a>

* *Type:* `string`

---


##### `enabledInput`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegration.property.enabledInput"></a>

* *Type:* `boolean`

---


##### `apiAllowedPrefixes`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiAllowedPrefixes"></a>

* *Type:* `string`[]

---


##### `apiAwsRoleArn`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiAwsRoleArn"></a>

* *Type:* `string`

---


##### `apiBlockedPrefixes`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiBlockedPrefixes"></a>

* *Type:* `string`[]

---


##### `apiProvider`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.apiProvider"></a>

* *Type:* `string`

---


##### `azureAdApplicationId`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.azureAdApplicationId"></a>

* *Type:* `string`

---


##### `azureTenantId`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.azureTenantId"></a>

* *Type:* `string`

---


##### `enabled`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.enabled"></a>

* *Type:* `boolean`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegration.property.name"></a>

* *Type:* `string`

---


### Database <a name="cdktf-snowflake.Database"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/database.html snowflake_database}.

#### Initializer <a name="cdktf-snowflake.Database.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Database

Database(scope, Construct, id, string, config, DatabaseConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Database.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Database.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Database.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DatabaseConfig`](#cdktf-snowflake.DatabaseConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.Database.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetDataRetentionTimeInDays` <a name="cdktf-snowflake.Database.resetDataRetentionTimeInDays"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_data_retention_time_in_days()
```

##### `resetFromDatabase` <a name="cdktf-snowflake.Database.resetFromDatabase"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_from_database()
```

##### `resetFromShare` <a name="cdktf-snowflake.Database.resetFromShare"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_from_share()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Database.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Database.property.nameInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Database.property.commentInput"></a>

* *Type:* `string`

---


##### `dataRetentionTimeInDaysInput`<sup>Optional</sup> <a name="cdktf-snowflake.Database.property.dataRetentionTimeInDaysInput"></a>

* *Type:* `number`

---


##### `fromDatabaseInput`<sup>Optional</sup> <a name="cdktf-snowflake.Database.property.fromDatabaseInput"></a>

* *Type:* `string`

---


##### `fromShareInput`<sup>Optional</sup> <a name="cdktf-snowflake.Database.property.fromShareInput"></a>

* *Type:* {[ key: string ]: `string`}

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Database.property.comment"></a>

* *Type:* `string`

---


##### `dataRetentionTimeInDays`<sup>Required</sup> <a name="cdktf-snowflake.Database.property.dataRetentionTimeInDays"></a>

* *Type:* `number`

---


##### `fromDatabase`<sup>Required</sup> <a name="cdktf-snowflake.Database.property.fromDatabase"></a>

* *Type:* `string`

---


##### `fromShare`<sup>Required</sup> <a name="cdktf-snowflake.Database.property.fromShare"></a>

* *Type:* {[ key: string ]: `string`}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Database.property.name"></a>

* *Type:* `string`

---


### DatabaseGrant <a name="cdktf-snowflake.DatabaseGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html snowflake_database_grant}.

#### Initializer <a name="cdktf-snowflake.DatabaseGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DatabaseGrant

DatabaseGrant(scope, Construct, id, string, config, DatabaseGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DatabaseGrantConfig`](#cdktf-snowflake.DatabaseGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetPrivilege` <a name="cdktf-snowflake.DatabaseGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.DatabaseGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetShares` <a name="cdktf-snowflake.DatabaseGrant.resetShares"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_shares()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.DatabaseGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.property.id"></a>

* *Type:* `string`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `sharesInput`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrant.property.sharesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `shares`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.property.shares"></a>

* *Type:* `string`[]

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### DataSnowflakeCurrentAccount <a name="cdktf-snowflake.DataSnowflakeCurrentAccount"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/current_account.html snowflake_current_account}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeCurrentAccount.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeCurrentAccount

DataSnowflakeCurrentAccount(scope, Construct, id, string, config?: DataSnowflakeCurrentAccountConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccount.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccount.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccount.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeCurrentAccountConfig`](#cdktf-snowflake.DataSnowflakeCurrentAccountConfig)

---


#### Properties <a name="Properties"></a>

##### `account`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccount.property.account"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccount.property.id"></a>

* *Type:* `string`

---


##### `region`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccount.property.region"></a>

* *Type:* `string`

---


##### `url`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccount.property.url"></a>

* *Type:* `string`

---


### DataSnowflakeExternalFunctions <a name="cdktf-snowflake.DataSnowflakeExternalFunctions"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html snowflake_external_functions}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeExternalFunctions

DataSnowflakeExternalFunctions(scope, Construct, id, string, config, DataSnowflakeExternalFunctionsConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeExternalFunctionsConfig`](#cdktf-snowflake.DataSnowflakeExternalFunctionsConfig)

---


#### Methods <a name="Methods"></a>

##### `externalFunctions` <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.externalFunctions"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
external_functions(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctions.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeExternalTables <a name="cdktf-snowflake.DataSnowflakeExternalTables"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html snowflake_external_tables}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeExternalTables.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeExternalTables

DataSnowflakeExternalTables(scope, Construct, id, string, config, DataSnowflakeExternalTablesConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTables.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTables.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTables.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeExternalTablesConfig`](#cdktf-snowflake.DataSnowflakeExternalTablesConfig)

---


#### Methods <a name="Methods"></a>

##### `externalTables` <a name="cdktf-snowflake.DataSnowflakeExternalTables.externalTables"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
external_tables(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTables.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTables.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTables.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTables.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTables.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTables.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeFileFormats <a name="cdktf-snowflake.DataSnowflakeFileFormats"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html snowflake_file_formats}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeFileFormats.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeFileFormats

DataSnowflakeFileFormats(scope, Construct, id, string, config, DataSnowflakeFileFormatsConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormats.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormats.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormats.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeFileFormatsConfig`](#cdktf-snowflake.DataSnowflakeFileFormatsConfig)

---


#### Methods <a name="Methods"></a>

##### `fileFormats` <a name="cdktf-snowflake.DataSnowflakeFileFormats.fileFormats"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
file_formats(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormats.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormats.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormats.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormats.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormats.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormats.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeMaskingPolicies <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html snowflake_masking_policies}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeMaskingPolicies

DataSnowflakeMaskingPolicies(scope, Construct, id, string, config, DataSnowflakeMaskingPoliciesConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig`](#cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig)

---


#### Methods <a name="Methods"></a>

##### `maskingPolicies` <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.maskingPolicies"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
masking_policies(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPolicies.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeMaterializedViews <a name="cdktf-snowflake.DataSnowflakeMaterializedViews"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html snowflake_materialized_views}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeMaterializedViews

DataSnowflakeMaterializedViews(scope, Construct, id, string, config, DataSnowflakeMaterializedViewsConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeMaterializedViewsConfig`](#cdktf-snowflake.DataSnowflakeMaterializedViewsConfig)

---


#### Methods <a name="Methods"></a>

##### `materializedViews` <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.materializedViews"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
materialized_views(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViews.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakePipes <a name="cdktf-snowflake.DataSnowflakePipes"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html snowflake_pipes}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakePipes.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakePipes

DataSnowflakePipes(scope, Construct, id, string, config, DataSnowflakePipesConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipes.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipes.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipes.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakePipesConfig`](#cdktf-snowflake.DataSnowflakePipesConfig)

---


#### Methods <a name="Methods"></a>

##### `pipes` <a name="cdktf-snowflake.DataSnowflakePipes.pipes"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
pipes(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipes.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipes.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipes.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipes.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipes.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipes.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeResourceMonitors <a name="cdktf-snowflake.DataSnowflakeResourceMonitors"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/resource_monitors.html snowflake_resource_monitors}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeResourceMonitors.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeResourceMonitors

DataSnowflakeResourceMonitors(scope, Construct, id, string, config?: DataSnowflakeResourceMonitorsConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitors.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitors.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitors.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeResourceMonitorsConfig`](#cdktf-snowflake.DataSnowflakeResourceMonitorsConfig)

---


#### Methods <a name="Methods"></a>

##### `resourceMonitors` <a name="cdktf-snowflake.DataSnowflakeResourceMonitors.resourceMonitors"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
resource_monitors(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitors.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitors.property.id"></a>

* *Type:* `string`

---


### DataSnowflakeRowAccessPolicies <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html snowflake_row_access_policies}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeRowAccessPolicies

DataSnowflakeRowAccessPolicies(scope, Construct, id, string, config, DataSnowflakeRowAccessPoliciesConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig`](#cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig)

---


#### Methods <a name="Methods"></a>

##### `rowAccessPolicies` <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.rowAccessPolicies"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
row_access_policies(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPolicies.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeSchemas <a name="cdktf-snowflake.DataSnowflakeSchemas"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/schemas.html snowflake_schemas}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeSchemas.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSchemas

DataSnowflakeSchemas(scope, Construct, id, string, config, DataSnowflakeSchemasConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemas.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemas.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemas.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeSchemasConfig`](#cdktf-snowflake.DataSnowflakeSchemasConfig)

---


#### Methods <a name="Methods"></a>

##### `schemas` <a name="cdktf-snowflake.DataSnowflakeSchemas.schemas"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
schemas(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemas.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemas.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemas.property.id"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemas.property.database"></a>

* *Type:* `string`

---


### DataSnowflakeSequences <a name="cdktf-snowflake.DataSnowflakeSequences"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html snowflake_sequences}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeSequences.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSequences

DataSnowflakeSequences(scope, Construct, id, string, config, DataSnowflakeSequencesConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequences.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequences.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequences.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeSequencesConfig`](#cdktf-snowflake.DataSnowflakeSequencesConfig)

---


#### Methods <a name="Methods"></a>

##### `sequences` <a name="cdktf-snowflake.DataSnowflakeSequences.sequences"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
sequences(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequences.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequences.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequences.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequences.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequences.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequences.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeStages <a name="cdktf-snowflake.DataSnowflakeStages"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html snowflake_stages}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeStages.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeStages

DataSnowflakeStages(scope, Construct, id, string, config, DataSnowflakeStagesConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStages.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStages.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStages.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeStagesConfig`](#cdktf-snowflake.DataSnowflakeStagesConfig)

---


#### Methods <a name="Methods"></a>

##### `stages` <a name="cdktf-snowflake.DataSnowflakeStages.stages"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
stages(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStages.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStages.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStages.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStages.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStages.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStages.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeStorageIntegrations <a name="cdktf-snowflake.DataSnowflakeStorageIntegrations"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/storage_integrations.html snowflake_storage_integrations}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeStorageIntegrations.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeStorageIntegrations

DataSnowflakeStorageIntegrations(scope, Construct, id, string, config?: DataSnowflakeStorageIntegrationsConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrations.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrations.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrations.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeStorageIntegrationsConfig`](#cdktf-snowflake.DataSnowflakeStorageIntegrationsConfig)

---


#### Methods <a name="Methods"></a>

##### `storageIntegrations` <a name="cdktf-snowflake.DataSnowflakeStorageIntegrations.storageIntegrations"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
storage_integrations(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrations.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrations.property.id"></a>

* *Type:* `string`

---


### DataSnowflakeStreams <a name="cdktf-snowflake.DataSnowflakeStreams"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html snowflake_streams}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeStreams.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeStreams

DataSnowflakeStreams(scope, Construct, id, string, config, DataSnowflakeStreamsConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreams.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreams.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreams.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeStreamsConfig`](#cdktf-snowflake.DataSnowflakeStreamsConfig)

---


#### Methods <a name="Methods"></a>

##### `streams` <a name="cdktf-snowflake.DataSnowflakeStreams.streams"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
streams(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreams.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreams.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreams.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreams.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreams.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreams.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeSystemGenerateScimAccessToken <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/system_generate_scim_access_token.html snowflake_system_generate_scim_access_token}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSystemGenerateScimAccessToken

DataSnowflakeSystemGenerateScimAccessToken(scope, Construct, id, string, config, DataSnowflakeSystemGenerateScimAccessTokenConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessTokenConfig`](#cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessTokenConfig)

---


#### Properties <a name="Properties"></a>

##### `accessToken`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken.property.accessToken"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken.property.id"></a>

* *Type:* `string`

---


##### `integrationNameInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken.property.integrationNameInput"></a>

* *Type:* `string`

---


##### `integrationName`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken.property.integrationName"></a>

* *Type:* `string`

---


### DataSnowflakeSystemGetAwsSnsIamPolicy <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_aws_sns_iam_policy.html snowflake_system_get_aws_sns_iam_policy}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSystemGetAwsSnsIamPolicy

DataSnowflakeSystemGetAwsSnsIamPolicy(scope, Construct, id, string, config, DataSnowflakeSystemGetAwsSnsIamPolicyConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicyConfig`](#cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicyConfig)

---


#### Properties <a name="Properties"></a>

##### `awsSnsTopicArnInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy.property.awsSnsTopicArnInput"></a>

* *Type:* `string`

---


##### `awsSnsTopicPolicyJson`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy.property.awsSnsTopicPolicyJson"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy.property.id"></a>

* *Type:* `string`

---


##### `awsSnsTopicArn`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy.property.awsSnsTopicArn"></a>

* *Type:* `string`

---


### DataSnowflakeSystemGetPrivatelinkConfig <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_privatelink_config.html snowflake_system_get_privatelink_config}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSystemGetPrivatelinkConfig

DataSnowflakeSystemGetPrivatelinkConfig(scope, Construct, id, string, config?: DataSnowflakeSystemGetPrivatelinkConfigConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfigConfig`](#cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfigConfig)

---


#### Properties <a name="Properties"></a>

##### `accountName`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.property.accountName"></a>

* *Type:* `string`

---


##### `accountUrl`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.property.accountUrl"></a>

* *Type:* `string`

---


##### `awsVpceId`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.property.awsVpceId"></a>

* *Type:* `string`

---


##### `azurePlsId`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.property.azurePlsId"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.property.id"></a>

* *Type:* `string`

---


##### `oscpUrl`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig.property.oscpUrl"></a>

* *Type:* `string`

---


### DataSnowflakeSystemGetSnowflakePlatformInfo <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfo"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_snowflake_platform_info.html snowflake_system_get_snowflake_platform_info}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfo.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSystemGetSnowflakePlatformInfo

DataSnowflakeSystemGetSnowflakePlatformInfo(scope, Construct, id, string, config?: DataSnowflakeSystemGetSnowflakePlatformInfoConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfo.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfo.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfo.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfoConfig`](#cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfoConfig)

---


#### Properties <a name="Properties"></a>

##### `awsVpcIds`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfo.property.awsVpcIds"></a>

* *Type:* `string`[]

---


##### `azureVnetSubnetIds`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfo.property.azureVnetSubnetIds"></a>

* *Type:* `string`[]

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfo.property.id"></a>

* *Type:* `string`

---


### DataSnowflakeTables <a name="cdktf-snowflake.DataSnowflakeTables"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html snowflake_tables}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeTables.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeTables

DataSnowflakeTables(scope, Construct, id, string, config, DataSnowflakeTablesConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTables.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTables.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTables.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeTablesConfig`](#cdktf-snowflake.DataSnowflakeTablesConfig)

---


#### Methods <a name="Methods"></a>

##### `tables` <a name="cdktf-snowflake.DataSnowflakeTables.tables"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
tables(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTables.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTables.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTables.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTables.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTables.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTables.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeTasks <a name="cdktf-snowflake.DataSnowflakeTasks"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html snowflake_tasks}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeTasks.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeTasks

DataSnowflakeTasks(scope, Construct, id, string, config, DataSnowflakeTasksConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasks.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasks.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasks.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeTasksConfig`](#cdktf-snowflake.DataSnowflakeTasksConfig)

---


#### Methods <a name="Methods"></a>

##### `tasks` <a name="cdktf-snowflake.DataSnowflakeTasks.tasks"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
tasks(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasks.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasks.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasks.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasks.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasks.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasks.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeViews <a name="cdktf-snowflake.DataSnowflakeViews"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/views.html snowflake_views}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeViews.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeViews

DataSnowflakeViews(scope, Construct, id, string, config, DataSnowflakeViewsConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViews.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViews.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViews.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeViewsConfig`](#cdktf-snowflake.DataSnowflakeViewsConfig)

---


#### Methods <a name="Methods"></a>

##### `views` <a name="cdktf-snowflake.DataSnowflakeViews.views"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
views(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViews.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViews.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViews.property.id"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViews.property.schemaInput"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViews.property.database"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViews.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeWarehouses <a name="cdktf-snowflake.DataSnowflakeWarehouses"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/warehouses.html snowflake_warehouses}.

#### Initializer <a name="cdktf-snowflake.DataSnowflakeWarehouses.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeWarehouses

DataSnowflakeWarehouses(scope, Construct, id, string, config?: DataSnowflakeWarehousesConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehouses.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehouses.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeWarehouses.parameter.config"></a>

* *Type:* [`cdktf-snowflake.DataSnowflakeWarehousesConfig`](#cdktf-snowflake.DataSnowflakeWarehousesConfig)

---


#### Methods <a name="Methods"></a>

##### `warehouses` <a name="cdktf-snowflake.DataSnowflakeWarehouses.warehouses"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
warehouses(index, string)
```

###### `index`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehouses.parameter.index"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehouses.property.id"></a>

* *Type:* `string`

---


### ExternalFunction <a name="cdktf-snowflake.ExternalFunction"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html snowflake_external_function}.

#### Initializer <a name="cdktf-snowflake.ExternalFunction.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ExternalFunction

ExternalFunction(scope, Construct, id, string, config, ExternalFunctionConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ExternalFunctionConfig`](#cdktf-snowflake.ExternalFunctionConfig)

---


#### Methods <a name="Methods"></a>

##### `resetArg` <a name="cdktf-snowflake.ExternalFunction.resetArg"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_arg()
```

##### `resetComment` <a name="cdktf-snowflake.ExternalFunction.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetCompression` <a name="cdktf-snowflake.ExternalFunction.resetCompression"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_compression()
```

##### `resetContextHeaders` <a name="cdktf-snowflake.ExternalFunction.resetContextHeaders"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_context_headers()
```

##### `resetHeader` <a name="cdktf-snowflake.ExternalFunction.resetHeader"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_header()
```

##### `resetMaxBatchRows` <a name="cdktf-snowflake.ExternalFunction.resetMaxBatchRows"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_max_batch_rows()
```

##### `resetNullInputBehavior` <a name="cdktf-snowflake.ExternalFunction.resetNullInputBehavior"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_null_input_behavior()
```

##### `resetReturnNullAllowed` <a name="cdktf-snowflake.ExternalFunction.resetReturnNullAllowed"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_return_null_allowed()
```

#### Properties <a name="Properties"></a>

##### `apiIntegrationInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.apiIntegrationInput"></a>

* *Type:* `string`

---


##### `createdOn`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.createdOn"></a>

* *Type:* `string`

---


##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.nameInput"></a>

* *Type:* `string`

---


##### `returnBehaviorInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.returnBehaviorInput"></a>

* *Type:* `string`

---


##### `returnTypeInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.returnTypeInput"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.schemaInput"></a>

* *Type:* `string`

---


##### `urlOfProxyAndResourceInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.urlOfProxyAndResourceInput"></a>

* *Type:* `string`

---


##### `argInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunction.property.argInput"></a>

* *Type:* [`cdktf-snowflake.ExternalFunctionArg`](#cdktf-snowflake.ExternalFunctionArg)[]

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunction.property.commentInput"></a>

* *Type:* `string`

---


##### `compressionInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunction.property.compressionInput"></a>

* *Type:* `string`

---


##### `contextHeadersInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunction.property.contextHeadersInput"></a>

* *Type:* `string`[]

---


##### `headerInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunction.property.headerInput"></a>

* *Type:* [`cdktf-snowflake.ExternalFunctionHeader`](#cdktf-snowflake.ExternalFunctionHeader)[]

---


##### `maxBatchRowsInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunction.property.maxBatchRowsInput"></a>

* *Type:* `number`

---


##### `nullInputBehaviorInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunction.property.nullInputBehaviorInput"></a>

* *Type:* `string`

---


##### `returnNullAllowedInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunction.property.returnNullAllowedInput"></a>

* *Type:* `boolean`

---


##### `apiIntegration`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.apiIntegration"></a>

* *Type:* `string`

---


##### `arg`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.arg"></a>

* *Type:* [`cdktf-snowflake.ExternalFunctionArg`](#cdktf-snowflake.ExternalFunctionArg)[]

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.comment"></a>

* *Type:* `string`

---


##### `compression`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.compression"></a>

* *Type:* `string`

---


##### `contextHeaders`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.contextHeaders"></a>

* *Type:* `string`[]

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.database"></a>

* *Type:* `string`

---


##### `header`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.header"></a>

* *Type:* [`cdktf-snowflake.ExternalFunctionHeader`](#cdktf-snowflake.ExternalFunctionHeader)[]

---


##### `maxBatchRows`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.maxBatchRows"></a>

* *Type:* `number`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.name"></a>

* *Type:* `string`

---


##### `nullInputBehavior`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.nullInputBehavior"></a>

* *Type:* `string`

---


##### `returnBehavior`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.returnBehavior"></a>

* *Type:* `string`

---


##### `returnNullAllowed`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.returnNullAllowed"></a>

* *Type:* `boolean`

---


##### `returnType`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.returnType"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.schema"></a>

* *Type:* `string`

---


##### `urlOfProxyAndResource`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunction.property.urlOfProxyAndResource"></a>

* *Type:* `string`

---


### ExternalTable <a name="cdktf-snowflake.ExternalTable"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html snowflake_external_table}.

#### Initializer <a name="cdktf-snowflake.ExternalTable.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ExternalTable

ExternalTable(scope, Construct, id, string, config, ExternalTableConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ExternalTableConfig`](#cdktf-snowflake.ExternalTableConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAutoRefresh` <a name="cdktf-snowflake.ExternalTable.resetAutoRefresh"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_auto_refresh()
```

##### `resetAwsSnsTopic` <a name="cdktf-snowflake.ExternalTable.resetAwsSnsTopic"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_aws_sns_topic()
```

##### `resetComment` <a name="cdktf-snowflake.ExternalTable.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetCopyGrants` <a name="cdktf-snowflake.ExternalTable.resetCopyGrants"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_copy_grants()
```

##### `resetPartitionBy` <a name="cdktf-snowflake.ExternalTable.resetPartitionBy"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_partition_by()
```

##### `resetRefreshOnCreate` <a name="cdktf-snowflake.ExternalTable.resetRefreshOnCreate"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_refresh_on_create()
```

#### Properties <a name="Properties"></a>

##### `columnInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.columnInput"></a>

* *Type:* [`cdktf-snowflake.ExternalTableColumn`](#cdktf-snowflake.ExternalTableColumn)[]

---


##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.databaseInput"></a>

* *Type:* `string`

---


##### `fileFormatInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.fileFormatInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.id"></a>

* *Type:* `string`

---


##### `locationInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.locationInput"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.nameInput"></a>

* *Type:* `string`

---


##### `owner`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.owner"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.schemaInput"></a>

* *Type:* `string`

---


##### `autoRefreshInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTable.property.autoRefreshInput"></a>

* *Type:* `boolean`

---


##### `awsSnsTopicInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTable.property.awsSnsTopicInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTable.property.commentInput"></a>

* *Type:* `string`

---


##### `copyGrantsInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTable.property.copyGrantsInput"></a>

* *Type:* `boolean`

---


##### `partitionByInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTable.property.partitionByInput"></a>

* *Type:* `string`[]

---


##### `refreshOnCreateInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTable.property.refreshOnCreateInput"></a>

* *Type:* `boolean`

---


##### `autoRefresh`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.autoRefresh"></a>

* *Type:* `boolean`

---


##### `awsSnsTopic`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.awsSnsTopic"></a>

* *Type:* `string`

---


##### `column`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.column"></a>

* *Type:* [`cdktf-snowflake.ExternalTableColumn`](#cdktf-snowflake.ExternalTableColumn)[]

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.comment"></a>

* *Type:* `string`

---


##### `copyGrants`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.copyGrants"></a>

* *Type:* `boolean`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.database"></a>

* *Type:* `string`

---


##### `fileFormat`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.fileFormat"></a>

* *Type:* `string`

---


##### `location`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.location"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.name"></a>

* *Type:* `string`

---


##### `partitionBy`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.partitionBy"></a>

* *Type:* `string`[]

---


##### `refreshOnCreate`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.refreshOnCreate"></a>

* *Type:* `boolean`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTable.property.schema"></a>

* *Type:* `string`

---


### ExternalTableGrant <a name="cdktf-snowflake.ExternalTableGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html snowflake_external_table_grant}.

#### Initializer <a name="cdktf-snowflake.ExternalTableGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ExternalTableGrant

ExternalTableGrant(scope, Construct, id, string, config, ExternalTableGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ExternalTableGrantConfig`](#cdktf-snowflake.ExternalTableGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetExternalTableName` <a name="cdktf-snowflake.ExternalTableGrant.resetExternalTableName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_external_table_name()
```

##### `resetOnFuture` <a name="cdktf-snowflake.ExternalTableGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.ExternalTableGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.ExternalTableGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetShares` <a name="cdktf-snowflake.ExternalTableGrant.resetShares"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_shares()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.ExternalTableGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `externalTableNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.externalTableNameInput"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `sharesInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.sharesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `externalTableName`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.externalTableName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `shares`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.shares"></a>

* *Type:* `string`[]

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### FileFormat <a name="cdktf-snowflake.FileFormat"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html snowflake_file_format}.

#### Initializer <a name="cdktf-snowflake.FileFormat.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import FileFormat

FileFormat(scope, Construct, id, string, config, FileFormatConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.parameter.config"></a>

* *Type:* [`cdktf-snowflake.FileFormatConfig`](#cdktf-snowflake.FileFormatConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAllowDuplicate` <a name="cdktf-snowflake.FileFormat.resetAllowDuplicate"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_allow_duplicate()
```

##### `resetBinaryAsText` <a name="cdktf-snowflake.FileFormat.resetBinaryAsText"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_binary_as_text()
```

##### `resetBinaryFormat` <a name="cdktf-snowflake.FileFormat.resetBinaryFormat"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_binary_format()
```

##### `resetComment` <a name="cdktf-snowflake.FileFormat.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetCompression` <a name="cdktf-snowflake.FileFormat.resetCompression"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_compression()
```

##### `resetDateFormat` <a name="cdktf-snowflake.FileFormat.resetDateFormat"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_date_format()
```

##### `resetDisableAutoConvert` <a name="cdktf-snowflake.FileFormat.resetDisableAutoConvert"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_disable_auto_convert()
```

##### `resetDisableSnowflakeData` <a name="cdktf-snowflake.FileFormat.resetDisableSnowflakeData"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_disable_snowflake_data()
```

##### `resetEmptyFieldAsNull` <a name="cdktf-snowflake.FileFormat.resetEmptyFieldAsNull"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_empty_field_as_null()
```

##### `resetEnableOctal` <a name="cdktf-snowflake.FileFormat.resetEnableOctal"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_enable_octal()
```

##### `resetEncoding` <a name="cdktf-snowflake.FileFormat.resetEncoding"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_encoding()
```

##### `resetErrorOnColumnCountMismatch` <a name="cdktf-snowflake.FileFormat.resetErrorOnColumnCountMismatch"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_error_on_column_count_mismatch()
```

##### `resetEscape` <a name="cdktf-snowflake.FileFormat.resetEscape"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_escape()
```

##### `resetEscapeUnenclosedField` <a name="cdktf-snowflake.FileFormat.resetEscapeUnenclosedField"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_escape_unenclosed_field()
```

##### `resetFieldDelimiter` <a name="cdktf-snowflake.FileFormat.resetFieldDelimiter"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_field_delimiter()
```

##### `resetFieldOptionallyEnclosedBy` <a name="cdktf-snowflake.FileFormat.resetFieldOptionallyEnclosedBy"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_field_optionally_enclosed_by()
```

##### `resetFileExtension` <a name="cdktf-snowflake.FileFormat.resetFileExtension"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_file_extension()
```

##### `resetIgnoreUtf8Errors` <a name="cdktf-snowflake.FileFormat.resetIgnoreUtf8Errors"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_ignore_utf8_errors()
```

##### `resetNullIf` <a name="cdktf-snowflake.FileFormat.resetNullIf"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_null_if()
```

##### `resetPreserveSpace` <a name="cdktf-snowflake.FileFormat.resetPreserveSpace"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_preserve_space()
```

##### `resetRecordDelimiter` <a name="cdktf-snowflake.FileFormat.resetRecordDelimiter"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_record_delimiter()
```

##### `resetReplaceInvalidCharacters` <a name="cdktf-snowflake.FileFormat.resetReplaceInvalidCharacters"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_replace_invalid_characters()
```

##### `resetSkipBlankLines` <a name="cdktf-snowflake.FileFormat.resetSkipBlankLines"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_skip_blank_lines()
```

##### `resetSkipByteOrderMark` <a name="cdktf-snowflake.FileFormat.resetSkipByteOrderMark"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_skip_byte_order_mark()
```

##### `resetSkipHeader` <a name="cdktf-snowflake.FileFormat.resetSkipHeader"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_skip_header()
```

##### `resetStripNullValues` <a name="cdktf-snowflake.FileFormat.resetStripNullValues"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_strip_null_values()
```

##### `resetStripOuterArray` <a name="cdktf-snowflake.FileFormat.resetStripOuterArray"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_strip_outer_array()
```

##### `resetStripOuterElement` <a name="cdktf-snowflake.FileFormat.resetStripOuterElement"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_strip_outer_element()
```

##### `resetTimeFormat` <a name="cdktf-snowflake.FileFormat.resetTimeFormat"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_time_format()
```

##### `resetTimestampFormat` <a name="cdktf-snowflake.FileFormat.resetTimestampFormat"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_timestamp_format()
```

##### `resetTrimSpace` <a name="cdktf-snowflake.FileFormat.resetTrimSpace"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_trim_space()
```

##### `resetValidateUtf8` <a name="cdktf-snowflake.FileFormat.resetValidateUtf8"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_validate_utf8()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.databaseInput"></a>

* *Type:* `string`

---


##### `formatTypeInput`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.formatTypeInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.nameInput"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.schemaInput"></a>

* *Type:* `string`

---


##### `allowDuplicateInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.allowDuplicateInput"></a>

* *Type:* `boolean`

---


##### `binaryAsTextInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.binaryAsTextInput"></a>

* *Type:* `boolean`

---


##### `binaryFormatInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.binaryFormatInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.commentInput"></a>

* *Type:* `string`

---


##### `compressionInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.compressionInput"></a>

* *Type:* `string`

---


##### `dateFormatInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.dateFormatInput"></a>

* *Type:* `string`

---


##### `disableAutoConvertInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.disableAutoConvertInput"></a>

* *Type:* `boolean`

---


##### `disableSnowflakeDataInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.disableSnowflakeDataInput"></a>

* *Type:* `boolean`

---


##### `emptyFieldAsNullInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.emptyFieldAsNullInput"></a>

* *Type:* `boolean`

---


##### `enableOctalInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.enableOctalInput"></a>

* *Type:* `boolean`

---


##### `encodingInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.encodingInput"></a>

* *Type:* `string`

---


##### `errorOnColumnCountMismatchInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.errorOnColumnCountMismatchInput"></a>

* *Type:* `boolean`

---


##### `escapeInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.escapeInput"></a>

* *Type:* `string`

---


##### `escapeUnenclosedFieldInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.escapeUnenclosedFieldInput"></a>

* *Type:* `string`

---


##### `fieldDelimiterInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.fieldDelimiterInput"></a>

* *Type:* `string`

---


##### `fieldOptionallyEnclosedByInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.fieldOptionallyEnclosedByInput"></a>

* *Type:* `string`

---


##### `fileExtensionInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.fileExtensionInput"></a>

* *Type:* `string`

---


##### `ignoreUtf8ErrorsInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.ignoreUtf8ErrorsInput"></a>

* *Type:* `boolean`

---


##### `nullIfInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.nullIfInput"></a>

* *Type:* `string`[]

---


##### `preserveSpaceInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.preserveSpaceInput"></a>

* *Type:* `boolean`

---


##### `recordDelimiterInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.recordDelimiterInput"></a>

* *Type:* `string`

---


##### `replaceInvalidCharactersInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.replaceInvalidCharactersInput"></a>

* *Type:* `boolean`

---


##### `skipBlankLinesInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.skipBlankLinesInput"></a>

* *Type:* `boolean`

---


##### `skipByteOrderMarkInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.skipByteOrderMarkInput"></a>

* *Type:* `boolean`

---


##### `skipHeaderInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.skipHeaderInput"></a>

* *Type:* `number`

---


##### `stripNullValuesInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.stripNullValuesInput"></a>

* *Type:* `boolean`

---


##### `stripOuterArrayInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.stripOuterArrayInput"></a>

* *Type:* `boolean`

---


##### `stripOuterElementInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.stripOuterElementInput"></a>

* *Type:* `boolean`

---


##### `timeFormatInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.timeFormatInput"></a>

* *Type:* `string`

---


##### `timestampFormatInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.timestampFormatInput"></a>

* *Type:* `string`

---


##### `trimSpaceInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.trimSpaceInput"></a>

* *Type:* `boolean`

---


##### `validateUtf8Input`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormat.property.validateUtf8Input"></a>

* *Type:* `boolean`

---


##### `allowDuplicate`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.allowDuplicate"></a>

* *Type:* `boolean`

---


##### `binaryAsText`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.binaryAsText"></a>

* *Type:* `boolean`

---


##### `binaryFormat`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.binaryFormat"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.comment"></a>

* *Type:* `string`

---


##### `compression`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.compression"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.database"></a>

* *Type:* `string`

---


##### `dateFormat`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.dateFormat"></a>

* *Type:* `string`

---


##### `disableAutoConvert`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.disableAutoConvert"></a>

* *Type:* `boolean`

---


##### `disableSnowflakeData`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.disableSnowflakeData"></a>

* *Type:* `boolean`

---


##### `emptyFieldAsNull`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.emptyFieldAsNull"></a>

* *Type:* `boolean`

---


##### `enableOctal`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.enableOctal"></a>

* *Type:* `boolean`

---


##### `encoding`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.encoding"></a>

* *Type:* `string`

---


##### `errorOnColumnCountMismatch`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.errorOnColumnCountMismatch"></a>

* *Type:* `boolean`

---


##### `escape`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.escape"></a>

* *Type:* `string`

---


##### `escapeUnenclosedField`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.escapeUnenclosedField"></a>

* *Type:* `string`

---


##### `fieldDelimiter`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.fieldDelimiter"></a>

* *Type:* `string`

---


##### `fieldOptionallyEnclosedBy`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.fieldOptionallyEnclosedBy"></a>

* *Type:* `string`

---


##### `fileExtension`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.fileExtension"></a>

* *Type:* `string`

---


##### `formatType`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.formatType"></a>

* *Type:* `string`

---


##### `ignoreUtf8Errors`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.ignoreUtf8Errors"></a>

* *Type:* `boolean`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.name"></a>

* *Type:* `string`

---


##### `nullIf`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.nullIf"></a>

* *Type:* `string`[]

---


##### `preserveSpace`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.preserveSpace"></a>

* *Type:* `boolean`

---


##### `recordDelimiter`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.recordDelimiter"></a>

* *Type:* `string`

---


##### `replaceInvalidCharacters`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.replaceInvalidCharacters"></a>

* *Type:* `boolean`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.schema"></a>

* *Type:* `string`

---


##### `skipBlankLines`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.skipBlankLines"></a>

* *Type:* `boolean`

---


##### `skipByteOrderMark`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.skipByteOrderMark"></a>

* *Type:* `boolean`

---


##### `skipHeader`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.skipHeader"></a>

* *Type:* `number`

---


##### `stripNullValues`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.stripNullValues"></a>

* *Type:* `boolean`

---


##### `stripOuterArray`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.stripOuterArray"></a>

* *Type:* `boolean`

---


##### `stripOuterElement`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.stripOuterElement"></a>

* *Type:* `boolean`

---


##### `timeFormat`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.timeFormat"></a>

* *Type:* `string`

---


##### `timestampFormat`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.timestampFormat"></a>

* *Type:* `string`

---


##### `trimSpace`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.trimSpace"></a>

* *Type:* `boolean`

---


##### `validateUtf8`<sup>Required</sup> <a name="cdktf-snowflake.FileFormat.property.validateUtf8"></a>

* *Type:* `boolean`

---


### FileFormatGrant <a name="cdktf-snowflake.FileFormatGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html snowflake_file_format_grant}.

#### Initializer <a name="cdktf-snowflake.FileFormatGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import FileFormatGrant

FileFormatGrant(scope, Construct, id, string, config, FileFormatGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.FileFormatGrantConfig`](#cdktf-snowflake.FileFormatGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetFileFormatName` <a name="cdktf-snowflake.FileFormatGrant.resetFileFormatName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_file_format_name()
```

##### `resetOnFuture` <a name="cdktf-snowflake.FileFormatGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.FileFormatGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.FileFormatGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.FileFormatGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `fileFormatNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrant.property.fileFormatNameInput"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `fileFormatName`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.fileFormatName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### FunctionGrant <a name="cdktf-snowflake.FunctionGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html snowflake_function_grant}.

#### Initializer <a name="cdktf-snowflake.FunctionGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import FunctionGrant

FunctionGrant(scope, Construct, id, string, config, FunctionGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.FunctionGrantConfig`](#cdktf-snowflake.FunctionGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetArguments` <a name="cdktf-snowflake.FunctionGrant.resetArguments"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_arguments()
```

##### `resetFunctionName` <a name="cdktf-snowflake.FunctionGrant.resetFunctionName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_function_name()
```

##### `resetOnFuture` <a name="cdktf-snowflake.FunctionGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.FunctionGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetReturnType` <a name="cdktf-snowflake.FunctionGrant.resetReturnType"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_return_type()
```

##### `resetRoles` <a name="cdktf-snowflake.FunctionGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetShares` <a name="cdktf-snowflake.FunctionGrant.resetShares"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_shares()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.FunctionGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `argumentsInput`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrant.property.argumentsInput"></a>

* *Type:* [`cdktf-snowflake.FunctionGrantArguments`](#cdktf-snowflake.FunctionGrantArguments)[]

---


##### `functionNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrant.property.functionNameInput"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `returnTypeInput`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrant.property.returnTypeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `sharesInput`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrant.property.sharesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `arguments`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.arguments"></a>

* *Type:* [`cdktf-snowflake.FunctionGrantArguments`](#cdktf-snowflake.FunctionGrantArguments)[]

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `functionName`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.functionName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.privilege"></a>

* *Type:* `string`

---


##### `returnType`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.returnType"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `shares`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.shares"></a>

* *Type:* `string`[]

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### IntegrationGrant <a name="cdktf-snowflake.IntegrationGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html snowflake_integration_grant}.

#### Initializer <a name="cdktf-snowflake.IntegrationGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import IntegrationGrant

IntegrationGrant(scope, Construct, id, string, config, IntegrationGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.IntegrationGrantConfig`](#cdktf-snowflake.IntegrationGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetPrivilege` <a name="cdktf-snowflake.IntegrationGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.IntegrationGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.IntegrationGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrant.property.id"></a>

* *Type:* `string`

---


##### `integrationNameInput`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrant.property.integrationNameInput"></a>

* *Type:* `string`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `integrationName`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrant.property.integrationName"></a>

* *Type:* `string`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### ManagedAccount <a name="cdktf-snowflake.ManagedAccount"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html snowflake_managed_account}.

#### Initializer <a name="cdktf-snowflake.ManagedAccount.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ManagedAccount

ManagedAccount(scope, Construct, id, string, config, ManagedAccountConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ManagedAccountConfig`](#cdktf-snowflake.ManagedAccountConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.ManagedAccount.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetType` <a name="cdktf-snowflake.ManagedAccount.resetType"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_type()
```

#### Properties <a name="Properties"></a>

##### `adminNameInput`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.adminNameInput"></a>

* *Type:* `string`

---


##### `adminPasswordInput`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.adminPasswordInput"></a>

* *Type:* `string`

---


##### `cloud`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.cloud"></a>

* *Type:* `string`

---


##### `createdOn`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.createdOn"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.id"></a>

* *Type:* `string`

---


##### `locator`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.locator"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.nameInput"></a>

* *Type:* `string`

---


##### `region`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.region"></a>

* *Type:* `string`

---


##### `url`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.url"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.ManagedAccount.property.commentInput"></a>

* *Type:* `string`

---


##### `typeInput`<sup>Optional</sup> <a name="cdktf-snowflake.ManagedAccount.property.typeInput"></a>

* *Type:* `string`

---


##### `adminName`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.adminName"></a>

* *Type:* `string`

---


##### `adminPassword`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.adminPassword"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.comment"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.name"></a>

* *Type:* `string`

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccount.property.type"></a>

* *Type:* `string`

---


### MaskingPolicy <a name="cdktf-snowflake.MaskingPolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html snowflake_masking_policy}.

#### Initializer <a name="cdktf-snowflake.MaskingPolicy.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import MaskingPolicy

MaskingPolicy(scope, Construct, id, string, config, MaskingPolicyConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.parameter.config"></a>

* *Type:* [`cdktf-snowflake.MaskingPolicyConfig`](#cdktf-snowflake.MaskingPolicyConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.MaskingPolicy.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.id"></a>

* *Type:* `string`

---


##### `maskingExpressionInput`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.maskingExpressionInput"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.nameInput"></a>

* *Type:* `string`

---


##### `returnDataTypeInput`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.returnDataTypeInput"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.schemaInput"></a>

* *Type:* `string`

---


##### `valueDataTypeInput`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.valueDataTypeInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicy.property.commentInput"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.database"></a>

* *Type:* `string`

---


##### `maskingExpression`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.maskingExpression"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.name"></a>

* *Type:* `string`

---


##### `returnDataType`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.returnDataType"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.schema"></a>

* *Type:* `string`

---


##### `valueDataType`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicy.property.valueDataType"></a>

* *Type:* `string`

---


### MaskingPolicyGrant <a name="cdktf-snowflake.MaskingPolicyGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html snowflake_masking_policy_grant}.

#### Initializer <a name="cdktf-snowflake.MaskingPolicyGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import MaskingPolicyGrant

MaskingPolicyGrant(scope, Construct, id, string, config, MaskingPolicyGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.MaskingPolicyGrantConfig`](#cdktf-snowflake.MaskingPolicyGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetPrivilege` <a name="cdktf-snowflake.MaskingPolicyGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.MaskingPolicyGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.MaskingPolicyGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.id"></a>

* *Type:* `string`

---


##### `maskingPolicyNameInput`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.maskingPolicyNameInput"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `maskingPolicyName`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.maskingPolicyName"></a>

* *Type:* `string`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### MaterializedView <a name="cdktf-snowflake.MaterializedView"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html snowflake_materialized_view}.

#### Initializer <a name="cdktf-snowflake.MaterializedView.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import MaterializedView

MaterializedView(scope, Construct, id, string, config, MaterializedViewConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.parameter.config"></a>

* *Type:* [`cdktf-snowflake.MaterializedViewConfig`](#cdktf-snowflake.MaterializedViewConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.MaterializedView.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetIsSecure` <a name="cdktf-snowflake.MaterializedView.resetIsSecure"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_is_secure()
```

##### `resetOrReplace` <a name="cdktf-snowflake.MaterializedView.resetOrReplace"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_or_replace()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.nameInput"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.schemaInput"></a>

* *Type:* `string`

---


##### `statementInput`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.statementInput"></a>

* *Type:* `string`

---


##### `warehouseInput`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.warehouseInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedView.property.commentInput"></a>

* *Type:* `string`

---


##### `isSecureInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedView.property.isSecureInput"></a>

* *Type:* `boolean`

---


##### `orReplaceInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedView.property.orReplaceInput"></a>

* *Type:* `boolean`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.database"></a>

* *Type:* `string`

---


##### `isSecure`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.isSecure"></a>

* *Type:* `boolean`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.name"></a>

* *Type:* `string`

---


##### `orReplace`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.orReplace"></a>

* *Type:* `boolean`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.schema"></a>

* *Type:* `string`

---


##### `statement`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.statement"></a>

* *Type:* `string`

---


##### `warehouse`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedView.property.warehouse"></a>

* *Type:* `string`

---


### MaterializedViewGrant <a name="cdktf-snowflake.MaterializedViewGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html snowflake_materialized_view_grant}.

#### Initializer <a name="cdktf-snowflake.MaterializedViewGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import MaterializedViewGrant

MaterializedViewGrant(scope, Construct, id, string, config, MaterializedViewGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.MaterializedViewGrantConfig`](#cdktf-snowflake.MaterializedViewGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetMaterializedViewName` <a name="cdktf-snowflake.MaterializedViewGrant.resetMaterializedViewName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_materialized_view_name()
```

##### `resetOnFuture` <a name="cdktf-snowflake.MaterializedViewGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.MaterializedViewGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.MaterializedViewGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetShares` <a name="cdktf-snowflake.MaterializedViewGrant.resetShares"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_shares()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.MaterializedViewGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `materializedViewNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.materializedViewNameInput"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `sharesInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.sharesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `materializedViewName`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.materializedViewName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `shares`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.shares"></a>

* *Type:* `string`[]

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### NetworkPolicy <a name="cdktf-snowflake.NetworkPolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html snowflake_network_policy}.

#### Initializer <a name="cdktf-snowflake.NetworkPolicy.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import NetworkPolicy

NetworkPolicy(scope, Construct, id, string, config, NetworkPolicyConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.parameter.config"></a>

* *Type:* [`cdktf-snowflake.NetworkPolicyConfig`](#cdktf-snowflake.NetworkPolicyConfig)

---


#### Methods <a name="Methods"></a>

##### `resetBlockedIpList` <a name="cdktf-snowflake.NetworkPolicy.resetBlockedIpList"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_blocked_ip_list()
```

##### `resetComment` <a name="cdktf-snowflake.NetworkPolicy.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

#### Properties <a name="Properties"></a>

##### `allowedIpListInput`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.property.allowedIpListInput"></a>

* *Type:* `string`[]

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.property.nameInput"></a>

* *Type:* `string`

---


##### `blockedIpListInput`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicy.property.blockedIpListInput"></a>

* *Type:* `string`[]

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicy.property.commentInput"></a>

* *Type:* `string`

---


##### `allowedIpList`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.property.allowedIpList"></a>

* *Type:* `string`[]

---


##### `blockedIpList`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.property.blockedIpList"></a>

* *Type:* `string`[]

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.property.comment"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicy.property.name"></a>

* *Type:* `string`

---


### NetworkPolicyAttachment <a name="cdktf-snowflake.NetworkPolicyAttachment"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html snowflake_network_policy_attachment}.

#### Initializer <a name="cdktf-snowflake.NetworkPolicyAttachment.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import NetworkPolicyAttachment

NetworkPolicyAttachment(scope, Construct, id, string, config, NetworkPolicyAttachmentConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.parameter.config"></a>

* *Type:* [`cdktf-snowflake.NetworkPolicyAttachmentConfig`](#cdktf-snowflake.NetworkPolicyAttachmentConfig)

---


#### Methods <a name="Methods"></a>

##### `resetSetForAccount` <a name="cdktf-snowflake.NetworkPolicyAttachment.resetSetForAccount"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_set_for_account()
```

##### `resetUsers` <a name="cdktf-snowflake.NetworkPolicyAttachment.resetUsers"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_users()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.property.id"></a>

* *Type:* `string`

---


##### `networkPolicyNameInput`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.property.networkPolicyNameInput"></a>

* *Type:* `string`

---


##### `setForAccountInput`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.property.setForAccountInput"></a>

* *Type:* `boolean`

---


##### `usersInput`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.property.usersInput"></a>

* *Type:* `string`[]

---


##### `networkPolicyName`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.property.networkPolicyName"></a>

* *Type:* `string`

---


##### `setForAccount`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.property.setForAccount"></a>

* *Type:* `boolean`

---


##### `users`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyAttachment.property.users"></a>

* *Type:* `string`[]

---


### NotificationIntegration <a name="cdktf-snowflake.NotificationIntegration"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html snowflake_notification_integration}.

#### Initializer <a name="cdktf-snowflake.NotificationIntegration.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import NotificationIntegration

NotificationIntegration(scope, Construct, id, string, config, NotificationIntegrationConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.parameter.config"></a>

* *Type:* [`cdktf-snowflake.NotificationIntegrationConfig`](#cdktf-snowflake.NotificationIntegrationConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAwsSqsArn` <a name="cdktf-snowflake.NotificationIntegration.resetAwsSqsArn"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_aws_sqs_arn()
```

##### `resetAwsSqsRoleArn` <a name="cdktf-snowflake.NotificationIntegration.resetAwsSqsRoleArn"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_aws_sqs_role_arn()
```

##### `resetAzureStorageQueuePrimaryUri` <a name="cdktf-snowflake.NotificationIntegration.resetAzureStorageQueuePrimaryUri"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_azure_storage_queue_primary_uri()
```

##### `resetAzureTenantId` <a name="cdktf-snowflake.NotificationIntegration.resetAzureTenantId"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_azure_tenant_id()
```

##### `resetComment` <a name="cdktf-snowflake.NotificationIntegration.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetDirection` <a name="cdktf-snowflake.NotificationIntegration.resetDirection"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_direction()
```

##### `resetEnabled` <a name="cdktf-snowflake.NotificationIntegration.resetEnabled"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_enabled()
```

##### `resetGcpPubsubSubscriptionName` <a name="cdktf-snowflake.NotificationIntegration.resetGcpPubsubSubscriptionName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_gcp_pubsub_subscription_name()
```

##### `resetNotificationProvider` <a name="cdktf-snowflake.NotificationIntegration.resetNotificationProvider"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_notification_provider()
```

##### `resetType` <a name="cdktf-snowflake.NotificationIntegration.resetType"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_type()
```

#### Properties <a name="Properties"></a>

##### `awsSqsExternalId`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.awsSqsExternalId"></a>

* *Type:* `string`

---


##### `awsSqsIamUserArn`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.awsSqsIamUserArn"></a>

* *Type:* `string`

---


##### `createdOn`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.createdOn"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.nameInput"></a>

* *Type:* `string`

---


##### `awsSqsArnInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.awsSqsArnInput"></a>

* *Type:* `string`

---


##### `awsSqsRoleArnInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.awsSqsRoleArnInput"></a>

* *Type:* `string`

---


##### `azureStorageQueuePrimaryUriInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.azureStorageQueuePrimaryUriInput"></a>

* *Type:* `string`

---


##### `azureTenantIdInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.azureTenantIdInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.commentInput"></a>

* *Type:* `string`

---


##### `directionInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.directionInput"></a>

* *Type:* `string`

---


##### `enabledInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.enabledInput"></a>

* *Type:* `boolean`

---


##### `gcpPubsubSubscriptionNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.gcpPubsubSubscriptionNameInput"></a>

* *Type:* `string`

---


##### `notificationProviderInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.notificationProviderInput"></a>

* *Type:* `string`

---


##### `typeInput`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegration.property.typeInput"></a>

* *Type:* `string`

---


##### `awsSqsArn`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.awsSqsArn"></a>

* *Type:* `string`

---


##### `awsSqsRoleArn`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.awsSqsRoleArn"></a>

* *Type:* `string`

---


##### `azureStorageQueuePrimaryUri`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.azureStorageQueuePrimaryUri"></a>

* *Type:* `string`

---


##### `azureTenantId`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.azureTenantId"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.comment"></a>

* *Type:* `string`

---


##### `direction`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.direction"></a>

* *Type:* `string`

---


##### `enabled`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.enabled"></a>

* *Type:* `boolean`

---


##### `gcpPubsubSubscriptionName`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.gcpPubsubSubscriptionName"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.name"></a>

* *Type:* `string`

---


##### `notificationProvider`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.notificationProvider"></a>

* *Type:* `string`

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegration.property.type"></a>

* *Type:* `string`

---


### Pipe <a name="cdktf-snowflake.Pipe"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html snowflake_pipe}.

#### Initializer <a name="cdktf-snowflake.Pipe.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Pipe

Pipe(scope, Construct, id, string, config, PipeConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.parameter.config"></a>

* *Type:* [`cdktf-snowflake.PipeConfig`](#cdktf-snowflake.PipeConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAutoIngest` <a name="cdktf-snowflake.Pipe.resetAutoIngest"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_auto_ingest()
```

##### `resetAwsSnsTopicArn` <a name="cdktf-snowflake.Pipe.resetAwsSnsTopicArn"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_aws_sns_topic_arn()
```

##### `resetComment` <a name="cdktf-snowflake.Pipe.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetErrorIntegration` <a name="cdktf-snowflake.Pipe.resetErrorIntegration"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_error_integration()
```

##### `resetIntegration` <a name="cdktf-snowflake.Pipe.resetIntegration"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_integration()
```

#### Properties <a name="Properties"></a>

##### `copyStatementInput`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.copyStatementInput"></a>

* *Type:* `string`

---


##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.nameInput"></a>

* *Type:* `string`

---


##### `notificationChannel`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.notificationChannel"></a>

* *Type:* `string`

---


##### `owner`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.owner"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.schemaInput"></a>

* *Type:* `string`

---


##### `autoIngestInput`<sup>Optional</sup> <a name="cdktf-snowflake.Pipe.property.autoIngestInput"></a>

* *Type:* `boolean`

---


##### `awsSnsTopicArnInput`<sup>Optional</sup> <a name="cdktf-snowflake.Pipe.property.awsSnsTopicArnInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Pipe.property.commentInput"></a>

* *Type:* `string`

---


##### `errorIntegrationInput`<sup>Optional</sup> <a name="cdktf-snowflake.Pipe.property.errorIntegrationInput"></a>

* *Type:* `string`

---


##### `integrationInput`<sup>Optional</sup> <a name="cdktf-snowflake.Pipe.property.integrationInput"></a>

* *Type:* `string`

---


##### `autoIngest`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.autoIngest"></a>

* *Type:* `boolean`

---


##### `awsSnsTopicArn`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.awsSnsTopicArn"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.comment"></a>

* *Type:* `string`

---


##### `copyStatement`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.copyStatement"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.database"></a>

* *Type:* `string`

---


##### `errorIntegration`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.errorIntegration"></a>

* *Type:* `string`

---


##### `integration`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.integration"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.Pipe.property.schema"></a>

* *Type:* `string`

---


### PipeGrant <a name="cdktf-snowflake.PipeGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html snowflake_pipe_grant}.

#### Initializer <a name="cdktf-snowflake.PipeGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import PipeGrant

PipeGrant(scope, Construct, id, string, config, PipeGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.PipeGrantConfig`](#cdktf-snowflake.PipeGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetOnFuture` <a name="cdktf-snowflake.PipeGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPipeName` <a name="cdktf-snowflake.PipeGrant.resetPipeName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_pipe_name()
```

##### `resetPrivilege` <a name="cdktf-snowflake.PipeGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.PipeGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.PipeGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `pipeNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrant.property.pipeNameInput"></a>

* *Type:* `string`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `pipeName`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.pipeName"></a>

* *Type:* `string`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### ProcedureGrant <a name="cdktf-snowflake.ProcedureGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html snowflake_procedure_grant}.

#### Initializer <a name="cdktf-snowflake.ProcedureGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ProcedureGrant

ProcedureGrant(scope, Construct, id, string, config, ProcedureGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ProcedureGrantConfig`](#cdktf-snowflake.ProcedureGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetArguments` <a name="cdktf-snowflake.ProcedureGrant.resetArguments"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_arguments()
```

##### `resetOnFuture` <a name="cdktf-snowflake.ProcedureGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.ProcedureGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetProcedureName` <a name="cdktf-snowflake.ProcedureGrant.resetProcedureName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_procedure_name()
```

##### `resetReturnType` <a name="cdktf-snowflake.ProcedureGrant.resetReturnType"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_return_type()
```

##### `resetRoles` <a name="cdktf-snowflake.ProcedureGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetShares` <a name="cdktf-snowflake.ProcedureGrant.resetShares"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_shares()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.ProcedureGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `argumentsInput`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrant.property.argumentsInput"></a>

* *Type:* [`cdktf-snowflake.ProcedureGrantArguments`](#cdktf-snowflake.ProcedureGrantArguments)[]

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `procedureNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrant.property.procedureNameInput"></a>

* *Type:* `string`

---


##### `returnTypeInput`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrant.property.returnTypeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `sharesInput`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrant.property.sharesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `arguments`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.arguments"></a>

* *Type:* [`cdktf-snowflake.ProcedureGrantArguments`](#cdktf-snowflake.ProcedureGrantArguments)[]

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.privilege"></a>

* *Type:* `string`

---


##### `procedureName`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.procedureName"></a>

* *Type:* `string`

---


##### `returnType`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.returnType"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `shares`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.shares"></a>

* *Type:* `string`[]

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### ResourceMonitor <a name="cdktf-snowflake.ResourceMonitor"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html snowflake_resource_monitor}.

#### Initializer <a name="cdktf-snowflake.ResourceMonitor.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ResourceMonitor

ResourceMonitor(scope, Construct, id, string, config, ResourceMonitorConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ResourceMonitorConfig`](#cdktf-snowflake.ResourceMonitorConfig)

---


#### Methods <a name="Methods"></a>

##### `resetCreditQuota` <a name="cdktf-snowflake.ResourceMonitor.resetCreditQuota"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_credit_quota()
```

##### `resetEndTimestamp` <a name="cdktf-snowflake.ResourceMonitor.resetEndTimestamp"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_end_timestamp()
```

##### `resetFrequency` <a name="cdktf-snowflake.ResourceMonitor.resetFrequency"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_frequency()
```

##### `resetNotifyTriggers` <a name="cdktf-snowflake.ResourceMonitor.resetNotifyTriggers"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_notify_triggers()
```

##### `resetStartTimestamp` <a name="cdktf-snowflake.ResourceMonitor.resetStartTimestamp"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_start_timestamp()
```

##### `resetSuspendImmediateTriggers` <a name="cdktf-snowflake.ResourceMonitor.resetSuspendImmediateTriggers"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_suspend_immediate_triggers()
```

##### `resetSuspendTriggers` <a name="cdktf-snowflake.ResourceMonitor.resetSuspendTriggers"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_suspend_triggers()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.nameInput"></a>

* *Type:* `string`

---


##### `creditQuotaInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitor.property.creditQuotaInput"></a>

* *Type:* `number`

---


##### `endTimestampInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitor.property.endTimestampInput"></a>

* *Type:* `string`

---


##### `frequencyInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitor.property.frequencyInput"></a>

* *Type:* `string`

---


##### `notifyTriggersInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitor.property.notifyTriggersInput"></a>

* *Type:* `number`[]

---


##### `startTimestampInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitor.property.startTimestampInput"></a>

* *Type:* `string`

---


##### `suspendImmediateTriggersInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitor.property.suspendImmediateTriggersInput"></a>

* *Type:* `number`[]

---


##### `suspendTriggersInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitor.property.suspendTriggersInput"></a>

* *Type:* `number`[]

---


##### `creditQuota`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.creditQuota"></a>

* *Type:* `number`

---


##### `endTimestamp`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.endTimestamp"></a>

* *Type:* `string`

---


##### `frequency`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.frequency"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.name"></a>

* *Type:* `string`

---


##### `notifyTriggers`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.notifyTriggers"></a>

* *Type:* `number`[]

---


##### `startTimestamp`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.startTimestamp"></a>

* *Type:* `string`

---


##### `suspendImmediateTriggers`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.suspendImmediateTriggers"></a>

* *Type:* `number`[]

---


##### `suspendTriggers`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitor.property.suspendTriggers"></a>

* *Type:* `number`[]

---


### ResourceMonitorGrant <a name="cdktf-snowflake.ResourceMonitorGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html snowflake_resource_monitor_grant}.

#### Initializer <a name="cdktf-snowflake.ResourceMonitorGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ResourceMonitorGrant

ResourceMonitorGrant(scope, Construct, id, string, config, ResourceMonitorGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ResourceMonitorGrantConfig`](#cdktf-snowflake.ResourceMonitorGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetPrivilege` <a name="cdktf-snowflake.ResourceMonitorGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.ResourceMonitorGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.ResourceMonitorGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.property.id"></a>

* *Type:* `string`

---


##### `monitorNameInput`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.property.monitorNameInput"></a>

* *Type:* `string`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `monitorName`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.property.monitorName"></a>

* *Type:* `string`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### Role <a name="cdktf-snowflake.Role"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/role.html snowflake_role}.

#### Initializer <a name="cdktf-snowflake.Role.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Role

Role(scope, Construct, id, string, config, RoleConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Role.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Role.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Role.parameter.config"></a>

* *Type:* [`cdktf-snowflake.RoleConfig`](#cdktf-snowflake.RoleConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.Role.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Role.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Role.property.nameInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Role.property.commentInput"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Role.property.comment"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Role.property.name"></a>

* *Type:* `string`

---


### RoleGrants <a name="cdktf-snowflake.RoleGrants"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html snowflake_role_grants}.

#### Initializer <a name="cdktf-snowflake.RoleGrants.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import RoleGrants

RoleGrants(scope, Construct, id, string, config, RoleGrantsConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.RoleGrants.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.RoleGrants.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.RoleGrants.parameter.config"></a>

* *Type:* [`cdktf-snowflake.RoleGrantsConfig`](#cdktf-snowflake.RoleGrantsConfig)

---


#### Methods <a name="Methods"></a>

##### `resetRoles` <a name="cdktf-snowflake.RoleGrants.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetUsers` <a name="cdktf-snowflake.RoleGrants.resetUsers"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_users()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.RoleGrants.property.id"></a>

* *Type:* `string`

---


##### `roleNameInput`<sup>Required</sup> <a name="cdktf-snowflake.RoleGrants.property.roleNameInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.RoleGrants.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `usersInput`<sup>Optional</sup> <a name="cdktf-snowflake.RoleGrants.property.usersInput"></a>

* *Type:* `string`[]

---


##### `roleName`<sup>Required</sup> <a name="cdktf-snowflake.RoleGrants.property.roleName"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.RoleGrants.property.roles"></a>

* *Type:* `string`[]

---


##### `users`<sup>Required</sup> <a name="cdktf-snowflake.RoleGrants.property.users"></a>

* *Type:* `string`[]

---


### RowAccessPolicy <a name="cdktf-snowflake.RowAccessPolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html snowflake_row_access_policy}.

#### Initializer <a name="cdktf-snowflake.RowAccessPolicy.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import RowAccessPolicy

RowAccessPolicy(scope, Construct, id, string, config, RowAccessPolicyConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.parameter.config"></a>

* *Type:* [`cdktf-snowflake.RowAccessPolicyConfig`](#cdktf-snowflake.RowAccessPolicyConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.RowAccessPolicy.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.nameInput"></a>

* *Type:* `string`

---


##### `rowAccessExpressionInput`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.rowAccessExpressionInput"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.schemaInput"></a>

* *Type:* `string`

---


##### `signatureInput`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.signatureInput"></a>

* *Type:* {[ key: string ]: `string`}

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.commentInput"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.name"></a>

* *Type:* `string`

---


##### `rowAccessExpression`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.rowAccessExpression"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.schema"></a>

* *Type:* `string`

---


##### `signature`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicy.property.signature"></a>

* *Type:* {[ key: string ]: `string`}

---


### RowAccessPolicyGrant <a name="cdktf-snowflake.RowAccessPolicyGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html snowflake_row_access_policy_grant}.

#### Initializer <a name="cdktf-snowflake.RowAccessPolicyGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import RowAccessPolicyGrant

RowAccessPolicyGrant(scope, Construct, id, string, config, RowAccessPolicyGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.RowAccessPolicyGrantConfig`](#cdktf-snowflake.RowAccessPolicyGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetPrivilege` <a name="cdktf-snowflake.RowAccessPolicyGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.RowAccessPolicyGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.RowAccessPolicyGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.id"></a>

* *Type:* `string`

---


##### `rowAccessPolicyNameInput`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.rowAccessPolicyNameInput"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `rowAccessPolicyName`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.rowAccessPolicyName"></a>

* *Type:* `string`

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### Schema <a name="cdktf-snowflake.Schema"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html snowflake_schema}.

#### Initializer <a name="cdktf-snowflake.Schema.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Schema

Schema(scope, Construct, id, string, config, SchemaConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Schema.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Schema.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Schema.parameter.config"></a>

* *Type:* [`cdktf-snowflake.SchemaConfig`](#cdktf-snowflake.SchemaConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.Schema.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetDataRetentionDays` <a name="cdktf-snowflake.Schema.resetDataRetentionDays"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_data_retention_days()
```

##### `resetIsManaged` <a name="cdktf-snowflake.Schema.resetIsManaged"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_is_managed()
```

##### `resetIsTransient` <a name="cdktf-snowflake.Schema.resetIsTransient"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_is_transient()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.Schema.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Schema.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Schema.property.nameInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Schema.property.commentInput"></a>

* *Type:* `string`

---


##### `dataRetentionDaysInput`<sup>Optional</sup> <a name="cdktf-snowflake.Schema.property.dataRetentionDaysInput"></a>

* *Type:* `number`

---


##### `isManagedInput`<sup>Optional</sup> <a name="cdktf-snowflake.Schema.property.isManagedInput"></a>

* *Type:* `boolean`

---


##### `isTransientInput`<sup>Optional</sup> <a name="cdktf-snowflake.Schema.property.isTransientInput"></a>

* *Type:* `boolean`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Schema.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.Schema.property.database"></a>

* *Type:* `string`

---


##### `dataRetentionDays`<sup>Required</sup> <a name="cdktf-snowflake.Schema.property.dataRetentionDays"></a>

* *Type:* `number`

---


##### `isManaged`<sup>Required</sup> <a name="cdktf-snowflake.Schema.property.isManaged"></a>

* *Type:* `boolean`

---


##### `isTransient`<sup>Required</sup> <a name="cdktf-snowflake.Schema.property.isTransient"></a>

* *Type:* `boolean`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Schema.property.name"></a>

* *Type:* `string`

---


### SchemaGrant <a name="cdktf-snowflake.SchemaGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html snowflake_schema_grant}.

#### Initializer <a name="cdktf-snowflake.SchemaGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import SchemaGrant

SchemaGrant(scope, Construct, id, string, config, SchemaGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.SchemaGrantConfig`](#cdktf-snowflake.SchemaGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetOnFuture` <a name="cdktf-snowflake.SchemaGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.SchemaGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.SchemaGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetSchemaName` <a name="cdktf-snowflake.SchemaGrant.resetSchemaName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_schema_name()
```

##### `resetShares` <a name="cdktf-snowflake.SchemaGrant.resetShares"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_shares()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.SchemaGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.property.id"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `schemaNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `sharesInput`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrant.property.sharesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `shares`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.property.shares"></a>

* *Type:* `string`[]

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### ScimIntegration <a name="cdktf-snowflake.ScimIntegration"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html snowflake_scim_integration}.

#### Initializer <a name="cdktf-snowflake.ScimIntegration.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ScimIntegration

ScimIntegration(scope, Construct, id, string, config, ScimIntegrationConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ScimIntegrationConfig`](#cdktf-snowflake.ScimIntegrationConfig)

---


#### Methods <a name="Methods"></a>

##### `resetNetworkPolicy` <a name="cdktf-snowflake.ScimIntegration.resetNetworkPolicy"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_network_policy()
```

#### Properties <a name="Properties"></a>

##### `createdOn`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.property.createdOn"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.property.nameInput"></a>

* *Type:* `string`

---


##### `provisionerRoleInput`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.property.provisionerRoleInput"></a>

* *Type:* `string`

---


##### `scimClientInput`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.property.scimClientInput"></a>

* *Type:* `string`

---


##### `networkPolicyInput`<sup>Optional</sup> <a name="cdktf-snowflake.ScimIntegration.property.networkPolicyInput"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.property.name"></a>

* *Type:* `string`

---


##### `networkPolicy`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.property.networkPolicy"></a>

* *Type:* `string`

---


##### `provisionerRole`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.property.provisionerRole"></a>

* *Type:* `string`

---


##### `scimClient`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegration.property.scimClient"></a>

* *Type:* `string`

---


### Sequence <a name="cdktf-snowflake.Sequence"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html snowflake_sequence}.

#### Initializer <a name="cdktf-snowflake.Sequence.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Sequence

Sequence(scope, Construct, id, string, config, SequenceConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.parameter.config"></a>

* *Type:* [`cdktf-snowflake.SequenceConfig`](#cdktf-snowflake.SequenceConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.Sequence.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetIncrement` <a name="cdktf-snowflake.Sequence.resetIncrement"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_increment()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.nameInput"></a>

* *Type:* `string`

---


##### `nextValue`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.nextValue"></a>

* *Type:* `number`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.schemaInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Sequence.property.commentInput"></a>

* *Type:* `string`

---


##### `incrementInput`<sup>Optional</sup> <a name="cdktf-snowflake.Sequence.property.incrementInput"></a>

* *Type:* `number`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.database"></a>

* *Type:* `string`

---


##### `increment`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.increment"></a>

* *Type:* `number`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.Sequence.property.schema"></a>

* *Type:* `string`

---


### SequenceGrant <a name="cdktf-snowflake.SequenceGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html snowflake_sequence_grant}.

#### Initializer <a name="cdktf-snowflake.SequenceGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import SequenceGrant

SequenceGrant(scope, Construct, id, string, config, SequenceGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.SequenceGrantConfig`](#cdktf-snowflake.SequenceGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetOnFuture` <a name="cdktf-snowflake.SequenceGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.SequenceGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.SequenceGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetSequenceName` <a name="cdktf-snowflake.SequenceGrant.resetSequenceName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_sequence_name()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.SequenceGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `sequenceNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrant.property.sequenceNameInput"></a>

* *Type:* `string`

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `sequenceName`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.sequenceName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### Share <a name="cdktf-snowflake.Share"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/share.html snowflake_share}.

#### Initializer <a name="cdktf-snowflake.Share.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Share

Share(scope, Construct, id, string, config, ShareConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Share.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Share.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Share.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ShareConfig`](#cdktf-snowflake.ShareConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAccounts` <a name="cdktf-snowflake.Share.resetAccounts"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_accounts()
```

##### `resetComment` <a name="cdktf-snowflake.Share.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Share.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Share.property.nameInput"></a>

* *Type:* `string`

---


##### `accountsInput`<sup>Optional</sup> <a name="cdktf-snowflake.Share.property.accountsInput"></a>

* *Type:* `string`[]

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Share.property.commentInput"></a>

* *Type:* `string`

---


##### `accounts`<sup>Required</sup> <a name="cdktf-snowflake.Share.property.accounts"></a>

* *Type:* `string`[]

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Share.property.comment"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Share.property.name"></a>

* *Type:* `string`

---


### SnowflakeProvider <a name="cdktf-snowflake.SnowflakeProvider"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake snowflake}.

#### Initializer <a name="cdktf-snowflake.SnowflakeProvider.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import SnowflakeProvider

SnowflakeProvider(scope, Construct, id, string, config, SnowflakeProviderConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.SnowflakeProvider.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.SnowflakeProvider.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.SnowflakeProvider.parameter.config"></a>

* *Type:* [`cdktf-snowflake.SnowflakeProviderConfig`](#cdktf-snowflake.SnowflakeProviderConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAlias` <a name="cdktf-snowflake.SnowflakeProvider.resetAlias"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_alias()
```

##### `resetBrowserAuth` <a name="cdktf-snowflake.SnowflakeProvider.resetBrowserAuth"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_browser_auth()
```

##### `resetOauthAccessToken` <a name="cdktf-snowflake.SnowflakeProvider.resetOauthAccessToken"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_oauth_access_token()
```

##### `resetOauthClientId` <a name="cdktf-snowflake.SnowflakeProvider.resetOauthClientId"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_oauth_client_id()
```

##### `resetOauthClientSecret` <a name="cdktf-snowflake.SnowflakeProvider.resetOauthClientSecret"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_oauth_client_secret()
```

##### `resetOauthEndpoint` <a name="cdktf-snowflake.SnowflakeProvider.resetOauthEndpoint"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_oauth_endpoint()
```

##### `resetOauthRedirectUrl` <a name="cdktf-snowflake.SnowflakeProvider.resetOauthRedirectUrl"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_oauth_redirect_url()
```

##### `resetOauthRefreshToken` <a name="cdktf-snowflake.SnowflakeProvider.resetOauthRefreshToken"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_oauth_refresh_token()
```

##### `resetPassword` <a name="cdktf-snowflake.SnowflakeProvider.resetPassword"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_password()
```

##### `resetPrivateKey` <a name="cdktf-snowflake.SnowflakeProvider.resetPrivateKey"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_private_key()
```

##### `resetPrivateKeyPath` <a name="cdktf-snowflake.SnowflakeProvider.resetPrivateKeyPath"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_private_key_path()
```

##### `resetRegion` <a name="cdktf-snowflake.SnowflakeProvider.resetRegion"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_region()
```

##### `resetRole` <a name="cdktf-snowflake.SnowflakeProvider.resetRole"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_role()
```

#### Properties <a name="Properties"></a>

##### `accountInput`<sup>Required</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.accountInput"></a>

* *Type:* `string`

---


##### `usernameInput`<sup>Required</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.usernameInput"></a>

* *Type:* `string`

---


##### `aliasInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.aliasInput"></a>

* *Type:* `string`

---


##### `browserAuthInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.browserAuthInput"></a>

* *Type:* `boolean`

---


##### `oauthAccessTokenInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthAccessTokenInput"></a>

* *Type:* `string`

---


##### `oauthClientIdInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthClientIdInput"></a>

* *Type:* `string`

---


##### `oauthClientSecretInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthClientSecretInput"></a>

* *Type:* `string`

---


##### `oauthEndpointInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthEndpointInput"></a>

* *Type:* `string`

---


##### `oauthRedirectUrlInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthRedirectUrlInput"></a>

* *Type:* `string`

---


##### `oauthRefreshTokenInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthRefreshTokenInput"></a>

* *Type:* `string`

---


##### `passwordInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.passwordInput"></a>

* *Type:* `string`

---


##### `privateKeyInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.privateKeyInput"></a>

* *Type:* `string`

---


##### `privateKeyPathInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.privateKeyPathInput"></a>

* *Type:* `string`

---


##### `regionInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.regionInput"></a>

* *Type:* `string`

---


##### `roleInput`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.roleInput"></a>

* *Type:* `string`

---


##### `account`<sup>Required</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.account"></a>

* *Type:* `string`

---


##### `username`<sup>Required</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.username"></a>

* *Type:* `string`

---


##### `alias`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.alias"></a>

* *Type:* `string`

---


##### `browserAuth`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.browserAuth"></a>

* *Type:* `boolean`

---


##### `oauthAccessToken`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthAccessToken"></a>

* *Type:* `string`

---


##### `oauthClientId`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthClientId"></a>

* *Type:* `string`

---


##### `oauthClientSecret`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthClientSecret"></a>

* *Type:* `string`

---


##### `oauthEndpoint`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthEndpoint"></a>

* *Type:* `string`

---


##### `oauthRedirectUrl`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthRedirectUrl"></a>

* *Type:* `string`

---


##### `oauthRefreshToken`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.oauthRefreshToken"></a>

* *Type:* `string`

---


##### `password`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.password"></a>

* *Type:* `string`

---


##### `privateKey`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.privateKey"></a>

* *Type:* `string`

---


##### `privateKeyPath`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.privateKeyPath"></a>

* *Type:* `string`

---


##### `region`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.region"></a>

* *Type:* `string`

---


##### `role`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProvider.property.role"></a>

* *Type:* `string`

---


### Stage <a name="cdktf-snowflake.Stage"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html snowflake_stage}.

#### Initializer <a name="cdktf-snowflake.Stage.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Stage

Stage(scope, Construct, id, string, config, StageConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Stage.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Stage.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Stage.parameter.config"></a>

* *Type:* [`cdktf-snowflake.StageConfig`](#cdktf-snowflake.StageConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAwsExternalId` <a name="cdktf-snowflake.Stage.resetAwsExternalId"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_aws_external_id()
```

##### `resetComment` <a name="cdktf-snowflake.Stage.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetCopyOptions` <a name="cdktf-snowflake.Stage.resetCopyOptions"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_copy_options()
```

##### `resetCredentials` <a name="cdktf-snowflake.Stage.resetCredentials"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_credentials()
```

##### `resetEncryption` <a name="cdktf-snowflake.Stage.resetEncryption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_encryption()
```

##### `resetFileFormat` <a name="cdktf-snowflake.Stage.resetFileFormat"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_file_format()
```

##### `resetSnowflakeIamUser` <a name="cdktf-snowflake.Stage.resetSnowflakeIamUser"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_snowflake_iam_user()
```

##### `resetStorageIntegration` <a name="cdktf-snowflake.Stage.resetStorageIntegration"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_storage_integration()
```

##### `resetUrl` <a name="cdktf-snowflake.Stage.resetUrl"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_url()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.nameInput"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.schemaInput"></a>

* *Type:* `string`

---


##### `awsExternalIdInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stage.property.awsExternalIdInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stage.property.commentInput"></a>

* *Type:* `string`

---


##### `copyOptionsInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stage.property.copyOptionsInput"></a>

* *Type:* `string`

---


##### `credentialsInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stage.property.credentialsInput"></a>

* *Type:* `string`

---


##### `encryptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stage.property.encryptionInput"></a>

* *Type:* `string`

---


##### `fileFormatInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stage.property.fileFormatInput"></a>

* *Type:* `string`

---


##### `snowflakeIamUserInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stage.property.snowflakeIamUserInput"></a>

* *Type:* `string`

---


##### `storageIntegrationInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stage.property.storageIntegrationInput"></a>

* *Type:* `string`

---


##### `urlInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stage.property.urlInput"></a>

* *Type:* `string`

---


##### `awsExternalId`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.awsExternalId"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.comment"></a>

* *Type:* `string`

---


##### `copyOptions`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.copyOptions"></a>

* *Type:* `string`

---


##### `credentials`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.credentials"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.database"></a>

* *Type:* `string`

---


##### `encryption`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.encryption"></a>

* *Type:* `string`

---


##### `fileFormat`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.fileFormat"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.schema"></a>

* *Type:* `string`

---


##### `snowflakeIamUser`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.snowflakeIamUser"></a>

* *Type:* `string`

---


##### `storageIntegration`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.storageIntegration"></a>

* *Type:* `string`

---


##### `url`<sup>Required</sup> <a name="cdktf-snowflake.Stage.property.url"></a>

* *Type:* `string`

---


### StageGrant <a name="cdktf-snowflake.StageGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html snowflake_stage_grant}.

#### Initializer <a name="cdktf-snowflake.StageGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import StageGrant

StageGrant(scope, Construct, id, string, config, StageGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.StageGrantConfig`](#cdktf-snowflake.StageGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetOnFuture` <a name="cdktf-snowflake.StageGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.StageGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.StageGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetShares` <a name="cdktf-snowflake.StageGrant.resetShares"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_shares()
```

##### `resetStageName` <a name="cdktf-snowflake.StageGrant.resetStageName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_stage_name()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.StageGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `sharesInput`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrant.property.sharesInput"></a>

* *Type:* `string`[]

---


##### `stageNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrant.property.stageNameInput"></a>

* *Type:* `string`

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `shares`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.shares"></a>

* *Type:* `string`[]

---


##### `stageName`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.stageName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.StageGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### StorageIntegration <a name="cdktf-snowflake.StorageIntegration"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html snowflake_storage_integration}.

#### Initializer <a name="cdktf-snowflake.StorageIntegration.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import StorageIntegration

StorageIntegration(scope, Construct, id, string, config, StorageIntegrationConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.parameter.config"></a>

* *Type:* [`cdktf-snowflake.StorageIntegrationConfig`](#cdktf-snowflake.StorageIntegrationConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAzureTenantId` <a name="cdktf-snowflake.StorageIntegration.resetAzureTenantId"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_azure_tenant_id()
```

##### `resetComment` <a name="cdktf-snowflake.StorageIntegration.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetEnabled` <a name="cdktf-snowflake.StorageIntegration.resetEnabled"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_enabled()
```

##### `resetStorageAwsRoleArn` <a name="cdktf-snowflake.StorageIntegration.resetStorageAwsRoleArn"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_storage_aws_role_arn()
```

##### `resetStorageBlockedLocations` <a name="cdktf-snowflake.StorageIntegration.resetStorageBlockedLocations"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_storage_blocked_locations()
```

##### `resetType` <a name="cdktf-snowflake.StorageIntegration.resetType"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_type()
```

#### Properties <a name="Properties"></a>

##### `azureConsentUrl`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.azureConsentUrl"></a>

* *Type:* `string`

---


##### `azureMultiTenantAppName`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.azureMultiTenantAppName"></a>

* *Type:* `string`

---


##### `createdOn`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.createdOn"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.nameInput"></a>

* *Type:* `string`

---


##### `storageAllowedLocationsInput`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageAllowedLocationsInput"></a>

* *Type:* `string`[]

---


##### `storageAwsExternalId`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageAwsExternalId"></a>

* *Type:* `string`

---


##### `storageAwsIamUserArn`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageAwsIamUserArn"></a>

* *Type:* `string`

---


##### `storageGcpServiceAccount`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageGcpServiceAccount"></a>

* *Type:* `string`

---


##### `storageProviderInput`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageProviderInput"></a>

* *Type:* `string`

---


##### `azureTenantIdInput`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegration.property.azureTenantIdInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegration.property.commentInput"></a>

* *Type:* `string`

---


##### `enabledInput`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegration.property.enabledInput"></a>

* *Type:* `boolean`

---


##### `storageAwsRoleArnInput`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageAwsRoleArnInput"></a>

* *Type:* `string`

---


##### `storageBlockedLocationsInput`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageBlockedLocationsInput"></a>

* *Type:* `string`[]

---


##### `typeInput`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegration.property.typeInput"></a>

* *Type:* `string`

---


##### `azureTenantId`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.azureTenantId"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.comment"></a>

* *Type:* `string`

---


##### `enabled`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.enabled"></a>

* *Type:* `boolean`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.name"></a>

* *Type:* `string`

---


##### `storageAllowedLocations`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageAllowedLocations"></a>

* *Type:* `string`[]

---


##### `storageAwsRoleArn`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageAwsRoleArn"></a>

* *Type:* `string`

---


##### `storageBlockedLocations`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageBlockedLocations"></a>

* *Type:* `string`[]

---


##### `storageProvider`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.storageProvider"></a>

* *Type:* `string`

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegration.property.type"></a>

* *Type:* `string`

---


### Stream <a name="cdktf-snowflake.Stream"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html snowflake_stream}.

#### Initializer <a name="cdktf-snowflake.Stream.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Stream

Stream(scope, Construct, id, string, config, StreamConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Stream.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Stream.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Stream.parameter.config"></a>

* *Type:* [`cdktf-snowflake.StreamConfig`](#cdktf-snowflake.StreamConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAppendOnly` <a name="cdktf-snowflake.Stream.resetAppendOnly"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_append_only()
```

##### `resetComment` <a name="cdktf-snowflake.Stream.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetOnTable` <a name="cdktf-snowflake.Stream.resetOnTable"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_table()
```

##### `resetShowInitialRows` <a name="cdktf-snowflake.Stream.resetShowInitialRows"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_show_initial_rows()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.nameInput"></a>

* *Type:* `string`

---


##### `owner`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.owner"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.schemaInput"></a>

* *Type:* `string`

---


##### `appendOnlyInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stream.property.appendOnlyInput"></a>

* *Type:* `boolean`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stream.property.commentInput"></a>

* *Type:* `string`

---


##### `onTableInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stream.property.onTableInput"></a>

* *Type:* `string`

---


##### `showInitialRowsInput`<sup>Optional</sup> <a name="cdktf-snowflake.Stream.property.showInitialRowsInput"></a>

* *Type:* `boolean`

---


##### `appendOnly`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.appendOnly"></a>

* *Type:* `boolean`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.name"></a>

* *Type:* `string`

---


##### `onTable`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.onTable"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.schema"></a>

* *Type:* `string`

---


##### `showInitialRows`<sup>Required</sup> <a name="cdktf-snowflake.Stream.property.showInitialRows"></a>

* *Type:* `boolean`

---


### StreamGrant <a name="cdktf-snowflake.StreamGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html snowflake_stream_grant}.

#### Initializer <a name="cdktf-snowflake.StreamGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import StreamGrant

StreamGrant(scope, Construct, id, string, config, StreamGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.StreamGrantConfig`](#cdktf-snowflake.StreamGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetOnFuture` <a name="cdktf-snowflake.StreamGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.StreamGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.StreamGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetStreamName` <a name="cdktf-snowflake.StreamGrant.resetStreamName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_stream_name()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.StreamGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `streamNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrant.property.streamNameInput"></a>

* *Type:* `string`

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `streamName`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.streamName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### Table <a name="cdktf-snowflake.Table"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/table.html snowflake_table}.

#### Initializer <a name="cdktf-snowflake.Table.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Table

Table(scope, Construct, id, string, config, TableConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Table.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Table.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Table.parameter.config"></a>

* *Type:* [`cdktf-snowflake.TableConfig`](#cdktf-snowflake.TableConfig)

---


#### Methods <a name="Methods"></a>

##### `resetChangeTracking` <a name="cdktf-snowflake.Table.resetChangeTracking"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_change_tracking()
```

##### `resetClusterBy` <a name="cdktf-snowflake.Table.resetClusterBy"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_cluster_by()
```

##### `resetComment` <a name="cdktf-snowflake.Table.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetDataRetentionDays` <a name="cdktf-snowflake.Table.resetDataRetentionDays"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_data_retention_days()
```

##### `resetPrimaryKey` <a name="cdktf-snowflake.Table.resetPrimaryKey"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_primary_key()
```

#### Properties <a name="Properties"></a>

##### `columnInput`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.columnInput"></a>

* *Type:* [`cdktf-snowflake.TableColumn`](#cdktf-snowflake.TableColumn)[]

---


##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.nameInput"></a>

* *Type:* `string`

---


##### `owner`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.owner"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.schemaInput"></a>

* *Type:* `string`

---


##### `changeTrackingInput`<sup>Optional</sup> <a name="cdktf-snowflake.Table.property.changeTrackingInput"></a>

* *Type:* `boolean`

---


##### `clusterByInput`<sup>Optional</sup> <a name="cdktf-snowflake.Table.property.clusterByInput"></a>

* *Type:* `string`[]

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Table.property.commentInput"></a>

* *Type:* `string`

---


##### `dataRetentionDaysInput`<sup>Optional</sup> <a name="cdktf-snowflake.Table.property.dataRetentionDaysInput"></a>

* *Type:* `number`

---


##### `primaryKeyInput`<sup>Optional</sup> <a name="cdktf-snowflake.Table.property.primaryKeyInput"></a>

* *Type:* [`cdktf-snowflake.TablePrimaryKey`](#cdktf-snowflake.TablePrimaryKey)[]

---


##### `changeTracking`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.changeTracking"></a>

* *Type:* `boolean`

---


##### `clusterBy`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.clusterBy"></a>

* *Type:* `string`[]

---


##### `column`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.column"></a>

* *Type:* [`cdktf-snowflake.TableColumn`](#cdktf-snowflake.TableColumn)[]

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.database"></a>

* *Type:* `string`

---


##### `dataRetentionDays`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.dataRetentionDays"></a>

* *Type:* `number`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.name"></a>

* *Type:* `string`

---


##### `primaryKey`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.primaryKey"></a>

* *Type:* [`cdktf-snowflake.TablePrimaryKey`](#cdktf-snowflake.TablePrimaryKey)[]

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.Table.property.schema"></a>

* *Type:* `string`

---


### TableGrant <a name="cdktf-snowflake.TableGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html snowflake_table_grant}.

#### Initializer <a name="cdktf-snowflake.TableGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import TableGrant

TableGrant(scope, Construct, id, string, config, TableGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.TableGrantConfig`](#cdktf-snowflake.TableGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetOnFuture` <a name="cdktf-snowflake.TableGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.TableGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.TableGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetSchemaName` <a name="cdktf-snowflake.TableGrant.resetSchemaName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_schema_name()
```

##### `resetShares` <a name="cdktf-snowflake.TableGrant.resetShares"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_shares()
```

##### `resetTableName` <a name="cdktf-snowflake.TableGrant.resetTableName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_table_name()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.TableGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.id"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `schemaNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `sharesInput`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrant.property.sharesInput"></a>

* *Type:* `string`[]

---


##### `tableNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrant.property.tableNameInput"></a>

* *Type:* `string`

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `shares`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.shares"></a>

* *Type:* `string`[]

---


##### `tableName`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.tableName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.TableGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### Task <a name="cdktf-snowflake.Task"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/task.html snowflake_task}.

#### Initializer <a name="cdktf-snowflake.Task.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Task

Task(scope, Construct, id, string, config, TaskConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Task.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Task.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Task.parameter.config"></a>

* *Type:* [`cdktf-snowflake.TaskConfig`](#cdktf-snowflake.TaskConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAfter` <a name="cdktf-snowflake.Task.resetAfter"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_after()
```

##### `resetComment` <a name="cdktf-snowflake.Task.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetEnabled` <a name="cdktf-snowflake.Task.resetEnabled"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_enabled()
```

##### `resetSchedule` <a name="cdktf-snowflake.Task.resetSchedule"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_schedule()
```

##### `resetSessionParameters` <a name="cdktf-snowflake.Task.resetSessionParameters"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_session_parameters()
```

##### `resetUserTaskTimeoutMs` <a name="cdktf-snowflake.Task.resetUserTaskTimeoutMs"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_user_task_timeout_ms()
```

##### `resetWhen` <a name="cdktf-snowflake.Task.resetWhen"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_when()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.nameInput"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.schemaInput"></a>

* *Type:* `string`

---


##### `sqlStatementInput`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.sqlStatementInput"></a>

* *Type:* `string`

---


##### `warehouseInput`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.warehouseInput"></a>

* *Type:* `string`

---


##### `afterInput`<sup>Optional</sup> <a name="cdktf-snowflake.Task.property.afterInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Task.property.commentInput"></a>

* *Type:* `string`

---


##### `enabledInput`<sup>Optional</sup> <a name="cdktf-snowflake.Task.property.enabledInput"></a>

* *Type:* `boolean`

---


##### `scheduleInput`<sup>Optional</sup> <a name="cdktf-snowflake.Task.property.scheduleInput"></a>

* *Type:* `string`

---


##### `sessionParametersInput`<sup>Optional</sup> <a name="cdktf-snowflake.Task.property.sessionParametersInput"></a>

* *Type:* {[ key: string ]: `string`}

---


##### `userTaskTimeoutMsInput`<sup>Optional</sup> <a name="cdktf-snowflake.Task.property.userTaskTimeoutMsInput"></a>

* *Type:* `number`

---


##### `whenInput`<sup>Optional</sup> <a name="cdktf-snowflake.Task.property.whenInput"></a>

* *Type:* `string`

---


##### `after`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.after"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.database"></a>

* *Type:* `string`

---


##### `enabled`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.enabled"></a>

* *Type:* `boolean`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.name"></a>

* *Type:* `string`

---


##### `schedule`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.schedule"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.schema"></a>

* *Type:* `string`

---


##### `sessionParameters`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.sessionParameters"></a>

* *Type:* {[ key: string ]: `string`}

---


##### `sqlStatement`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.sqlStatement"></a>

* *Type:* `string`

---


##### `userTaskTimeoutMs`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.userTaskTimeoutMs"></a>

* *Type:* `number`

---


##### `warehouse`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.warehouse"></a>

* *Type:* `string`

---


##### `when`<sup>Required</sup> <a name="cdktf-snowflake.Task.property.when"></a>

* *Type:* `string`

---


### TaskGrant <a name="cdktf-snowflake.TaskGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html snowflake_task_grant}.

#### Initializer <a name="cdktf-snowflake.TaskGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import TaskGrant

TaskGrant(scope, Construct, id, string, config, TaskGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.TaskGrantConfig`](#cdktf-snowflake.TaskGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetOnFuture` <a name="cdktf-snowflake.TaskGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.TaskGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.TaskGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetTaskName` <a name="cdktf-snowflake.TaskGrant.resetTaskName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_task_name()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.TaskGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.id"></a>

* *Type:* `string`

---


##### `schemaNameInput`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `taskNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrant.property.taskNameInput"></a>

* *Type:* `string`

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `taskName`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.taskName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### User <a name="cdktf-snowflake.User"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/user.html snowflake_user}.

#### Initializer <a name="cdktf-snowflake.User.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import User

User(scope, Construct, id, string, config, UserConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.User.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.User.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.User.parameter.config"></a>

* *Type:* [`cdktf-snowflake.UserConfig`](#cdktf-snowflake.UserConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.User.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetDefaultNamespace` <a name="cdktf-snowflake.User.resetDefaultNamespace"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_default_namespace()
```

##### `resetDefaultRole` <a name="cdktf-snowflake.User.resetDefaultRole"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_default_role()
```

##### `resetDefaultWarehouse` <a name="cdktf-snowflake.User.resetDefaultWarehouse"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_default_warehouse()
```

##### `resetDisabled` <a name="cdktf-snowflake.User.resetDisabled"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_disabled()
```

##### `resetDisplayName` <a name="cdktf-snowflake.User.resetDisplayName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_display_name()
```

##### `resetEmail` <a name="cdktf-snowflake.User.resetEmail"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_email()
```

##### `resetFirstName` <a name="cdktf-snowflake.User.resetFirstName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_first_name()
```

##### `resetLastName` <a name="cdktf-snowflake.User.resetLastName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_last_name()
```

##### `resetLoginName` <a name="cdktf-snowflake.User.resetLoginName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_login_name()
```

##### `resetMustChangePassword` <a name="cdktf-snowflake.User.resetMustChangePassword"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_must_change_password()
```

##### `resetPassword` <a name="cdktf-snowflake.User.resetPassword"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_password()
```

##### `resetRsaPublicKey` <a name="cdktf-snowflake.User.resetRsaPublicKey"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_rsa_public_key()
```

##### `resetRsaPublicKey2` <a name="cdktf-snowflake.User.resetRsaPublicKey2"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_rsa_public_key2()
```

#### Properties <a name="Properties"></a>

##### `hasRsaPublicKey`<sup>Required</sup> <a name="cdktf-snowflake.User.property.hasRsaPublicKey"></a>

* *Type:* `boolean`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.User.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.User.property.nameInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.commentInput"></a>

* *Type:* `string`

---


##### `defaultNamespaceInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.defaultNamespaceInput"></a>

* *Type:* `string`

---


##### `defaultRoleInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.defaultRoleInput"></a>

* *Type:* `string`

---


##### `defaultWarehouseInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.defaultWarehouseInput"></a>

* *Type:* `string`

---


##### `disabledInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.disabledInput"></a>

* *Type:* `boolean`

---


##### `displayNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.displayNameInput"></a>

* *Type:* `string`

---


##### `emailInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.emailInput"></a>

* *Type:* `string`

---


##### `firstNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.firstNameInput"></a>

* *Type:* `string`

---


##### `lastNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.lastNameInput"></a>

* *Type:* `string`

---


##### `loginNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.loginNameInput"></a>

* *Type:* `string`

---


##### `mustChangePasswordInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.mustChangePasswordInput"></a>

* *Type:* `boolean`

---


##### `passwordInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.passwordInput"></a>

* *Type:* `string`

---


##### `rsaPublicKey2Input`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.rsaPublicKey2Input"></a>

* *Type:* `string`

---


##### `rsaPublicKeyInput`<sup>Optional</sup> <a name="cdktf-snowflake.User.property.rsaPublicKeyInput"></a>

* *Type:* `string`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.User.property.comment"></a>

* *Type:* `string`

---


##### `defaultNamespace`<sup>Required</sup> <a name="cdktf-snowflake.User.property.defaultNamespace"></a>

* *Type:* `string`

---


##### `defaultRole`<sup>Required</sup> <a name="cdktf-snowflake.User.property.defaultRole"></a>

* *Type:* `string`

---


##### `defaultWarehouse`<sup>Required</sup> <a name="cdktf-snowflake.User.property.defaultWarehouse"></a>

* *Type:* `string`

---


##### `disabled`<sup>Required</sup> <a name="cdktf-snowflake.User.property.disabled"></a>

* *Type:* `boolean`

---


##### `displayName`<sup>Required</sup> <a name="cdktf-snowflake.User.property.displayName"></a>

* *Type:* `string`

---


##### `email`<sup>Required</sup> <a name="cdktf-snowflake.User.property.email"></a>

* *Type:* `string`

---


##### `firstName`<sup>Required</sup> <a name="cdktf-snowflake.User.property.firstName"></a>

* *Type:* `string`

---


##### `lastName`<sup>Required</sup> <a name="cdktf-snowflake.User.property.lastName"></a>

* *Type:* `string`

---


##### `loginName`<sup>Required</sup> <a name="cdktf-snowflake.User.property.loginName"></a>

* *Type:* `string`

---


##### `mustChangePassword`<sup>Required</sup> <a name="cdktf-snowflake.User.property.mustChangePassword"></a>

* *Type:* `boolean`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.User.property.name"></a>

* *Type:* `string`

---


##### `password`<sup>Required</sup> <a name="cdktf-snowflake.User.property.password"></a>

* *Type:* `string`

---


##### `rsaPublicKey`<sup>Required</sup> <a name="cdktf-snowflake.User.property.rsaPublicKey"></a>

* *Type:* `string`

---


##### `rsaPublicKey2`<sup>Required</sup> <a name="cdktf-snowflake.User.property.rsaPublicKey2"></a>

* *Type:* `string`

---


### UserPublicKeys <a name="cdktf-snowflake.UserPublicKeys"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html snowflake_user_public_keys}.

#### Initializer <a name="cdktf-snowflake.UserPublicKeys.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import UserPublicKeys

UserPublicKeys(scope, Construct, id, string, config, UserPublicKeysConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.UserPublicKeys.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.UserPublicKeys.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.UserPublicKeys.parameter.config"></a>

* *Type:* [`cdktf-snowflake.UserPublicKeysConfig`](#cdktf-snowflake.UserPublicKeysConfig)

---


#### Methods <a name="Methods"></a>

##### `resetRsaPublicKey` <a name="cdktf-snowflake.UserPublicKeys.resetRsaPublicKey"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_rsa_public_key()
```

##### `resetRsaPublicKey2` <a name="cdktf-snowflake.UserPublicKeys.resetRsaPublicKey2"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_rsa_public_key2()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.UserPublicKeys.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.UserPublicKeys.property.nameInput"></a>

* *Type:* `string`

---


##### `rsaPublicKey2Input`<sup>Optional</sup> <a name="cdktf-snowflake.UserPublicKeys.property.rsaPublicKey2Input"></a>

* *Type:* `string`

---


##### `rsaPublicKeyInput`<sup>Optional</sup> <a name="cdktf-snowflake.UserPublicKeys.property.rsaPublicKeyInput"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.UserPublicKeys.property.name"></a>

* *Type:* `string`

---


##### `rsaPublicKey`<sup>Required</sup> <a name="cdktf-snowflake.UserPublicKeys.property.rsaPublicKey"></a>

* *Type:* `string`

---


##### `rsaPublicKey2`<sup>Required</sup> <a name="cdktf-snowflake.UserPublicKeys.property.rsaPublicKey2"></a>

* *Type:* `string`

---


### View <a name="cdktf-snowflake.View"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/view.html snowflake_view}.

#### Initializer <a name="cdktf-snowflake.View.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import View

View(scope, Construct, id, string, config, ViewConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.View.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.View.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.View.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ViewConfig`](#cdktf-snowflake.ViewConfig)

---


#### Methods <a name="Methods"></a>

##### `resetComment` <a name="cdktf-snowflake.View.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetIsSecure` <a name="cdktf-snowflake.View.resetIsSecure"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_is_secure()
```

##### `resetOrReplace` <a name="cdktf-snowflake.View.resetOrReplace"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_or_replace()
```

#### Properties <a name="Properties"></a>

##### `databaseInput`<sup>Required</sup> <a name="cdktf-snowflake.View.property.databaseInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.View.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.View.property.nameInput"></a>

* *Type:* `string`

---


##### `schemaInput`<sup>Required</sup> <a name="cdktf-snowflake.View.property.schemaInput"></a>

* *Type:* `string`

---


##### `statementInput`<sup>Required</sup> <a name="cdktf-snowflake.View.property.statementInput"></a>

* *Type:* `string`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.View.property.commentInput"></a>

* *Type:* `string`

---


##### `isSecureInput`<sup>Optional</sup> <a name="cdktf-snowflake.View.property.isSecureInput"></a>

* *Type:* `boolean`

---


##### `orReplaceInput`<sup>Optional</sup> <a name="cdktf-snowflake.View.property.orReplaceInput"></a>

* *Type:* `boolean`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.View.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.View.property.database"></a>

* *Type:* `string`

---


##### `isSecure`<sup>Required</sup> <a name="cdktf-snowflake.View.property.isSecure"></a>

* *Type:* `boolean`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.View.property.name"></a>

* *Type:* `string`

---


##### `orReplace`<sup>Required</sup> <a name="cdktf-snowflake.View.property.orReplace"></a>

* *Type:* `boolean`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.View.property.schema"></a>

* *Type:* `string`

---


##### `statement`<sup>Required</sup> <a name="cdktf-snowflake.View.property.statement"></a>

* *Type:* `string`

---


### ViewGrant <a name="cdktf-snowflake.ViewGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html snowflake_view_grant}.

#### Initializer <a name="cdktf-snowflake.ViewGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ViewGrant

ViewGrant(scope, Construct, id, string, config, ViewGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.ViewGrantConfig`](#cdktf-snowflake.ViewGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetOnFuture` <a name="cdktf-snowflake.ViewGrant.resetOnFuture"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_on_future()
```

##### `resetPrivilege` <a name="cdktf-snowflake.ViewGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.ViewGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetSchemaName` <a name="cdktf-snowflake.ViewGrant.resetSchemaName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_schema_name()
```

##### `resetShares` <a name="cdktf-snowflake.ViewGrant.resetShares"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_shares()
```

##### `resetViewName` <a name="cdktf-snowflake.ViewGrant.resetViewName"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_view_name()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.ViewGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `databaseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.databaseNameInput"></a>

* *Type:* `string`

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.id"></a>

* *Type:* `string`

---


##### `onFutureInput`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrant.property.onFutureInput"></a>

* *Type:* `boolean`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `schemaNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrant.property.schemaNameInput"></a>

* *Type:* `string`

---


##### `sharesInput`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrant.property.sharesInput"></a>

* *Type:* `string`[]

---


##### `viewNameInput`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrant.property.viewNameInput"></a>

* *Type:* `string`

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.databaseName"></a>

* *Type:* `string`

---


##### `onFuture`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.onFuture"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.schemaName"></a>

* *Type:* `string`

---


##### `shares`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.shares"></a>

* *Type:* `string`[]

---


##### `viewName`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.viewName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


### Warehouse <a name="cdktf-snowflake.Warehouse"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html snowflake_warehouse}.

#### Initializer <a name="cdktf-snowflake.Warehouse.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import Warehouse

Warehouse(scope, Construct, id, string, config, WarehouseConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.parameter.config"></a>

* *Type:* [`cdktf-snowflake.WarehouseConfig`](#cdktf-snowflake.WarehouseConfig)

---


#### Methods <a name="Methods"></a>

##### `resetAutoResume` <a name="cdktf-snowflake.Warehouse.resetAutoResume"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_auto_resume()
```

##### `resetAutoSuspend` <a name="cdktf-snowflake.Warehouse.resetAutoSuspend"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_auto_suspend()
```

##### `resetComment` <a name="cdktf-snowflake.Warehouse.resetComment"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_comment()
```

##### `resetInitiallySuspended` <a name="cdktf-snowflake.Warehouse.resetInitiallySuspended"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_initially_suspended()
```

##### `resetMaxClusterCount` <a name="cdktf-snowflake.Warehouse.resetMaxClusterCount"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_max_cluster_count()
```

##### `resetMaxConcurrencyLevel` <a name="cdktf-snowflake.Warehouse.resetMaxConcurrencyLevel"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_max_concurrency_level()
```

##### `resetMinClusterCount` <a name="cdktf-snowflake.Warehouse.resetMinClusterCount"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_min_cluster_count()
```

##### `resetResourceMonitor` <a name="cdktf-snowflake.Warehouse.resetResourceMonitor"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_resource_monitor()
```

##### `resetScalingPolicy` <a name="cdktf-snowflake.Warehouse.resetScalingPolicy"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_scaling_policy()
```

##### `resetStatementQueuedTimeoutInSeconds` <a name="cdktf-snowflake.Warehouse.resetStatementQueuedTimeoutInSeconds"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_statement_queued_timeout_in_seconds()
```

##### `resetStatementTimeoutInSeconds` <a name="cdktf-snowflake.Warehouse.resetStatementTimeoutInSeconds"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_statement_timeout_in_seconds()
```

##### `resetWaitForProvisioning` <a name="cdktf-snowflake.Warehouse.resetWaitForProvisioning"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_wait_for_provisioning()
```

##### `resetWarehouseSize` <a name="cdktf-snowflake.Warehouse.resetWarehouseSize"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_warehouse_size()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.id"></a>

* *Type:* `string`

---


##### `nameInput`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.nameInput"></a>

* *Type:* `string`

---


##### `autoResumeInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.autoResumeInput"></a>

* *Type:* `boolean`

---


##### `autoSuspendInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.autoSuspendInput"></a>

* *Type:* `number`

---


##### `commentInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.commentInput"></a>

* *Type:* `string`

---


##### `initiallySuspendedInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.initiallySuspendedInput"></a>

* *Type:* `boolean`

---


##### `maxClusterCountInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.maxClusterCountInput"></a>

* *Type:* `number`

---


##### `maxConcurrencyLevelInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.maxConcurrencyLevelInput"></a>

* *Type:* `number`

---


##### `minClusterCountInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.minClusterCountInput"></a>

* *Type:* `number`

---


##### `resourceMonitorInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.resourceMonitorInput"></a>

* *Type:* `string`

---


##### `scalingPolicyInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.scalingPolicyInput"></a>

* *Type:* `string`

---


##### `statementQueuedTimeoutInSecondsInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.statementQueuedTimeoutInSecondsInput"></a>

* *Type:* `number`

---


##### `statementTimeoutInSecondsInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.statementTimeoutInSecondsInput"></a>

* *Type:* `number`

---


##### `waitForProvisioningInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.waitForProvisioningInput"></a>

* *Type:* `boolean`

---


##### `warehouseSizeInput`<sup>Optional</sup> <a name="cdktf-snowflake.Warehouse.property.warehouseSizeInput"></a>

* *Type:* `string`

---


##### `autoResume`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.autoResume"></a>

* *Type:* `boolean`

---


##### `autoSuspend`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.autoSuspend"></a>

* *Type:* `number`

---


##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.comment"></a>

* *Type:* `string`

---


##### `initiallySuspended`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.initiallySuspended"></a>

* *Type:* `boolean`

---


##### `maxClusterCount`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.maxClusterCount"></a>

* *Type:* `number`

---


##### `maxConcurrencyLevel`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.maxConcurrencyLevel"></a>

* *Type:* `number`

---


##### `minClusterCount`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.minClusterCount"></a>

* *Type:* `number`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.name"></a>

* *Type:* `string`

---


##### `resourceMonitor`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.resourceMonitor"></a>

* *Type:* `string`

---


##### `scalingPolicy`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.scalingPolicy"></a>

* *Type:* `string`

---


##### `statementQueuedTimeoutInSeconds`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.statementQueuedTimeoutInSeconds"></a>

* *Type:* `number`

---


##### `statementTimeoutInSeconds`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.statementTimeoutInSeconds"></a>

* *Type:* `number`

---


##### `waitForProvisioning`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.waitForProvisioning"></a>

* *Type:* `boolean`

---


##### `warehouseSize`<sup>Required</sup> <a name="cdktf-snowflake.Warehouse.property.warehouseSize"></a>

* *Type:* `string`

---


### WarehouseGrant <a name="cdktf-snowflake.WarehouseGrant"></a>

Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html snowflake_warehouse_grant}.

#### Initializer <a name="cdktf-snowflake.WarehouseGrant.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import WarehouseGrant

WarehouseGrant(scope, Construct, id, string, config, WarehouseGrantConfig)
```

##### `scope`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrant.parameter.scope"></a>

* *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---


##### `id`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrant.parameter.id"></a>

* *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---


##### `config`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrant.parameter.config"></a>

* *Type:* [`cdktf-snowflake.WarehouseGrantConfig`](#cdktf-snowflake.WarehouseGrantConfig)

---


#### Methods <a name="Methods"></a>

##### `resetPrivilege` <a name="cdktf-snowflake.WarehouseGrant.resetPrivilege"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_privilege()
```

##### `resetRoles` <a name="cdktf-snowflake.WarehouseGrant.resetRoles"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_roles()
```

##### `resetWithGrantOption` <a name="cdktf-snowflake.WarehouseGrant.resetWithGrantOption"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
reset_with_grant_option()
```

#### Properties <a name="Properties"></a>

##### `id`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrant.property.id"></a>

* *Type:* `string`

---


##### `warehouseNameInput`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrant.property.warehouseNameInput"></a>

* *Type:* `string`

---


##### `privilegeInput`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrant.property.privilegeInput"></a>

* *Type:* `string`

---


##### `rolesInput`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrant.property.rolesInput"></a>

* *Type:* `string`[]

---


##### `withGrantOptionInput`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrant.property.withGrantOptionInput"></a>

* *Type:* `boolean`

---


##### `privilege`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrant.property.privilege"></a>

* *Type:* `string`

---


##### `roles`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrant.property.roles"></a>

* *Type:* `string`[]

---


##### `warehouseName`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrant.property.warehouseName"></a>

* *Type:* `string`

---


##### `withGrantOption`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrant.property.withGrantOption"></a>

* *Type:* `boolean`

---


## Structs <a name="Structs"></a>

### AccountGrantConfig <a name="cdktf-snowflake.AccountGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import AccountGrantConfig

account_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#privilege AccountGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#roles AccountGrant#roles}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.AccountGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#with_grant_option AccountGrant#with_grant_option}

---


### ApiIntegrationConfig <a name="cdktf-snowflake.ApiIntegrationConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ApiIntegrationConfig

api_integration_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `apiAllowedPrefixes`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.apiAllowedPrefixes"></a>

* *Type:* `string`[]

Explicitly limits external functions that use the integration to reference one or more HTTPS proxy service endpoints and resources within those proxies.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_allowed_prefixes ApiIntegration#api_allowed_prefixes}

---


##### `apiProvider`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.apiProvider"></a>

* *Type:* `string`

Specifies the HTTPS proxy service type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_provider ApiIntegration#api_provider}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.name"></a>

* *Type:* `string`

Specifies the name of the API integration.

This name follows the rules for Object Identifiers. The name should be unique among api integrations in your account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#name ApiIntegration#name}

---


##### `apiAwsRoleArn`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.apiAwsRoleArn"></a>

* *Type:* `string`

ARN of a cloud platform role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_aws_role_arn ApiIntegration#api_aws_role_arn}

---


##### `apiBlockedPrefixes`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.apiBlockedPrefixes"></a>

* *Type:* `string`[]

Lists the endpoints and resources in the HTTPS proxy service that are not allowed to be called from Snowflake.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_blocked_prefixes ApiIntegration#api_blocked_prefixes}

---


##### `azureAdApplicationId`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.azureAdApplicationId"></a>

* *Type:* `string`

The 'Application (client) id' of the Azure AD app for your remote service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#azure_ad_application_id ApiIntegration#azure_ad_application_id}

---


##### `azureTenantId`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.azureTenantId"></a>

* *Type:* `string`

Specifies the ID for your Office 365 tenant that all Azure API Management instances belong to.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#azure_tenant_id ApiIntegration#azure_tenant_id}

---


##### `enabled`<sup>Optional</sup> <a name="cdktf-snowflake.ApiIntegrationConfig.property.enabled"></a>

* *Type:* `boolean`

Specifies whether this API integration is enabled or disabled.

If the API integration is disabled, any external function that relies on it will not work.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#enabled ApiIntegration#enabled}

---


### DatabaseConfig <a name="cdktf-snowflake.DatabaseConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DatabaseConfig

database_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseConfig.property.name"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#name Database#name}.

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseConfig.property.comment"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#comment Database#comment}.

---


##### `dataRetentionTimeInDays`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseConfig.property.dataRetentionTimeInDays"></a>

* *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#data_retention_time_in_days Database#data_retention_time_in_days}.

---


##### `fromDatabase`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseConfig.property.fromDatabase"></a>

* *Type:* `string`

Specify a database to create a clone from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#from_database Database#from_database}

---


##### `fromShare`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseConfig.property.fromShare"></a>

* *Type:* {[ key: string ]: `string`}

Specify a provider and a share in this map to create a database from a share.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#from_share Database#from_share}

---


### DatabaseGrantConfig <a name="cdktf-snowflake.DatabaseGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DatabaseGrantConfig

database_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.DatabaseGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#database_name DatabaseGrant#database_name}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the database.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#privilege DatabaseGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#roles DatabaseGrant#roles}

---


##### `shares`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrantConfig.property.shares"></a>

* *Type:* `string`[]

Grants privilege to these shares.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#shares DatabaseGrant#shares}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.DatabaseGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#with_grant_option DatabaseGrant#with_grant_option}

---


### DataSnowflakeCurrentAccountConfig <a name="cdktf-snowflake.DataSnowflakeCurrentAccountConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeCurrentAccountConfig

data_snowflake_current_account_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccountConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccountConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccountConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeCurrentAccountConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


### DataSnowflakeExternalFunctionsConfig <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeExternalFunctionsConfig

data_snowflake_external_functions_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html#database DataSnowflakeExternalFunctions#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the external functions from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html#schema DataSnowflakeExternalFunctions#schema}

---


### DataSnowflakeExternalTablesConfig <a name="cdktf-snowflake.DataSnowflakeExternalTablesConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeExternalTablesConfig

data_snowflake_external_tables_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html#database DataSnowflakeExternalTables#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the external tables from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html#schema DataSnowflakeExternalTables#schema}

---


### DataSnowflakeFileFormatsConfig <a name="cdktf-snowflake.DataSnowflakeFileFormatsConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeFileFormatsConfig

data_snowflake_file_formats_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html#database DataSnowflakeFileFormats#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the file formats from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html#schema DataSnowflakeFileFormats#schema}

---


### DataSnowflakeMaskingPoliciesConfig <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeMaskingPoliciesConfig

data_snowflake_masking_policies_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html#database DataSnowflakeMaskingPolicies#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the maskingPolicies from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html#schema DataSnowflakeMaskingPolicies#schema}

---


### DataSnowflakeMaterializedViewsConfig <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeMaterializedViewsConfig

data_snowflake_materialized_views_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html#database DataSnowflakeMaterializedViews#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the views from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html#schema DataSnowflakeMaterializedViews#schema}

---


### DataSnowflakePipesConfig <a name="cdktf-snowflake.DataSnowflakePipesConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakePipesConfig

data_snowflake_pipes_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakePipesConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakePipesConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakePipesConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakePipesConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html#database DataSnowflakePipes#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the pipes from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html#schema DataSnowflakePipes#schema}

---


### DataSnowflakeResourceMonitorsConfig <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeResourceMonitorsConfig

data_snowflake_resource_monitors_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


### DataSnowflakeRowAccessPoliciesConfig <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeRowAccessPoliciesConfig

data_snowflake_row_access_policies_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html#database DataSnowflakeRowAccessPolicies#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the row access policyfrom.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html#schema DataSnowflakeRowAccessPolicies#schema}

---


### DataSnowflakeSchemasConfig <a name="cdktf-snowflake.DataSnowflakeSchemasConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSchemasConfig

data_snowflake_schemas_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/schemas.html#database DataSnowflakeSchemas#database}

---


### DataSnowflakeSequencesConfig <a name="cdktf-snowflake.DataSnowflakeSequencesConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSequencesConfig

data_snowflake_sequences_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html#database DataSnowflakeSequences#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the sequences from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html#schema DataSnowflakeSequences#schema}

---


### DataSnowflakeStagesConfig <a name="cdktf-snowflake.DataSnowflakeStagesConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeStagesConfig

data_snowflake_stages_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStagesConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStagesConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStagesConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStagesConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html#database DataSnowflakeStages#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the stages from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html#schema DataSnowflakeStages#schema}

---


### DataSnowflakeStorageIntegrationsConfig <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeStorageIntegrationsConfig

data_snowflake_storage_integrations_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


### DataSnowflakeStreamsConfig <a name="cdktf-snowflake.DataSnowflakeStreamsConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeStreamsConfig

data_snowflake_streams_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsConfig.property.database"></a>

* *Type:* `string`

The database from which to return the streams from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html#database DataSnowflakeStreams#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the streams from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html#schema DataSnowflakeStreams#schema}

---


### DataSnowflakeSystemGenerateScimAccessTokenConfig <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessTokenConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSystemGenerateScimAccessTokenConfig

data_snowflake_system_generate_scim_access_token_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessTokenConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessTokenConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessTokenConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessTokenConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `integrationName`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessTokenConfig.property.integrationName"></a>

* *Type:* `string`

SCIM Integration Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/system_generate_scim_access_token.html#integration_name DataSnowflakeSystemGenerateScimAccessToken#integration_name}

---


### DataSnowflakeSystemGetAwsSnsIamPolicyConfig <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicyConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSystemGetAwsSnsIamPolicyConfig

data_snowflake_system_get_aws_sns_iam_policy_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicyConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicyConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicyConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicyConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `awsSnsTopicArn`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicyConfig.property.awsSnsTopicArn"></a>

* *Type:* `string`

Amazon Resource Name (ARN) of the SNS topic for your S3 bucket.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_aws_sns_iam_policy.html#aws_sns_topic_arn DataSnowflakeSystemGetAwsSnsIamPolicy#aws_sns_topic_arn}

---


### DataSnowflakeSystemGetPrivatelinkConfigConfig <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfigConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSystemGetPrivatelinkConfigConfig

data_snowflake_system_get_privatelink_config_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfigConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfigConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfigConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfigConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


### DataSnowflakeSystemGetSnowflakePlatformInfoConfig <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfoConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSystemGetSnowflakePlatformInfoConfig

data_snowflake_system_get_snowflake_platform_info_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfoConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfoConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfoConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfoConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


### DataSnowflakeTablesConfig <a name="cdktf-snowflake.DataSnowflakeTablesConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeTablesConfig

data_snowflake_tables_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeTablesConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeTablesConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeTablesConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeTablesConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTablesConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html#database DataSnowflakeTables#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTablesConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the tables from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html#schema DataSnowflakeTables#schema}

---


### DataSnowflakeTasksConfig <a name="cdktf-snowflake.DataSnowflakeTasksConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeTasksConfig

data_snowflake_tasks_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeTasksConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeTasksConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeTasksConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeTasksConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html#database DataSnowflakeTasks#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the tasks from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html#schema DataSnowflakeTasks#schema}

---


### DataSnowflakeViewsConfig <a name="cdktf-snowflake.DataSnowflakeViewsConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeViewsConfig

data_snowflake_views_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeViewsConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeViewsConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeViewsConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeViewsConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViewsConfig.property.database"></a>

* *Type:* `string`

The database from which to return the schemas from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/views.html#database DataSnowflakeViews#database}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViewsConfig.property.schema"></a>

* *Type:* `string`

The schema from which to return the views from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/views.html#schema DataSnowflakeViews#schema}

---


### DataSnowflakeWarehousesConfig <a name="cdktf-snowflake.DataSnowflakeWarehousesConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeWarehousesConfig

data_snowflake_warehouses_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


### ExternalFunctionArg <a name="cdktf-snowflake.ExternalFunctionArg"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ExternalFunctionArg

external_function_arg = {...}
```

##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionArg.property.name"></a>

* *Type:* `string`

Argument name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionArg.property.type"></a>

* *Type:* `string`

Argument type, e.g. VARCHAR.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#type ExternalFunction#type}

---


### ExternalFunctionConfig <a name="cdktf-snowflake.ExternalFunctionConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ExternalFunctionConfig

external_function_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `apiIntegration`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.apiIntegration"></a>

* *Type:* `string`

The name of the API integration object that should be used to authenticate the call to the proxy service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#api_integration ExternalFunction#api_integration}

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.database"></a>

* *Type:* `string`

The database in which to create the external function.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#database ExternalFunction#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the external function.

The identifier can contain the schema name and database name, as well as the function name. The function's signature (name and argument data types) must be unique within the schema.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}

---


##### `returnBehavior`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.returnBehavior"></a>

* *Type:* `string`

Specifies the behavior of the function when returning results.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_behavior ExternalFunction#return_behavior}

---


##### `returnType`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.returnType"></a>

* *Type:* `string`

Specifies the data type returned by the external function.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_type ExternalFunction#return_type}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the external function.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#schema ExternalFunction#schema}

---


##### `urlOfProxyAndResource`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.urlOfProxyAndResource"></a>

* *Type:* `string`

This is the invocation URL of the proxy service and resource through which Snowflake calls the remote service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#url_of_proxy_and_resource ExternalFunction#url_of_proxy_and_resource}

---


##### `arg`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.arg"></a>

* *Type:* [`cdktf-snowflake.ExternalFunctionArg`](#cdktf-snowflake.ExternalFunctionArg)[]

arg block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#arg ExternalFunction#arg}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.comment"></a>

* *Type:* `string`

A description of the external function.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#comment ExternalFunction#comment}

---


##### `compression`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.compression"></a>

* *Type:* `string`

If specified, the JSON payload is compressed when sent from Snowflake to the proxy service, and when sent back from the proxy service to Snowflake.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#compression ExternalFunction#compression}

---


##### `contextHeaders`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.contextHeaders"></a>

* *Type:* `string`[]

Binds Snowflake context function results to HTTP headers.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#context_headers ExternalFunction#context_headers}

---


##### `header`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.header"></a>

* *Type:* [`cdktf-snowflake.ExternalFunctionHeader`](#cdktf-snowflake.ExternalFunctionHeader)[]

header block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#header ExternalFunction#header}

---


##### `maxBatchRows`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.maxBatchRows"></a>

* *Type:* `number`

This specifies the maximum number of rows in each batch sent to the proxy service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#max_batch_rows ExternalFunction#max_batch_rows}

---


##### `nullInputBehavior`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.nullInputBehavior"></a>

* *Type:* `string`

Specifies the behavior of the external function when called with null inputs.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#null_input_behavior ExternalFunction#null_input_behavior}

---


##### `returnNullAllowed`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalFunctionConfig.property.returnNullAllowed"></a>

* *Type:* `boolean`

Indicates whether the function can return NULL values or must return only NON-NULL values.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_null_allowed ExternalFunction#return_null_allowed}

---


### ExternalFunctionHeader <a name="cdktf-snowflake.ExternalFunctionHeader"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ExternalFunctionHeader

external_function_header = {...}
```

##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionHeader.property.name"></a>

* *Type:* `string`

Header name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}

---


##### `value`<sup>Required</sup> <a name="cdktf-snowflake.ExternalFunctionHeader.property.value"></a>

* *Type:* `string`

Header value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#value ExternalFunction#value}

---


### ExternalTableColumn <a name="cdktf-snowflake.ExternalTableColumn"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ExternalTableColumn

external_table_column = {...}
```

##### `as`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableColumn.property.as"></a>

* *Type:* `string`

String that specifies the expression for the column. When queried, the column returns results derived from this expression.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#as ExternalTable#as}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableColumn.property.name"></a>

* *Type:* `string`

Column name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#name ExternalTable#name}

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableColumn.property.type"></a>

* *Type:* `string`

Column type, e.g. VARIANT.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#type ExternalTable#type}

---


### ExternalTableConfig <a name="cdktf-snowflake.ExternalTableConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ExternalTableConfig

external_table_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `column`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.column"></a>

* *Type:* [`cdktf-snowflake.ExternalTableColumn`](#cdktf-snowflake.ExternalTableColumn)[]

column block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#column ExternalTable#column}

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.database"></a>

* *Type:* `string`

The database in which to create the external table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#database ExternalTable#database}

---


##### `fileFormat`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.fileFormat"></a>

* *Type:* `string`

Specifies the file format for the external table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#file_format ExternalTable#file_format}

---


##### `location`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.location"></a>

* *Type:* `string`

Specifies a location for the external table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#location ExternalTable#location}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the external table;

must be unique for the database and schema in which the externalTable is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#name ExternalTable#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the external table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#schema ExternalTable#schema}

---


##### `autoRefresh`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.autoRefresh"></a>

* *Type:* `boolean`

Specifies whether to automatically refresh the external table metadata once, immediately after the external table is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#auto_refresh ExternalTable#auto_refresh}

---


##### `awsSnsTopic`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.awsSnsTopic"></a>

* *Type:* `string`

Specifies the aws sns topic for the external table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#aws_sns_topic ExternalTable#aws_sns_topic}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the external table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#comment ExternalTable#comment}

---


##### `copyGrants`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.copyGrants"></a>

* *Type:* `boolean`

Specifies to retain the access permissions from the original table when an external table is recreated using the CREATE OR REPLACE TABLE variant.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#copy_grants ExternalTable#copy_grants}

---


##### `partitionBy`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.partitionBy"></a>

* *Type:* `string`[]

Specifies any partition columns to evaluate for the external table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#partition_by ExternalTable#partition_by}

---


##### `refreshOnCreate`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableConfig.property.refreshOnCreate"></a>

* *Type:* `boolean`

Specifies weather to refresh when an external table is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#refresh_on_create ExternalTable#refresh_on_create}

---


### ExternalTableGrantConfig <a name="cdktf-snowflake.ExternalTableGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ExternalTableGrantConfig

external_table_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future external tables on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#database_name ExternalTableGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future external tables on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#schema_name ExternalTableGrant#schema_name}

---


##### `externalTableName`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.externalTableName"></a>

* *Type:* `string`

The name of the external table on which to grant privileges immediately (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#external_table_name ExternalTableGrant#external_table_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future external tables in the given schema.

When this is true and no schema_name is provided apply this grant on all future external tables in the given database. The external_table_name and shares fields must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#on_future ExternalTableGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future external table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#privilege ExternalTableGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#roles ExternalTableGrant#roles}

---


##### `shares`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.shares"></a>

* *Type:* `string`[]

Grants privilege to these shares (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#shares ExternalTableGrant#shares}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.ExternalTableGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#with_grant_option ExternalTableGrant#with_grant_option}

---


### FileFormatConfig <a name="cdktf-snowflake.FileFormatConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import FileFormatConfig

file_format_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatConfig.property.database"></a>

* *Type:* `string`

The database in which to create the file format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#database FileFormat#database}

---


##### `formatType`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatConfig.property.formatType"></a>

* *Type:* `string`

Specifies the format of the input files (for data loading) or output files (for data unloading).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#format_type FileFormat#format_type}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the file format;

must be unique for the database and schema in which the file format is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#name FileFormat#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the file format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#schema FileFormat#schema}

---


##### `allowDuplicate`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.allowDuplicate"></a>

* *Type:* `boolean`

Boolean that specifies to allow duplicate object field names (only the last one will be preserved).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#allow_duplicate FileFormat#allow_duplicate}

---


##### `binaryAsText`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.binaryAsText"></a>

* *Type:* `boolean`

Boolean that specifies whether to interpret columns with no defined logical data type as UTF-8 text.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#binary_as_text FileFormat#binary_as_text}

---


##### `binaryFormat`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.binaryFormat"></a>

* *Type:* `string`

Defines the encoding format for binary input or output.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#binary_format FileFormat#binary_format}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the file format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#comment FileFormat#comment}

---


##### `compression`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.compression"></a>

* *Type:* `string`

Specifies the current compression algorithm for the data file.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#compression FileFormat#compression}

---


##### `dateFormat`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.dateFormat"></a>

* *Type:* `string`

Defines the format of date values in the data files (data loading) or table (data unloading).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#date_format FileFormat#date_format}

---


##### `disableAutoConvert`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.disableAutoConvert"></a>

* *Type:* `boolean`

Boolean that specifies whether the XML parser disables automatic conversion of numeric and Boolean values from text to native representation.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#disable_auto_convert FileFormat#disable_auto_convert}

---


##### `disableSnowflakeData`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.disableSnowflakeData"></a>

* *Type:* `boolean`

Boolean that specifies whether the XML parser disables recognition of Snowflake semi-structured data tags.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#disable_snowflake_data FileFormat#disable_snowflake_data}

---


##### `emptyFieldAsNull`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.emptyFieldAsNull"></a>

* *Type:* `boolean`

Specifies whether to insert SQL NULL for empty fields in an input file, which are represented by two successive delimiters.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#empty_field_as_null FileFormat#empty_field_as_null}

---


##### `enableOctal`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.enableOctal"></a>

* *Type:* `boolean`

Boolean that enables parsing of octal numbers.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#enable_octal FileFormat#enable_octal}

---


##### `encoding`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.encoding"></a>

* *Type:* `string`

String (constant) that specifies the character set of the source data when loading data into a table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#encoding FileFormat#encoding}

---


##### `errorOnColumnCountMismatch`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.errorOnColumnCountMismatch"></a>

* *Type:* `boolean`

Boolean that specifies whether to generate a parsing error if the number of delimited columns (i.e. fields) in an input file does not match the number of columns in the corresponding table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#error_on_column_count_mismatch FileFormat#error_on_column_count_mismatch}

---


##### `escape`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.escape"></a>

* *Type:* `string`

Single character string used as the escape character for field values.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#escape FileFormat#escape}

---


##### `escapeUnenclosedField`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.escapeUnenclosedField"></a>

* *Type:* `string`

Single character string used as the escape character for unenclosed field values only.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#escape_unenclosed_field FileFormat#escape_unenclosed_field}

---


##### `fieldDelimiter`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.fieldDelimiter"></a>

* *Type:* `string`

Specifies one or more singlebyte or multibyte characters that separate fields in an input file (data loading) or unloaded file (data unloading).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#field_delimiter FileFormat#field_delimiter}

---


##### `fieldOptionallyEnclosedBy`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.fieldOptionallyEnclosedBy"></a>

* *Type:* `string`

Character used to enclose strings.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#field_optionally_enclosed_by FileFormat#field_optionally_enclosed_by}

---


##### `fileExtension`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.fileExtension"></a>

* *Type:* `string`

Specifies the extension for files unloaded to a stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#file_extension FileFormat#file_extension}

---


##### `ignoreUtf8Errors`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.ignoreUtf8Errors"></a>

* *Type:* `boolean`

Boolean that specifies whether UTF-8 encoding errors produce error conditions.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#ignore_utf8_errors FileFormat#ignore_utf8_errors}

---


##### `nullIf`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.nullIf"></a>

* *Type:* `string`[]

String used to convert to and from SQL NULL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#null_if FileFormat#null_if}

---


##### `preserveSpace`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.preserveSpace"></a>

* *Type:* `boolean`

Boolean that specifies whether the XML parser preserves leading and trailing spaces in element content.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#preserve_space FileFormat#preserve_space}

---


##### `recordDelimiter`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.recordDelimiter"></a>

* *Type:* `string`

Specifies one or more singlebyte or multibyte characters that separate records in an input file (data loading) or unloaded file (data unloading).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#record_delimiter FileFormat#record_delimiter}

---


##### `replaceInvalidCharacters`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.replaceInvalidCharacters"></a>

* *Type:* `boolean`

Boolean that specifies whether to replace invalid UTF-8 characters with the Unicode replacement character (�).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#replace_invalid_characters FileFormat#replace_invalid_characters}

---


##### `skipBlankLines`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.skipBlankLines"></a>

* *Type:* `boolean`

Boolean that specifies to skip any blank lines encountered in the data files.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_blank_lines FileFormat#skip_blank_lines}

---


##### `skipByteOrderMark`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.skipByteOrderMark"></a>

* *Type:* `boolean`

Boolean that specifies whether to skip the BOM (byte order mark), if present in a data file.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_byte_order_mark FileFormat#skip_byte_order_mark}

---


##### `skipHeader`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.skipHeader"></a>

* *Type:* `number`

Number of lines at the start of the file to skip.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_header FileFormat#skip_header}

---


##### `stripNullValues`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.stripNullValues"></a>

* *Type:* `boolean`

Boolean that instructs the JSON parser to remove object fields or array elements containing null values.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_null_values FileFormat#strip_null_values}

---


##### `stripOuterArray`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.stripOuterArray"></a>

* *Type:* `boolean`

Boolean that instructs the JSON parser to remove outer brackets.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_outer_array FileFormat#strip_outer_array}

---


##### `stripOuterElement`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.stripOuterElement"></a>

* *Type:* `boolean`

Boolean that specifies whether the XML parser strips out the outer XML element, exposing 2nd level elements as separate documents.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_outer_element FileFormat#strip_outer_element}

---


##### `timeFormat`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.timeFormat"></a>

* *Type:* `string`

Defines the format of time values in the data files (data loading) or table (data unloading).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#time_format FileFormat#time_format}

---


##### `timestampFormat`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.timestampFormat"></a>

* *Type:* `string`

Defines the format of timestamp values in the data files (data loading) or table (data unloading).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#timestamp_format FileFormat#timestamp_format}

---


##### `trimSpace`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.trimSpace"></a>

* *Type:* `boolean`

Boolean that specifies whether to remove white space from fields.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#trim_space FileFormat#trim_space}

---


##### `validateUtf8`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatConfig.property.validateUtf8"></a>

* *Type:* `boolean`

Boolean that specifies whether to validate UTF-8 character encoding in string column data.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#validate_utf8 FileFormat#validate_utf8}

---


### FileFormatGrantConfig <a name="cdktf-snowflake.FileFormatGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import FileFormatGrantConfig

file_format_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future file formats on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#database_name FileFormatGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future file formats on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#schema_name FileFormatGrant#schema_name}

---


##### `fileFormatName`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.fileFormatName"></a>

* *Type:* `string`

The name of the file format on which to grant privileges immediately (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#file_format_name FileFormatGrant#file_format_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future file formats in the given schema.

When this is true and no schema_name is provided apply this grant on all future file formats in the given database. The file_format_name field must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#on_future FileFormatGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future file format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#privilege FileFormatGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#roles FileFormatGrant#roles}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.FileFormatGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#with_grant_option FileFormatGrant#with_grant_option}

---


### FunctionGrantArguments <a name="cdktf-snowflake.FunctionGrantArguments"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import FunctionGrantArguments

function_grant_arguments = {...}
```

##### `name`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrantArguments.property.name"></a>

* *Type:* `string`

The argument name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#name FunctionGrant#name}

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrantArguments.property.type"></a>

* *Type:* `string`

The argument type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#type FunctionGrant#type}

---


### FunctionGrantConfig <a name="cdktf-snowflake.FunctionGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import FunctionGrantConfig

function_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future functions on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#database_name FunctionGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future functions on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#schema_name FunctionGrant#schema_name}

---


##### `arguments`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.arguments"></a>

* *Type:* [`cdktf-snowflake.FunctionGrantArguments`](#cdktf-snowflake.FunctionGrantArguments)[]

arguments block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#arguments FunctionGrant#arguments}

---


##### `functionName`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.functionName"></a>

* *Type:* `string`

The name of the function on which to grant privileges immediately (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#function_name FunctionGrant#function_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future functions in the given schema.

When this is true and no schema_name is provided apply this grant on all future functions in the given database. The function_name, arguments, return_type, and shares fields must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#on_future FunctionGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future function.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#privilege FunctionGrant#privilege}

---


##### `returnType`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.returnType"></a>

* *Type:* `string`

The return type of the function (must be present if function_name is present).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#return_type FunctionGrant#return_type}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#roles FunctionGrant#roles}

---


##### `shares`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.shares"></a>

* *Type:* `string`[]

Grants privilege to these shares (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#shares FunctionGrant#shares}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.FunctionGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#with_grant_option FunctionGrant#with_grant_option}

---


### IntegrationGrantConfig <a name="cdktf-snowflake.IntegrationGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import IntegrationGrantConfig

integration_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `integrationName`<sup>Required</sup> <a name="cdktf-snowflake.IntegrationGrantConfig.property.integrationName"></a>

* *Type:* `string`

Identifier for the integration; must be unique for your account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#integration_name IntegrationGrant#integration_name}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the integration.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#privilege IntegrationGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#roles IntegrationGrant#roles}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.IntegrationGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#with_grant_option IntegrationGrant#with_grant_option}

---


### ManagedAccountConfig <a name="cdktf-snowflake.ManagedAccountConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ManagedAccountConfig

managed_account_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ManagedAccountConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ManagedAccountConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ManagedAccountConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ManagedAccountConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `adminName`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccountConfig.property.adminName"></a>

* *Type:* `string`

Identifier, as well as login name, for the initial user in the managed account.

This user serves as the account administrator for the account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#admin_name ManagedAccount#admin_name}

---


##### `adminPassword`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccountConfig.property.adminPassword"></a>

* *Type:* `string`

Password for the initial user in the managed account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#admin_password ManagedAccount#admin_password}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ManagedAccountConfig.property.name"></a>

* *Type:* `string`

Identifier for the managed account; must be unique for your account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#name ManagedAccount#name}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.ManagedAccountConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the managed account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#comment ManagedAccount#comment}

---


##### `type`<sup>Optional</sup> <a name="cdktf-snowflake.ManagedAccountConfig.property.type"></a>

* *Type:* `string`

Specifies the type of managed account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#type ManagedAccount#type}

---


### MaskingPolicyConfig <a name="cdktf-snowflake.MaskingPolicyConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import MaskingPolicyConfig

masking_policy_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.database"></a>

* *Type:* `string`

The database in which to create the masking policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#database MaskingPolicy#database}

---


##### `maskingExpression`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.maskingExpression"></a>

* *Type:* `string`

Specifies the SQL expression that transforms the data.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#masking_expression MaskingPolicy#masking_expression}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the masking policy;

must be unique for the database and schema in which the masking policy is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#name MaskingPolicy#name}

---


##### `returnDataType`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.returnDataType"></a>

* *Type:* `string`

Specifies the data type to return.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#return_data_type MaskingPolicy#return_data_type}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the masking policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#schema MaskingPolicy#schema}

---


##### `valueDataType`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.valueDataType"></a>

* *Type:* `string`

Specifies the data type to mask.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#value_data_type MaskingPolicy#value_data_type}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the masking policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#comment MaskingPolicy#comment}

---


### MaskingPolicyGrantConfig <a name="cdktf-snowflake.MaskingPolicyGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import MaskingPolicyGrantConfig

masking_policy_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the masking policy on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#database_name MaskingPolicyGrant#database_name}

---


##### `maskingPolicyName`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.maskingPolicyName"></a>

* *Type:* `string`

The name of the masking policy on which to grant privileges immediately.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#masking_policy_name MaskingPolicyGrant#masking_policy_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the masking policy on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#schema_name MaskingPolicyGrant#schema_name}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the masking policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#privilege MaskingPolicyGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#roles MaskingPolicyGrant#roles}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.MaskingPolicyGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#with_grant_option MaskingPolicyGrant#with_grant_option}

---


### MaterializedViewConfig <a name="cdktf-snowflake.MaterializedViewConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import MaterializedViewConfig

materialized_view_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.database"></a>

* *Type:* `string`

The database in which to create the view. Don't use the | character.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#database MaterializedView#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the view; must be unique for the schema in which the view is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#name MaterializedView#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the view. Don't use the | character.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#schema MaterializedView#schema}

---


##### `statement`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.statement"></a>

* *Type:* `string`

Specifies the query used to create the view.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#statement MaterializedView#statement}

---


##### `warehouse`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.warehouse"></a>

* *Type:* `string`

The warehouse name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#warehouse MaterializedView#warehouse}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the view.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#comment MaterializedView#comment}

---


##### `isSecure`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.isSecure"></a>

* *Type:* `boolean`

Specifies that the view is secure.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#is_secure MaterializedView#is_secure}

---


##### `orReplace`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewConfig.property.orReplace"></a>

* *Type:* `boolean`

Overwrites the View if it exists.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#or_replace MaterializedView#or_replace}

---


### MaterializedViewGrantConfig <a name="cdktf-snowflake.MaterializedViewGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import MaterializedViewGrantConfig

materialized_view_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future materialized views on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#database_name MaterializedViewGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future materialized views on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#schema_name MaterializedViewGrant#schema_name}

---


##### `materializedViewName`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.materializedViewName"></a>

* *Type:* `string`

The name of the materialized view on which to grant privileges immediately (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#materialized_view_name MaterializedViewGrant#materialized_view_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future materialized views in the given schema.

When this is true and no schema_name is provided apply this grant on all future materialized views in the given database. The materialized_view_name and shares fields must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#on_future MaterializedViewGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future materialized view view.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#privilege MaterializedViewGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#roles MaterializedViewGrant#roles}

---


##### `shares`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.shares"></a>

* *Type:* `string`[]

Grants privilege to these shares (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#shares MaterializedViewGrant#shares}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.MaterializedViewGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#with_grant_option MaterializedViewGrant#with_grant_option}

---


### NetworkPolicyAttachmentConfig <a name="cdktf-snowflake.NetworkPolicyAttachmentConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import NetworkPolicyAttachmentConfig

network_policy_attachment_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyAttachmentConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyAttachmentConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyAttachmentConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyAttachmentConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `networkPolicyName`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyAttachmentConfig.property.networkPolicyName"></a>

* *Type:* `string`

Specifies the identifier for the network policy;

must be unique for the account in which the network policy is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#network_policy_name NetworkPolicyAttachment#network_policy_name}

---


##### `setForAccount`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyAttachmentConfig.property.setForAccount"></a>

* *Type:* `boolean`

Specifies whether the network policy should be applied globally to your Snowflake account<br><br>**Note:** The Snowflake user running `terraform apply` must be on an IP address allowed by the network policy to set that policy globally on the Snowflake account.<br><br>Additionally, a Snowflake account can only have one network policy set globally at any given time. This resource does not enforce one-policy-per-account, it is the user's responsibility to enforce this. If multiple network policy resources have `set_for_account: true`, the final policy set on the account will be non-deterministic.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#set_for_account NetworkPolicyAttachment#set_for_account}

---


##### `users`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyAttachmentConfig.property.users"></a>

* *Type:* `string`[]

Specifies which users the network policy should be attached to.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#users NetworkPolicyAttachment#users}

---


### NetworkPolicyConfig <a name="cdktf-snowflake.NetworkPolicyConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import NetworkPolicyConfig

network_policy_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `allowedIpList`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyConfig.property.allowedIpList"></a>

* *Type:* `string`[]

Specifies one or more IPv4 addresses (CIDR notation) that are allowed access to your Snowflake account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#allowed_ip_list NetworkPolicy#allowed_ip_list}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.NetworkPolicyConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the network policy;

must be unique for the account in which the network policy is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#name NetworkPolicy#name}

---


##### `blockedIpList`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyConfig.property.blockedIpList"></a>

* *Type:* `string`[]

Specifies one or more IPv4 addresses (CIDR notation) that are denied access to your Snowflake account<br><br>**Do not** add `0.0.0.0/0` to `blocked_ip_list`.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#blocked_ip_list NetworkPolicy#blocked_ip_list}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.NetworkPolicyConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the network policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#comment NetworkPolicy#comment}

---


### NotificationIntegrationConfig <a name="cdktf-snowflake.NotificationIntegrationConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import NotificationIntegrationConfig

notification_integration_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.name"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#name NotificationIntegration#name}.

---


##### `awsSqsArn`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.awsSqsArn"></a>

* *Type:* `string`

AWS SQS queue ARN for notification integration to connect to.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#aws_sqs_arn NotificationIntegration#aws_sqs_arn}

---


##### `awsSqsRoleArn`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.awsSqsRoleArn"></a>

* *Type:* `string`

AWS IAM role ARN for notification integration to assume.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#aws_sqs_role_arn NotificationIntegration#aws_sqs_role_arn}

---


##### `azureStorageQueuePrimaryUri`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.azureStorageQueuePrimaryUri"></a>

* *Type:* `string`

The queue ID for the Azure Queue Storage queue created for Event Grid notifications.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#azure_storage_queue_primary_uri NotificationIntegration#azure_storage_queue_primary_uri}

---


##### `azureTenantId`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.azureTenantId"></a>

* *Type:* `string`

The ID of the Azure Active Directory tenant used for identity management.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#azure_tenant_id NotificationIntegration#azure_tenant_id}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.comment"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#comment NotificationIntegration#comment}.

---


##### `direction`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.direction"></a>

* *Type:* `string`

Direction of the cloud messaging with respect to Snowflake (required only for error notifications).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#direction NotificationIntegration#direction}

---


##### `enabled`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.enabled"></a>

* *Type:* `boolean`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#enabled NotificationIntegration#enabled}.

---


##### `gcpPubsubSubscriptionName`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.gcpPubsubSubscriptionName"></a>

* *Type:* `string`

The subscription id that Snowflake will listen to when using the GCP_PUBSUB provider.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#gcp_pubsub_subscription_name NotificationIntegration#gcp_pubsub_subscription_name}

---


##### `notificationProvider`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.notificationProvider"></a>

* *Type:* `string`

The third-party cloud message queuing service (e.g. AZURE_STORAGE_QUEUE, AWS_SQS).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#notification_provider NotificationIntegration#notification_provider}

---


##### `type`<sup>Optional</sup> <a name="cdktf-snowflake.NotificationIntegrationConfig.property.type"></a>

* *Type:* `string`

A type of integration.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#type NotificationIntegration#type}

---


### PipeConfig <a name="cdktf-snowflake.PipeConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import PipeConfig

pipe_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.PipeConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.PipeConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.PipeConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.PipeConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `copyStatement`<sup>Required</sup> <a name="cdktf-snowflake.PipeConfig.property.copyStatement"></a>

* *Type:* `string`

Specifies the copy statement for the pipe.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#copy_statement Pipe#copy_statement}

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.PipeConfig.property.database"></a>

* *Type:* `string`

The database in which to create the pipe.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#database Pipe#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.PipeConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the pipe;

must be unique for the database and schema in which the pipe is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#name Pipe#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.PipeConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the pipe.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#schema Pipe#schema}

---


##### `autoIngest`<sup>Optional</sup> <a name="cdktf-snowflake.PipeConfig.property.autoIngest"></a>

* *Type:* `boolean`

Specifies a auto_ingest param for the pipe.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#auto_ingest Pipe#auto_ingest}

---


##### `awsSnsTopicArn`<sup>Optional</sup> <a name="cdktf-snowflake.PipeConfig.property.awsSnsTopicArn"></a>

* *Type:* `string`

Specifies the Amazon Resource Name (ARN) for the SNS topic for your S3 bucket.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#aws_sns_topic_arn Pipe#aws_sns_topic_arn}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.PipeConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the pipe.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#comment Pipe#comment}

---


##### `errorIntegration`<sup>Optional</sup> <a name="cdktf-snowflake.PipeConfig.property.errorIntegration"></a>

* *Type:* `string`

Specifies the name of the notification integration used for error notifications.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#error_integration Pipe#error_integration}

---


##### `integration`<sup>Optional</sup> <a name="cdktf-snowflake.PipeConfig.property.integration"></a>

* *Type:* `string`

Specifies an integration for the pipe.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#integration Pipe#integration}

---


### PipeGrantConfig <a name="cdktf-snowflake.PipeGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import PipeGrantConfig

pipe_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future pipes on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#database_name PipeGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future pipes on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#schema_name PipeGrant#schema_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future pipes in the given schema.

When this is true and no schema_name is provided apply this grant on all future pipes in the given database. The pipe_name field must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#on_future PipeGrant#on_future}

---


##### `pipeName`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.pipeName"></a>

* *Type:* `string`

The name of the pipe on which to grant privileges immediately (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#pipe_name PipeGrant#pipe_name}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future pipe.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#privilege PipeGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#roles PipeGrant#roles}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.PipeGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#with_grant_option PipeGrant#with_grant_option}

---


### ProcedureGrantArguments <a name="cdktf-snowflake.ProcedureGrantArguments"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ProcedureGrantArguments

procedure_grant_arguments = {...}
```

##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrantArguments.property.name"></a>

* *Type:* `string`

The argument name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#name ProcedureGrant#name}

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrantArguments.property.type"></a>

* *Type:* `string`

The argument type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#type ProcedureGrant#type}

---


### ProcedureGrantConfig <a name="cdktf-snowflake.ProcedureGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ProcedureGrantConfig

procedure_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future procedures on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#database_name ProcedureGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future procedures on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#schema_name ProcedureGrant#schema_name}

---


##### `arguments`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.arguments"></a>

* *Type:* [`cdktf-snowflake.ProcedureGrantArguments`](#cdktf-snowflake.ProcedureGrantArguments)[]

arguments block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#arguments ProcedureGrant#arguments}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future procedures in the given schema.

When this is true and no schema_name is provided apply this grant on all future procedures in the given database. The procedure_name and shares fields must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#on_future ProcedureGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future procedure.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#privilege ProcedureGrant#privilege}

---


##### `procedureName`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.procedureName"></a>

* *Type:* `string`

The name of the procedure on which to grant privileges immediately (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#procedure_name ProcedureGrant#procedure_name}

---


##### `returnType`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.returnType"></a>

* *Type:* `string`

The return type of the procedure (must be present if procedure_name is present).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#return_type ProcedureGrant#return_type}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#roles ProcedureGrant#roles}

---


##### `shares`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.shares"></a>

* *Type:* `string`[]

Grants privilege to these shares (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#shares ProcedureGrant#shares}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.ProcedureGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#with_grant_option ProcedureGrant#with_grant_option}

---


### ResourceMonitorConfig <a name="cdktf-snowflake.ResourceMonitorConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ResourceMonitorConfig

resource_monitor_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.name"></a>

* *Type:* `string`

Identifier for the resource monitor; must be unique for your account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#name ResourceMonitor#name}

---


##### `creditQuota`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.creditQuota"></a>

* *Type:* `number`

The number of credits allocated monthly to the resource monitor.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#credit_quota ResourceMonitor#credit_quota}

---


##### `endTimestamp`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.endTimestamp"></a>

* *Type:* `string`

The date and time when the resource monitor suspends the assigned warehouses.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#end_timestamp ResourceMonitor#end_timestamp}

---


##### `frequency`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.frequency"></a>

* *Type:* `string`

The frequency interval at which the credit usage resets to 0.

If you set a frequency for a resource monitor, you must also set START_TIMESTAMP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#frequency ResourceMonitor#frequency}

---


##### `notifyTriggers`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.notifyTriggers"></a>

* *Type:* `number`[]

A list of percentage thresholds at which to send an alert to subscribed users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#notify_triggers ResourceMonitor#notify_triggers}

---


##### `startTimestamp`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.startTimestamp"></a>

* *Type:* `string`

The date and time when the resource monitor starts monitoring credit usage for the assigned warehouses.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#start_timestamp ResourceMonitor#start_timestamp}

---


##### `suspendImmediateTriggers`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.suspendImmediateTriggers"></a>

* *Type:* `number`[]

A list of percentage thresholds at which to immediately suspend all warehouses.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#suspend_immediate_triggers ResourceMonitor#suspend_immediate_triggers}

---


##### `suspendTriggers`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorConfig.property.suspendTriggers"></a>

* *Type:* `number`[]

A list of percentage thresholds at which to suspend all warehouses.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#suspend_triggers ResourceMonitor#suspend_triggers}

---


### ResourceMonitorGrantConfig <a name="cdktf-snowflake.ResourceMonitorGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ResourceMonitorGrantConfig

resource_monitor_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `monitorName`<sup>Required</sup> <a name="cdktf-snowflake.ResourceMonitorGrantConfig.property.monitorName"></a>

* *Type:* `string`

Identifier for the resource monitor; must be unique for your account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#monitor_name ResourceMonitorGrant#monitor_name}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the resource monitor.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#privilege ResourceMonitorGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#roles ResourceMonitorGrant#roles}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.ResourceMonitorGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#with_grant_option ResourceMonitorGrant#with_grant_option}

---


### RoleConfig <a name="cdktf-snowflake.RoleConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import RoleConfig

role_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.RoleConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.RoleConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.RoleConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.RoleConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.RoleConfig.property.name"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role.html#name Role#name}.

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.RoleConfig.property.comment"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role.html#comment Role#comment}.

---


### RoleGrantsConfig <a name="cdktf-snowflake.RoleGrantsConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import RoleGrantsConfig

role_grants_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.RoleGrantsConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.RoleGrantsConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.RoleGrantsConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.RoleGrantsConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `roleName`<sup>Required</sup> <a name="cdktf-snowflake.RoleGrantsConfig.property.roleName"></a>

* *Type:* `string`

The name of the role we are granting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#role_name RoleGrants#role_name}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.RoleGrantsConfig.property.roles"></a>

* *Type:* `string`[]

Grants role to this specified role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#roles RoleGrants#roles}

---


##### `users`<sup>Optional</sup> <a name="cdktf-snowflake.RoleGrantsConfig.property.users"></a>

* *Type:* `string`[]

Grants role to this specified user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#users RoleGrants#users}

---


### RowAccessPolicyConfig <a name="cdktf-snowflake.RowAccessPolicyConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import RowAccessPolicyConfig

row_access_policy_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.database"></a>

* *Type:* `string`

The database in which to create the row access policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#database RowAccessPolicy#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the row access policy;

must be unique for the database and schema in which the row access policy is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#name RowAccessPolicy#name}

---


##### `rowAccessExpression`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.rowAccessExpression"></a>

* *Type:* `string`

Specifies the SQL expression. The expression can be any boolean-valued SQL expression.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#row_access_expression RowAccessPolicy#row_access_expression}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the row access policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#schema RowAccessPolicy#schema}

---


##### `signature`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.signature"></a>

* *Type:* {[ key: string ]: `string`}

Specifies signature (arguments) for the row access policy (uppercase and sorted to avoid recreation of resource).

A signature specifies a set of attributes that must be considered to determine whether the row is accessible. The attribute values come from the database object (e.g. table or view) to be protected by the row access policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#signature RowAccessPolicy#signature}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the row access policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#comment RowAccessPolicy#comment}

---


### RowAccessPolicyGrantConfig <a name="cdktf-snowflake.RowAccessPolicyGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import RowAccessPolicyGrantConfig

row_access_policy_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the row access policy on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#database_name RowAccessPolicyGrant#database_name}

---


##### `rowAccessPolicyName`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.rowAccessPolicyName"></a>

* *Type:* `string`

The name of the row access policy on which to grant privileges immediately.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#row_access_policy_name RowAccessPolicyGrant#row_access_policy_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the row access policy on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#schema_name RowAccessPolicyGrant#schema_name}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the row access policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#privilege RowAccessPolicyGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#roles RowAccessPolicyGrant#roles}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.RowAccessPolicyGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#with_grant_option RowAccessPolicyGrant#with_grant_option}

---


### SchemaConfig <a name="cdktf-snowflake.SchemaConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import SchemaConfig

schema_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.SchemaConfig.property.database"></a>

* *Type:* `string`

The database in which to create the schema.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#database Schema#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.SchemaConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the schema; must be unique for the database in which the schema is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#name Schema#name}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the schema.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#comment Schema#comment}

---


##### `dataRetentionDays`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaConfig.property.dataRetentionDays"></a>

* *Type:* `number`

Specifies the number of days for which Time Travel actions (CLONE and UNDROP) can be performed on the schema, as well as specifying the default Time Travel retention time for all tables created in the schema.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#data_retention_days Schema#data_retention_days}

---


##### `isManaged`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaConfig.property.isManaged"></a>

* *Type:* `boolean`

Specifies a managed schema. Managed access schemas centralize privilege management with the schema owner.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#is_managed Schema#is_managed}

---


##### `isTransient`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaConfig.property.isTransient"></a>

* *Type:* `boolean`

Specifies a schema as transient.

Transient schemas do not have a Fail-safe period so they do not incur additional storage costs once they leave Time Travel; however, this means they are also not protected by Fail-safe in the event of a data loss.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#is_transient Schema#is_transient}

---


### SchemaGrantConfig <a name="cdktf-snowflake.SchemaGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import SchemaGrantConfig

schema_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the schema on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#database_name SchemaGrant#database_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true, apply this grant on all future schemas in the given database.

The schema_name and shares fields must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#on_future SchemaGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future schema.

Note that if "OWNERSHIP" is specified, ensure that the role that terraform is using is granted access.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#privilege SchemaGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#roles SchemaGrant#roles}

---


##### `schemaName`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#schema_name SchemaGrant#schema_name}

---


##### `shares`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.shares"></a>

* *Type:* `string`[]

Grants privilege to these shares (only valid if on_future is unset).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#shares SchemaGrant#shares}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.SchemaGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#with_grant_option SchemaGrant#with_grant_option}

---


### ScimIntegrationConfig <a name="cdktf-snowflake.ScimIntegrationConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ScimIntegrationConfig

scim_integration_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ScimIntegrationConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ScimIntegrationConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ScimIntegrationConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ScimIntegrationConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegrationConfig.property.name"></a>

* *Type:* `string`

Specifies the name of the SCIM integration.

This name follows the rules for Object Identifiers. The name should be unique among security integrations in your account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#name ScimIntegration#name}

---


##### `provisionerRole`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegrationConfig.property.provisionerRole"></a>

* *Type:* `string`

Specify the SCIM role in Snowflake that owns any users and roles that are imported from the identity provider into Snowflake using SCIM.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#provisioner_role ScimIntegration#provisioner_role}

---


##### `scimClient`<sup>Required</sup> <a name="cdktf-snowflake.ScimIntegrationConfig.property.scimClient"></a>

* *Type:* `string`

Specifies the client type for the scim integration.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#scim_client ScimIntegration#scim_client}

---


##### `networkPolicy`<sup>Optional</sup> <a name="cdktf-snowflake.ScimIntegrationConfig.property.networkPolicy"></a>

* *Type:* `string`

Specifies an existing network policy active for your account.

The network policy restricts the list of user IP addresses when exchanging an authorization code for an access or refresh token and when using a refresh token to obtain a new access token. If this parameter is not set, the network policy for the account (if any) is used instead.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#network_policy ScimIntegration#network_policy}

---


### SequenceConfig <a name="cdktf-snowflake.SequenceConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import SequenceConfig

sequence_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.SequenceConfig.property.database"></a>

* *Type:* `string`

The database in which to create the sequence. Don't use the | character.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#database Sequence#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.SequenceConfig.property.name"></a>

* *Type:* `string`

Specifies the name for the sequence.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#name Sequence#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.SequenceConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the sequence. Don't use the | character.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#schema Sequence#schema}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the sequence.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#comment Sequence#comment}

---


##### `increment`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceConfig.property.increment"></a>

* *Type:* `number`

The amount the sequence will increase by each time it is used.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#increment Sequence#increment}

---


### SequenceGrantConfig <a name="cdktf-snowflake.SequenceGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import SequenceGrantConfig

sequence_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future sequences on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#database_name SequenceGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future sequences on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#schema_name SequenceGrant#schema_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future sequences in the given schema.

When this is true and no schema_name is provided apply this grant on all future sequences in the given database. The sequence_name field must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#on_future SequenceGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future sequence.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#privilege SequenceGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#roles SequenceGrant#roles}

---


##### `sequenceName`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.sequenceName"></a>

* *Type:* `string`

The name of the sequence on which to grant privileges immediately (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#sequence_name SequenceGrant#sequence_name}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.SequenceGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#with_grant_option SequenceGrant#with_grant_option}

---


### ShareConfig <a name="cdktf-snowflake.ShareConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ShareConfig

share_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ShareConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ShareConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ShareConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ShareConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ShareConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the share; must be unique for the account in which the share is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#name Share#name}

---


##### `accounts`<sup>Optional</sup> <a name="cdktf-snowflake.ShareConfig.property.accounts"></a>

* *Type:* `string`[]

A list of accounts to be added to the share.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#accounts Share#accounts}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.ShareConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the managed account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#comment Share#comment}

---


### SnowflakeProviderConfig <a name="cdktf-snowflake.SnowflakeProviderConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import SnowflakeProviderConfig

snowflake_provider_config = {...}
```

##### `account`<sup>Required</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.account"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#account SnowflakeProvider#account}.

---


##### `username`<sup>Required</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.username"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#username SnowflakeProvider#username}.

---


##### `alias`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.alias"></a>

* *Type:* `string`

Alias name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#alias SnowflakeProvider#alias}

---


##### `browserAuth`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.browserAuth"></a>

* *Type:* `boolean`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#browser_auth SnowflakeProvider#browser_auth}.

---


##### `oauthAccessToken`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.oauthAccessToken"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_access_token SnowflakeProvider#oauth_access_token}.

---


##### `oauthClientId`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.oauthClientId"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_client_id SnowflakeProvider#oauth_client_id}.

---


##### `oauthClientSecret`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.oauthClientSecret"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_client_secret SnowflakeProvider#oauth_client_secret}.

---


##### `oauthEndpoint`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.oauthEndpoint"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_endpoint SnowflakeProvider#oauth_endpoint}.

---


##### `oauthRedirectUrl`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.oauthRedirectUrl"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_redirect_url SnowflakeProvider#oauth_redirect_url}.

---


##### `oauthRefreshToken`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.oauthRefreshToken"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_refresh_token SnowflakeProvider#oauth_refresh_token}.

---


##### `password`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.password"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#password SnowflakeProvider#password}.

---


##### `privateKey`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.privateKey"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#private_key SnowflakeProvider#private_key}.

---


##### `privateKeyPath`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.privateKeyPath"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#private_key_path SnowflakeProvider#private_key_path}.

---


##### `region`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.region"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#region SnowflakeProvider#region}.

---


##### `role`<sup>Optional</sup> <a name="cdktf-snowflake.SnowflakeProviderConfig.property.role"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#role SnowflakeProvider#role}.

---


### StageConfig <a name="cdktf-snowflake.StageConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import StageConfig

stage_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.StageConfig.property.database"></a>

* *Type:* `string`

The database in which to create the stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#database Stage#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.StageConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the stage;

must be unique for the database and schema in which the stage is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#name Stage#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.StageConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#schema Stage#schema}

---


##### `awsExternalId`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.awsExternalId"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#aws_external_id Stage#aws_external_id}.

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#comment Stage#comment}

---


##### `copyOptions`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.copyOptions"></a>

* *Type:* `string`

Specifies the copy options for the stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#copy_options Stage#copy_options}

---


##### `credentials`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.credentials"></a>

* *Type:* `string`

Specifies the credentials for the stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#credentials Stage#credentials}

---


##### `encryption`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.encryption"></a>

* *Type:* `string`

Specifies the encryption settings for the stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#encryption Stage#encryption}

---


##### `fileFormat`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.fileFormat"></a>

* *Type:* `string`

Specifies the file format for the stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#file_format Stage#file_format}

---


##### `snowflakeIamUser`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.snowflakeIamUser"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#snowflake_iam_user Stage#snowflake_iam_user}.

---


##### `storageIntegration`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.storageIntegration"></a>

* *Type:* `string`

Specifies the name of the storage integration used to delegate authentication responsibility for external cloud storage to a Snowflake identity and access management (IAM) entity.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#storage_integration Stage#storage_integration}

---


##### `url`<sup>Optional</sup> <a name="cdktf-snowflake.StageConfig.property.url"></a>

* *Type:* `string`

Specifies the URL for the stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#url Stage#url}

---


### StageGrantConfig <a name="cdktf-snowflake.StageGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import StageGrantConfig

stage_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.StageGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current stage on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#database_name StageGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.StageGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current stage on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#schema_name StageGrant#schema_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future stages in the given schema.

When this is true and no schema_name is provided apply this grant on all future stages in the given database. The stage_name and shares fields must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#on_future StageGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the stage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#privilege StageGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#roles StageGrant#roles}

---


##### `shares`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.shares"></a>

* *Type:* `string`[]

Grants privilege to these shares (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#shares StageGrant#shares}

---


##### `stageName`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.stageName"></a>

* *Type:* `string`

The name of the stage on which to grant privilege (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#stage_name StageGrant#stage_name}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.StageGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#with_grant_option StageGrant#with_grant_option}

---


### StorageIntegrationConfig <a name="cdktf-snowflake.StorageIntegrationConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import StorageIntegrationConfig

storage_integration_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.name"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#name StorageIntegration#name}.

---


##### `storageAllowedLocations`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.storageAllowedLocations"></a>

* *Type:* `string`[]

Explicitly limits external stages that use the integration to reference one or more storage locations.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_allowed_locations StorageIntegration#storage_allowed_locations}

---


##### `storageProvider`<sup>Required</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.storageProvider"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_provider StorageIntegration#storage_provider}.

---


##### `azureTenantId`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.azureTenantId"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#azure_tenant_id StorageIntegration#azure_tenant_id}.

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.comment"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#comment StorageIntegration#comment}.

---


##### `enabled`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.enabled"></a>

* *Type:* `boolean`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#enabled StorageIntegration#enabled}.

---


##### `storageAwsRoleArn`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.storageAwsRoleArn"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_aws_role_arn StorageIntegration#storage_aws_role_arn}.

---


##### `storageBlockedLocations`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.storageBlockedLocations"></a>

* *Type:* `string`[]

Explicitly prohibits external stages that use the integration from referencing one or more storage locations.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_blocked_locations StorageIntegration#storage_blocked_locations}

---


##### `type`<sup>Optional</sup> <a name="cdktf-snowflake.StorageIntegrationConfig.property.type"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#type StorageIntegration#type}.

---


### StreamConfig <a name="cdktf-snowflake.StreamConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import StreamConfig

stream_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.StreamConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.StreamConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.StreamConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.StreamConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.StreamConfig.property.database"></a>

* *Type:* `string`

The database in which to create the stream.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#database Stream#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.StreamConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the stream;

must be unique for the database and schema in which the stream is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#name Stream#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.StreamConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the stream.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#schema Stream#schema}

---


##### `appendOnly`<sup>Optional</sup> <a name="cdktf-snowflake.StreamConfig.property.appendOnly"></a>

* *Type:* `boolean`

Type of the stream that will be created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#append_only Stream#append_only}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.StreamConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the stream.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#comment Stream#comment}

---


##### `onTable`<sup>Optional</sup> <a name="cdktf-snowflake.StreamConfig.property.onTable"></a>

* *Type:* `string`

Name of the table the stream will monitor.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#on_table Stream#on_table}

---


##### `showInitialRows`<sup>Optional</sup> <a name="cdktf-snowflake.StreamConfig.property.showInitialRows"></a>

* *Type:* `boolean`

Specifies whether to return all existing rows in the source table as row inserts the first time the stream is consumed.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#show_initial_rows Stream#show_initial_rows}

---


### StreamGrantConfig <a name="cdktf-snowflake.StreamGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import StreamGrantConfig

stream_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future streams on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#database_name StreamGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future streams on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#schema_name StreamGrant#schema_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future streams in the given schema.

When this is true and no schema_name is provided apply this grant on all future streams in the given database. The stream_name field must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#on_future StreamGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future stream.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#privilege StreamGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#roles StreamGrant#roles}

---


##### `streamName`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.streamName"></a>

* *Type:* `string`

The name of the stream on which to grant privileges immediately (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#stream_name StreamGrant#stream_name}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.StreamGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#with_grant_option StreamGrant#with_grant_option}

---


### TableColumn <a name="cdktf-snowflake.TableColumn"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import TableColumn

table_column = {...}
```

##### `name`<sup>Required</sup> <a name="cdktf-snowflake.TableColumn.property.name"></a>

* *Type:* `string`

Column name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.TableColumn.property.type"></a>

* *Type:* `string`

Column type, e.g. VARIANT.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#type Table#type}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.TableColumn.property.comment"></a>

* *Type:* `string`

Column comment.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#comment Table#comment}

---


##### `nullable`<sup>Optional</sup> <a name="cdktf-snowflake.TableColumn.property.nullable"></a>

* *Type:* `boolean`

Whether this column can contain null values.

**Note**: Depending on your Snowflake version, the default value will not suffice if this column is used in a primary key constraint.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#nullable Table#nullable}

---


### TableConfig <a name="cdktf-snowflake.TableConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import TableConfig

table_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.TableConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.TableConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.TableConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.TableConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `column`<sup>Required</sup> <a name="cdktf-snowflake.TableConfig.property.column"></a>

* *Type:* [`cdktf-snowflake.TableColumn`](#cdktf-snowflake.TableColumn)[]

column block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#column Table#column}

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.TableConfig.property.database"></a>

* *Type:* `string`

The database in which to create the table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#database Table#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.TableConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the table;

must be unique for the database and schema in which the table is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.TableConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#schema Table#schema}

---


##### `changeTracking`<sup>Optional</sup> <a name="cdktf-snowflake.TableConfig.property.changeTracking"></a>

* *Type:* `boolean`

Specifies whether to enable change tracking on the table. Default false.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#change_tracking Table#change_tracking}

---


##### `clusterBy`<sup>Optional</sup> <a name="cdktf-snowflake.TableConfig.property.clusterBy"></a>

* *Type:* `string`[]

A list of one or more table columns/expressions to be used as clustering key(s) for the table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#cluster_by Table#cluster_by}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.TableConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#comment Table#comment}

---


##### `dataRetentionDays`<sup>Optional</sup> <a name="cdktf-snowflake.TableConfig.property.dataRetentionDays"></a>

* *Type:* `number`

Specifies the retention period for the table so that Time Travel actions (SELECT, CLONE, UNDROP) can be performed on historical data in the table.

Default value is 1, if you wish to inherit the parent schema setting then pass in the schema attribute to this argument.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#data_retention_days Table#data_retention_days}

---


##### `primaryKey`<sup>Optional</sup> <a name="cdktf-snowflake.TableConfig.property.primaryKey"></a>

* *Type:* [`cdktf-snowflake.TablePrimaryKey`](#cdktf-snowflake.TablePrimaryKey)[]

primary_key block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#primary_key Table#primary_key}

---


### TableGrantConfig <a name="cdktf-snowflake.TableGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import TableGrantConfig

table_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.TableGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future tables on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#database_name TableGrant#database_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future tables in the given schema.

When this is true and no schema_name is provided apply this grant on all future tables in the given database. The table_name and shares fields must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#on_future TableGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future table.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#privilege TableGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#roles TableGrant#roles}

---


##### `schemaName`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future tables on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#schema_name TableGrant#schema_name}

---


##### `shares`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.shares"></a>

* *Type:* `string`[]

Grants privilege to these shares (only valid if on_future is unset).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#shares TableGrant#shares}

---


##### `tableName`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.tableName"></a>

* *Type:* `string`

The name of the table on which to grant privileges immediately (only valid if on_future is unset).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#table_name TableGrant#table_name}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.TableGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#with_grant_option TableGrant#with_grant_option}

---


### TablePrimaryKey <a name="cdktf-snowflake.TablePrimaryKey"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import TablePrimaryKey

table_primary_key = {...}
```

##### `keys`<sup>Required</sup> <a name="cdktf-snowflake.TablePrimaryKey.property.keys"></a>

* *Type:* `string`[]

Columns to use in primary key.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#keys Table#keys}

---


##### `name`<sup>Optional</sup> <a name="cdktf-snowflake.TablePrimaryKey.property.name"></a>

* *Type:* `string`

Name of constraint.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}

---


### TaskConfig <a name="cdktf-snowflake.TaskConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import TaskConfig

task_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.TaskConfig.property.database"></a>

* *Type:* `string`

The database in which to create the task.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#database Task#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.TaskConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the task;

must be unique for the database and schema in which the task is created.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#name Task#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.TaskConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the task.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#schema Task#schema}

---


##### `sqlStatement`<sup>Required</sup> <a name="cdktf-snowflake.TaskConfig.property.sqlStatement"></a>

* *Type:* `string`

Any single SQL statement, or a call to a stored procedure, executed when the task runs.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#sql_statement Task#sql_statement}

---


##### `warehouse`<sup>Required</sup> <a name="cdktf-snowflake.TaskConfig.property.warehouse"></a>

* *Type:* `string`

The warehouse the task will use.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#warehouse Task#warehouse}

---


##### `after`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.after"></a>

* *Type:* `string`

Specifies the predecessor task in the same database and schema of the current task.

When a run of the predecessor task finishes successfully, it triggers this task (after a brief lag).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#after Task#after}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the task.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#comment Task#comment}

---


##### `enabled`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.enabled"></a>

* *Type:* `boolean`

Specifies if the task should be started (enabled) after creation or should remain suspended (default).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#enabled Task#enabled}

---


##### `schedule`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.schedule"></a>

* *Type:* `string`

The schedule for periodically running the task. This can be a cron or interval in minutes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#schedule Task#schedule}

---


##### `sessionParameters`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.sessionParameters"></a>

* *Type:* {[ key: string ]: `string`}

Specifies session parameters to set for the session when the task runs. A task supports all session parameters.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#session_parameters Task#session_parameters}

---


##### `userTaskTimeoutMs`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.userTaskTimeoutMs"></a>

* *Type:* `number`

Specifies the time limit on a single run of the task before it times out (in milliseconds).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#user_task_timeout_ms Task#user_task_timeout_ms}

---


##### `when`<sup>Optional</sup> <a name="cdktf-snowflake.TaskConfig.property.when"></a>

* *Type:* `string`

Specifies a Boolean SQL expression; multiple conditions joined with AND/OR are supported.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#when Task#when}

---


### TaskGrantConfig <a name="cdktf-snowflake.TaskGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import TaskGrantConfig

task_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future tasks on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#database_name TaskGrant#database_name}

---


##### `schemaName`<sup>Required</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future tasks on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#schema_name TaskGrant#schema_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future tasks in the given schema.

When this is true and no schema_name is provided apply this grant on all future tasks in the given database. The task_name field must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#on_future TaskGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future task.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#privilege TaskGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#roles TaskGrant#roles}

---


##### `taskName`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.taskName"></a>

* *Type:* `string`

The name of the task on which to grant privileges immediately (only valid if on_future is false).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#task_name TaskGrant#task_name}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.TaskGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#with_grant_option TaskGrant#with_grant_option}

---


### UserConfig <a name="cdktf-snowflake.UserConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import UserConfig

user_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.UserConfig.property.name"></a>

* *Type:* `string`

Name of the user. Note that if you do not supply login_name this will be used as login_name. [doc](https://docs.snowflake.net/manuals/sql-reference/sql/create-user.html#required-parameters).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#name User#name}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.comment"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#comment User#comment}.

---


##### `defaultNamespace`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.defaultNamespace"></a>

* *Type:* `string`

Specifies the namespace (database only or database and schema) that is active by default for the user’s session upon login.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_namespace User#default_namespace}

---


##### `defaultRole`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.defaultRole"></a>

* *Type:* `string`

Specifies the role that is active by default for the user’s session upon login.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_role User#default_role}

---


##### `defaultWarehouse`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.defaultWarehouse"></a>

* *Type:* `string`

Specifies the virtual warehouse that is active by default for the user’s session upon login.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_warehouse User#default_warehouse}

---


##### `disabled`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.disabled"></a>

* *Type:* `boolean`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#disabled User#disabled}.

---


##### `displayName`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.displayName"></a>

* *Type:* `string`

Name displayed for the user in the Snowflake web interface.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#display_name User#display_name}

---


##### `email`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.email"></a>

* *Type:* `string`

Email address for the user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#email User#email}

---


##### `firstName`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.firstName"></a>

* *Type:* `string`

First name of the user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#first_name User#first_name}

---


##### `lastName`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.lastName"></a>

* *Type:* `string`

Last name of the user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#last_name User#last_name}

---


##### `loginName`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.loginName"></a>

* *Type:* `string`

The name users use to log in. If not supplied, snowflake will use name instead.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#login_name User#login_name}

---


##### `mustChangePassword`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.mustChangePassword"></a>

* *Type:* `boolean`

Specifies whether the user is forced to change their password on next login (including their first/initial login) into the system.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#must_change_password User#must_change_password}

---


##### `password`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.password"></a>

* *Type:* `string`

**WARNING:** this will put the password in the terraform state file. Use carefully.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#password User#password}

---


##### `rsaPublicKey`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.rsaPublicKey"></a>

* *Type:* `string`

Specifies the user’s RSA public key; used for key-pair authentication. Must be on 1 line without header and trailer.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#rsa_public_key User#rsa_public_key}

---


##### `rsaPublicKey2`<sup>Optional</sup> <a name="cdktf-snowflake.UserConfig.property.rsaPublicKey2"></a>

* *Type:* `string`

Specifies the user’s second RSA public key;

used to rotate the public and private keys for key-pair authentication based on an expiration schedule set by your organization. Must be on 1 line without header and trailer.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#rsa_public_key_2 User#rsa_public_key_2}

---


### UserPublicKeysConfig <a name="cdktf-snowflake.UserPublicKeysConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import UserPublicKeysConfig

user_public_keys_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.UserPublicKeysConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.UserPublicKeysConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.UserPublicKeysConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.UserPublicKeysConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.UserPublicKeysConfig.property.name"></a>

* *Type:* `string`

Name of the user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#name UserPublicKeys#name}

---


##### `rsaPublicKey`<sup>Optional</sup> <a name="cdktf-snowflake.UserPublicKeysConfig.property.rsaPublicKey"></a>

* *Type:* `string`

Specifies the user’s RSA public key; used for key-pair authentication. Must be on 1 line without header and trailer.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#rsa_public_key UserPublicKeys#rsa_public_key}

---


##### `rsaPublicKey2`<sup>Optional</sup> <a name="cdktf-snowflake.UserPublicKeysConfig.property.rsaPublicKey2"></a>

* *Type:* `string`

Specifies the user’s second RSA public key;

used to rotate the public and Public keys for key-pair authentication based on an expiration schedule set by your organization. Must be on 1 line without header and trailer.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#rsa_public_key_2 UserPublicKeys#rsa_public_key_2}

---


### ViewConfig <a name="cdktf-snowflake.ViewConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ViewConfig

view_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ViewConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ViewConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ViewConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ViewConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.ViewConfig.property.database"></a>

* *Type:* `string`

The database in which to create the view. Don't use the | character.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#database View#database}

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.ViewConfig.property.name"></a>

* *Type:* `string`

Specifies the identifier for the view;

must be unique for the schema in which the view is created. Don't use the | character.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#name View#name}

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.ViewConfig.property.schema"></a>

* *Type:* `string`

The schema in which to create the view. Don't use the | character.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#schema View#schema}

---


##### `statement`<sup>Required</sup> <a name="cdktf-snowflake.ViewConfig.property.statement"></a>

* *Type:* `string`

Specifies the query used to create the view.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#statement View#statement}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.ViewConfig.property.comment"></a>

* *Type:* `string`

Specifies a comment for the view.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#comment View#comment}

---


##### `isSecure`<sup>Optional</sup> <a name="cdktf-snowflake.ViewConfig.property.isSecure"></a>

* *Type:* `boolean`

Specifies that the view is secure.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#is_secure View#is_secure}

---


##### `orReplace`<sup>Optional</sup> <a name="cdktf-snowflake.ViewConfig.property.orReplace"></a>

* *Type:* `boolean`

Overwrites the View if it exists.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#or_replace View#or_replace}

---


### ViewGrantConfig <a name="cdktf-snowflake.ViewGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import ViewGrantConfig

view_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `databaseName`<sup>Required</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.databaseName"></a>

* *Type:* `string`

The name of the database containing the current or future views on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#database_name ViewGrant#database_name}

---


##### `onFuture`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.onFuture"></a>

* *Type:* `boolean`

When this is set to true and a schema_name is provided, apply this grant on all future views in the given schema.

When this is true and no schema_name is provided apply this grant on all future views in the given database. The view_name and shares fields must be unset in order to use on_future.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#on_future ViewGrant#on_future}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the current or future view.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#privilege ViewGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#roles ViewGrant#roles}

---


##### `schemaName`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.schemaName"></a>

* *Type:* `string`

The name of the schema containing the current or future views on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#schema_name ViewGrant#schema_name}

---


##### `shares`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.shares"></a>

* *Type:* `string`[]

Grants privilege to these shares (only valid if on_future is unset).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#shares ViewGrant#shares}

---


##### `viewName`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.viewName"></a>

* *Type:* `string`

The name of the view on which to grant privileges immediately (only valid if on_future is unset).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#view_name ViewGrant#view_name}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.ViewGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#with_grant_option ViewGrant#with_grant_option}

---


### WarehouseConfig <a name="cdktf-snowflake.WarehouseConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import WarehouseConfig

warehouse_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseConfig.property.name"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#name Warehouse#name}.

---


##### `autoResume`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.autoResume"></a>

* *Type:* `boolean`

Specifies whether to automatically resume a warehouse when a SQL statement (e.g. query) is submitted to it.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#auto_resume Warehouse#auto_resume}

---


##### `autoSuspend`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.autoSuspend"></a>

* *Type:* `number`

Specifies the number of seconds of inactivity after which a warehouse is automatically suspended.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#auto_suspend Warehouse#auto_suspend}

---


##### `comment`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.comment"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#comment Warehouse#comment}.

---


##### `initiallySuspended`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.initiallySuspended"></a>

* *Type:* `boolean`

Specifies whether the warehouse is created initially in the ‘Suspended’ state.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#initially_suspended Warehouse#initially_suspended}

---


##### `maxClusterCount`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.maxClusterCount"></a>

* *Type:* `number`

Specifies the maximum number of server clusters for the warehouse.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#max_cluster_count Warehouse#max_cluster_count}

---


##### `maxConcurrencyLevel`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.maxConcurrencyLevel"></a>

* *Type:* `number`

Object parameter that specifies the concurrency level for SQL statements (i.e. queries and DML) executed by a warehouse.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#max_concurrency_level Warehouse#max_concurrency_level}

---


##### `minClusterCount`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.minClusterCount"></a>

* *Type:* `number`

Specifies the minimum number of server clusters for the warehouse (only applies to multi-cluster warehouses).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#min_cluster_count Warehouse#min_cluster_count}

---


##### `resourceMonitor`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.resourceMonitor"></a>

* *Type:* `string`

Specifies the name of a resource monitor that is explicitly assigned to the warehouse.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#resource_monitor Warehouse#resource_monitor}

---


##### `scalingPolicy`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.scalingPolicy"></a>

* *Type:* `string`

Specifies the policy for automatically starting and shutting down clusters in a multi-cluster warehouse running in Auto-scale mode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#scaling_policy Warehouse#scaling_policy}

---


##### `statementQueuedTimeoutInSeconds`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.statementQueuedTimeoutInSeconds"></a>

* *Type:* `number`

Object parameter that specifies the time, in seconds, a SQL statement (query, DDL, DML, etc.) can be queued on a warehouse before it is canceled by the system.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#statement_queued_timeout_in_seconds Warehouse#statement_queued_timeout_in_seconds}

---


##### `statementTimeoutInSeconds`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.statementTimeoutInSeconds"></a>

* *Type:* `number`

Specifies the time, in seconds, after which a running SQL statement (query, DDL, DML, etc.) is canceled by the system.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#statement_timeout_in_seconds Warehouse#statement_timeout_in_seconds}

---


##### `waitForProvisioning`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.waitForProvisioning"></a>

* *Type:* `boolean`

Specifies whether the warehouse, after being resized, waits for all the servers to provision before executing any queued or new queries.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#wait_for_provisioning Warehouse#wait_for_provisioning}

---


##### `warehouseSize`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseConfig.property.warehouseSize"></a>

* *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#warehouse_size Warehouse#warehouse_size}.

---


### WarehouseGrantConfig <a name="cdktf-snowflake.WarehouseGrantConfig"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import WarehouseGrantConfig

warehouse_grant_config = {...}
```

##### `count`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrantConfig.property.count"></a>

* *Type:* `number`

---


##### `dependsOn`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrantConfig.property.dependsOn"></a>

* *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---


##### `lifecycle`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrantConfig.property.lifecycle"></a>

* *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---


##### `provider`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrantConfig.property.provider"></a>

* *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---


##### `warehouseName`<sup>Required</sup> <a name="cdktf-snowflake.WarehouseGrantConfig.property.warehouseName"></a>

* *Type:* `string`

The name of the warehouse on which to grant privileges.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#warehouse_name WarehouseGrant#warehouse_name}

---


##### `privilege`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrantConfig.property.privilege"></a>

* *Type:* `string`

The privilege to grant on the warehouse.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#privilege WarehouseGrant#privilege}

---


##### `roles`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrantConfig.property.roles"></a>

* *Type:* `string`[]

Grants privilege to these roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#roles WarehouseGrant#roles}

---


##### `withGrantOption`<sup>Optional</sup> <a name="cdktf-snowflake.WarehouseGrantConfig.property.withGrantOption"></a>

* *Type:* `boolean`

When this is set to true, allows the recipient role to grant the privileges to other roles.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#with_grant_option WarehouseGrant#with_grant_option}

---


## Classes <a name="Classes"></a>

### DataSnowflakeExternalFunctionsExternalFunctions <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeExternalFunctionsExternalFunctions

DataSnowflakeExternalFunctionsExternalFunctions(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions.property.database"></a>

* *Type:* `string`

---


##### `language`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions.property.language"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeExternalTablesExternalTables <a name="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeExternalTablesExternalTables

DataSnowflakeExternalTablesExternalTables(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeFileFormatsFileFormats <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeFileFormatsFileFormats

DataSnowflakeFileFormatsFileFormats(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats.property.database"></a>

* *Type:* `string`

---


##### `formatType`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats.property.formatType"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeMaskingPoliciesMaskingPolicies <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeMaskingPoliciesMaskingPolicies

DataSnowflakeMaskingPoliciesMaskingPolicies(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies.property.database"></a>

* *Type:* `string`

---


##### `kind`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies.property.kind"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeMaterializedViewsMaterializedViews <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeMaterializedViewsMaterializedViews

DataSnowflakeMaterializedViewsMaterializedViews(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakePipesPipes <a name="cdktf-snowflake.DataSnowflakePipesPipes"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakePipesPipes.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakePipesPipes

DataSnowflakePipesPipes(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesPipes.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesPipes.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesPipes.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesPipes.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesPipes.property.database"></a>

* *Type:* `string`

---


##### `integration`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesPipes.property.integration"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesPipes.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakePipesPipes.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeResourceMonitorsResourceMonitors <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeResourceMonitorsResourceMonitors

DataSnowflakeResourceMonitorsResourceMonitors(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors.property.comment"></a>

* *Type:* `string`

---


##### `creditQuota`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors.property.creditQuota"></a>

* *Type:* `string`

---


##### `frequency`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors.property.frequency"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors.property.name"></a>

* *Type:* `string`

---


### DataSnowflakeRowAccessPoliciesRowAccessPolicies <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeRowAccessPoliciesRowAccessPolicies

DataSnowflakeRowAccessPoliciesRowAccessPolicies(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeSchemasSchemas <a name="cdktf-snowflake.DataSnowflakeSchemasSchemas"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeSchemasSchemas.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSchemasSchemas

DataSnowflakeSchemasSchemas(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasSchemas.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasSchemas.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasSchemas.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasSchemas.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasSchemas.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSchemasSchemas.property.name"></a>

* *Type:* `string`

---


### DataSnowflakeSequencesSequences <a name="cdktf-snowflake.DataSnowflakeSequencesSequences"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeSequencesSequences.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeSequencesSequences

DataSnowflakeSequencesSequences(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesSequences.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesSequences.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesSequences.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesSequences.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesSequences.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesSequences.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeSequencesSequences.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeStagesStages <a name="cdktf-snowflake.DataSnowflakeStagesStages"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeStagesStages.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeStagesStages

DataSnowflakeStagesStages(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesStages.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesStages.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesStages.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesStages.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesStages.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesStages.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesStages.property.schema"></a>

* *Type:* `string`

---


##### `storageIntegration`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStagesStages.property.storageIntegration"></a>

* *Type:* `string`

---


### DataSnowflakeStorageIntegrationsStorageIntegrations <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeStorageIntegrationsStorageIntegrations

DataSnowflakeStorageIntegrationsStorageIntegrations(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations.property.comment"></a>

* *Type:* `string`

---


##### `enabled`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations.property.enabled"></a>

* *Type:* `boolean`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations.property.name"></a>

* *Type:* `string`

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations.property.type"></a>

* *Type:* `string`

---


### DataSnowflakeStreamsStreams <a name="cdktf-snowflake.DataSnowflakeStreamsStreams"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeStreamsStreams.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeStreamsStreams

DataSnowflakeStreamsStreams(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsStreams.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsStreams.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsStreams.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsStreams.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsStreams.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsStreams.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsStreams.property.schema"></a>

* *Type:* `string`

---


##### `table`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeStreamsStreams.property.table"></a>

* *Type:* `string`

---


### DataSnowflakeTablesTables <a name="cdktf-snowflake.DataSnowflakeTablesTables"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeTablesTables.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeTablesTables

DataSnowflakeTablesTables(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTablesTables.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTablesTables.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTablesTables.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTablesTables.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTablesTables.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTablesTables.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTablesTables.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeTasksTasks <a name="cdktf-snowflake.DataSnowflakeTasksTasks"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeTasksTasks.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeTasksTasks

DataSnowflakeTasksTasks(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksTasks.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksTasks.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksTasks.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksTasks.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksTasks.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksTasks.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksTasks.property.schema"></a>

* *Type:* `string`

---


##### `warehouse`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeTasksTasks.property.warehouse"></a>

* *Type:* `string`

---


### DataSnowflakeViewsViews <a name="cdktf-snowflake.DataSnowflakeViewsViews"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeViewsViews.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeViewsViews

DataSnowflakeViewsViews(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViewsViews.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViewsViews.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViewsViews.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViewsViews.property.comment"></a>

* *Type:* `string`

---


##### `database`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViewsViews.property.database"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViewsViews.property.name"></a>

* *Type:* `string`

---


##### `schema`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeViewsViews.property.schema"></a>

* *Type:* `string`

---


### DataSnowflakeWarehousesWarehouses <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses"></a>

#### Initializer <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.Initializer"></a>

```python
# Example automatically generated without compilation. See https://github.com/aws/jsii/issues/826
from cdktf_snowflake import DataSnowflakeWarehousesWarehouses

DataSnowflakeWarehousesWarehouses(terraform_resource, ITerraformResource, terraform_attribute, string, complex_computed_list_index, string)
```

##### `terraformResource`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.parameter.terraformResource"></a>

* *Type:* [`cdktf.ITerraformResource`](#cdktf.ITerraformResource)

---


##### `terraformAttribute`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.parameter.terraformAttribute"></a>

* *Type:* `string`

---


##### `complexComputedListIndex`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.parameter.complexComputedListIndex"></a>

* *Type:* `string`

---


#### Properties <a name="Properties"></a>

##### `comment`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.property.comment"></a>

* *Type:* `string`

---


##### `name`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.property.name"></a>

* *Type:* `string`

---


##### `scalingPolicy`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.property.scalingPolicy"></a>

* *Type:* `string`

---


##### `size`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.property.size"></a>

* *Type:* `string`

---


##### `state`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.property.state"></a>

* *Type:* `string`

---


##### `type`<sup>Required</sup> <a name="cdktf-snowflake.DataSnowflakeWarehousesWarehouses.property.type"></a>

* *Type:* `string`

---
'''
import abc
import builtins
import datetime
import enum
import typing

import jsii
import publication
import typing_extensions

from ._jsii import *

import cdktf
import constructs


class AccountGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.AccountGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html snowflake_account_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html snowflake_account_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param privilege: The privilege to grant on the account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#privilege AccountGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#roles AccountGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#with_grant_option AccountGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = AccountGrantConfig(
            privilege=privilege,
            roles=roles,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(AccountGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.AccountGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "privilege": "privilege",
        "roles": "roles",
        "with_grant_option": "withGrantOption",
    },
)
class AccountGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param privilege: The privilege to grant on the account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#privilege AccountGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#roles AccountGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#with_grant_option AccountGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {}
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#privilege AccountGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#roles AccountGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/account_grant.html#with_grant_option AccountGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "AccountGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ApiIntegration(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ApiIntegration",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html snowflake_api_integration}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        api_allowed_prefixes: typing.Sequence[builtins.str],
        api_provider: builtins.str,
        name: builtins.str,
        api_aws_role_arn: typing.Optional[builtins.str] = None,
        api_blocked_prefixes: typing.Optional[typing.Sequence[builtins.str]] = None,
        azure_ad_application_id: typing.Optional[builtins.str] = None,
        azure_tenant_id: typing.Optional[builtins.str] = None,
        enabled: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html snowflake_api_integration} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param api_allowed_prefixes: Explicitly limits external functions that use the integration to reference one or more HTTPS proxy service endpoints and resources within those proxies. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_allowed_prefixes ApiIntegration#api_allowed_prefixes}
        :param api_provider: Specifies the HTTPS proxy service type. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_provider ApiIntegration#api_provider}
        :param name: Specifies the name of the API integration. This name follows the rules for Object Identifiers. The name should be unique among api integrations in your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#name ApiIntegration#name}
        :param api_aws_role_arn: ARN of a cloud platform role. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_aws_role_arn ApiIntegration#api_aws_role_arn}
        :param api_blocked_prefixes: Lists the endpoints and resources in the HTTPS proxy service that are not allowed to be called from Snowflake. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_blocked_prefixes ApiIntegration#api_blocked_prefixes}
        :param azure_ad_application_id: The 'Application (client) id' of the Azure AD app for your remote service. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#azure_ad_application_id ApiIntegration#azure_ad_application_id}
        :param azure_tenant_id: Specifies the ID for your Office 365 tenant that all Azure API Management instances belong to. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#azure_tenant_id ApiIntegration#azure_tenant_id}
        :param enabled: Specifies whether this API integration is enabled or disabled. If the API integration is disabled, any external function that relies on it will not work. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#enabled ApiIntegration#enabled}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ApiIntegrationConfig(
            api_allowed_prefixes=api_allowed_prefixes,
            api_provider=api_provider,
            name=name,
            api_aws_role_arn=api_aws_role_arn,
            api_blocked_prefixes=api_blocked_prefixes,
            azure_ad_application_id=azure_ad_application_id,
            azure_tenant_id=azure_tenant_id,
            enabled=enabled,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ApiIntegration, self, [scope, id, config])

    @jsii.member(jsii_name="resetApiAwsRoleArn")
    def reset_api_aws_role_arn(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetApiAwsRoleArn", []))

    @jsii.member(jsii_name="resetApiBlockedPrefixes")
    def reset_api_blocked_prefixes(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetApiBlockedPrefixes", []))

    @jsii.member(jsii_name="resetAzureAdApplicationId")
    def reset_azure_ad_application_id(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAzureAdApplicationId", []))

    @jsii.member(jsii_name="resetAzureTenantId")
    def reset_azure_tenant_id(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAzureTenantId", []))

    @jsii.member(jsii_name="resetEnabled")
    def reset_enabled(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEnabled", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiAllowedPrefixesInput")
    def api_allowed_prefixes_input(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "apiAllowedPrefixesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiAwsExternalId")
    def api_aws_external_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "apiAwsExternalId"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiAwsIamUserArn")
    def api_aws_iam_user_arn(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "apiAwsIamUserArn"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiProviderInput")
    def api_provider_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "apiProviderInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureConsentUrl")
    def azure_consent_url(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azureConsentUrl"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureMultiTenantAppName")
    def azure_multi_tenant_app_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azureMultiTenantAppName"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="createdOn")
    def created_on(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "createdOn"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiAwsRoleArnInput")
    def api_aws_role_arn_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "apiAwsRoleArnInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiBlockedPrefixesInput")
    def api_blocked_prefixes_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "apiBlockedPrefixesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureAdApplicationIdInput")
    def azure_ad_application_id_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "azureAdApplicationIdInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureTenantIdInput")
    def azure_tenant_id_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "azureTenantIdInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enabledInput")
    def enabled_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "enabledInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiAllowedPrefixes")
    def api_allowed_prefixes(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "apiAllowedPrefixes"))

    @api_allowed_prefixes.setter
    def api_allowed_prefixes(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "apiAllowedPrefixes", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiAwsRoleArn")
    def api_aws_role_arn(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "apiAwsRoleArn"))

    @api_aws_role_arn.setter
    def api_aws_role_arn(self, value: builtins.str) -> None:
        jsii.set(self, "apiAwsRoleArn", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiBlockedPrefixes")
    def api_blocked_prefixes(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "apiBlockedPrefixes"))

    @api_blocked_prefixes.setter
    def api_blocked_prefixes(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "apiBlockedPrefixes", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiProvider")
    def api_provider(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "apiProvider"))

    @api_provider.setter
    def api_provider(self, value: builtins.str) -> None:
        jsii.set(self, "apiProvider", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureAdApplicationId")
    def azure_ad_application_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azureAdApplicationId"))

    @azure_ad_application_id.setter
    def azure_ad_application_id(self, value: builtins.str) -> None:
        jsii.set(self, "azureAdApplicationId", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureTenantId")
    def azure_tenant_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azureTenantId"))

    @azure_tenant_id.setter
    def azure_tenant_id(self, value: builtins.str) -> None:
        jsii.set(self, "azureTenantId", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enabled")
    def enabled(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "enabled"))

    @enabled.setter
    def enabled(self, value: builtins.bool) -> None:
        jsii.set(self, "enabled", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ApiIntegrationConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "api_allowed_prefixes": "apiAllowedPrefixes",
        "api_provider": "apiProvider",
        "name": "name",
        "api_aws_role_arn": "apiAwsRoleArn",
        "api_blocked_prefixes": "apiBlockedPrefixes",
        "azure_ad_application_id": "azureAdApplicationId",
        "azure_tenant_id": "azureTenantId",
        "enabled": "enabled",
    },
)
class ApiIntegrationConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        api_allowed_prefixes: typing.Sequence[builtins.str],
        api_provider: builtins.str,
        name: builtins.str,
        api_aws_role_arn: typing.Optional[builtins.str] = None,
        api_blocked_prefixes: typing.Optional[typing.Sequence[builtins.str]] = None,
        azure_ad_application_id: typing.Optional[builtins.str] = None,
        azure_tenant_id: typing.Optional[builtins.str] = None,
        enabled: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param api_allowed_prefixes: Explicitly limits external functions that use the integration to reference one or more HTTPS proxy service endpoints and resources within those proxies. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_allowed_prefixes ApiIntegration#api_allowed_prefixes}
        :param api_provider: Specifies the HTTPS proxy service type. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_provider ApiIntegration#api_provider}
        :param name: Specifies the name of the API integration. This name follows the rules for Object Identifiers. The name should be unique among api integrations in your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#name ApiIntegration#name}
        :param api_aws_role_arn: ARN of a cloud platform role. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_aws_role_arn ApiIntegration#api_aws_role_arn}
        :param api_blocked_prefixes: Lists the endpoints and resources in the HTTPS proxy service that are not allowed to be called from Snowflake. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_blocked_prefixes ApiIntegration#api_blocked_prefixes}
        :param azure_ad_application_id: The 'Application (client) id' of the Azure AD app for your remote service. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#azure_ad_application_id ApiIntegration#azure_ad_application_id}
        :param azure_tenant_id: Specifies the ID for your Office 365 tenant that all Azure API Management instances belong to. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#azure_tenant_id ApiIntegration#azure_tenant_id}
        :param enabled: Specifies whether this API integration is enabled or disabled. If the API integration is disabled, any external function that relies on it will not work. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#enabled ApiIntegration#enabled}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "api_allowed_prefixes": api_allowed_prefixes,
            "api_provider": api_provider,
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if api_aws_role_arn is not None:
            self._values["api_aws_role_arn"] = api_aws_role_arn
        if api_blocked_prefixes is not None:
            self._values["api_blocked_prefixes"] = api_blocked_prefixes
        if azure_ad_application_id is not None:
            self._values["azure_ad_application_id"] = azure_ad_application_id
        if azure_tenant_id is not None:
            self._values["azure_tenant_id"] = azure_tenant_id
        if enabled is not None:
            self._values["enabled"] = enabled

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def api_allowed_prefixes(self) -> typing.List[builtins.str]:
        '''Explicitly limits external functions that use the integration to reference one or more HTTPS proxy service endpoints and resources within those proxies.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_allowed_prefixes ApiIntegration#api_allowed_prefixes}
        '''
        result = self._values.get("api_allowed_prefixes")
        assert result is not None, "Required property 'api_allowed_prefixes' is missing"
        return typing.cast(typing.List[builtins.str], result)

    @builtins.property
    def api_provider(self) -> builtins.str:
        '''Specifies the HTTPS proxy service type.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_provider ApiIntegration#api_provider}
        '''
        result = self._values.get("api_provider")
        assert result is not None, "Required property 'api_provider' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the name of the API integration.

        This name follows the rules for Object Identifiers. The name should be unique among api integrations in your account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#name ApiIntegration#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def api_aws_role_arn(self) -> typing.Optional[builtins.str]:
        '''ARN of a cloud platform role.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_aws_role_arn ApiIntegration#api_aws_role_arn}
        '''
        result = self._values.get("api_aws_role_arn")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def api_blocked_prefixes(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Lists the endpoints and resources in the HTTPS proxy service that are not allowed to be called from Snowflake.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#api_blocked_prefixes ApiIntegration#api_blocked_prefixes}
        '''
        result = self._values.get("api_blocked_prefixes")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def azure_ad_application_id(self) -> typing.Optional[builtins.str]:
        '''The 'Application (client) id' of the Azure AD app for your remote service.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#azure_ad_application_id ApiIntegration#azure_ad_application_id}
        '''
        result = self._values.get("azure_ad_application_id")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def azure_tenant_id(self) -> typing.Optional[builtins.str]:
        '''Specifies the ID for your Office 365 tenant that all Azure API Management instances belong to.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#azure_tenant_id ApiIntegration#azure_tenant_id}
        '''
        result = self._values.get("azure_tenant_id")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def enabled(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether this API integration is enabled or disabled.

        If the API integration is disabled, any external function that relies on it will not work.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/api_integration.html#enabled ApiIntegration#enabled}
        '''
        result = self._values.get("enabled")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ApiIntegrationConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeCurrentAccount(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeCurrentAccount",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/current_account.html snowflake_current_account}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/current_account.html snowflake_current_account} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeCurrentAccountConfig(
            count=count, depends_on=depends_on, lifecycle=lifecycle, provider=provider
        )

        jsii.create(DataSnowflakeCurrentAccount, self, [scope, id, config])

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="account")
    def account(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "account"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="region")
    def region(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "region"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="url")
    def url(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "url"))


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeCurrentAccountConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
    },
)
class DataSnowflakeCurrentAccountConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {}
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeCurrentAccountConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeExternalFunctions(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeExternalFunctions",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html snowflake_external_functions}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html snowflake_external_functions} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html#database DataSnowflakeExternalFunctions#database}
        :param schema: The schema from which to return the external functions from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html#schema DataSnowflakeExternalFunctions#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeExternalFunctionsConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeExternalFunctions, self, [scope, id, config])

    @jsii.member(jsii_name="externalFunctions")
    def external_functions(
        self,
        index: builtins.str,
    ) -> "DataSnowflakeExternalFunctionsExternalFunctions":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeExternalFunctionsExternalFunctions", jsii.invoke(self, "externalFunctions", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeExternalFunctionsConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeExternalFunctionsConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html#database DataSnowflakeExternalFunctions#database}
        :param schema: The schema from which to return the external functions from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html#schema DataSnowflakeExternalFunctions#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html#database DataSnowflakeExternalFunctions#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the external functions from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_functions.html#schema DataSnowflakeExternalFunctions#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeExternalFunctionsConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeExternalFunctionsExternalFunctions(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeExternalFunctionsExternalFunctions",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeExternalFunctionsExternalFunctions, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="language")
    def language(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "language"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakeExternalTables(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeExternalTables",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html snowflake_external_tables}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html snowflake_external_tables} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html#database DataSnowflakeExternalTables#database}
        :param schema: The schema from which to return the external tables from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html#schema DataSnowflakeExternalTables#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeExternalTablesConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeExternalTables, self, [scope, id, config])

    @jsii.member(jsii_name="externalTables")
    def external_tables(
        self,
        index: builtins.str,
    ) -> "DataSnowflakeExternalTablesExternalTables":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeExternalTablesExternalTables", jsii.invoke(self, "externalTables", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeExternalTablesConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeExternalTablesConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html#database DataSnowflakeExternalTables#database}
        :param schema: The schema from which to return the external tables from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html#schema DataSnowflakeExternalTables#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html#database DataSnowflakeExternalTables#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the external tables from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/external_tables.html#schema DataSnowflakeExternalTables#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeExternalTablesConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeExternalTablesExternalTables(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeExternalTablesExternalTables",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeExternalTablesExternalTables, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakeFileFormats(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeFileFormats",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html snowflake_file_formats}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html snowflake_file_formats} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html#database DataSnowflakeFileFormats#database}
        :param schema: The schema from which to return the file formats from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html#schema DataSnowflakeFileFormats#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeFileFormatsConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeFileFormats, self, [scope, id, config])

    @jsii.member(jsii_name="fileFormats")
    def file_formats(
        self,
        index: builtins.str,
    ) -> "DataSnowflakeFileFormatsFileFormats":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeFileFormatsFileFormats", jsii.invoke(self, "fileFormats", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeFileFormatsConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeFileFormatsConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html#database DataSnowflakeFileFormats#database}
        :param schema: The schema from which to return the file formats from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html#schema DataSnowflakeFileFormats#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html#database DataSnowflakeFileFormats#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the file formats from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/file_formats.html#schema DataSnowflakeFileFormats#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeFileFormatsConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeFileFormatsFileFormats(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeFileFormatsFileFormats",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeFileFormatsFileFormats, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="formatType")
    def format_type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "formatType"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakeMaskingPolicies(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeMaskingPolicies",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html snowflake_masking_policies}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html snowflake_masking_policies} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html#database DataSnowflakeMaskingPolicies#database}
        :param schema: The schema from which to return the maskingPolicies from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html#schema DataSnowflakeMaskingPolicies#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeMaskingPoliciesConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeMaskingPolicies, self, [scope, id, config])

    @jsii.member(jsii_name="maskingPolicies")
    def masking_policies(
        self,
        index: builtins.str,
    ) -> "DataSnowflakeMaskingPoliciesMaskingPolicies":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeMaskingPoliciesMaskingPolicies", jsii.invoke(self, "maskingPolicies", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeMaskingPoliciesConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeMaskingPoliciesConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html#database DataSnowflakeMaskingPolicies#database}
        :param schema: The schema from which to return the maskingPolicies from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html#schema DataSnowflakeMaskingPolicies#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html#database DataSnowflakeMaskingPolicies#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the maskingPolicies from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/masking_policies.html#schema DataSnowflakeMaskingPolicies#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeMaskingPoliciesConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeMaskingPoliciesMaskingPolicies(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeMaskingPoliciesMaskingPolicies",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeMaskingPoliciesMaskingPolicies, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="kind")
    def kind(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "kind"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakeMaterializedViews(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeMaterializedViews",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html snowflake_materialized_views}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html snowflake_materialized_views} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html#database DataSnowflakeMaterializedViews#database}
        :param schema: The schema from which to return the views from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html#schema DataSnowflakeMaterializedViews#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeMaterializedViewsConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeMaterializedViews, self, [scope, id, config])

    @jsii.member(jsii_name="materializedViews")
    def materialized_views(
        self,
        index: builtins.str,
    ) -> "DataSnowflakeMaterializedViewsMaterializedViews":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeMaterializedViewsMaterializedViews", jsii.invoke(self, "materializedViews", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeMaterializedViewsConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeMaterializedViewsConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html#database DataSnowflakeMaterializedViews#database}
        :param schema: The schema from which to return the views from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html#schema DataSnowflakeMaterializedViews#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html#database DataSnowflakeMaterializedViews#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the views from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/materialized_views.html#schema DataSnowflakeMaterializedViews#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeMaterializedViewsConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeMaterializedViewsMaterializedViews(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeMaterializedViewsMaterializedViews",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeMaterializedViewsMaterializedViews, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakePipes(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakePipes",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html snowflake_pipes}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html snowflake_pipes} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html#database DataSnowflakePipes#database}
        :param schema: The schema from which to return the pipes from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html#schema DataSnowflakePipes#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakePipesConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakePipes, self, [scope, id, config])

    @jsii.member(jsii_name="pipes")
    def pipes(self, index: builtins.str) -> "DataSnowflakePipesPipes":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakePipesPipes", jsii.invoke(self, "pipes", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakePipesConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakePipesConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html#database DataSnowflakePipes#database}
        :param schema: The schema from which to return the pipes from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html#schema DataSnowflakePipes#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html#database DataSnowflakePipes#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the pipes from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/pipes.html#schema DataSnowflakePipes#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakePipesConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakePipesPipes(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakePipesPipes",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakePipesPipes, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="integration")
    def integration(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "integration"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakeResourceMonitors(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeResourceMonitors",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/resource_monitors.html snowflake_resource_monitors}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/resource_monitors.html snowflake_resource_monitors} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeResourceMonitorsConfig(
            count=count, depends_on=depends_on, lifecycle=lifecycle, provider=provider
        )

        jsii.create(DataSnowflakeResourceMonitors, self, [scope, id, config])

    @jsii.member(jsii_name="resourceMonitors")
    def resource_monitors(
        self,
        index: builtins.str,
    ) -> "DataSnowflakeResourceMonitorsResourceMonitors":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeResourceMonitorsResourceMonitors", jsii.invoke(self, "resourceMonitors", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeResourceMonitorsConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
    },
)
class DataSnowflakeResourceMonitorsConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {}
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeResourceMonitorsConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeResourceMonitorsResourceMonitors(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeResourceMonitorsResourceMonitors",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeResourceMonitorsResourceMonitors, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="creditQuota")
    def credit_quota(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "creditQuota"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="frequency")
    def frequency(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "frequency"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))


class DataSnowflakeRowAccessPolicies(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeRowAccessPolicies",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html snowflake_row_access_policies}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html snowflake_row_access_policies} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html#database DataSnowflakeRowAccessPolicies#database}
        :param schema: The schema from which to return the row access policyfrom. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html#schema DataSnowflakeRowAccessPolicies#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeRowAccessPoliciesConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeRowAccessPolicies, self, [scope, id, config])

    @jsii.member(jsii_name="rowAccessPolicies")
    def row_access_policies(
        self,
        index: builtins.str,
    ) -> "DataSnowflakeRowAccessPoliciesRowAccessPolicies":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeRowAccessPoliciesRowAccessPolicies", jsii.invoke(self, "rowAccessPolicies", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeRowAccessPoliciesConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeRowAccessPoliciesConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html#database DataSnowflakeRowAccessPolicies#database}
        :param schema: The schema from which to return the row access policyfrom. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html#schema DataSnowflakeRowAccessPolicies#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html#database DataSnowflakeRowAccessPolicies#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the row access policyfrom.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/row_access_policies.html#schema DataSnowflakeRowAccessPolicies#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeRowAccessPoliciesConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeRowAccessPoliciesRowAccessPolicies(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeRowAccessPoliciesRowAccessPolicies",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeRowAccessPoliciesRowAccessPolicies, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakeSchemas(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeSchemas",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/schemas.html snowflake_schemas}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/schemas.html snowflake_schemas} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/schemas.html#database DataSnowflakeSchemas#database}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeSchemasConfig(
            database=database,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeSchemas, self, [scope, id, config])

    @jsii.member(jsii_name="schemas")
    def schemas(self, index: builtins.str) -> "DataSnowflakeSchemasSchemas":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeSchemasSchemas", jsii.invoke(self, "schemas", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeSchemasConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
    },
)
class DataSnowflakeSchemasConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/schemas.html#database DataSnowflakeSchemas#database}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/schemas.html#database DataSnowflakeSchemas#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeSchemasConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeSchemasSchemas(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeSchemasSchemas",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeSchemasSchemas, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))


class DataSnowflakeSequences(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeSequences",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html snowflake_sequences}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html snowflake_sequences} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html#database DataSnowflakeSequences#database}
        :param schema: The schema from which to return the sequences from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html#schema DataSnowflakeSequences#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeSequencesConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeSequences, self, [scope, id, config])

    @jsii.member(jsii_name="sequences")
    def sequences(self, index: builtins.str) -> "DataSnowflakeSequencesSequences":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeSequencesSequences", jsii.invoke(self, "sequences", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeSequencesConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeSequencesConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html#database DataSnowflakeSequences#database}
        :param schema: The schema from which to return the sequences from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html#schema DataSnowflakeSequences#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html#database DataSnowflakeSequences#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the sequences from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/sequences.html#schema DataSnowflakeSequences#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeSequencesConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeSequencesSequences(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeSequencesSequences",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeSequencesSequences, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakeStages(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeStages",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html snowflake_stages}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html snowflake_stages} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html#database DataSnowflakeStages#database}
        :param schema: The schema from which to return the stages from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html#schema DataSnowflakeStages#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeStagesConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeStages, self, [scope, id, config])

    @jsii.member(jsii_name="stages")
    def stages(self, index: builtins.str) -> "DataSnowflakeStagesStages":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeStagesStages", jsii.invoke(self, "stages", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeStagesConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeStagesConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html#database DataSnowflakeStages#database}
        :param schema: The schema from which to return the stages from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html#schema DataSnowflakeStages#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html#database DataSnowflakeStages#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the stages from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/stages.html#schema DataSnowflakeStages#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeStagesConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeStagesStages(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeStagesStages",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeStagesStages, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageIntegration")
    def storage_integration(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "storageIntegration"))


class DataSnowflakeStorageIntegrations(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeStorageIntegrations",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/storage_integrations.html snowflake_storage_integrations}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/storage_integrations.html snowflake_storage_integrations} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeStorageIntegrationsConfig(
            count=count, depends_on=depends_on, lifecycle=lifecycle, provider=provider
        )

        jsii.create(DataSnowflakeStorageIntegrations, self, [scope, id, config])

    @jsii.member(jsii_name="storageIntegrations")
    def storage_integrations(
        self,
        index: builtins.str,
    ) -> "DataSnowflakeStorageIntegrationsStorageIntegrations":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeStorageIntegrationsStorageIntegrations", jsii.invoke(self, "storageIntegrations", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeStorageIntegrationsConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
    },
)
class DataSnowflakeStorageIntegrationsConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {}
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeStorageIntegrationsConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeStorageIntegrationsStorageIntegrations(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeStorageIntegrationsStorageIntegrations",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeStorageIntegrationsStorageIntegrations, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enabled")
    def enabled(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "enabled"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="type")
    def type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "type"))


class DataSnowflakeStreams(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeStreams",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html snowflake_streams}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html snowflake_streams} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the streams from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html#database DataSnowflakeStreams#database}
        :param schema: The schema from which to return the streams from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html#schema DataSnowflakeStreams#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeStreamsConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeStreams, self, [scope, id, config])

    @jsii.member(jsii_name="streams")
    def streams(self, index: builtins.str) -> "DataSnowflakeStreamsStreams":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeStreamsStreams", jsii.invoke(self, "streams", [index]))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeStreamsConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeStreamsConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the streams from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html#database DataSnowflakeStreams#database}
        :param schema: The schema from which to return the streams from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html#schema DataSnowflakeStreams#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the streams from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html#database DataSnowflakeStreams#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the streams from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/streams.html#schema DataSnowflakeStreams#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeStreamsConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeStreamsStreams(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeStreamsStreams",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeStreamsStreams, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="table")
    def table(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "table"))


class DataSnowflakeSystemGenerateScimAccessToken(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessToken",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/system_generate_scim_access_token.html snowflake_system_generate_scim_access_token}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        integration_name: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/system_generate_scim_access_token.html snowflake_system_generate_scim_access_token} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param integration_name: SCIM Integration Name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/system_generate_scim_access_token.html#integration_name DataSnowflakeSystemGenerateScimAccessToken#integration_name}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeSystemGenerateScimAccessTokenConfig(
            integration_name=integration_name,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeSystemGenerateScimAccessToken, self, [scope, id, config])

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="accessToken")
    def access_token(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "accessToken"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="integrationNameInput")
    def integration_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "integrationNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="integrationName")
    def integration_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "integrationName"))

    @integration_name.setter
    def integration_name(self, value: builtins.str) -> None:
        jsii.set(self, "integrationName", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeSystemGenerateScimAccessTokenConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "integration_name": "integrationName",
    },
)
class DataSnowflakeSystemGenerateScimAccessTokenConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        integration_name: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param integration_name: SCIM Integration Name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/system_generate_scim_access_token.html#integration_name DataSnowflakeSystemGenerateScimAccessToken#integration_name}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "integration_name": integration_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def integration_name(self) -> builtins.str:
        '''SCIM Integration Name.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/system_generate_scim_access_token.html#integration_name DataSnowflakeSystemGenerateScimAccessToken#integration_name}
        '''
        result = self._values.get("integration_name")
        assert result is not None, "Required property 'integration_name' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeSystemGenerateScimAccessTokenConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeSystemGetAwsSnsIamPolicy(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicy",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_aws_sns_iam_policy.html snowflake_system_get_aws_sns_iam_policy}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        aws_sns_topic_arn: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_aws_sns_iam_policy.html snowflake_system_get_aws_sns_iam_policy} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param aws_sns_topic_arn: Amazon Resource Name (ARN) of the SNS topic for your S3 bucket. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_aws_sns_iam_policy.html#aws_sns_topic_arn DataSnowflakeSystemGetAwsSnsIamPolicy#aws_sns_topic_arn}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeSystemGetAwsSnsIamPolicyConfig(
            aws_sns_topic_arn=aws_sns_topic_arn,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeSystemGetAwsSnsIamPolicy, self, [scope, id, config])

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSnsTopicArnInput")
    def aws_sns_topic_arn_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsSnsTopicArnInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSnsTopicPolicyJson")
    def aws_sns_topic_policy_json(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsSnsTopicPolicyJson"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSnsTopicArn")
    def aws_sns_topic_arn(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsSnsTopicArn"))

    @aws_sns_topic_arn.setter
    def aws_sns_topic_arn(self, value: builtins.str) -> None:
        jsii.set(self, "awsSnsTopicArn", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeSystemGetAwsSnsIamPolicyConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "aws_sns_topic_arn": "awsSnsTopicArn",
    },
)
class DataSnowflakeSystemGetAwsSnsIamPolicyConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        aws_sns_topic_arn: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param aws_sns_topic_arn: Amazon Resource Name (ARN) of the SNS topic for your S3 bucket. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_aws_sns_iam_policy.html#aws_sns_topic_arn DataSnowflakeSystemGetAwsSnsIamPolicy#aws_sns_topic_arn}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "aws_sns_topic_arn": aws_sns_topic_arn,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def aws_sns_topic_arn(self) -> builtins.str:
        '''Amazon Resource Name (ARN) of the SNS topic for your S3 bucket.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_aws_sns_iam_policy.html#aws_sns_topic_arn DataSnowflakeSystemGetAwsSnsIamPolicy#aws_sns_topic_arn}
        '''
        result = self._values.get("aws_sns_topic_arn")
        assert result is not None, "Required property 'aws_sns_topic_arn' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeSystemGetAwsSnsIamPolicyConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeSystemGetPrivatelinkConfig(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfig",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_privatelink_config.html snowflake_system_get_privatelink_config}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_privatelink_config.html snowflake_system_get_privatelink_config} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeSystemGetPrivatelinkConfigConfig(
            count=count, depends_on=depends_on, lifecycle=lifecycle, provider=provider
        )

        jsii.create(DataSnowflakeSystemGetPrivatelinkConfig, self, [scope, id, config])

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="accountName")
    def account_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "accountName"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="accountUrl")
    def account_url(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "accountUrl"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsVpceId")
    def aws_vpce_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsVpceId"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azurePlsId")
    def azure_pls_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azurePlsId"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oscpUrl")
    def oscp_url(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "oscpUrl"))


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeSystemGetPrivatelinkConfigConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
    },
)
class DataSnowflakeSystemGetPrivatelinkConfigConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {}
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeSystemGetPrivatelinkConfigConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeSystemGetSnowflakePlatformInfo(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfo",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_snowflake_platform_info.html snowflake_system_get_snowflake_platform_info}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_snowflake_platform_info.html snowflake_system_get_snowflake_platform_info} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeSystemGetSnowflakePlatformInfoConfig(
            count=count, depends_on=depends_on, lifecycle=lifecycle, provider=provider
        )

        jsii.create(DataSnowflakeSystemGetSnowflakePlatformInfo, self, [scope, id, config])

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsVpcIds")
    def aws_vpc_ids(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "awsVpcIds"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureVnetSubnetIds")
    def azure_vnet_subnet_ids(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "azureVnetSubnetIds"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeSystemGetSnowflakePlatformInfoConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
    },
)
class DataSnowflakeSystemGetSnowflakePlatformInfoConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {}
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeSystemGetSnowflakePlatformInfoConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeTables(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeTables",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html snowflake_tables}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html snowflake_tables} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html#database DataSnowflakeTables#database}
        :param schema: The schema from which to return the tables from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html#schema DataSnowflakeTables#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeTablesConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeTables, self, [scope, id, config])

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @jsii.member(jsii_name="tables")
    def tables(self, index: builtins.str) -> "DataSnowflakeTablesTables":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeTablesTables", jsii.invoke(self, "tables", [index]))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeTablesConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeTablesConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html#database DataSnowflakeTables#database}
        :param schema: The schema from which to return the tables from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html#schema DataSnowflakeTables#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html#database DataSnowflakeTables#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the tables from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tables.html#schema DataSnowflakeTables#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeTablesConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeTablesTables(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeTablesTables",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeTablesTables, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakeTasks(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeTasks",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html snowflake_tasks}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html snowflake_tasks} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html#database DataSnowflakeTasks#database}
        :param schema: The schema from which to return the tasks from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html#schema DataSnowflakeTasks#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeTasksConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeTasks, self, [scope, id, config])

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @jsii.member(jsii_name="tasks")
    def tasks(self, index: builtins.str) -> "DataSnowflakeTasksTasks":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeTasksTasks", jsii.invoke(self, "tasks", [index]))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeTasksConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeTasksConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html#database DataSnowflakeTasks#database}
        :param schema: The schema from which to return the tasks from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html#schema DataSnowflakeTasks#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html#database DataSnowflakeTasks#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the tasks from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/tasks.html#schema DataSnowflakeTasks#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeTasksConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeTasksTasks(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeTasksTasks",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeTasksTasks, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="warehouse")
    def warehouse(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "warehouse"))


class DataSnowflakeViews(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeViews",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/views.html snowflake_views}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        schema: builtins.str,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/views.html snowflake_views} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/views.html#database DataSnowflakeViews#database}
        :param schema: The schema from which to return the views from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/views.html#schema DataSnowflakeViews#schema}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeViewsConfig(
            database=database,
            schema=schema,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DataSnowflakeViews, self, [scope, id, config])

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @jsii.member(jsii_name="views")
    def views(self, index: builtins.str) -> "DataSnowflakeViewsViews":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeViewsViews", jsii.invoke(self, "views", [index]))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeViewsConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "schema": "schema",
    },
)
class DataSnowflakeViewsConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        schema: builtins.str,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database from which to return the schemas from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/views.html#database DataSnowflakeViews#database}
        :param schema: The schema from which to return the views from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/views.html#schema DataSnowflakeViews#schema}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database from which to return the schemas from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/views.html#database DataSnowflakeViews#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema from which to return the views from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/d/views.html#schema DataSnowflakeViews#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeViewsConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeViewsViews(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeViewsViews",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeViewsViews, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))


class DataSnowflakeWarehouses(
    cdktf.TerraformDataSource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeWarehouses",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/warehouses.html snowflake_warehouses}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/warehouses.html snowflake_warehouses} Data Source.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DataSnowflakeWarehousesConfig(
            count=count, depends_on=depends_on, lifecycle=lifecycle, provider=provider
        )

        jsii.create(DataSnowflakeWarehouses, self, [scope, id, config])

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @jsii.member(jsii_name="warehouses")
    def warehouses(self, index: builtins.str) -> "DataSnowflakeWarehousesWarehouses":
        '''
        :param index: -
        '''
        return typing.cast("DataSnowflakeWarehousesWarehouses", jsii.invoke(self, "warehouses", [index]))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))


@jsii.data_type(
    jsii_type="cdktf-snowflake.DataSnowflakeWarehousesConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
    },
)
class DataSnowflakeWarehousesConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {}
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DataSnowflakeWarehousesConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DataSnowflakeWarehousesWarehouses(
    cdktf.ComplexComputedList,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DataSnowflakeWarehousesWarehouses",
):
    def __init__(
        self,
        terraform_resource: cdktf.ITerraformResource,
        terraform_attribute: builtins.str,
        complex_computed_list_index: builtins.str,
    ) -> None:
        '''
        :param terraform_resource: -
        :param terraform_attribute: -
        :param complex_computed_list_index: -

        :stability: experimental
        '''
        jsii.create(DataSnowflakeWarehousesWarehouses, self, [terraform_resource, terraform_attribute, complex_computed_list_index])

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="scalingPolicy")
    def scaling_policy(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "scalingPolicy"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="size")
    def size(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "size"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="state")
    def state(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "state"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="type")
    def type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "type"))


class Database(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Database",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/database.html snowflake_database}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        data_retention_time_in_days: typing.Optional[jsii.Number] = None,
        from_database: typing.Optional[builtins.str] = None,
        from_share: typing.Optional[typing.Mapping[builtins.str, builtins.str]] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/database.html snowflake_database} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#name Database#name}.
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#comment Database#comment}.
        :param data_retention_time_in_days: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#data_retention_time_in_days Database#data_retention_time_in_days}.
        :param from_database: Specify a database to create a clone from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#from_database Database#from_database}
        :param from_share: Specify a provider and a share in this map to create a database from a share. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#from_share Database#from_share}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DatabaseConfig(
            name=name,
            comment=comment,
            data_retention_time_in_days=data_retention_time_in_days,
            from_database=from_database,
            from_share=from_share,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Database, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetDataRetentionTimeInDays")
    def reset_data_retention_time_in_days(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDataRetentionTimeInDays", []))

    @jsii.member(jsii_name="resetFromDatabase")
    def reset_from_database(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFromDatabase", []))

    @jsii.member(jsii_name="resetFromShare")
    def reset_from_share(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFromShare", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="dataRetentionTimeInDaysInput")
    def data_retention_time_in_days_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "dataRetentionTimeInDaysInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fromDatabaseInput")
    def from_database_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "fromDatabaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fromShareInput")
    def from_share_input(
        self,
    ) -> typing.Optional[typing.Mapping[builtins.str, builtins.str]]:
        return typing.cast(typing.Optional[typing.Mapping[builtins.str, builtins.str]], jsii.get(self, "fromShareInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="dataRetentionTimeInDays")
    def data_retention_time_in_days(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "dataRetentionTimeInDays"))

    @data_retention_time_in_days.setter
    def data_retention_time_in_days(self, value: jsii.Number) -> None:
        jsii.set(self, "dataRetentionTimeInDays", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fromDatabase")
    def from_database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "fromDatabase"))

    @from_database.setter
    def from_database(self, value: builtins.str) -> None:
        jsii.set(self, "fromDatabase", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fromShare")
    def from_share(self) -> typing.Mapping[builtins.str, builtins.str]:
        return typing.cast(typing.Mapping[builtins.str, builtins.str], jsii.get(self, "fromShare"))

    @from_share.setter
    def from_share(self, value: typing.Mapping[builtins.str, builtins.str]) -> None:
        jsii.set(self, "fromShare", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DatabaseConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "comment": "comment",
        "data_retention_time_in_days": "dataRetentionTimeInDays",
        "from_database": "fromDatabase",
        "from_share": "fromShare",
    },
)
class DatabaseConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        data_retention_time_in_days: typing.Optional[jsii.Number] = None,
        from_database: typing.Optional[builtins.str] = None,
        from_share: typing.Optional[typing.Mapping[builtins.str, builtins.str]] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#name Database#name}.
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#comment Database#comment}.
        :param data_retention_time_in_days: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#data_retention_time_in_days Database#data_retention_time_in_days}.
        :param from_database: Specify a database to create a clone from. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#from_database Database#from_database}
        :param from_share: Specify a provider and a share in this map to create a database from a share. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#from_share Database#from_share}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment
        if data_retention_time_in_days is not None:
            self._values["data_retention_time_in_days"] = data_retention_time_in_days
        if from_database is not None:
            self._values["from_database"] = from_database
        if from_share is not None:
            self._values["from_share"] = from_share

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#name Database#name}.'''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#comment Database#comment}.'''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def data_retention_time_in_days(self) -> typing.Optional[jsii.Number]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#data_retention_time_in_days Database#data_retention_time_in_days}.'''
        result = self._values.get("data_retention_time_in_days")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def from_database(self) -> typing.Optional[builtins.str]:
        '''Specify a database to create a clone from.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#from_database Database#from_database}
        '''
        result = self._values.get("from_database")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def from_share(self) -> typing.Optional[typing.Mapping[builtins.str, builtins.str]]:
        '''Specify a provider and a share in this map to create a database from a share.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database.html#from_share Database#from_share}
        '''
        result = self._values.get("from_share")
        return typing.cast(typing.Optional[typing.Mapping[builtins.str, builtins.str]], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DatabaseConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class DatabaseGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.DatabaseGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html snowflake_database_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html snowflake_database_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#database_name DatabaseGrant#database_name}
        :param privilege: The privilege to grant on the database. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#privilege DatabaseGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#roles DatabaseGrant#roles}
        :param shares: Grants privilege to these shares. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#shares DatabaseGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#with_grant_option DatabaseGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = DatabaseGrantConfig(
            database_name=database_name,
            privilege=privilege,
            roles=roles,
            shares=shares,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(DatabaseGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetShares")
    def reset_shares(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShares", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sharesInput")
    def shares_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "sharesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="shares")
    def shares(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "shares"))

    @shares.setter
    def shares(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "shares", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.DatabaseGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "privilege": "privilege",
        "roles": "roles",
        "shares": "shares",
        "with_grant_option": "withGrantOption",
    },
)
class DatabaseGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#database_name DatabaseGrant#database_name}
        :param privilege: The privilege to grant on the database. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#privilege DatabaseGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#roles DatabaseGrant#roles}
        :param shares: Grants privilege to these shares. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#shares DatabaseGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#with_grant_option DatabaseGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if shares is not None:
            self._values["shares"] = shares
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#database_name DatabaseGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the database.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#privilege DatabaseGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#roles DatabaseGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def shares(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these shares.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#shares DatabaseGrant#shares}
        '''
        result = self._values.get("shares")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/database_grant.html#with_grant_option DatabaseGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "DatabaseGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ExternalFunction(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ExternalFunction",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html snowflake_external_function}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        api_integration: builtins.str,
        database: builtins.str,
        name: builtins.str,
        return_behavior: builtins.str,
        return_type: builtins.str,
        schema: builtins.str,
        url_of_proxy_and_resource: builtins.str,
        arg: typing.Optional[typing.Sequence["ExternalFunctionArg"]] = None,
        comment: typing.Optional[builtins.str] = None,
        compression: typing.Optional[builtins.str] = None,
        context_headers: typing.Optional[typing.Sequence[builtins.str]] = None,
        header: typing.Optional[typing.Sequence["ExternalFunctionHeader"]] = None,
        max_batch_rows: typing.Optional[jsii.Number] = None,
        null_input_behavior: typing.Optional[builtins.str] = None,
        return_null_allowed: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html snowflake_external_function} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param api_integration: The name of the API integration object that should be used to authenticate the call to the proxy service. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#api_integration ExternalFunction#api_integration}
        :param database: The database in which to create the external function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#database ExternalFunction#database}
        :param name: Specifies the identifier for the external function. The identifier can contain the schema name and database name, as well as the function name. The function's signature (name and argument data types) must be unique within the schema. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}
        :param return_behavior: Specifies the behavior of the function when returning results. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_behavior ExternalFunction#return_behavior}
        :param return_type: Specifies the data type returned by the external function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_type ExternalFunction#return_type}
        :param schema: The schema in which to create the external function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#schema ExternalFunction#schema}
        :param url_of_proxy_and_resource: This is the invocation URL of the proxy service and resource through which Snowflake calls the remote service. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#url_of_proxy_and_resource ExternalFunction#url_of_proxy_and_resource}
        :param arg: arg block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#arg ExternalFunction#arg}
        :param comment: A description of the external function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#comment ExternalFunction#comment}
        :param compression: If specified, the JSON payload is compressed when sent from Snowflake to the proxy service, and when sent back from the proxy service to Snowflake. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#compression ExternalFunction#compression}
        :param context_headers: Binds Snowflake context function results to HTTP headers. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#context_headers ExternalFunction#context_headers}
        :param header: header block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#header ExternalFunction#header}
        :param max_batch_rows: This specifies the maximum number of rows in each batch sent to the proxy service. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#max_batch_rows ExternalFunction#max_batch_rows}
        :param null_input_behavior: Specifies the behavior of the external function when called with null inputs. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#null_input_behavior ExternalFunction#null_input_behavior}
        :param return_null_allowed: Indicates whether the function can return NULL values or must return only NON-NULL values. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_null_allowed ExternalFunction#return_null_allowed}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ExternalFunctionConfig(
            api_integration=api_integration,
            database=database,
            name=name,
            return_behavior=return_behavior,
            return_type=return_type,
            schema=schema,
            url_of_proxy_and_resource=url_of_proxy_and_resource,
            arg=arg,
            comment=comment,
            compression=compression,
            context_headers=context_headers,
            header=header,
            max_batch_rows=max_batch_rows,
            null_input_behavior=null_input_behavior,
            return_null_allowed=return_null_allowed,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ExternalFunction, self, [scope, id, config])

    @jsii.member(jsii_name="resetArg")
    def reset_arg(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetArg", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetCompression")
    def reset_compression(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetCompression", []))

    @jsii.member(jsii_name="resetContextHeaders")
    def reset_context_headers(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetContextHeaders", []))

    @jsii.member(jsii_name="resetHeader")
    def reset_header(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetHeader", []))

    @jsii.member(jsii_name="resetMaxBatchRows")
    def reset_max_batch_rows(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetMaxBatchRows", []))

    @jsii.member(jsii_name="resetNullInputBehavior")
    def reset_null_input_behavior(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetNullInputBehavior", []))

    @jsii.member(jsii_name="resetReturnNullAllowed")
    def reset_return_null_allowed(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetReturnNullAllowed", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiIntegrationInput")
    def api_integration_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "apiIntegrationInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="createdOn")
    def created_on(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "createdOn"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnBehaviorInput")
    def return_behavior_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "returnBehaviorInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnTypeInput")
    def return_type_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "returnTypeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="urlOfProxyAndResourceInput")
    def url_of_proxy_and_resource_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "urlOfProxyAndResourceInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="argInput")
    def arg_input(self) -> typing.Optional[typing.List["ExternalFunctionArg"]]:
        return typing.cast(typing.Optional[typing.List["ExternalFunctionArg"]], jsii.get(self, "argInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="compressionInput")
    def compression_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "compressionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="contextHeadersInput")
    def context_headers_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "contextHeadersInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="headerInput")
    def header_input(self) -> typing.Optional[typing.List["ExternalFunctionHeader"]]:
        return typing.cast(typing.Optional[typing.List["ExternalFunctionHeader"]], jsii.get(self, "headerInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maxBatchRowsInput")
    def max_batch_rows_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "maxBatchRowsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nullInputBehaviorInput")
    def null_input_behavior_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "nullInputBehaviorInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnNullAllowedInput")
    def return_null_allowed_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "returnNullAllowedInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="apiIntegration")
    def api_integration(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "apiIntegration"))

    @api_integration.setter
    def api_integration(self, value: builtins.str) -> None:
        jsii.set(self, "apiIntegration", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="arg")
    def arg(self) -> typing.List["ExternalFunctionArg"]:
        return typing.cast(typing.List["ExternalFunctionArg"], jsii.get(self, "arg"))

    @arg.setter
    def arg(self, value: typing.List["ExternalFunctionArg"]) -> None:
        jsii.set(self, "arg", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="compression")
    def compression(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "compression"))

    @compression.setter
    def compression(self, value: builtins.str) -> None:
        jsii.set(self, "compression", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="contextHeaders")
    def context_headers(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "contextHeaders"))

    @context_headers.setter
    def context_headers(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "contextHeaders", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="header")
    def header(self) -> typing.List["ExternalFunctionHeader"]:
        return typing.cast(typing.List["ExternalFunctionHeader"], jsii.get(self, "header"))

    @header.setter
    def header(self, value: typing.List["ExternalFunctionHeader"]) -> None:
        jsii.set(self, "header", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maxBatchRows")
    def max_batch_rows(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "maxBatchRows"))

    @max_batch_rows.setter
    def max_batch_rows(self, value: jsii.Number) -> None:
        jsii.set(self, "maxBatchRows", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nullInputBehavior")
    def null_input_behavior(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nullInputBehavior"))

    @null_input_behavior.setter
    def null_input_behavior(self, value: builtins.str) -> None:
        jsii.set(self, "nullInputBehavior", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnBehavior")
    def return_behavior(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "returnBehavior"))

    @return_behavior.setter
    def return_behavior(self, value: builtins.str) -> None:
        jsii.set(self, "returnBehavior", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnNullAllowed")
    def return_null_allowed(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "returnNullAllowed"))

    @return_null_allowed.setter
    def return_null_allowed(self, value: builtins.bool) -> None:
        jsii.set(self, "returnNullAllowed", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnType")
    def return_type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "returnType"))

    @return_type.setter
    def return_type(self, value: builtins.str) -> None:
        jsii.set(self, "returnType", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="urlOfProxyAndResource")
    def url_of_proxy_and_resource(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "urlOfProxyAndResource"))

    @url_of_proxy_and_resource.setter
    def url_of_proxy_and_resource(self, value: builtins.str) -> None:
        jsii.set(self, "urlOfProxyAndResource", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ExternalFunctionArg",
    jsii_struct_bases=[],
    name_mapping={"name": "name", "type": "type"},
)
class ExternalFunctionArg:
    def __init__(self, *, name: builtins.str, type: builtins.str) -> None:
        '''
        :param name: Argument name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}
        :param type: Argument type, e.g. VARCHAR. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#type ExternalFunction#type}
        '''
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
            "type": type,
        }

    @builtins.property
    def name(self) -> builtins.str:
        '''Argument name.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def type(self) -> builtins.str:
        '''Argument type, e.g. VARCHAR.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#type ExternalFunction#type}
        '''
        result = self._values.get("type")
        assert result is not None, "Required property 'type' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ExternalFunctionArg(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


@jsii.data_type(
    jsii_type="cdktf-snowflake.ExternalFunctionConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "api_integration": "apiIntegration",
        "database": "database",
        "name": "name",
        "return_behavior": "returnBehavior",
        "return_type": "returnType",
        "schema": "schema",
        "url_of_proxy_and_resource": "urlOfProxyAndResource",
        "arg": "arg",
        "comment": "comment",
        "compression": "compression",
        "context_headers": "contextHeaders",
        "header": "header",
        "max_batch_rows": "maxBatchRows",
        "null_input_behavior": "nullInputBehavior",
        "return_null_allowed": "returnNullAllowed",
    },
)
class ExternalFunctionConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        api_integration: builtins.str,
        database: builtins.str,
        name: builtins.str,
        return_behavior: builtins.str,
        return_type: builtins.str,
        schema: builtins.str,
        url_of_proxy_and_resource: builtins.str,
        arg: typing.Optional[typing.Sequence[ExternalFunctionArg]] = None,
        comment: typing.Optional[builtins.str] = None,
        compression: typing.Optional[builtins.str] = None,
        context_headers: typing.Optional[typing.Sequence[builtins.str]] = None,
        header: typing.Optional[typing.Sequence["ExternalFunctionHeader"]] = None,
        max_batch_rows: typing.Optional[jsii.Number] = None,
        null_input_behavior: typing.Optional[builtins.str] = None,
        return_null_allowed: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param api_integration: The name of the API integration object that should be used to authenticate the call to the proxy service. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#api_integration ExternalFunction#api_integration}
        :param database: The database in which to create the external function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#database ExternalFunction#database}
        :param name: Specifies the identifier for the external function. The identifier can contain the schema name and database name, as well as the function name. The function's signature (name and argument data types) must be unique within the schema. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}
        :param return_behavior: Specifies the behavior of the function when returning results. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_behavior ExternalFunction#return_behavior}
        :param return_type: Specifies the data type returned by the external function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_type ExternalFunction#return_type}
        :param schema: The schema in which to create the external function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#schema ExternalFunction#schema}
        :param url_of_proxy_and_resource: This is the invocation URL of the proxy service and resource through which Snowflake calls the remote service. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#url_of_proxy_and_resource ExternalFunction#url_of_proxy_and_resource}
        :param arg: arg block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#arg ExternalFunction#arg}
        :param comment: A description of the external function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#comment ExternalFunction#comment}
        :param compression: If specified, the JSON payload is compressed when sent from Snowflake to the proxy service, and when sent back from the proxy service to Snowflake. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#compression ExternalFunction#compression}
        :param context_headers: Binds Snowflake context function results to HTTP headers. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#context_headers ExternalFunction#context_headers}
        :param header: header block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#header ExternalFunction#header}
        :param max_batch_rows: This specifies the maximum number of rows in each batch sent to the proxy service. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#max_batch_rows ExternalFunction#max_batch_rows}
        :param null_input_behavior: Specifies the behavior of the external function when called with null inputs. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#null_input_behavior ExternalFunction#null_input_behavior}
        :param return_null_allowed: Indicates whether the function can return NULL values or must return only NON-NULL values. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_null_allowed ExternalFunction#return_null_allowed}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "api_integration": api_integration,
            "database": database,
            "name": name,
            "return_behavior": return_behavior,
            "return_type": return_type,
            "schema": schema,
            "url_of_proxy_and_resource": url_of_proxy_and_resource,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if arg is not None:
            self._values["arg"] = arg
        if comment is not None:
            self._values["comment"] = comment
        if compression is not None:
            self._values["compression"] = compression
        if context_headers is not None:
            self._values["context_headers"] = context_headers
        if header is not None:
            self._values["header"] = header
        if max_batch_rows is not None:
            self._values["max_batch_rows"] = max_batch_rows
        if null_input_behavior is not None:
            self._values["null_input_behavior"] = null_input_behavior
        if return_null_allowed is not None:
            self._values["return_null_allowed"] = return_null_allowed

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def api_integration(self) -> builtins.str:
        '''The name of the API integration object that should be used to authenticate the call to the proxy service.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#api_integration ExternalFunction#api_integration}
        '''
        result = self._values.get("api_integration")
        assert result is not None, "Required property 'api_integration' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the external function.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#database ExternalFunction#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the external function.

        The identifier can contain the schema name and database name, as well as the function name. The function's signature (name and argument data types) must be unique within the schema.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def return_behavior(self) -> builtins.str:
        '''Specifies the behavior of the function when returning results.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_behavior ExternalFunction#return_behavior}
        '''
        result = self._values.get("return_behavior")
        assert result is not None, "Required property 'return_behavior' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def return_type(self) -> builtins.str:
        '''Specifies the data type returned by the external function.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_type ExternalFunction#return_type}
        '''
        result = self._values.get("return_type")
        assert result is not None, "Required property 'return_type' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the external function.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#schema ExternalFunction#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def url_of_proxy_and_resource(self) -> builtins.str:
        '''This is the invocation URL of the proxy service and resource through which Snowflake calls the remote service.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#url_of_proxy_and_resource ExternalFunction#url_of_proxy_and_resource}
        '''
        result = self._values.get("url_of_proxy_and_resource")
        assert result is not None, "Required property 'url_of_proxy_and_resource' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def arg(self) -> typing.Optional[typing.List[ExternalFunctionArg]]:
        '''arg block.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#arg ExternalFunction#arg}
        '''
        result = self._values.get("arg")
        return typing.cast(typing.Optional[typing.List[ExternalFunctionArg]], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''A description of the external function.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#comment ExternalFunction#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def compression(self) -> typing.Optional[builtins.str]:
        '''If specified, the JSON payload is compressed when sent from Snowflake to the proxy service, and when sent back from the proxy service to Snowflake.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#compression ExternalFunction#compression}
        '''
        result = self._values.get("compression")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def context_headers(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Binds Snowflake context function results to HTTP headers.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#context_headers ExternalFunction#context_headers}
        '''
        result = self._values.get("context_headers")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def header(self) -> typing.Optional[typing.List["ExternalFunctionHeader"]]:
        '''header block.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#header ExternalFunction#header}
        '''
        result = self._values.get("header")
        return typing.cast(typing.Optional[typing.List["ExternalFunctionHeader"]], result)

    @builtins.property
    def max_batch_rows(self) -> typing.Optional[jsii.Number]:
        '''This specifies the maximum number of rows in each batch sent to the proxy service.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#max_batch_rows ExternalFunction#max_batch_rows}
        '''
        result = self._values.get("max_batch_rows")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def null_input_behavior(self) -> typing.Optional[builtins.str]:
        '''Specifies the behavior of the external function when called with null inputs.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#null_input_behavior ExternalFunction#null_input_behavior}
        '''
        result = self._values.get("null_input_behavior")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def return_null_allowed(self) -> typing.Optional[builtins.bool]:
        '''Indicates whether the function can return NULL values or must return only NON-NULL values.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#return_null_allowed ExternalFunction#return_null_allowed}
        '''
        result = self._values.get("return_null_allowed")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ExternalFunctionConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


@jsii.data_type(
    jsii_type="cdktf-snowflake.ExternalFunctionHeader",
    jsii_struct_bases=[],
    name_mapping={"name": "name", "value": "value"},
)
class ExternalFunctionHeader:
    def __init__(self, *, name: builtins.str, value: builtins.str) -> None:
        '''
        :param name: Header name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}
        :param value: Header value. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#value ExternalFunction#value}
        '''
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
            "value": value,
        }

    @builtins.property
    def name(self) -> builtins.str:
        '''Header name.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#name ExternalFunction#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def value(self) -> builtins.str:
        '''Header value.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_function.html#value ExternalFunction#value}
        '''
        result = self._values.get("value")
        assert result is not None, "Required property 'value' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ExternalFunctionHeader(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ExternalTable(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ExternalTable",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html snowflake_external_table}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        column: typing.Sequence["ExternalTableColumn"],
        database: builtins.str,
        file_format: builtins.str,
        location: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        auto_refresh: typing.Optional[builtins.bool] = None,
        aws_sns_topic: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        copy_grants: typing.Optional[builtins.bool] = None,
        partition_by: typing.Optional[typing.Sequence[builtins.str]] = None,
        refresh_on_create: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html snowflake_external_table} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param column: column block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#column ExternalTable#column}
        :param database: The database in which to create the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#database ExternalTable#database}
        :param file_format: Specifies the file format for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#file_format ExternalTable#file_format}
        :param location: Specifies a location for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#location ExternalTable#location}
        :param name: Specifies the identifier for the external table; must be unique for the database and schema in which the externalTable is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#name ExternalTable#name}
        :param schema: The schema in which to create the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#schema ExternalTable#schema}
        :param auto_refresh: Specifies whether to automatically refresh the external table metadata once, immediately after the external table is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#auto_refresh ExternalTable#auto_refresh}
        :param aws_sns_topic: Specifies the aws sns topic for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#aws_sns_topic ExternalTable#aws_sns_topic}
        :param comment: Specifies a comment for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#comment ExternalTable#comment}
        :param copy_grants: Specifies to retain the access permissions from the original table when an external table is recreated using the CREATE OR REPLACE TABLE variant. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#copy_grants ExternalTable#copy_grants}
        :param partition_by: Specifies any partition columns to evaluate for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#partition_by ExternalTable#partition_by}
        :param refresh_on_create: Specifies weather to refresh when an external table is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#refresh_on_create ExternalTable#refresh_on_create}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ExternalTableConfig(
            column=column,
            database=database,
            file_format=file_format,
            location=location,
            name=name,
            schema=schema,
            auto_refresh=auto_refresh,
            aws_sns_topic=aws_sns_topic,
            comment=comment,
            copy_grants=copy_grants,
            partition_by=partition_by,
            refresh_on_create=refresh_on_create,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ExternalTable, self, [scope, id, config])

    @jsii.member(jsii_name="resetAutoRefresh")
    def reset_auto_refresh(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAutoRefresh", []))

    @jsii.member(jsii_name="resetAwsSnsTopic")
    def reset_aws_sns_topic(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAwsSnsTopic", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetCopyGrants")
    def reset_copy_grants(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetCopyGrants", []))

    @jsii.member(jsii_name="resetPartitionBy")
    def reset_partition_by(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPartitionBy", []))

    @jsii.member(jsii_name="resetRefreshOnCreate")
    def reset_refresh_on_create(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRefreshOnCreate", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="columnInput")
    def column_input(self) -> typing.List["ExternalTableColumn"]:
        return typing.cast(typing.List["ExternalTableColumn"], jsii.get(self, "columnInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fileFormatInput")
    def file_format_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "fileFormatInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="locationInput")
    def location_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "locationInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="owner")
    def owner(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "owner"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="autoRefreshInput")
    def auto_refresh_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "autoRefreshInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSnsTopicInput")
    def aws_sns_topic_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "awsSnsTopicInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="copyGrantsInput")
    def copy_grants_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "copyGrantsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="partitionByInput")
    def partition_by_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "partitionByInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="refreshOnCreateInput")
    def refresh_on_create_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "refreshOnCreateInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="autoRefresh")
    def auto_refresh(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "autoRefresh"))

    @auto_refresh.setter
    def auto_refresh(self, value: builtins.bool) -> None:
        jsii.set(self, "autoRefresh", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSnsTopic")
    def aws_sns_topic(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsSnsTopic"))

    @aws_sns_topic.setter
    def aws_sns_topic(self, value: builtins.str) -> None:
        jsii.set(self, "awsSnsTopic", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="column")
    def column(self) -> typing.List["ExternalTableColumn"]:
        return typing.cast(typing.List["ExternalTableColumn"], jsii.get(self, "column"))

    @column.setter
    def column(self, value: typing.List["ExternalTableColumn"]) -> None:
        jsii.set(self, "column", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="copyGrants")
    def copy_grants(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "copyGrants"))

    @copy_grants.setter
    def copy_grants(self, value: builtins.bool) -> None:
        jsii.set(self, "copyGrants", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fileFormat")
    def file_format(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "fileFormat"))

    @file_format.setter
    def file_format(self, value: builtins.str) -> None:
        jsii.set(self, "fileFormat", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="location")
    def location(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "location"))

    @location.setter
    def location(self, value: builtins.str) -> None:
        jsii.set(self, "location", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="partitionBy")
    def partition_by(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "partitionBy"))

    @partition_by.setter
    def partition_by(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "partitionBy", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="refreshOnCreate")
    def refresh_on_create(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "refreshOnCreate"))

    @refresh_on_create.setter
    def refresh_on_create(self, value: builtins.bool) -> None:
        jsii.set(self, "refreshOnCreate", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ExternalTableColumn",
    jsii_struct_bases=[],
    name_mapping={"as_": "as", "name": "name", "type": "type"},
)
class ExternalTableColumn:
    def __init__(
        self,
        *,
        as_: builtins.str,
        name: builtins.str,
        type: builtins.str,
    ) -> None:
        '''
        :param as_: String that specifies the expression for the column. When queried, the column returns results derived from this expression. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#as ExternalTable#as}
        :param name: Column name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#name ExternalTable#name}
        :param type: Column type, e.g. VARIANT. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#type ExternalTable#type}
        '''
        self._values: typing.Dict[str, typing.Any] = {
            "as_": as_,
            "name": name,
            "type": type,
        }

    @builtins.property
    def as_(self) -> builtins.str:
        '''String that specifies the expression for the column. When queried, the column returns results derived from this expression.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#as ExternalTable#as}
        '''
        result = self._values.get("as_")
        assert result is not None, "Required property 'as_' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Column name.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#name ExternalTable#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def type(self) -> builtins.str:
        '''Column type, e.g. VARIANT.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#type ExternalTable#type}
        '''
        result = self._values.get("type")
        assert result is not None, "Required property 'type' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ExternalTableColumn(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


@jsii.data_type(
    jsii_type="cdktf-snowflake.ExternalTableConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "column": "column",
        "database": "database",
        "file_format": "fileFormat",
        "location": "location",
        "name": "name",
        "schema": "schema",
        "auto_refresh": "autoRefresh",
        "aws_sns_topic": "awsSnsTopic",
        "comment": "comment",
        "copy_grants": "copyGrants",
        "partition_by": "partitionBy",
        "refresh_on_create": "refreshOnCreate",
    },
)
class ExternalTableConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        column: typing.Sequence[ExternalTableColumn],
        database: builtins.str,
        file_format: builtins.str,
        location: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        auto_refresh: typing.Optional[builtins.bool] = None,
        aws_sns_topic: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        copy_grants: typing.Optional[builtins.bool] = None,
        partition_by: typing.Optional[typing.Sequence[builtins.str]] = None,
        refresh_on_create: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param column: column block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#column ExternalTable#column}
        :param database: The database in which to create the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#database ExternalTable#database}
        :param file_format: Specifies the file format for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#file_format ExternalTable#file_format}
        :param location: Specifies a location for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#location ExternalTable#location}
        :param name: Specifies the identifier for the external table; must be unique for the database and schema in which the externalTable is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#name ExternalTable#name}
        :param schema: The schema in which to create the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#schema ExternalTable#schema}
        :param auto_refresh: Specifies whether to automatically refresh the external table metadata once, immediately after the external table is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#auto_refresh ExternalTable#auto_refresh}
        :param aws_sns_topic: Specifies the aws sns topic for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#aws_sns_topic ExternalTable#aws_sns_topic}
        :param comment: Specifies a comment for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#comment ExternalTable#comment}
        :param copy_grants: Specifies to retain the access permissions from the original table when an external table is recreated using the CREATE OR REPLACE TABLE variant. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#copy_grants ExternalTable#copy_grants}
        :param partition_by: Specifies any partition columns to evaluate for the external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#partition_by ExternalTable#partition_by}
        :param refresh_on_create: Specifies weather to refresh when an external table is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#refresh_on_create ExternalTable#refresh_on_create}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "column": column,
            "database": database,
            "file_format": file_format,
            "location": location,
            "name": name,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if auto_refresh is not None:
            self._values["auto_refresh"] = auto_refresh
        if aws_sns_topic is not None:
            self._values["aws_sns_topic"] = aws_sns_topic
        if comment is not None:
            self._values["comment"] = comment
        if copy_grants is not None:
            self._values["copy_grants"] = copy_grants
        if partition_by is not None:
            self._values["partition_by"] = partition_by
        if refresh_on_create is not None:
            self._values["refresh_on_create"] = refresh_on_create

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def column(self) -> typing.List[ExternalTableColumn]:
        '''column block.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#column ExternalTable#column}
        '''
        result = self._values.get("column")
        assert result is not None, "Required property 'column' is missing"
        return typing.cast(typing.List[ExternalTableColumn], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the external table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#database ExternalTable#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def file_format(self) -> builtins.str:
        '''Specifies the file format for the external table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#file_format ExternalTable#file_format}
        '''
        result = self._values.get("file_format")
        assert result is not None, "Required property 'file_format' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def location(self) -> builtins.str:
        '''Specifies a location for the external table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#location ExternalTable#location}
        '''
        result = self._values.get("location")
        assert result is not None, "Required property 'location' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the external table;

        must be unique for the database and schema in which the externalTable is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#name ExternalTable#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the external table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#schema ExternalTable#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def auto_refresh(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether to automatically refresh the external table metadata once, immediately after the external table is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#auto_refresh ExternalTable#auto_refresh}
        '''
        result = self._values.get("auto_refresh")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def aws_sns_topic(self) -> typing.Optional[builtins.str]:
        '''Specifies the aws sns topic for the external table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#aws_sns_topic ExternalTable#aws_sns_topic}
        '''
        result = self._values.get("aws_sns_topic")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the external table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#comment ExternalTable#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def copy_grants(self) -> typing.Optional[builtins.bool]:
        '''Specifies to retain the access permissions from the original table when an external table is recreated using the CREATE OR REPLACE TABLE variant.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#copy_grants ExternalTable#copy_grants}
        '''
        result = self._values.get("copy_grants")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def partition_by(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Specifies any partition columns to evaluate for the external table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#partition_by ExternalTable#partition_by}
        '''
        result = self._values.get("partition_by")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def refresh_on_create(self) -> typing.Optional[builtins.bool]:
        '''Specifies weather to refresh when an external table is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table.html#refresh_on_create ExternalTable#refresh_on_create}
        '''
        result = self._values.get("refresh_on_create")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ExternalTableConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ExternalTableGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ExternalTableGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html snowflake_external_table_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        external_table_name: typing.Optional[builtins.str] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html snowflake_external_table_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future external tables on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#database_name ExternalTableGrant#database_name}
        :param schema_name: The name of the schema containing the current or future external tables on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#schema_name ExternalTableGrant#schema_name}
        :param external_table_name: The name of the external table on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#external_table_name ExternalTableGrant#external_table_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future external tables in the given schema. When this is true and no schema_name is provided apply this grant on all future external tables in the given database. The external_table_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#on_future ExternalTableGrant#on_future}
        :param privilege: The privilege to grant on the current or future external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#privilege ExternalTableGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#roles ExternalTableGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#shares ExternalTableGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#with_grant_option ExternalTableGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ExternalTableGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            external_table_name=external_table_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            shares=shares,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ExternalTableGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetExternalTableName")
    def reset_external_table_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetExternalTableName", []))

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetShares")
    def reset_shares(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShares", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="externalTableNameInput")
    def external_table_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "externalTableNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sharesInput")
    def shares_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "sharesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="externalTableName")
    def external_table_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "externalTableName"))

    @external_table_name.setter
    def external_table_name(self, value: builtins.str) -> None:
        jsii.set(self, "externalTableName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="shares")
    def shares(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "shares"))

    @shares.setter
    def shares(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "shares", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ExternalTableGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "external_table_name": "externalTableName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "shares": "shares",
        "with_grant_option": "withGrantOption",
    },
)
class ExternalTableGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        external_table_name: typing.Optional[builtins.str] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future external tables on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#database_name ExternalTableGrant#database_name}
        :param schema_name: The name of the schema containing the current or future external tables on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#schema_name ExternalTableGrant#schema_name}
        :param external_table_name: The name of the external table on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#external_table_name ExternalTableGrant#external_table_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future external tables in the given schema. When this is true and no schema_name is provided apply this grant on all future external tables in the given database. The external_table_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#on_future ExternalTableGrant#on_future}
        :param privilege: The privilege to grant on the current or future external table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#privilege ExternalTableGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#roles ExternalTableGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#shares ExternalTableGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#with_grant_option ExternalTableGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if external_table_name is not None:
            self._values["external_table_name"] = external_table_name
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if shares is not None:
            self._values["shares"] = shares
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future external tables on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#database_name ExternalTableGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current or future external tables on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#schema_name ExternalTableGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def external_table_name(self) -> typing.Optional[builtins.str]:
        '''The name of the external table on which to grant privileges immediately (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#external_table_name ExternalTableGrant#external_table_name}
        '''
        result = self._values.get("external_table_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future external tables in the given schema.

        When this is true and no schema_name is provided apply this grant on all future external tables in the given database. The external_table_name and shares fields must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#on_future ExternalTableGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future external table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#privilege ExternalTableGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#roles ExternalTableGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def shares(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these shares (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#shares ExternalTableGrant#shares}
        '''
        result = self._values.get("shares")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/external_table_grant.html#with_grant_option ExternalTableGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ExternalTableGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class FileFormat(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.FileFormat",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html snowflake_file_format}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        format_type: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        allow_duplicate: typing.Optional[builtins.bool] = None,
        binary_as_text: typing.Optional[builtins.bool] = None,
        binary_format: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        compression: typing.Optional[builtins.str] = None,
        date_format: typing.Optional[builtins.str] = None,
        disable_auto_convert: typing.Optional[builtins.bool] = None,
        disable_snowflake_data: typing.Optional[builtins.bool] = None,
        empty_field_as_null: typing.Optional[builtins.bool] = None,
        enable_octal: typing.Optional[builtins.bool] = None,
        encoding: typing.Optional[builtins.str] = None,
        error_on_column_count_mismatch: typing.Optional[builtins.bool] = None,
        escape: typing.Optional[builtins.str] = None,
        escape_unenclosed_field: typing.Optional[builtins.str] = None,
        field_delimiter: typing.Optional[builtins.str] = None,
        field_optionally_enclosed_by: typing.Optional[builtins.str] = None,
        file_extension: typing.Optional[builtins.str] = None,
        ignore_utf8_errors: typing.Optional[builtins.bool] = None,
        null_if: typing.Optional[typing.Sequence[builtins.str]] = None,
        preserve_space: typing.Optional[builtins.bool] = None,
        record_delimiter: typing.Optional[builtins.str] = None,
        replace_invalid_characters: typing.Optional[builtins.bool] = None,
        skip_blank_lines: typing.Optional[builtins.bool] = None,
        skip_byte_order_mark: typing.Optional[builtins.bool] = None,
        skip_header: typing.Optional[jsii.Number] = None,
        strip_null_values: typing.Optional[builtins.bool] = None,
        strip_outer_array: typing.Optional[builtins.bool] = None,
        strip_outer_element: typing.Optional[builtins.bool] = None,
        time_format: typing.Optional[builtins.str] = None,
        timestamp_format: typing.Optional[builtins.str] = None,
        trim_space: typing.Optional[builtins.bool] = None,
        validate_utf8: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html snowflake_file_format} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the file format. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#database FileFormat#database}
        :param format_type: Specifies the format of the input files (for data loading) or output files (for data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#format_type FileFormat#format_type}
        :param name: Specifies the identifier for the file format; must be unique for the database and schema in which the file format is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#name FileFormat#name}
        :param schema: The schema in which to create the file format. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#schema FileFormat#schema}
        :param allow_duplicate: Boolean that specifies to allow duplicate object field names (only the last one will be preserved). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#allow_duplicate FileFormat#allow_duplicate}
        :param binary_as_text: Boolean that specifies whether to interpret columns with no defined logical data type as UTF-8 text. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#binary_as_text FileFormat#binary_as_text}
        :param binary_format: Defines the encoding format for binary input or output. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#binary_format FileFormat#binary_format}
        :param comment: Specifies a comment for the file format. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#comment FileFormat#comment}
        :param compression: Specifies the current compression algorithm for the data file. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#compression FileFormat#compression}
        :param date_format: Defines the format of date values in the data files (data loading) or table (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#date_format FileFormat#date_format}
        :param disable_auto_convert: Boolean that specifies whether the XML parser disables automatic conversion of numeric and Boolean values from text to native representation. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#disable_auto_convert FileFormat#disable_auto_convert}
        :param disable_snowflake_data: Boolean that specifies whether the XML parser disables recognition of Snowflake semi-structured data tags. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#disable_snowflake_data FileFormat#disable_snowflake_data}
        :param empty_field_as_null: Specifies whether to insert SQL NULL for empty fields in an input file, which are represented by two successive delimiters. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#empty_field_as_null FileFormat#empty_field_as_null}
        :param enable_octal: Boolean that enables parsing of octal numbers. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#enable_octal FileFormat#enable_octal}
        :param encoding: String (constant) that specifies the character set of the source data when loading data into a table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#encoding FileFormat#encoding}
        :param error_on_column_count_mismatch: Boolean that specifies whether to generate a parsing error if the number of delimited columns (i.e. fields) in an input file does not match the number of columns in the corresponding table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#error_on_column_count_mismatch FileFormat#error_on_column_count_mismatch}
        :param escape: Single character string used as the escape character for field values. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#escape FileFormat#escape}
        :param escape_unenclosed_field: Single character string used as the escape character for unenclosed field values only. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#escape_unenclosed_field FileFormat#escape_unenclosed_field}
        :param field_delimiter: Specifies one or more singlebyte or multibyte characters that separate fields in an input file (data loading) or unloaded file (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#field_delimiter FileFormat#field_delimiter}
        :param field_optionally_enclosed_by: Character used to enclose strings. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#field_optionally_enclosed_by FileFormat#field_optionally_enclosed_by}
        :param file_extension: Specifies the extension for files unloaded to a stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#file_extension FileFormat#file_extension}
        :param ignore_utf8_errors: Boolean that specifies whether UTF-8 encoding errors produce error conditions. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#ignore_utf8_errors FileFormat#ignore_utf8_errors}
        :param null_if: String used to convert to and from SQL NULL. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#null_if FileFormat#null_if}
        :param preserve_space: Boolean that specifies whether the XML parser preserves leading and trailing spaces in element content. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#preserve_space FileFormat#preserve_space}
        :param record_delimiter: Specifies one or more singlebyte or multibyte characters that separate records in an input file (data loading) or unloaded file (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#record_delimiter FileFormat#record_delimiter}
        :param replace_invalid_characters: Boolean that specifies whether to replace invalid UTF-8 characters with the Unicode replacement character (�). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#replace_invalid_characters FileFormat#replace_invalid_characters}
        :param skip_blank_lines: Boolean that specifies to skip any blank lines encountered in the data files. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_blank_lines FileFormat#skip_blank_lines}
        :param skip_byte_order_mark: Boolean that specifies whether to skip the BOM (byte order mark), if present in a data file. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_byte_order_mark FileFormat#skip_byte_order_mark}
        :param skip_header: Number of lines at the start of the file to skip. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_header FileFormat#skip_header}
        :param strip_null_values: Boolean that instructs the JSON parser to remove object fields or array elements containing null values. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_null_values FileFormat#strip_null_values}
        :param strip_outer_array: Boolean that instructs the JSON parser to remove outer brackets. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_outer_array FileFormat#strip_outer_array}
        :param strip_outer_element: Boolean that specifies whether the XML parser strips out the outer XML element, exposing 2nd level elements as separate documents. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_outer_element FileFormat#strip_outer_element}
        :param time_format: Defines the format of time values in the data files (data loading) or table (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#time_format FileFormat#time_format}
        :param timestamp_format: Defines the format of timestamp values in the data files (data loading) or table (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#timestamp_format FileFormat#timestamp_format}
        :param trim_space: Boolean that specifies whether to remove white space from fields. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#trim_space FileFormat#trim_space}
        :param validate_utf8: Boolean that specifies whether to validate UTF-8 character encoding in string column data. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#validate_utf8 FileFormat#validate_utf8}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = FileFormatConfig(
            database=database,
            format_type=format_type,
            name=name,
            schema=schema,
            allow_duplicate=allow_duplicate,
            binary_as_text=binary_as_text,
            binary_format=binary_format,
            comment=comment,
            compression=compression,
            date_format=date_format,
            disable_auto_convert=disable_auto_convert,
            disable_snowflake_data=disable_snowflake_data,
            empty_field_as_null=empty_field_as_null,
            enable_octal=enable_octal,
            encoding=encoding,
            error_on_column_count_mismatch=error_on_column_count_mismatch,
            escape=escape,
            escape_unenclosed_field=escape_unenclosed_field,
            field_delimiter=field_delimiter,
            field_optionally_enclosed_by=field_optionally_enclosed_by,
            file_extension=file_extension,
            ignore_utf8_errors=ignore_utf8_errors,
            null_if=null_if,
            preserve_space=preserve_space,
            record_delimiter=record_delimiter,
            replace_invalid_characters=replace_invalid_characters,
            skip_blank_lines=skip_blank_lines,
            skip_byte_order_mark=skip_byte_order_mark,
            skip_header=skip_header,
            strip_null_values=strip_null_values,
            strip_outer_array=strip_outer_array,
            strip_outer_element=strip_outer_element,
            time_format=time_format,
            timestamp_format=timestamp_format,
            trim_space=trim_space,
            validate_utf8=validate_utf8,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(FileFormat, self, [scope, id, config])

    @jsii.member(jsii_name="resetAllowDuplicate")
    def reset_allow_duplicate(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAllowDuplicate", []))

    @jsii.member(jsii_name="resetBinaryAsText")
    def reset_binary_as_text(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetBinaryAsText", []))

    @jsii.member(jsii_name="resetBinaryFormat")
    def reset_binary_format(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetBinaryFormat", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetCompression")
    def reset_compression(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetCompression", []))

    @jsii.member(jsii_name="resetDateFormat")
    def reset_date_format(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDateFormat", []))

    @jsii.member(jsii_name="resetDisableAutoConvert")
    def reset_disable_auto_convert(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDisableAutoConvert", []))

    @jsii.member(jsii_name="resetDisableSnowflakeData")
    def reset_disable_snowflake_data(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDisableSnowflakeData", []))

    @jsii.member(jsii_name="resetEmptyFieldAsNull")
    def reset_empty_field_as_null(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEmptyFieldAsNull", []))

    @jsii.member(jsii_name="resetEnableOctal")
    def reset_enable_octal(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEnableOctal", []))

    @jsii.member(jsii_name="resetEncoding")
    def reset_encoding(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEncoding", []))

    @jsii.member(jsii_name="resetErrorOnColumnCountMismatch")
    def reset_error_on_column_count_mismatch(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetErrorOnColumnCountMismatch", []))

    @jsii.member(jsii_name="resetEscape")
    def reset_escape(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEscape", []))

    @jsii.member(jsii_name="resetEscapeUnenclosedField")
    def reset_escape_unenclosed_field(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEscapeUnenclosedField", []))

    @jsii.member(jsii_name="resetFieldDelimiter")
    def reset_field_delimiter(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFieldDelimiter", []))

    @jsii.member(jsii_name="resetFieldOptionallyEnclosedBy")
    def reset_field_optionally_enclosed_by(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFieldOptionallyEnclosedBy", []))

    @jsii.member(jsii_name="resetFileExtension")
    def reset_file_extension(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFileExtension", []))

    @jsii.member(jsii_name="resetIgnoreUtf8Errors")
    def reset_ignore_utf8_errors(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetIgnoreUtf8Errors", []))

    @jsii.member(jsii_name="resetNullIf")
    def reset_null_if(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetNullIf", []))

    @jsii.member(jsii_name="resetPreserveSpace")
    def reset_preserve_space(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPreserveSpace", []))

    @jsii.member(jsii_name="resetRecordDelimiter")
    def reset_record_delimiter(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRecordDelimiter", []))

    @jsii.member(jsii_name="resetReplaceInvalidCharacters")
    def reset_replace_invalid_characters(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetReplaceInvalidCharacters", []))

    @jsii.member(jsii_name="resetSkipBlankLines")
    def reset_skip_blank_lines(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSkipBlankLines", []))

    @jsii.member(jsii_name="resetSkipByteOrderMark")
    def reset_skip_byte_order_mark(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSkipByteOrderMark", []))

    @jsii.member(jsii_name="resetSkipHeader")
    def reset_skip_header(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSkipHeader", []))

    @jsii.member(jsii_name="resetStripNullValues")
    def reset_strip_null_values(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStripNullValues", []))

    @jsii.member(jsii_name="resetStripOuterArray")
    def reset_strip_outer_array(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStripOuterArray", []))

    @jsii.member(jsii_name="resetStripOuterElement")
    def reset_strip_outer_element(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStripOuterElement", []))

    @jsii.member(jsii_name="resetTimeFormat")
    def reset_time_format(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetTimeFormat", []))

    @jsii.member(jsii_name="resetTimestampFormat")
    def reset_timestamp_format(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetTimestampFormat", []))

    @jsii.member(jsii_name="resetTrimSpace")
    def reset_trim_space(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetTrimSpace", []))

    @jsii.member(jsii_name="resetValidateUtf8")
    def reset_validate_utf8(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetValidateUtf8", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="formatTypeInput")
    def format_type_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "formatTypeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="allowDuplicateInput")
    def allow_duplicate_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "allowDuplicateInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="binaryAsTextInput")
    def binary_as_text_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "binaryAsTextInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="binaryFormatInput")
    def binary_format_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "binaryFormatInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="compressionInput")
    def compression_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "compressionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="dateFormatInput")
    def date_format_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "dateFormatInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="disableAutoConvertInput")
    def disable_auto_convert_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "disableAutoConvertInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="disableSnowflakeDataInput")
    def disable_snowflake_data_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "disableSnowflakeDataInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="emptyFieldAsNullInput")
    def empty_field_as_null_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "emptyFieldAsNullInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enableOctalInput")
    def enable_octal_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "enableOctalInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="encodingInput")
    def encoding_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "encodingInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="errorOnColumnCountMismatchInput")
    def error_on_column_count_mismatch_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "errorOnColumnCountMismatchInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="escapeInput")
    def escape_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "escapeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="escapeUnenclosedFieldInput")
    def escape_unenclosed_field_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "escapeUnenclosedFieldInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fieldDelimiterInput")
    def field_delimiter_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "fieldDelimiterInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fieldOptionallyEnclosedByInput")
    def field_optionally_enclosed_by_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "fieldOptionallyEnclosedByInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fileExtensionInput")
    def file_extension_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "fileExtensionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="ignoreUtf8ErrorsInput")
    def ignore_utf8_errors_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "ignoreUtf8ErrorsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nullIfInput")
    def null_if_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "nullIfInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="preserveSpaceInput")
    def preserve_space_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "preserveSpaceInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="recordDelimiterInput")
    def record_delimiter_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "recordDelimiterInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="replaceInvalidCharactersInput")
    def replace_invalid_characters_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "replaceInvalidCharactersInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="skipBlankLinesInput")
    def skip_blank_lines_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "skipBlankLinesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="skipByteOrderMarkInput")
    def skip_byte_order_mark_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "skipByteOrderMarkInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="skipHeaderInput")
    def skip_header_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "skipHeaderInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="stripNullValuesInput")
    def strip_null_values_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "stripNullValuesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="stripOuterArrayInput")
    def strip_outer_array_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "stripOuterArrayInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="stripOuterElementInput")
    def strip_outer_element_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "stripOuterElementInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="timeFormatInput")
    def time_format_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "timeFormatInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="timestampFormatInput")
    def timestamp_format_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "timestampFormatInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="trimSpaceInput")
    def trim_space_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "trimSpaceInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="validateUtf8Input")
    def validate_utf8_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "validateUtf8Input"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="allowDuplicate")
    def allow_duplicate(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "allowDuplicate"))

    @allow_duplicate.setter
    def allow_duplicate(self, value: builtins.bool) -> None:
        jsii.set(self, "allowDuplicate", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="binaryAsText")
    def binary_as_text(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "binaryAsText"))

    @binary_as_text.setter
    def binary_as_text(self, value: builtins.bool) -> None:
        jsii.set(self, "binaryAsText", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="binaryFormat")
    def binary_format(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "binaryFormat"))

    @binary_format.setter
    def binary_format(self, value: builtins.str) -> None:
        jsii.set(self, "binaryFormat", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="compression")
    def compression(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "compression"))

    @compression.setter
    def compression(self, value: builtins.str) -> None:
        jsii.set(self, "compression", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="dateFormat")
    def date_format(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "dateFormat"))

    @date_format.setter
    def date_format(self, value: builtins.str) -> None:
        jsii.set(self, "dateFormat", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="disableAutoConvert")
    def disable_auto_convert(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "disableAutoConvert"))

    @disable_auto_convert.setter
    def disable_auto_convert(self, value: builtins.bool) -> None:
        jsii.set(self, "disableAutoConvert", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="disableSnowflakeData")
    def disable_snowflake_data(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "disableSnowflakeData"))

    @disable_snowflake_data.setter
    def disable_snowflake_data(self, value: builtins.bool) -> None:
        jsii.set(self, "disableSnowflakeData", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="emptyFieldAsNull")
    def empty_field_as_null(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "emptyFieldAsNull"))

    @empty_field_as_null.setter
    def empty_field_as_null(self, value: builtins.bool) -> None:
        jsii.set(self, "emptyFieldAsNull", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enableOctal")
    def enable_octal(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "enableOctal"))

    @enable_octal.setter
    def enable_octal(self, value: builtins.bool) -> None:
        jsii.set(self, "enableOctal", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="encoding")
    def encoding(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "encoding"))

    @encoding.setter
    def encoding(self, value: builtins.str) -> None:
        jsii.set(self, "encoding", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="errorOnColumnCountMismatch")
    def error_on_column_count_mismatch(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "errorOnColumnCountMismatch"))

    @error_on_column_count_mismatch.setter
    def error_on_column_count_mismatch(self, value: builtins.bool) -> None:
        jsii.set(self, "errorOnColumnCountMismatch", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="escape")
    def escape(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "escape"))

    @escape.setter
    def escape(self, value: builtins.str) -> None:
        jsii.set(self, "escape", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="escapeUnenclosedField")
    def escape_unenclosed_field(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "escapeUnenclosedField"))

    @escape_unenclosed_field.setter
    def escape_unenclosed_field(self, value: builtins.str) -> None:
        jsii.set(self, "escapeUnenclosedField", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fieldDelimiter")
    def field_delimiter(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "fieldDelimiter"))

    @field_delimiter.setter
    def field_delimiter(self, value: builtins.str) -> None:
        jsii.set(self, "fieldDelimiter", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fieldOptionallyEnclosedBy")
    def field_optionally_enclosed_by(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "fieldOptionallyEnclosedBy"))

    @field_optionally_enclosed_by.setter
    def field_optionally_enclosed_by(self, value: builtins.str) -> None:
        jsii.set(self, "fieldOptionallyEnclosedBy", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fileExtension")
    def file_extension(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "fileExtension"))

    @file_extension.setter
    def file_extension(self, value: builtins.str) -> None:
        jsii.set(self, "fileExtension", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="formatType")
    def format_type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "formatType"))

    @format_type.setter
    def format_type(self, value: builtins.str) -> None:
        jsii.set(self, "formatType", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="ignoreUtf8Errors")
    def ignore_utf8_errors(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "ignoreUtf8Errors"))

    @ignore_utf8_errors.setter
    def ignore_utf8_errors(self, value: builtins.bool) -> None:
        jsii.set(self, "ignoreUtf8Errors", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nullIf")
    def null_if(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "nullIf"))

    @null_if.setter
    def null_if(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "nullIf", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="preserveSpace")
    def preserve_space(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "preserveSpace"))

    @preserve_space.setter
    def preserve_space(self, value: builtins.bool) -> None:
        jsii.set(self, "preserveSpace", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="recordDelimiter")
    def record_delimiter(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "recordDelimiter"))

    @record_delimiter.setter
    def record_delimiter(self, value: builtins.str) -> None:
        jsii.set(self, "recordDelimiter", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="replaceInvalidCharacters")
    def replace_invalid_characters(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "replaceInvalidCharacters"))

    @replace_invalid_characters.setter
    def replace_invalid_characters(self, value: builtins.bool) -> None:
        jsii.set(self, "replaceInvalidCharacters", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="skipBlankLines")
    def skip_blank_lines(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "skipBlankLines"))

    @skip_blank_lines.setter
    def skip_blank_lines(self, value: builtins.bool) -> None:
        jsii.set(self, "skipBlankLines", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="skipByteOrderMark")
    def skip_byte_order_mark(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "skipByteOrderMark"))

    @skip_byte_order_mark.setter
    def skip_byte_order_mark(self, value: builtins.bool) -> None:
        jsii.set(self, "skipByteOrderMark", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="skipHeader")
    def skip_header(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "skipHeader"))

    @skip_header.setter
    def skip_header(self, value: jsii.Number) -> None:
        jsii.set(self, "skipHeader", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="stripNullValues")
    def strip_null_values(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "stripNullValues"))

    @strip_null_values.setter
    def strip_null_values(self, value: builtins.bool) -> None:
        jsii.set(self, "stripNullValues", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="stripOuterArray")
    def strip_outer_array(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "stripOuterArray"))

    @strip_outer_array.setter
    def strip_outer_array(self, value: builtins.bool) -> None:
        jsii.set(self, "stripOuterArray", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="stripOuterElement")
    def strip_outer_element(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "stripOuterElement"))

    @strip_outer_element.setter
    def strip_outer_element(self, value: builtins.bool) -> None:
        jsii.set(self, "stripOuterElement", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="timeFormat")
    def time_format(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "timeFormat"))

    @time_format.setter
    def time_format(self, value: builtins.str) -> None:
        jsii.set(self, "timeFormat", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="timestampFormat")
    def timestamp_format(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "timestampFormat"))

    @timestamp_format.setter
    def timestamp_format(self, value: builtins.str) -> None:
        jsii.set(self, "timestampFormat", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="trimSpace")
    def trim_space(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "trimSpace"))

    @trim_space.setter
    def trim_space(self, value: builtins.bool) -> None:
        jsii.set(self, "trimSpace", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="validateUtf8")
    def validate_utf8(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "validateUtf8"))

    @validate_utf8.setter
    def validate_utf8(self, value: builtins.bool) -> None:
        jsii.set(self, "validateUtf8", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.FileFormatConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "format_type": "formatType",
        "name": "name",
        "schema": "schema",
        "allow_duplicate": "allowDuplicate",
        "binary_as_text": "binaryAsText",
        "binary_format": "binaryFormat",
        "comment": "comment",
        "compression": "compression",
        "date_format": "dateFormat",
        "disable_auto_convert": "disableAutoConvert",
        "disable_snowflake_data": "disableSnowflakeData",
        "empty_field_as_null": "emptyFieldAsNull",
        "enable_octal": "enableOctal",
        "encoding": "encoding",
        "error_on_column_count_mismatch": "errorOnColumnCountMismatch",
        "escape": "escape",
        "escape_unenclosed_field": "escapeUnenclosedField",
        "field_delimiter": "fieldDelimiter",
        "field_optionally_enclosed_by": "fieldOptionallyEnclosedBy",
        "file_extension": "fileExtension",
        "ignore_utf8_errors": "ignoreUtf8Errors",
        "null_if": "nullIf",
        "preserve_space": "preserveSpace",
        "record_delimiter": "recordDelimiter",
        "replace_invalid_characters": "replaceInvalidCharacters",
        "skip_blank_lines": "skipBlankLines",
        "skip_byte_order_mark": "skipByteOrderMark",
        "skip_header": "skipHeader",
        "strip_null_values": "stripNullValues",
        "strip_outer_array": "stripOuterArray",
        "strip_outer_element": "stripOuterElement",
        "time_format": "timeFormat",
        "timestamp_format": "timestampFormat",
        "trim_space": "trimSpace",
        "validate_utf8": "validateUtf8",
    },
)
class FileFormatConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        format_type: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        allow_duplicate: typing.Optional[builtins.bool] = None,
        binary_as_text: typing.Optional[builtins.bool] = None,
        binary_format: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        compression: typing.Optional[builtins.str] = None,
        date_format: typing.Optional[builtins.str] = None,
        disable_auto_convert: typing.Optional[builtins.bool] = None,
        disable_snowflake_data: typing.Optional[builtins.bool] = None,
        empty_field_as_null: typing.Optional[builtins.bool] = None,
        enable_octal: typing.Optional[builtins.bool] = None,
        encoding: typing.Optional[builtins.str] = None,
        error_on_column_count_mismatch: typing.Optional[builtins.bool] = None,
        escape: typing.Optional[builtins.str] = None,
        escape_unenclosed_field: typing.Optional[builtins.str] = None,
        field_delimiter: typing.Optional[builtins.str] = None,
        field_optionally_enclosed_by: typing.Optional[builtins.str] = None,
        file_extension: typing.Optional[builtins.str] = None,
        ignore_utf8_errors: typing.Optional[builtins.bool] = None,
        null_if: typing.Optional[typing.Sequence[builtins.str]] = None,
        preserve_space: typing.Optional[builtins.bool] = None,
        record_delimiter: typing.Optional[builtins.str] = None,
        replace_invalid_characters: typing.Optional[builtins.bool] = None,
        skip_blank_lines: typing.Optional[builtins.bool] = None,
        skip_byte_order_mark: typing.Optional[builtins.bool] = None,
        skip_header: typing.Optional[jsii.Number] = None,
        strip_null_values: typing.Optional[builtins.bool] = None,
        strip_outer_array: typing.Optional[builtins.bool] = None,
        strip_outer_element: typing.Optional[builtins.bool] = None,
        time_format: typing.Optional[builtins.str] = None,
        timestamp_format: typing.Optional[builtins.str] = None,
        trim_space: typing.Optional[builtins.bool] = None,
        validate_utf8: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the file format. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#database FileFormat#database}
        :param format_type: Specifies the format of the input files (for data loading) or output files (for data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#format_type FileFormat#format_type}
        :param name: Specifies the identifier for the file format; must be unique for the database and schema in which the file format is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#name FileFormat#name}
        :param schema: The schema in which to create the file format. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#schema FileFormat#schema}
        :param allow_duplicate: Boolean that specifies to allow duplicate object field names (only the last one will be preserved). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#allow_duplicate FileFormat#allow_duplicate}
        :param binary_as_text: Boolean that specifies whether to interpret columns with no defined logical data type as UTF-8 text. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#binary_as_text FileFormat#binary_as_text}
        :param binary_format: Defines the encoding format for binary input or output. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#binary_format FileFormat#binary_format}
        :param comment: Specifies a comment for the file format. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#comment FileFormat#comment}
        :param compression: Specifies the current compression algorithm for the data file. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#compression FileFormat#compression}
        :param date_format: Defines the format of date values in the data files (data loading) or table (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#date_format FileFormat#date_format}
        :param disable_auto_convert: Boolean that specifies whether the XML parser disables automatic conversion of numeric and Boolean values from text to native representation. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#disable_auto_convert FileFormat#disable_auto_convert}
        :param disable_snowflake_data: Boolean that specifies whether the XML parser disables recognition of Snowflake semi-structured data tags. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#disable_snowflake_data FileFormat#disable_snowflake_data}
        :param empty_field_as_null: Specifies whether to insert SQL NULL for empty fields in an input file, which are represented by two successive delimiters. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#empty_field_as_null FileFormat#empty_field_as_null}
        :param enable_octal: Boolean that enables parsing of octal numbers. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#enable_octal FileFormat#enable_octal}
        :param encoding: String (constant) that specifies the character set of the source data when loading data into a table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#encoding FileFormat#encoding}
        :param error_on_column_count_mismatch: Boolean that specifies whether to generate a parsing error if the number of delimited columns (i.e. fields) in an input file does not match the number of columns in the corresponding table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#error_on_column_count_mismatch FileFormat#error_on_column_count_mismatch}
        :param escape: Single character string used as the escape character for field values. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#escape FileFormat#escape}
        :param escape_unenclosed_field: Single character string used as the escape character for unenclosed field values only. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#escape_unenclosed_field FileFormat#escape_unenclosed_field}
        :param field_delimiter: Specifies one or more singlebyte or multibyte characters that separate fields in an input file (data loading) or unloaded file (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#field_delimiter FileFormat#field_delimiter}
        :param field_optionally_enclosed_by: Character used to enclose strings. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#field_optionally_enclosed_by FileFormat#field_optionally_enclosed_by}
        :param file_extension: Specifies the extension for files unloaded to a stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#file_extension FileFormat#file_extension}
        :param ignore_utf8_errors: Boolean that specifies whether UTF-8 encoding errors produce error conditions. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#ignore_utf8_errors FileFormat#ignore_utf8_errors}
        :param null_if: String used to convert to and from SQL NULL. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#null_if FileFormat#null_if}
        :param preserve_space: Boolean that specifies whether the XML parser preserves leading and trailing spaces in element content. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#preserve_space FileFormat#preserve_space}
        :param record_delimiter: Specifies one or more singlebyte or multibyte characters that separate records in an input file (data loading) or unloaded file (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#record_delimiter FileFormat#record_delimiter}
        :param replace_invalid_characters: Boolean that specifies whether to replace invalid UTF-8 characters with the Unicode replacement character (�). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#replace_invalid_characters FileFormat#replace_invalid_characters}
        :param skip_blank_lines: Boolean that specifies to skip any blank lines encountered in the data files. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_blank_lines FileFormat#skip_blank_lines}
        :param skip_byte_order_mark: Boolean that specifies whether to skip the BOM (byte order mark), if present in a data file. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_byte_order_mark FileFormat#skip_byte_order_mark}
        :param skip_header: Number of lines at the start of the file to skip. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_header FileFormat#skip_header}
        :param strip_null_values: Boolean that instructs the JSON parser to remove object fields or array elements containing null values. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_null_values FileFormat#strip_null_values}
        :param strip_outer_array: Boolean that instructs the JSON parser to remove outer brackets. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_outer_array FileFormat#strip_outer_array}
        :param strip_outer_element: Boolean that specifies whether the XML parser strips out the outer XML element, exposing 2nd level elements as separate documents. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_outer_element FileFormat#strip_outer_element}
        :param time_format: Defines the format of time values in the data files (data loading) or table (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#time_format FileFormat#time_format}
        :param timestamp_format: Defines the format of timestamp values in the data files (data loading) or table (data unloading). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#timestamp_format FileFormat#timestamp_format}
        :param trim_space: Boolean that specifies whether to remove white space from fields. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#trim_space FileFormat#trim_space}
        :param validate_utf8: Boolean that specifies whether to validate UTF-8 character encoding in string column data. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#validate_utf8 FileFormat#validate_utf8}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "format_type": format_type,
            "name": name,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if allow_duplicate is not None:
            self._values["allow_duplicate"] = allow_duplicate
        if binary_as_text is not None:
            self._values["binary_as_text"] = binary_as_text
        if binary_format is not None:
            self._values["binary_format"] = binary_format
        if comment is not None:
            self._values["comment"] = comment
        if compression is not None:
            self._values["compression"] = compression
        if date_format is not None:
            self._values["date_format"] = date_format
        if disable_auto_convert is not None:
            self._values["disable_auto_convert"] = disable_auto_convert
        if disable_snowflake_data is not None:
            self._values["disable_snowflake_data"] = disable_snowflake_data
        if empty_field_as_null is not None:
            self._values["empty_field_as_null"] = empty_field_as_null
        if enable_octal is not None:
            self._values["enable_octal"] = enable_octal
        if encoding is not None:
            self._values["encoding"] = encoding
        if error_on_column_count_mismatch is not None:
            self._values["error_on_column_count_mismatch"] = error_on_column_count_mismatch
        if escape is not None:
            self._values["escape"] = escape
        if escape_unenclosed_field is not None:
            self._values["escape_unenclosed_field"] = escape_unenclosed_field
        if field_delimiter is not None:
            self._values["field_delimiter"] = field_delimiter
        if field_optionally_enclosed_by is not None:
            self._values["field_optionally_enclosed_by"] = field_optionally_enclosed_by
        if file_extension is not None:
            self._values["file_extension"] = file_extension
        if ignore_utf8_errors is not None:
            self._values["ignore_utf8_errors"] = ignore_utf8_errors
        if null_if is not None:
            self._values["null_if"] = null_if
        if preserve_space is not None:
            self._values["preserve_space"] = preserve_space
        if record_delimiter is not None:
            self._values["record_delimiter"] = record_delimiter
        if replace_invalid_characters is not None:
            self._values["replace_invalid_characters"] = replace_invalid_characters
        if skip_blank_lines is not None:
            self._values["skip_blank_lines"] = skip_blank_lines
        if skip_byte_order_mark is not None:
            self._values["skip_byte_order_mark"] = skip_byte_order_mark
        if skip_header is not None:
            self._values["skip_header"] = skip_header
        if strip_null_values is not None:
            self._values["strip_null_values"] = strip_null_values
        if strip_outer_array is not None:
            self._values["strip_outer_array"] = strip_outer_array
        if strip_outer_element is not None:
            self._values["strip_outer_element"] = strip_outer_element
        if time_format is not None:
            self._values["time_format"] = time_format
        if timestamp_format is not None:
            self._values["timestamp_format"] = timestamp_format
        if trim_space is not None:
            self._values["trim_space"] = trim_space
        if validate_utf8 is not None:
            self._values["validate_utf8"] = validate_utf8

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the file format.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#database FileFormat#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def format_type(self) -> builtins.str:
        '''Specifies the format of the input files (for data loading) or output files (for data unloading).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#format_type FileFormat#format_type}
        '''
        result = self._values.get("format_type")
        assert result is not None, "Required property 'format_type' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the file format;

        must be unique for the database and schema in which the file format is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#name FileFormat#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the file format.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#schema FileFormat#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def allow_duplicate(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies to allow duplicate object field names (only the last one will be preserved).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#allow_duplicate FileFormat#allow_duplicate}
        '''
        result = self._values.get("allow_duplicate")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def binary_as_text(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether to interpret columns with no defined logical data type as UTF-8 text.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#binary_as_text FileFormat#binary_as_text}
        '''
        result = self._values.get("binary_as_text")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def binary_format(self) -> typing.Optional[builtins.str]:
        '''Defines the encoding format for binary input or output.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#binary_format FileFormat#binary_format}
        '''
        result = self._values.get("binary_format")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the file format.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#comment FileFormat#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def compression(self) -> typing.Optional[builtins.str]:
        '''Specifies the current compression algorithm for the data file.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#compression FileFormat#compression}
        '''
        result = self._values.get("compression")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def date_format(self) -> typing.Optional[builtins.str]:
        '''Defines the format of date values in the data files (data loading) or table (data unloading).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#date_format FileFormat#date_format}
        '''
        result = self._values.get("date_format")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def disable_auto_convert(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether the XML parser disables automatic conversion of numeric and Boolean values from text to native representation.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#disable_auto_convert FileFormat#disable_auto_convert}
        '''
        result = self._values.get("disable_auto_convert")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def disable_snowflake_data(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether the XML parser disables recognition of Snowflake semi-structured data tags.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#disable_snowflake_data FileFormat#disable_snowflake_data}
        '''
        result = self._values.get("disable_snowflake_data")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def empty_field_as_null(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether to insert SQL NULL for empty fields in an input file, which are represented by two successive delimiters.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#empty_field_as_null FileFormat#empty_field_as_null}
        '''
        result = self._values.get("empty_field_as_null")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def enable_octal(self) -> typing.Optional[builtins.bool]:
        '''Boolean that enables parsing of octal numbers.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#enable_octal FileFormat#enable_octal}
        '''
        result = self._values.get("enable_octal")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def encoding(self) -> typing.Optional[builtins.str]:
        '''String (constant) that specifies the character set of the source data when loading data into a table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#encoding FileFormat#encoding}
        '''
        result = self._values.get("encoding")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def error_on_column_count_mismatch(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether to generate a parsing error if the number of delimited columns (i.e. fields) in an input file does not match the number of columns in the corresponding table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#error_on_column_count_mismatch FileFormat#error_on_column_count_mismatch}
        '''
        result = self._values.get("error_on_column_count_mismatch")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def escape(self) -> typing.Optional[builtins.str]:
        '''Single character string used as the escape character for field values.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#escape FileFormat#escape}
        '''
        result = self._values.get("escape")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def escape_unenclosed_field(self) -> typing.Optional[builtins.str]:
        '''Single character string used as the escape character for unenclosed field values only.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#escape_unenclosed_field FileFormat#escape_unenclosed_field}
        '''
        result = self._values.get("escape_unenclosed_field")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def field_delimiter(self) -> typing.Optional[builtins.str]:
        '''Specifies one or more singlebyte or multibyte characters that separate fields in an input file (data loading) or unloaded file (data unloading).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#field_delimiter FileFormat#field_delimiter}
        '''
        result = self._values.get("field_delimiter")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def field_optionally_enclosed_by(self) -> typing.Optional[builtins.str]:
        '''Character used to enclose strings.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#field_optionally_enclosed_by FileFormat#field_optionally_enclosed_by}
        '''
        result = self._values.get("field_optionally_enclosed_by")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def file_extension(self) -> typing.Optional[builtins.str]:
        '''Specifies the extension for files unloaded to a stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#file_extension FileFormat#file_extension}
        '''
        result = self._values.get("file_extension")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def ignore_utf8_errors(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether UTF-8 encoding errors produce error conditions.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#ignore_utf8_errors FileFormat#ignore_utf8_errors}
        '''
        result = self._values.get("ignore_utf8_errors")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def null_if(self) -> typing.Optional[typing.List[builtins.str]]:
        '''String used to convert to and from SQL NULL.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#null_if FileFormat#null_if}
        '''
        result = self._values.get("null_if")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def preserve_space(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether the XML parser preserves leading and trailing spaces in element content.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#preserve_space FileFormat#preserve_space}
        '''
        result = self._values.get("preserve_space")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def record_delimiter(self) -> typing.Optional[builtins.str]:
        '''Specifies one or more singlebyte or multibyte characters that separate records in an input file (data loading) or unloaded file (data unloading).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#record_delimiter FileFormat#record_delimiter}
        '''
        result = self._values.get("record_delimiter")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def replace_invalid_characters(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether to replace invalid UTF-8 characters with the Unicode replacement character (�).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#replace_invalid_characters FileFormat#replace_invalid_characters}
        '''
        result = self._values.get("replace_invalid_characters")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def skip_blank_lines(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies to skip any blank lines encountered in the data files.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_blank_lines FileFormat#skip_blank_lines}
        '''
        result = self._values.get("skip_blank_lines")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def skip_byte_order_mark(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether to skip the BOM (byte order mark), if present in a data file.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_byte_order_mark FileFormat#skip_byte_order_mark}
        '''
        result = self._values.get("skip_byte_order_mark")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def skip_header(self) -> typing.Optional[jsii.Number]:
        '''Number of lines at the start of the file to skip.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#skip_header FileFormat#skip_header}
        '''
        result = self._values.get("skip_header")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def strip_null_values(self) -> typing.Optional[builtins.bool]:
        '''Boolean that instructs the JSON parser to remove object fields or array elements containing null values.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_null_values FileFormat#strip_null_values}
        '''
        result = self._values.get("strip_null_values")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def strip_outer_array(self) -> typing.Optional[builtins.bool]:
        '''Boolean that instructs the JSON parser to remove outer brackets.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_outer_array FileFormat#strip_outer_array}
        '''
        result = self._values.get("strip_outer_array")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def strip_outer_element(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether the XML parser strips out the outer XML element, exposing 2nd level elements as separate documents.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#strip_outer_element FileFormat#strip_outer_element}
        '''
        result = self._values.get("strip_outer_element")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def time_format(self) -> typing.Optional[builtins.str]:
        '''Defines the format of time values in the data files (data loading) or table (data unloading).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#time_format FileFormat#time_format}
        '''
        result = self._values.get("time_format")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def timestamp_format(self) -> typing.Optional[builtins.str]:
        '''Defines the format of timestamp values in the data files (data loading) or table (data unloading).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#timestamp_format FileFormat#timestamp_format}
        '''
        result = self._values.get("timestamp_format")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def trim_space(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether to remove white space from fields.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#trim_space FileFormat#trim_space}
        '''
        result = self._values.get("trim_space")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def validate_utf8(self) -> typing.Optional[builtins.bool]:
        '''Boolean that specifies whether to validate UTF-8 character encoding in string column data.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format.html#validate_utf8 FileFormat#validate_utf8}
        '''
        result = self._values.get("validate_utf8")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "FileFormatConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class FileFormatGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.FileFormatGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html snowflake_file_format_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        file_format_name: typing.Optional[builtins.str] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html snowflake_file_format_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future file formats on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#database_name FileFormatGrant#database_name}
        :param schema_name: The name of the schema containing the current or future file formats on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#schema_name FileFormatGrant#schema_name}
        :param file_format_name: The name of the file format on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#file_format_name FileFormatGrant#file_format_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future file formats in the given schema. When this is true and no schema_name is provided apply this grant on all future file formats in the given database. The file_format_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#on_future FileFormatGrant#on_future}
        :param privilege: The privilege to grant on the current or future file format. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#privilege FileFormatGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#roles FileFormatGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#with_grant_option FileFormatGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = FileFormatGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            file_format_name=file_format_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(FileFormatGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetFileFormatName")
    def reset_file_format_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFileFormatName", []))

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fileFormatNameInput")
    def file_format_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "fileFormatNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fileFormatName")
    def file_format_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "fileFormatName"))

    @file_format_name.setter
    def file_format_name(self, value: builtins.str) -> None:
        jsii.set(self, "fileFormatName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.FileFormatGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "file_format_name": "fileFormatName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "with_grant_option": "withGrantOption",
    },
)
class FileFormatGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        file_format_name: typing.Optional[builtins.str] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future file formats on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#database_name FileFormatGrant#database_name}
        :param schema_name: The name of the schema containing the current or future file formats on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#schema_name FileFormatGrant#schema_name}
        :param file_format_name: The name of the file format on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#file_format_name FileFormatGrant#file_format_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future file formats in the given schema. When this is true and no schema_name is provided apply this grant on all future file formats in the given database. The file_format_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#on_future FileFormatGrant#on_future}
        :param privilege: The privilege to grant on the current or future file format. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#privilege FileFormatGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#roles FileFormatGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#with_grant_option FileFormatGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if file_format_name is not None:
            self._values["file_format_name"] = file_format_name
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future file formats on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#database_name FileFormatGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current or future file formats on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#schema_name FileFormatGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def file_format_name(self) -> typing.Optional[builtins.str]:
        '''The name of the file format on which to grant privileges immediately (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#file_format_name FileFormatGrant#file_format_name}
        '''
        result = self._values.get("file_format_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future file formats in the given schema.

        When this is true and no schema_name is provided apply this grant on all future file formats in the given database. The file_format_name field must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#on_future FileFormatGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future file format.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#privilege FileFormatGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#roles FileFormatGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/file_format_grant.html#with_grant_option FileFormatGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "FileFormatGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class FunctionGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.FunctionGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html snowflake_function_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        arguments: typing.Optional[typing.Sequence["FunctionGrantArguments"]] = None,
        function_name: typing.Optional[builtins.str] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        return_type: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html snowflake_function_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future functions on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#database_name FunctionGrant#database_name}
        :param schema_name: The name of the schema containing the current or future functions on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#schema_name FunctionGrant#schema_name}
        :param arguments: arguments block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#arguments FunctionGrant#arguments}
        :param function_name: The name of the function on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#function_name FunctionGrant#function_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future functions in the given schema. When this is true and no schema_name is provided apply this grant on all future functions in the given database. The function_name, arguments, return_type, and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#on_future FunctionGrant#on_future}
        :param privilege: The privilege to grant on the current or future function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#privilege FunctionGrant#privilege}
        :param return_type: The return type of the function (must be present if function_name is present). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#return_type FunctionGrant#return_type}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#roles FunctionGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#shares FunctionGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#with_grant_option FunctionGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = FunctionGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            arguments=arguments,
            function_name=function_name,
            on_future=on_future,
            privilege=privilege,
            return_type=return_type,
            roles=roles,
            shares=shares,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(FunctionGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetArguments")
    def reset_arguments(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetArguments", []))

    @jsii.member(jsii_name="resetFunctionName")
    def reset_function_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFunctionName", []))

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetReturnType")
    def reset_return_type(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetReturnType", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetShares")
    def reset_shares(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShares", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="argumentsInput")
    def arguments_input(self) -> typing.Optional[typing.List["FunctionGrantArguments"]]:
        return typing.cast(typing.Optional[typing.List["FunctionGrantArguments"]], jsii.get(self, "argumentsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="functionNameInput")
    def function_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "functionNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnTypeInput")
    def return_type_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "returnTypeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sharesInput")
    def shares_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "sharesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="arguments")
    def arguments(self) -> typing.List["FunctionGrantArguments"]:
        return typing.cast(typing.List["FunctionGrantArguments"], jsii.get(self, "arguments"))

    @arguments.setter
    def arguments(self, value: typing.List["FunctionGrantArguments"]) -> None:
        jsii.set(self, "arguments", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="functionName")
    def function_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "functionName"))

    @function_name.setter
    def function_name(self, value: builtins.str) -> None:
        jsii.set(self, "functionName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnType")
    def return_type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "returnType"))

    @return_type.setter
    def return_type(self, value: builtins.str) -> None:
        jsii.set(self, "returnType", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="shares")
    def shares(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "shares"))

    @shares.setter
    def shares(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "shares", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.FunctionGrantArguments",
    jsii_struct_bases=[],
    name_mapping={"name": "name", "type": "type"},
)
class FunctionGrantArguments:
    def __init__(self, *, name: builtins.str, type: builtins.str) -> None:
        '''
        :param name: The argument name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#name FunctionGrant#name}
        :param type: The argument type. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#type FunctionGrant#type}
        '''
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
            "type": type,
        }

    @builtins.property
    def name(self) -> builtins.str:
        '''The argument name.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#name FunctionGrant#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def type(self) -> builtins.str:
        '''The argument type.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#type FunctionGrant#type}
        '''
        result = self._values.get("type")
        assert result is not None, "Required property 'type' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "FunctionGrantArguments(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


@jsii.data_type(
    jsii_type="cdktf-snowflake.FunctionGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "arguments": "arguments",
        "function_name": "functionName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "return_type": "returnType",
        "roles": "roles",
        "shares": "shares",
        "with_grant_option": "withGrantOption",
    },
)
class FunctionGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        arguments: typing.Optional[typing.Sequence[FunctionGrantArguments]] = None,
        function_name: typing.Optional[builtins.str] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        return_type: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future functions on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#database_name FunctionGrant#database_name}
        :param schema_name: The name of the schema containing the current or future functions on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#schema_name FunctionGrant#schema_name}
        :param arguments: arguments block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#arguments FunctionGrant#arguments}
        :param function_name: The name of the function on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#function_name FunctionGrant#function_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future functions in the given schema. When this is true and no schema_name is provided apply this grant on all future functions in the given database. The function_name, arguments, return_type, and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#on_future FunctionGrant#on_future}
        :param privilege: The privilege to grant on the current or future function. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#privilege FunctionGrant#privilege}
        :param return_type: The return type of the function (must be present if function_name is present). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#return_type FunctionGrant#return_type}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#roles FunctionGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#shares FunctionGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#with_grant_option FunctionGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if arguments is not None:
            self._values["arguments"] = arguments
        if function_name is not None:
            self._values["function_name"] = function_name
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if return_type is not None:
            self._values["return_type"] = return_type
        if roles is not None:
            self._values["roles"] = roles
        if shares is not None:
            self._values["shares"] = shares
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future functions on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#database_name FunctionGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current or future functions on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#schema_name FunctionGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def arguments(self) -> typing.Optional[typing.List[FunctionGrantArguments]]:
        '''arguments block.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#arguments FunctionGrant#arguments}
        '''
        result = self._values.get("arguments")
        return typing.cast(typing.Optional[typing.List[FunctionGrantArguments]], result)

    @builtins.property
    def function_name(self) -> typing.Optional[builtins.str]:
        '''The name of the function on which to grant privileges immediately (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#function_name FunctionGrant#function_name}
        '''
        result = self._values.get("function_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future functions in the given schema.

        When this is true and no schema_name is provided apply this grant on all future functions in the given database. The function_name, arguments, return_type, and shares fields must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#on_future FunctionGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future function.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#privilege FunctionGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def return_type(self) -> typing.Optional[builtins.str]:
        '''The return type of the function (must be present if function_name is present).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#return_type FunctionGrant#return_type}
        '''
        result = self._values.get("return_type")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#roles FunctionGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def shares(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these shares (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#shares FunctionGrant#shares}
        '''
        result = self._values.get("shares")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/function_grant.html#with_grant_option FunctionGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "FunctionGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class IntegrationGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.IntegrationGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html snowflake_integration_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        integration_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html snowflake_integration_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param integration_name: Identifier for the integration; must be unique for your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#integration_name IntegrationGrant#integration_name}
        :param privilege: The privilege to grant on the integration. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#privilege IntegrationGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#roles IntegrationGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#with_grant_option IntegrationGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = IntegrationGrantConfig(
            integration_name=integration_name,
            privilege=privilege,
            roles=roles,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(IntegrationGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="integrationNameInput")
    def integration_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "integrationNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="integrationName")
    def integration_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "integrationName"))

    @integration_name.setter
    def integration_name(self, value: builtins.str) -> None:
        jsii.set(self, "integrationName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.IntegrationGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "integration_name": "integrationName",
        "privilege": "privilege",
        "roles": "roles",
        "with_grant_option": "withGrantOption",
    },
)
class IntegrationGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        integration_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param integration_name: Identifier for the integration; must be unique for your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#integration_name IntegrationGrant#integration_name}
        :param privilege: The privilege to grant on the integration. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#privilege IntegrationGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#roles IntegrationGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#with_grant_option IntegrationGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "integration_name": integration_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def integration_name(self) -> builtins.str:
        '''Identifier for the integration; must be unique for your account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#integration_name IntegrationGrant#integration_name}
        '''
        result = self._values.get("integration_name")
        assert result is not None, "Required property 'integration_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the integration.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#privilege IntegrationGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#roles IntegrationGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/integration_grant.html#with_grant_option IntegrationGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "IntegrationGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ManagedAccount(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ManagedAccount",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html snowflake_managed_account}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        admin_name: builtins.str,
        admin_password: builtins.str,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        type: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html snowflake_managed_account} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param admin_name: Identifier, as well as login name, for the initial user in the managed account. This user serves as the account administrator for the account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#admin_name ManagedAccount#admin_name}
        :param admin_password: Password for the initial user in the managed account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#admin_password ManagedAccount#admin_password}
        :param name: Identifier for the managed account; must be unique for your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#name ManagedAccount#name}
        :param comment: Specifies a comment for the managed account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#comment ManagedAccount#comment}
        :param type: Specifies the type of managed account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#type ManagedAccount#type}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ManagedAccountConfig(
            admin_name=admin_name,
            admin_password=admin_password,
            name=name,
            comment=comment,
            type=type,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ManagedAccount, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetType")
    def reset_type(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetType", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="adminNameInput")
    def admin_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "adminNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="adminPasswordInput")
    def admin_password_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "adminPasswordInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="cloud")
    def cloud(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "cloud"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="createdOn")
    def created_on(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "createdOn"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="locator")
    def locator(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "locator"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="region")
    def region(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "region"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="url")
    def url(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "url"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="typeInput")
    def type_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "typeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="adminName")
    def admin_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "adminName"))

    @admin_name.setter
    def admin_name(self, value: builtins.str) -> None:
        jsii.set(self, "adminName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="adminPassword")
    def admin_password(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "adminPassword"))

    @admin_password.setter
    def admin_password(self, value: builtins.str) -> None:
        jsii.set(self, "adminPassword", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="type")
    def type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "type"))

    @type.setter
    def type(self, value: builtins.str) -> None:
        jsii.set(self, "type", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ManagedAccountConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "admin_name": "adminName",
        "admin_password": "adminPassword",
        "name": "name",
        "comment": "comment",
        "type": "type",
    },
)
class ManagedAccountConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        admin_name: builtins.str,
        admin_password: builtins.str,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        type: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param admin_name: Identifier, as well as login name, for the initial user in the managed account. This user serves as the account administrator for the account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#admin_name ManagedAccount#admin_name}
        :param admin_password: Password for the initial user in the managed account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#admin_password ManagedAccount#admin_password}
        :param name: Identifier for the managed account; must be unique for your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#name ManagedAccount#name}
        :param comment: Specifies a comment for the managed account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#comment ManagedAccount#comment}
        :param type: Specifies the type of managed account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#type ManagedAccount#type}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "admin_name": admin_name,
            "admin_password": admin_password,
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment
        if type is not None:
            self._values["type"] = type

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def admin_name(self) -> builtins.str:
        '''Identifier, as well as login name, for the initial user in the managed account.

        This user serves as the account administrator for the account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#admin_name ManagedAccount#admin_name}
        '''
        result = self._values.get("admin_name")
        assert result is not None, "Required property 'admin_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def admin_password(self) -> builtins.str:
        '''Password for the initial user in the managed account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#admin_password ManagedAccount#admin_password}
        '''
        result = self._values.get("admin_password")
        assert result is not None, "Required property 'admin_password' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Identifier for the managed account; must be unique for your account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#name ManagedAccount#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the managed account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#comment ManagedAccount#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def type(self) -> typing.Optional[builtins.str]:
        '''Specifies the type of managed account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/managed_account.html#type ManagedAccount#type}
        '''
        result = self._values.get("type")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ManagedAccountConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class MaskingPolicy(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.MaskingPolicy",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html snowflake_masking_policy}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        masking_expression: builtins.str,
        name: builtins.str,
        return_data_type: builtins.str,
        schema: builtins.str,
        value_data_type: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html snowflake_masking_policy} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the masking policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#database MaskingPolicy#database}
        :param masking_expression: Specifies the SQL expression that transforms the data. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#masking_expression MaskingPolicy#masking_expression}
        :param name: Specifies the identifier for the masking policy; must be unique for the database and schema in which the masking policy is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#name MaskingPolicy#name}
        :param return_data_type: Specifies the data type to return. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#return_data_type MaskingPolicy#return_data_type}
        :param schema: The schema in which to create the masking policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#schema MaskingPolicy#schema}
        :param value_data_type: Specifies the data type to mask. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#value_data_type MaskingPolicy#value_data_type}
        :param comment: Specifies a comment for the masking policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#comment MaskingPolicy#comment}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = MaskingPolicyConfig(
            database=database,
            masking_expression=masking_expression,
            name=name,
            return_data_type=return_data_type,
            schema=schema,
            value_data_type=value_data_type,
            comment=comment,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(MaskingPolicy, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maskingExpressionInput")
    def masking_expression_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "maskingExpressionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnDataTypeInput")
    def return_data_type_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "returnDataTypeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="valueDataTypeInput")
    def value_data_type_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "valueDataTypeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maskingExpression")
    def masking_expression(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "maskingExpression"))

    @masking_expression.setter
    def masking_expression(self, value: builtins.str) -> None:
        jsii.set(self, "maskingExpression", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnDataType")
    def return_data_type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "returnDataType"))

    @return_data_type.setter
    def return_data_type(self, value: builtins.str) -> None:
        jsii.set(self, "returnDataType", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="valueDataType")
    def value_data_type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "valueDataType"))

    @value_data_type.setter
    def value_data_type(self, value: builtins.str) -> None:
        jsii.set(self, "valueDataType", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.MaskingPolicyConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "masking_expression": "maskingExpression",
        "name": "name",
        "return_data_type": "returnDataType",
        "schema": "schema",
        "value_data_type": "valueDataType",
        "comment": "comment",
    },
)
class MaskingPolicyConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        masking_expression: builtins.str,
        name: builtins.str,
        return_data_type: builtins.str,
        schema: builtins.str,
        value_data_type: builtins.str,
        comment: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the masking policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#database MaskingPolicy#database}
        :param masking_expression: Specifies the SQL expression that transforms the data. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#masking_expression MaskingPolicy#masking_expression}
        :param name: Specifies the identifier for the masking policy; must be unique for the database and schema in which the masking policy is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#name MaskingPolicy#name}
        :param return_data_type: Specifies the data type to return. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#return_data_type MaskingPolicy#return_data_type}
        :param schema: The schema in which to create the masking policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#schema MaskingPolicy#schema}
        :param value_data_type: Specifies the data type to mask. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#value_data_type MaskingPolicy#value_data_type}
        :param comment: Specifies a comment for the masking policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#comment MaskingPolicy#comment}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "masking_expression": masking_expression,
            "name": name,
            "return_data_type": return_data_type,
            "schema": schema,
            "value_data_type": value_data_type,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the masking policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#database MaskingPolicy#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def masking_expression(self) -> builtins.str:
        '''Specifies the SQL expression that transforms the data.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#masking_expression MaskingPolicy#masking_expression}
        '''
        result = self._values.get("masking_expression")
        assert result is not None, "Required property 'masking_expression' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the masking policy;

        must be unique for the database and schema in which the masking policy is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#name MaskingPolicy#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def return_data_type(self) -> builtins.str:
        '''Specifies the data type to return.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#return_data_type MaskingPolicy#return_data_type}
        '''
        result = self._values.get("return_data_type")
        assert result is not None, "Required property 'return_data_type' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the masking policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#schema MaskingPolicy#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def value_data_type(self) -> builtins.str:
        '''Specifies the data type to mask.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#value_data_type MaskingPolicy#value_data_type}
        '''
        result = self._values.get("value_data_type")
        assert result is not None, "Required property 'value_data_type' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the masking policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy.html#comment MaskingPolicy#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "MaskingPolicyConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class MaskingPolicyGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.MaskingPolicyGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html snowflake_masking_policy_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        masking_policy_name: builtins.str,
        schema_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html snowflake_masking_policy_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the masking policy on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#database_name MaskingPolicyGrant#database_name}
        :param masking_policy_name: The name of the masking policy on which to grant privileges immediately. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#masking_policy_name MaskingPolicyGrant#masking_policy_name}
        :param schema_name: The name of the schema containing the masking policy on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#schema_name MaskingPolicyGrant#schema_name}
        :param privilege: The privilege to grant on the masking policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#privilege MaskingPolicyGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#roles MaskingPolicyGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#with_grant_option MaskingPolicyGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = MaskingPolicyGrantConfig(
            database_name=database_name,
            masking_policy_name=masking_policy_name,
            schema_name=schema_name,
            privilege=privilege,
            roles=roles,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(MaskingPolicyGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maskingPolicyNameInput")
    def masking_policy_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "maskingPolicyNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maskingPolicyName")
    def masking_policy_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "maskingPolicyName"))

    @masking_policy_name.setter
    def masking_policy_name(self, value: builtins.str) -> None:
        jsii.set(self, "maskingPolicyName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.MaskingPolicyGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "masking_policy_name": "maskingPolicyName",
        "schema_name": "schemaName",
        "privilege": "privilege",
        "roles": "roles",
        "with_grant_option": "withGrantOption",
    },
)
class MaskingPolicyGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        masking_policy_name: builtins.str,
        schema_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the masking policy on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#database_name MaskingPolicyGrant#database_name}
        :param masking_policy_name: The name of the masking policy on which to grant privileges immediately. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#masking_policy_name MaskingPolicyGrant#masking_policy_name}
        :param schema_name: The name of the schema containing the masking policy on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#schema_name MaskingPolicyGrant#schema_name}
        :param privilege: The privilege to grant on the masking policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#privilege MaskingPolicyGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#roles MaskingPolicyGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#with_grant_option MaskingPolicyGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "masking_policy_name": masking_policy_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the masking policy on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#database_name MaskingPolicyGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def masking_policy_name(self) -> builtins.str:
        '''The name of the masking policy on which to grant privileges immediately.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#masking_policy_name MaskingPolicyGrant#masking_policy_name}
        '''
        result = self._values.get("masking_policy_name")
        assert result is not None, "Required property 'masking_policy_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the masking policy on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#schema_name MaskingPolicyGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the masking policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#privilege MaskingPolicyGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#roles MaskingPolicyGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/masking_policy_grant.html#with_grant_option MaskingPolicyGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "MaskingPolicyGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class MaterializedView(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.MaterializedView",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html snowflake_materialized_view}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        statement: builtins.str,
        warehouse: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        is_secure: typing.Optional[builtins.bool] = None,
        or_replace: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html snowflake_materialized_view} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the view. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#database MaterializedView#database}
        :param name: Specifies the identifier for the view; must be unique for the schema in which the view is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#name MaterializedView#name}
        :param schema: The schema in which to create the view. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#schema MaterializedView#schema}
        :param statement: Specifies the query used to create the view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#statement MaterializedView#statement}
        :param warehouse: The warehouse name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#warehouse MaterializedView#warehouse}
        :param comment: Specifies a comment for the view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#comment MaterializedView#comment}
        :param is_secure: Specifies that the view is secure. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#is_secure MaterializedView#is_secure}
        :param or_replace: Overwrites the View if it exists. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#or_replace MaterializedView#or_replace}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = MaterializedViewConfig(
            database=database,
            name=name,
            schema=schema,
            statement=statement,
            warehouse=warehouse,
            comment=comment,
            is_secure=is_secure,
            or_replace=or_replace,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(MaterializedView, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetIsSecure")
    def reset_is_secure(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetIsSecure", []))

    @jsii.member(jsii_name="resetOrReplace")
    def reset_or_replace(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOrReplace", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="statementInput")
    def statement_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "statementInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="warehouseInput")
    def warehouse_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "warehouseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="isSecureInput")
    def is_secure_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "isSecureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="orReplaceInput")
    def or_replace_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "orReplaceInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="isSecure")
    def is_secure(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "isSecure"))

    @is_secure.setter
    def is_secure(self, value: builtins.bool) -> None:
        jsii.set(self, "isSecure", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="orReplace")
    def or_replace(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "orReplace"))

    @or_replace.setter
    def or_replace(self, value: builtins.bool) -> None:
        jsii.set(self, "orReplace", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="statement")
    def statement(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "statement"))

    @statement.setter
    def statement(self, value: builtins.str) -> None:
        jsii.set(self, "statement", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="warehouse")
    def warehouse(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "warehouse"))

    @warehouse.setter
    def warehouse(self, value: builtins.str) -> None:
        jsii.set(self, "warehouse", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.MaterializedViewConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "name": "name",
        "schema": "schema",
        "statement": "statement",
        "warehouse": "warehouse",
        "comment": "comment",
        "is_secure": "isSecure",
        "or_replace": "orReplace",
    },
)
class MaterializedViewConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        statement: builtins.str,
        warehouse: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        is_secure: typing.Optional[builtins.bool] = None,
        or_replace: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the view. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#database MaterializedView#database}
        :param name: Specifies the identifier for the view; must be unique for the schema in which the view is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#name MaterializedView#name}
        :param schema: The schema in which to create the view. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#schema MaterializedView#schema}
        :param statement: Specifies the query used to create the view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#statement MaterializedView#statement}
        :param warehouse: The warehouse name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#warehouse MaterializedView#warehouse}
        :param comment: Specifies a comment for the view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#comment MaterializedView#comment}
        :param is_secure: Specifies that the view is secure. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#is_secure MaterializedView#is_secure}
        :param or_replace: Overwrites the View if it exists. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#or_replace MaterializedView#or_replace}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "name": name,
            "schema": schema,
            "statement": statement,
            "warehouse": warehouse,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment
        if is_secure is not None:
            self._values["is_secure"] = is_secure
        if or_replace is not None:
            self._values["or_replace"] = or_replace

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the view. Don't use the | character.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#database MaterializedView#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the view; must be unique for the schema in which the view is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#name MaterializedView#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the view. Don't use the | character.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#schema MaterializedView#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def statement(self) -> builtins.str:
        '''Specifies the query used to create the view.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#statement MaterializedView#statement}
        '''
        result = self._values.get("statement")
        assert result is not None, "Required property 'statement' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def warehouse(self) -> builtins.str:
        '''The warehouse name.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#warehouse MaterializedView#warehouse}
        '''
        result = self._values.get("warehouse")
        assert result is not None, "Required property 'warehouse' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the view.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#comment MaterializedView#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def is_secure(self) -> typing.Optional[builtins.bool]:
        '''Specifies that the view is secure.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#is_secure MaterializedView#is_secure}
        '''
        result = self._values.get("is_secure")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def or_replace(self) -> typing.Optional[builtins.bool]:
        '''Overwrites the View if it exists.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view.html#or_replace MaterializedView#or_replace}
        '''
        result = self._values.get("or_replace")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "MaterializedViewConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class MaterializedViewGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.MaterializedViewGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html snowflake_materialized_view_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        materialized_view_name: typing.Optional[builtins.str] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html snowflake_materialized_view_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future materialized views on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#database_name MaterializedViewGrant#database_name}
        :param schema_name: The name of the schema containing the current or future materialized views on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#schema_name MaterializedViewGrant#schema_name}
        :param materialized_view_name: The name of the materialized view on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#materialized_view_name MaterializedViewGrant#materialized_view_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future materialized views in the given schema. When this is true and no schema_name is provided apply this grant on all future materialized views in the given database. The materialized_view_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#on_future MaterializedViewGrant#on_future}
        :param privilege: The privilege to grant on the current or future materialized view view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#privilege MaterializedViewGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#roles MaterializedViewGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#shares MaterializedViewGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#with_grant_option MaterializedViewGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = MaterializedViewGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            materialized_view_name=materialized_view_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            shares=shares,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(MaterializedViewGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetMaterializedViewName")
    def reset_materialized_view_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetMaterializedViewName", []))

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetShares")
    def reset_shares(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShares", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="materializedViewNameInput")
    def materialized_view_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "materializedViewNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sharesInput")
    def shares_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "sharesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="materializedViewName")
    def materialized_view_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "materializedViewName"))

    @materialized_view_name.setter
    def materialized_view_name(self, value: builtins.str) -> None:
        jsii.set(self, "materializedViewName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="shares")
    def shares(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "shares"))

    @shares.setter
    def shares(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "shares", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.MaterializedViewGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "materialized_view_name": "materializedViewName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "shares": "shares",
        "with_grant_option": "withGrantOption",
    },
)
class MaterializedViewGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        materialized_view_name: typing.Optional[builtins.str] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future materialized views on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#database_name MaterializedViewGrant#database_name}
        :param schema_name: The name of the schema containing the current or future materialized views on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#schema_name MaterializedViewGrant#schema_name}
        :param materialized_view_name: The name of the materialized view on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#materialized_view_name MaterializedViewGrant#materialized_view_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future materialized views in the given schema. When this is true and no schema_name is provided apply this grant on all future materialized views in the given database. The materialized_view_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#on_future MaterializedViewGrant#on_future}
        :param privilege: The privilege to grant on the current or future materialized view view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#privilege MaterializedViewGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#roles MaterializedViewGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#shares MaterializedViewGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#with_grant_option MaterializedViewGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if materialized_view_name is not None:
            self._values["materialized_view_name"] = materialized_view_name
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if shares is not None:
            self._values["shares"] = shares
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future materialized views on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#database_name MaterializedViewGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current or future materialized views on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#schema_name MaterializedViewGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def materialized_view_name(self) -> typing.Optional[builtins.str]:
        '''The name of the materialized view on which to grant privileges immediately (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#materialized_view_name MaterializedViewGrant#materialized_view_name}
        '''
        result = self._values.get("materialized_view_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future materialized views in the given schema.

        When this is true and no schema_name is provided apply this grant on all future materialized views in the given database. The materialized_view_name and shares fields must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#on_future MaterializedViewGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future materialized view view.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#privilege MaterializedViewGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#roles MaterializedViewGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def shares(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these shares (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#shares MaterializedViewGrant#shares}
        '''
        result = self._values.get("shares")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/materialized_view_grant.html#with_grant_option MaterializedViewGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "MaterializedViewGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class NetworkPolicy(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.NetworkPolicy",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html snowflake_network_policy}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        allowed_ip_list: typing.Sequence[builtins.str],
        name: builtins.str,
        blocked_ip_list: typing.Optional[typing.Sequence[builtins.str]] = None,
        comment: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html snowflake_network_policy} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param allowed_ip_list: Specifies one or more IPv4 addresses (CIDR notation) that are allowed access to your Snowflake account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#allowed_ip_list NetworkPolicy#allowed_ip_list}
        :param name: Specifies the identifier for the network policy; must be unique for the account in which the network policy is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#name NetworkPolicy#name}
        :param blocked_ip_list: Specifies one or more IPv4 addresses (CIDR notation) that are denied access to your Snowflake account**Do not** add ``0.0.0.0/0`` to ``blocked_ip_list``. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#blocked_ip_list NetworkPolicy#blocked_ip_list}
        :param comment: Specifies a comment for the network policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#comment NetworkPolicy#comment}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = NetworkPolicyConfig(
            allowed_ip_list=allowed_ip_list,
            name=name,
            blocked_ip_list=blocked_ip_list,
            comment=comment,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(NetworkPolicy, self, [scope, id, config])

    @jsii.member(jsii_name="resetBlockedIpList")
    def reset_blocked_ip_list(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetBlockedIpList", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="allowedIpListInput")
    def allowed_ip_list_input(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "allowedIpListInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="blockedIpListInput")
    def blocked_ip_list_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "blockedIpListInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="allowedIpList")
    def allowed_ip_list(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "allowedIpList"))

    @allowed_ip_list.setter
    def allowed_ip_list(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "allowedIpList", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="blockedIpList")
    def blocked_ip_list(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "blockedIpList"))

    @blocked_ip_list.setter
    def blocked_ip_list(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "blockedIpList", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)


class NetworkPolicyAttachment(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.NetworkPolicyAttachment",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html snowflake_network_policy_attachment}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        network_policy_name: builtins.str,
        set_for_account: typing.Optional[builtins.bool] = None,
        users: typing.Optional[typing.Sequence[builtins.str]] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html snowflake_network_policy_attachment} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param network_policy_name: Specifies the identifier for the network policy; must be unique for the account in which the network policy is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#network_policy_name NetworkPolicyAttachment#network_policy_name}
        :param set_for_account: Specifies whether the network policy should be applied globally to your Snowflake account**Note:** The Snowflake user running ``terraform apply`` must be on an IP address allowed by the network policy to set that policy globally on the Snowflake account.Additionally, a Snowflake account can only have one network policy set globally at any given time. This resource does not enforce one-policy-per-account, it is the user's responsibility to enforce this. If multiple network policy resources have ``set_for_account: true``, the final policy set on the account will be non-deterministic. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#set_for_account NetworkPolicyAttachment#set_for_account}
        :param users: Specifies which users the network policy should be attached to. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#users NetworkPolicyAttachment#users}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = NetworkPolicyAttachmentConfig(
            network_policy_name=network_policy_name,
            set_for_account=set_for_account,
            users=users,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(NetworkPolicyAttachment, self, [scope, id, config])

    @jsii.member(jsii_name="resetSetForAccount")
    def reset_set_for_account(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSetForAccount", []))

    @jsii.member(jsii_name="resetUsers")
    def reset_users(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetUsers", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="networkPolicyNameInput")
    def network_policy_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "networkPolicyNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="setForAccountInput")
    def set_for_account_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "setForAccountInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="usersInput")
    def users_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "usersInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="networkPolicyName")
    def network_policy_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "networkPolicyName"))

    @network_policy_name.setter
    def network_policy_name(self, value: builtins.str) -> None:
        jsii.set(self, "networkPolicyName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="setForAccount")
    def set_for_account(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "setForAccount"))

    @set_for_account.setter
    def set_for_account(self, value: builtins.bool) -> None:
        jsii.set(self, "setForAccount", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="users")
    def users(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "users"))

    @users.setter
    def users(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "users", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.NetworkPolicyAttachmentConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "network_policy_name": "networkPolicyName",
        "set_for_account": "setForAccount",
        "users": "users",
    },
)
class NetworkPolicyAttachmentConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        network_policy_name: builtins.str,
        set_for_account: typing.Optional[builtins.bool] = None,
        users: typing.Optional[typing.Sequence[builtins.str]] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param network_policy_name: Specifies the identifier for the network policy; must be unique for the account in which the network policy is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#network_policy_name NetworkPolicyAttachment#network_policy_name}
        :param set_for_account: Specifies whether the network policy should be applied globally to your Snowflake account**Note:** The Snowflake user running ``terraform apply`` must be on an IP address allowed by the network policy to set that policy globally on the Snowflake account.Additionally, a Snowflake account can only have one network policy set globally at any given time. This resource does not enforce one-policy-per-account, it is the user's responsibility to enforce this. If multiple network policy resources have ``set_for_account: true``, the final policy set on the account will be non-deterministic. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#set_for_account NetworkPolicyAttachment#set_for_account}
        :param users: Specifies which users the network policy should be attached to. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#users NetworkPolicyAttachment#users}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "network_policy_name": network_policy_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if set_for_account is not None:
            self._values["set_for_account"] = set_for_account
        if users is not None:
            self._values["users"] = users

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def network_policy_name(self) -> builtins.str:
        '''Specifies the identifier for the network policy;

        must be unique for the account in which the network policy is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#network_policy_name NetworkPolicyAttachment#network_policy_name}
        '''
        result = self._values.get("network_policy_name")
        assert result is not None, "Required property 'network_policy_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def set_for_account(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether the network policy should be applied globally to your Snowflake account**Note:** The Snowflake user running ``terraform apply`` must be on an IP address allowed by the network policy to set that policy globally on the Snowflake account.Additionally, a Snowflake account can only have one network policy set globally at any given time. This resource does not enforce one-policy-per-account, it is the user's responsibility to enforce this. If multiple network policy resources have ``set_for_account: true``, the final policy set on the account will be non-deterministic.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#set_for_account NetworkPolicyAttachment#set_for_account}
        '''
        result = self._values.get("set_for_account")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def users(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Specifies which users the network policy should be attached to.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy_attachment.html#users NetworkPolicyAttachment#users}
        '''
        result = self._values.get("users")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "NetworkPolicyAttachmentConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


@jsii.data_type(
    jsii_type="cdktf-snowflake.NetworkPolicyConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "allowed_ip_list": "allowedIpList",
        "name": "name",
        "blocked_ip_list": "blockedIpList",
        "comment": "comment",
    },
)
class NetworkPolicyConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        allowed_ip_list: typing.Sequence[builtins.str],
        name: builtins.str,
        blocked_ip_list: typing.Optional[typing.Sequence[builtins.str]] = None,
        comment: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param allowed_ip_list: Specifies one or more IPv4 addresses (CIDR notation) that are allowed access to your Snowflake account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#allowed_ip_list NetworkPolicy#allowed_ip_list}
        :param name: Specifies the identifier for the network policy; must be unique for the account in which the network policy is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#name NetworkPolicy#name}
        :param blocked_ip_list: Specifies one or more IPv4 addresses (CIDR notation) that are denied access to your Snowflake account**Do not** add ``0.0.0.0/0`` to ``blocked_ip_list``. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#blocked_ip_list NetworkPolicy#blocked_ip_list}
        :param comment: Specifies a comment for the network policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#comment NetworkPolicy#comment}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "allowed_ip_list": allowed_ip_list,
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if blocked_ip_list is not None:
            self._values["blocked_ip_list"] = blocked_ip_list
        if comment is not None:
            self._values["comment"] = comment

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def allowed_ip_list(self) -> typing.List[builtins.str]:
        '''Specifies one or more IPv4 addresses (CIDR notation) that are allowed access to your Snowflake account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#allowed_ip_list NetworkPolicy#allowed_ip_list}
        '''
        result = self._values.get("allowed_ip_list")
        assert result is not None, "Required property 'allowed_ip_list' is missing"
        return typing.cast(typing.List[builtins.str], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the network policy;

        must be unique for the account in which the network policy is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#name NetworkPolicy#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def blocked_ip_list(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Specifies one or more IPv4 addresses (CIDR notation) that are denied access to your Snowflake account**Do not** add ``0.0.0.0/0`` to ``blocked_ip_list``.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#blocked_ip_list NetworkPolicy#blocked_ip_list}
        '''
        result = self._values.get("blocked_ip_list")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the network policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/network_policy.html#comment NetworkPolicy#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "NetworkPolicyConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class NotificationIntegration(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.NotificationIntegration",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html snowflake_notification_integration}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        aws_sqs_arn: typing.Optional[builtins.str] = None,
        aws_sqs_role_arn: typing.Optional[builtins.str] = None,
        azure_storage_queue_primary_uri: typing.Optional[builtins.str] = None,
        azure_tenant_id: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        direction: typing.Optional[builtins.str] = None,
        enabled: typing.Optional[builtins.bool] = None,
        gcp_pubsub_subscription_name: typing.Optional[builtins.str] = None,
        notification_provider: typing.Optional[builtins.str] = None,
        type: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html snowflake_notification_integration} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#name NotificationIntegration#name}.
        :param aws_sqs_arn: AWS SQS queue ARN for notification integration to connect to. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#aws_sqs_arn NotificationIntegration#aws_sqs_arn}
        :param aws_sqs_role_arn: AWS IAM role ARN for notification integration to assume. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#aws_sqs_role_arn NotificationIntegration#aws_sqs_role_arn}
        :param azure_storage_queue_primary_uri: The queue ID for the Azure Queue Storage queue created for Event Grid notifications. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#azure_storage_queue_primary_uri NotificationIntegration#azure_storage_queue_primary_uri}
        :param azure_tenant_id: The ID of the Azure Active Directory tenant used for identity management. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#azure_tenant_id NotificationIntegration#azure_tenant_id}
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#comment NotificationIntegration#comment}.
        :param direction: Direction of the cloud messaging with respect to Snowflake (required only for error notifications). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#direction NotificationIntegration#direction}
        :param enabled: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#enabled NotificationIntegration#enabled}.
        :param gcp_pubsub_subscription_name: The subscription id that Snowflake will listen to when using the GCP_PUBSUB provider. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#gcp_pubsub_subscription_name NotificationIntegration#gcp_pubsub_subscription_name}
        :param notification_provider: The third-party cloud message queuing service (e.g. AZURE_STORAGE_QUEUE, AWS_SQS). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#notification_provider NotificationIntegration#notification_provider}
        :param type: A type of integration. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#type NotificationIntegration#type}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = NotificationIntegrationConfig(
            name=name,
            aws_sqs_arn=aws_sqs_arn,
            aws_sqs_role_arn=aws_sqs_role_arn,
            azure_storage_queue_primary_uri=azure_storage_queue_primary_uri,
            azure_tenant_id=azure_tenant_id,
            comment=comment,
            direction=direction,
            enabled=enabled,
            gcp_pubsub_subscription_name=gcp_pubsub_subscription_name,
            notification_provider=notification_provider,
            type=type,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(NotificationIntegration, self, [scope, id, config])

    @jsii.member(jsii_name="resetAwsSqsArn")
    def reset_aws_sqs_arn(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAwsSqsArn", []))

    @jsii.member(jsii_name="resetAwsSqsRoleArn")
    def reset_aws_sqs_role_arn(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAwsSqsRoleArn", []))

    @jsii.member(jsii_name="resetAzureStorageQueuePrimaryUri")
    def reset_azure_storage_queue_primary_uri(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAzureStorageQueuePrimaryUri", []))

    @jsii.member(jsii_name="resetAzureTenantId")
    def reset_azure_tenant_id(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAzureTenantId", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetDirection")
    def reset_direction(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDirection", []))

    @jsii.member(jsii_name="resetEnabled")
    def reset_enabled(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEnabled", []))

    @jsii.member(jsii_name="resetGcpPubsubSubscriptionName")
    def reset_gcp_pubsub_subscription_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetGcpPubsubSubscriptionName", []))

    @jsii.member(jsii_name="resetNotificationProvider")
    def reset_notification_provider(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetNotificationProvider", []))

    @jsii.member(jsii_name="resetType")
    def reset_type(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetType", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSqsExternalId")
    def aws_sqs_external_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsSqsExternalId"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSqsIamUserArn")
    def aws_sqs_iam_user_arn(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsSqsIamUserArn"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="createdOn")
    def created_on(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "createdOn"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSqsArnInput")
    def aws_sqs_arn_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "awsSqsArnInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSqsRoleArnInput")
    def aws_sqs_role_arn_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "awsSqsRoleArnInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureStorageQueuePrimaryUriInput")
    def azure_storage_queue_primary_uri_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "azureStorageQueuePrimaryUriInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureTenantIdInput")
    def azure_tenant_id_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "azureTenantIdInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="directionInput")
    def direction_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "directionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enabledInput")
    def enabled_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "enabledInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="gcpPubsubSubscriptionNameInput")
    def gcp_pubsub_subscription_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "gcpPubsubSubscriptionNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="notificationProviderInput")
    def notification_provider_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "notificationProviderInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="typeInput")
    def type_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "typeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSqsArn")
    def aws_sqs_arn(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsSqsArn"))

    @aws_sqs_arn.setter
    def aws_sqs_arn(self, value: builtins.str) -> None:
        jsii.set(self, "awsSqsArn", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSqsRoleArn")
    def aws_sqs_role_arn(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsSqsRoleArn"))

    @aws_sqs_role_arn.setter
    def aws_sqs_role_arn(self, value: builtins.str) -> None:
        jsii.set(self, "awsSqsRoleArn", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureStorageQueuePrimaryUri")
    def azure_storage_queue_primary_uri(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azureStorageQueuePrimaryUri"))

    @azure_storage_queue_primary_uri.setter
    def azure_storage_queue_primary_uri(self, value: builtins.str) -> None:
        jsii.set(self, "azureStorageQueuePrimaryUri", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureTenantId")
    def azure_tenant_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azureTenantId"))

    @azure_tenant_id.setter
    def azure_tenant_id(self, value: builtins.str) -> None:
        jsii.set(self, "azureTenantId", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="direction")
    def direction(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "direction"))

    @direction.setter
    def direction(self, value: builtins.str) -> None:
        jsii.set(self, "direction", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enabled")
    def enabled(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "enabled"))

    @enabled.setter
    def enabled(self, value: builtins.bool) -> None:
        jsii.set(self, "enabled", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="gcpPubsubSubscriptionName")
    def gcp_pubsub_subscription_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "gcpPubsubSubscriptionName"))

    @gcp_pubsub_subscription_name.setter
    def gcp_pubsub_subscription_name(self, value: builtins.str) -> None:
        jsii.set(self, "gcpPubsubSubscriptionName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="notificationProvider")
    def notification_provider(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "notificationProvider"))

    @notification_provider.setter
    def notification_provider(self, value: builtins.str) -> None:
        jsii.set(self, "notificationProvider", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="type")
    def type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "type"))

    @type.setter
    def type(self, value: builtins.str) -> None:
        jsii.set(self, "type", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.NotificationIntegrationConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "aws_sqs_arn": "awsSqsArn",
        "aws_sqs_role_arn": "awsSqsRoleArn",
        "azure_storage_queue_primary_uri": "azureStorageQueuePrimaryUri",
        "azure_tenant_id": "azureTenantId",
        "comment": "comment",
        "direction": "direction",
        "enabled": "enabled",
        "gcp_pubsub_subscription_name": "gcpPubsubSubscriptionName",
        "notification_provider": "notificationProvider",
        "type": "type",
    },
)
class NotificationIntegrationConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        aws_sqs_arn: typing.Optional[builtins.str] = None,
        aws_sqs_role_arn: typing.Optional[builtins.str] = None,
        azure_storage_queue_primary_uri: typing.Optional[builtins.str] = None,
        azure_tenant_id: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        direction: typing.Optional[builtins.str] = None,
        enabled: typing.Optional[builtins.bool] = None,
        gcp_pubsub_subscription_name: typing.Optional[builtins.str] = None,
        notification_provider: typing.Optional[builtins.str] = None,
        type: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#name NotificationIntegration#name}.
        :param aws_sqs_arn: AWS SQS queue ARN for notification integration to connect to. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#aws_sqs_arn NotificationIntegration#aws_sqs_arn}
        :param aws_sqs_role_arn: AWS IAM role ARN for notification integration to assume. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#aws_sqs_role_arn NotificationIntegration#aws_sqs_role_arn}
        :param azure_storage_queue_primary_uri: The queue ID for the Azure Queue Storage queue created for Event Grid notifications. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#azure_storage_queue_primary_uri NotificationIntegration#azure_storage_queue_primary_uri}
        :param azure_tenant_id: The ID of the Azure Active Directory tenant used for identity management. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#azure_tenant_id NotificationIntegration#azure_tenant_id}
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#comment NotificationIntegration#comment}.
        :param direction: Direction of the cloud messaging with respect to Snowflake (required only for error notifications). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#direction NotificationIntegration#direction}
        :param enabled: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#enabled NotificationIntegration#enabled}.
        :param gcp_pubsub_subscription_name: The subscription id that Snowflake will listen to when using the GCP_PUBSUB provider. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#gcp_pubsub_subscription_name NotificationIntegration#gcp_pubsub_subscription_name}
        :param notification_provider: The third-party cloud message queuing service (e.g. AZURE_STORAGE_QUEUE, AWS_SQS). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#notification_provider NotificationIntegration#notification_provider}
        :param type: A type of integration. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#type NotificationIntegration#type}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if aws_sqs_arn is not None:
            self._values["aws_sqs_arn"] = aws_sqs_arn
        if aws_sqs_role_arn is not None:
            self._values["aws_sqs_role_arn"] = aws_sqs_role_arn
        if azure_storage_queue_primary_uri is not None:
            self._values["azure_storage_queue_primary_uri"] = azure_storage_queue_primary_uri
        if azure_tenant_id is not None:
            self._values["azure_tenant_id"] = azure_tenant_id
        if comment is not None:
            self._values["comment"] = comment
        if direction is not None:
            self._values["direction"] = direction
        if enabled is not None:
            self._values["enabled"] = enabled
        if gcp_pubsub_subscription_name is not None:
            self._values["gcp_pubsub_subscription_name"] = gcp_pubsub_subscription_name
        if notification_provider is not None:
            self._values["notification_provider"] = notification_provider
        if type is not None:
            self._values["type"] = type

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#name NotificationIntegration#name}.'''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def aws_sqs_arn(self) -> typing.Optional[builtins.str]:
        '''AWS SQS queue ARN for notification integration to connect to.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#aws_sqs_arn NotificationIntegration#aws_sqs_arn}
        '''
        result = self._values.get("aws_sqs_arn")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def aws_sqs_role_arn(self) -> typing.Optional[builtins.str]:
        '''AWS IAM role ARN for notification integration to assume.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#aws_sqs_role_arn NotificationIntegration#aws_sqs_role_arn}
        '''
        result = self._values.get("aws_sqs_role_arn")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def azure_storage_queue_primary_uri(self) -> typing.Optional[builtins.str]:
        '''The queue ID for the Azure Queue Storage queue created for Event Grid notifications.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#azure_storage_queue_primary_uri NotificationIntegration#azure_storage_queue_primary_uri}
        '''
        result = self._values.get("azure_storage_queue_primary_uri")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def azure_tenant_id(self) -> typing.Optional[builtins.str]:
        '''The ID of the Azure Active Directory tenant used for identity management.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#azure_tenant_id NotificationIntegration#azure_tenant_id}
        '''
        result = self._values.get("azure_tenant_id")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#comment NotificationIntegration#comment}.'''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def direction(self) -> typing.Optional[builtins.str]:
        '''Direction of the cloud messaging with respect to Snowflake (required only for error notifications).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#direction NotificationIntegration#direction}
        '''
        result = self._values.get("direction")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def enabled(self) -> typing.Optional[builtins.bool]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#enabled NotificationIntegration#enabled}.'''
        result = self._values.get("enabled")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def gcp_pubsub_subscription_name(self) -> typing.Optional[builtins.str]:
        '''The subscription id that Snowflake will listen to when using the GCP_PUBSUB provider.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#gcp_pubsub_subscription_name NotificationIntegration#gcp_pubsub_subscription_name}
        '''
        result = self._values.get("gcp_pubsub_subscription_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def notification_provider(self) -> typing.Optional[builtins.str]:
        '''The third-party cloud message queuing service (e.g. AZURE_STORAGE_QUEUE, AWS_SQS).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#notification_provider NotificationIntegration#notification_provider}
        '''
        result = self._values.get("notification_provider")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def type(self) -> typing.Optional[builtins.str]:
        '''A type of integration.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/notification_integration.html#type NotificationIntegration#type}
        '''
        result = self._values.get("type")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "NotificationIntegrationConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Pipe(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Pipe",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html snowflake_pipe}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        copy_statement: builtins.str,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        auto_ingest: typing.Optional[builtins.bool] = None,
        aws_sns_topic_arn: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        error_integration: typing.Optional[builtins.str] = None,
        integration: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html snowflake_pipe} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param copy_statement: Specifies the copy statement for the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#copy_statement Pipe#copy_statement}
        :param database: The database in which to create the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#database Pipe#database}
        :param name: Specifies the identifier for the pipe; must be unique for the database and schema in which the pipe is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#name Pipe#name}
        :param schema: The schema in which to create the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#schema Pipe#schema}
        :param auto_ingest: Specifies a auto_ingest param for the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#auto_ingest Pipe#auto_ingest}
        :param aws_sns_topic_arn: Specifies the Amazon Resource Name (ARN) for the SNS topic for your S3 bucket. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#aws_sns_topic_arn Pipe#aws_sns_topic_arn}
        :param comment: Specifies a comment for the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#comment Pipe#comment}
        :param error_integration: Specifies the name of the notification integration used for error notifications. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#error_integration Pipe#error_integration}
        :param integration: Specifies an integration for the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#integration Pipe#integration}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = PipeConfig(
            copy_statement=copy_statement,
            database=database,
            name=name,
            schema=schema,
            auto_ingest=auto_ingest,
            aws_sns_topic_arn=aws_sns_topic_arn,
            comment=comment,
            error_integration=error_integration,
            integration=integration,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Pipe, self, [scope, id, config])

    @jsii.member(jsii_name="resetAutoIngest")
    def reset_auto_ingest(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAutoIngest", []))

    @jsii.member(jsii_name="resetAwsSnsTopicArn")
    def reset_aws_sns_topic_arn(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAwsSnsTopicArn", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetErrorIntegration")
    def reset_error_integration(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetErrorIntegration", []))

    @jsii.member(jsii_name="resetIntegration")
    def reset_integration(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetIntegration", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="copyStatementInput")
    def copy_statement_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "copyStatementInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="notificationChannel")
    def notification_channel(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "notificationChannel"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="owner")
    def owner(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "owner"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="autoIngestInput")
    def auto_ingest_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "autoIngestInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSnsTopicArnInput")
    def aws_sns_topic_arn_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "awsSnsTopicArnInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="errorIntegrationInput")
    def error_integration_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "errorIntegrationInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="integrationInput")
    def integration_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "integrationInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="autoIngest")
    def auto_ingest(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "autoIngest"))

    @auto_ingest.setter
    def auto_ingest(self, value: builtins.bool) -> None:
        jsii.set(self, "autoIngest", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsSnsTopicArn")
    def aws_sns_topic_arn(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsSnsTopicArn"))

    @aws_sns_topic_arn.setter
    def aws_sns_topic_arn(self, value: builtins.str) -> None:
        jsii.set(self, "awsSnsTopicArn", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="copyStatement")
    def copy_statement(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "copyStatement"))

    @copy_statement.setter
    def copy_statement(self, value: builtins.str) -> None:
        jsii.set(self, "copyStatement", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="errorIntegration")
    def error_integration(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "errorIntegration"))

    @error_integration.setter
    def error_integration(self, value: builtins.str) -> None:
        jsii.set(self, "errorIntegration", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="integration")
    def integration(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "integration"))

    @integration.setter
    def integration(self, value: builtins.str) -> None:
        jsii.set(self, "integration", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.PipeConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "copy_statement": "copyStatement",
        "database": "database",
        "name": "name",
        "schema": "schema",
        "auto_ingest": "autoIngest",
        "aws_sns_topic_arn": "awsSnsTopicArn",
        "comment": "comment",
        "error_integration": "errorIntegration",
        "integration": "integration",
    },
)
class PipeConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        copy_statement: builtins.str,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        auto_ingest: typing.Optional[builtins.bool] = None,
        aws_sns_topic_arn: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        error_integration: typing.Optional[builtins.str] = None,
        integration: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param copy_statement: Specifies the copy statement for the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#copy_statement Pipe#copy_statement}
        :param database: The database in which to create the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#database Pipe#database}
        :param name: Specifies the identifier for the pipe; must be unique for the database and schema in which the pipe is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#name Pipe#name}
        :param schema: The schema in which to create the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#schema Pipe#schema}
        :param auto_ingest: Specifies a auto_ingest param for the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#auto_ingest Pipe#auto_ingest}
        :param aws_sns_topic_arn: Specifies the Amazon Resource Name (ARN) for the SNS topic for your S3 bucket. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#aws_sns_topic_arn Pipe#aws_sns_topic_arn}
        :param comment: Specifies a comment for the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#comment Pipe#comment}
        :param error_integration: Specifies the name of the notification integration used for error notifications. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#error_integration Pipe#error_integration}
        :param integration: Specifies an integration for the pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#integration Pipe#integration}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "copy_statement": copy_statement,
            "database": database,
            "name": name,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if auto_ingest is not None:
            self._values["auto_ingest"] = auto_ingest
        if aws_sns_topic_arn is not None:
            self._values["aws_sns_topic_arn"] = aws_sns_topic_arn
        if comment is not None:
            self._values["comment"] = comment
        if error_integration is not None:
            self._values["error_integration"] = error_integration
        if integration is not None:
            self._values["integration"] = integration

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def copy_statement(self) -> builtins.str:
        '''Specifies the copy statement for the pipe.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#copy_statement Pipe#copy_statement}
        '''
        result = self._values.get("copy_statement")
        assert result is not None, "Required property 'copy_statement' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the pipe.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#database Pipe#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the pipe;

        must be unique for the database and schema in which the pipe is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#name Pipe#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the pipe.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#schema Pipe#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def auto_ingest(self) -> typing.Optional[builtins.bool]:
        '''Specifies a auto_ingest param for the pipe.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#auto_ingest Pipe#auto_ingest}
        '''
        result = self._values.get("auto_ingest")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def aws_sns_topic_arn(self) -> typing.Optional[builtins.str]:
        '''Specifies the Amazon Resource Name (ARN) for the SNS topic for your S3 bucket.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#aws_sns_topic_arn Pipe#aws_sns_topic_arn}
        '''
        result = self._values.get("aws_sns_topic_arn")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the pipe.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#comment Pipe#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def error_integration(self) -> typing.Optional[builtins.str]:
        '''Specifies the name of the notification integration used for error notifications.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#error_integration Pipe#error_integration}
        '''
        result = self._values.get("error_integration")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def integration(self) -> typing.Optional[builtins.str]:
        '''Specifies an integration for the pipe.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe.html#integration Pipe#integration}
        '''
        result = self._values.get("integration")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "PipeConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class PipeGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.PipeGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html snowflake_pipe_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        pipe_name: typing.Optional[builtins.str] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html snowflake_pipe_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future pipes on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#database_name PipeGrant#database_name}
        :param schema_name: The name of the schema containing the current or future pipes on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#schema_name PipeGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future pipes in the given schema. When this is true and no schema_name is provided apply this grant on all future pipes in the given database. The pipe_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#on_future PipeGrant#on_future}
        :param pipe_name: The name of the pipe on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#pipe_name PipeGrant#pipe_name}
        :param privilege: The privilege to grant on the current or future pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#privilege PipeGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#roles PipeGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#with_grant_option PipeGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = PipeGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            on_future=on_future,
            pipe_name=pipe_name,
            privilege=privilege,
            roles=roles,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(PipeGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPipeName")
    def reset_pipe_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPipeName", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="pipeNameInput")
    def pipe_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "pipeNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="pipeName")
    def pipe_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "pipeName"))

    @pipe_name.setter
    def pipe_name(self, value: builtins.str) -> None:
        jsii.set(self, "pipeName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.PipeGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "on_future": "onFuture",
        "pipe_name": "pipeName",
        "privilege": "privilege",
        "roles": "roles",
        "with_grant_option": "withGrantOption",
    },
)
class PipeGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        pipe_name: typing.Optional[builtins.str] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future pipes on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#database_name PipeGrant#database_name}
        :param schema_name: The name of the schema containing the current or future pipes on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#schema_name PipeGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future pipes in the given schema. When this is true and no schema_name is provided apply this grant on all future pipes in the given database. The pipe_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#on_future PipeGrant#on_future}
        :param pipe_name: The name of the pipe on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#pipe_name PipeGrant#pipe_name}
        :param privilege: The privilege to grant on the current or future pipe. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#privilege PipeGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#roles PipeGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#with_grant_option PipeGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if on_future is not None:
            self._values["on_future"] = on_future
        if pipe_name is not None:
            self._values["pipe_name"] = pipe_name
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future pipes on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#database_name PipeGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current or future pipes on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#schema_name PipeGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future pipes in the given schema.

        When this is true and no schema_name is provided apply this grant on all future pipes in the given database. The pipe_name field must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#on_future PipeGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def pipe_name(self) -> typing.Optional[builtins.str]:
        '''The name of the pipe on which to grant privileges immediately (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#pipe_name PipeGrant#pipe_name}
        '''
        result = self._values.get("pipe_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future pipe.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#privilege PipeGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#roles PipeGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/pipe_grant.html#with_grant_option PipeGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "PipeGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ProcedureGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ProcedureGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html snowflake_procedure_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        arguments: typing.Optional[typing.Sequence["ProcedureGrantArguments"]] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        procedure_name: typing.Optional[builtins.str] = None,
        return_type: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html snowflake_procedure_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future procedures on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#database_name ProcedureGrant#database_name}
        :param schema_name: The name of the schema containing the current or future procedures on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#schema_name ProcedureGrant#schema_name}
        :param arguments: arguments block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#arguments ProcedureGrant#arguments}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future procedures in the given schema. When this is true and no schema_name is provided apply this grant on all future procedures in the given database. The procedure_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#on_future ProcedureGrant#on_future}
        :param privilege: The privilege to grant on the current or future procedure. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#privilege ProcedureGrant#privilege}
        :param procedure_name: The name of the procedure on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#procedure_name ProcedureGrant#procedure_name}
        :param return_type: The return type of the procedure (must be present if procedure_name is present). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#return_type ProcedureGrant#return_type}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#roles ProcedureGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#shares ProcedureGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#with_grant_option ProcedureGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ProcedureGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            arguments=arguments,
            on_future=on_future,
            privilege=privilege,
            procedure_name=procedure_name,
            return_type=return_type,
            roles=roles,
            shares=shares,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ProcedureGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetArguments")
    def reset_arguments(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetArguments", []))

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetProcedureName")
    def reset_procedure_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetProcedureName", []))

    @jsii.member(jsii_name="resetReturnType")
    def reset_return_type(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetReturnType", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetShares")
    def reset_shares(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShares", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="argumentsInput")
    def arguments_input(
        self,
    ) -> typing.Optional[typing.List["ProcedureGrantArguments"]]:
        return typing.cast(typing.Optional[typing.List["ProcedureGrantArguments"]], jsii.get(self, "argumentsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="procedureNameInput")
    def procedure_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "procedureNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnTypeInput")
    def return_type_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "returnTypeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sharesInput")
    def shares_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "sharesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="arguments")
    def arguments(self) -> typing.List["ProcedureGrantArguments"]:
        return typing.cast(typing.List["ProcedureGrantArguments"], jsii.get(self, "arguments"))

    @arguments.setter
    def arguments(self, value: typing.List["ProcedureGrantArguments"]) -> None:
        jsii.set(self, "arguments", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="procedureName")
    def procedure_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "procedureName"))

    @procedure_name.setter
    def procedure_name(self, value: builtins.str) -> None:
        jsii.set(self, "procedureName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="returnType")
    def return_type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "returnType"))

    @return_type.setter
    def return_type(self, value: builtins.str) -> None:
        jsii.set(self, "returnType", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="shares")
    def shares(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "shares"))

    @shares.setter
    def shares(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "shares", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ProcedureGrantArguments",
    jsii_struct_bases=[],
    name_mapping={"name": "name", "type": "type"},
)
class ProcedureGrantArguments:
    def __init__(self, *, name: builtins.str, type: builtins.str) -> None:
        '''
        :param name: The argument name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#name ProcedureGrant#name}
        :param type: The argument type. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#type ProcedureGrant#type}
        '''
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
            "type": type,
        }

    @builtins.property
    def name(self) -> builtins.str:
        '''The argument name.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#name ProcedureGrant#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def type(self) -> builtins.str:
        '''The argument type.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#type ProcedureGrant#type}
        '''
        result = self._values.get("type")
        assert result is not None, "Required property 'type' is missing"
        return typing.cast(builtins.str, result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ProcedureGrantArguments(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


@jsii.data_type(
    jsii_type="cdktf-snowflake.ProcedureGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "arguments": "arguments",
        "on_future": "onFuture",
        "privilege": "privilege",
        "procedure_name": "procedureName",
        "return_type": "returnType",
        "roles": "roles",
        "shares": "shares",
        "with_grant_option": "withGrantOption",
    },
)
class ProcedureGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        arguments: typing.Optional[typing.Sequence[ProcedureGrantArguments]] = None,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        procedure_name: typing.Optional[builtins.str] = None,
        return_type: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future procedures on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#database_name ProcedureGrant#database_name}
        :param schema_name: The name of the schema containing the current or future procedures on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#schema_name ProcedureGrant#schema_name}
        :param arguments: arguments block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#arguments ProcedureGrant#arguments}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future procedures in the given schema. When this is true and no schema_name is provided apply this grant on all future procedures in the given database. The procedure_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#on_future ProcedureGrant#on_future}
        :param privilege: The privilege to grant on the current or future procedure. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#privilege ProcedureGrant#privilege}
        :param procedure_name: The name of the procedure on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#procedure_name ProcedureGrant#procedure_name}
        :param return_type: The return type of the procedure (must be present if procedure_name is present). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#return_type ProcedureGrant#return_type}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#roles ProcedureGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#shares ProcedureGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#with_grant_option ProcedureGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if arguments is not None:
            self._values["arguments"] = arguments
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if procedure_name is not None:
            self._values["procedure_name"] = procedure_name
        if return_type is not None:
            self._values["return_type"] = return_type
        if roles is not None:
            self._values["roles"] = roles
        if shares is not None:
            self._values["shares"] = shares
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future procedures on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#database_name ProcedureGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current or future procedures on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#schema_name ProcedureGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def arguments(self) -> typing.Optional[typing.List[ProcedureGrantArguments]]:
        '''arguments block.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#arguments ProcedureGrant#arguments}
        '''
        result = self._values.get("arguments")
        return typing.cast(typing.Optional[typing.List[ProcedureGrantArguments]], result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future procedures in the given schema.

        When this is true and no schema_name is provided apply this grant on all future procedures in the given database. The procedure_name and shares fields must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#on_future ProcedureGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future procedure.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#privilege ProcedureGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def procedure_name(self) -> typing.Optional[builtins.str]:
        '''The name of the procedure on which to grant privileges immediately (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#procedure_name ProcedureGrant#procedure_name}
        '''
        result = self._values.get("procedure_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def return_type(self) -> typing.Optional[builtins.str]:
        '''The return type of the procedure (must be present if procedure_name is present).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#return_type ProcedureGrant#return_type}
        '''
        result = self._values.get("return_type")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#roles ProcedureGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def shares(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these shares (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#shares ProcedureGrant#shares}
        '''
        result = self._values.get("shares")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/procedure_grant.html#with_grant_option ProcedureGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ProcedureGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ResourceMonitor(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ResourceMonitor",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html snowflake_resource_monitor}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        credit_quota: typing.Optional[jsii.Number] = None,
        end_timestamp: typing.Optional[builtins.str] = None,
        frequency: typing.Optional[builtins.str] = None,
        notify_triggers: typing.Optional[typing.Sequence[jsii.Number]] = None,
        start_timestamp: typing.Optional[builtins.str] = None,
        suspend_immediate_triggers: typing.Optional[typing.Sequence[jsii.Number]] = None,
        suspend_triggers: typing.Optional[typing.Sequence[jsii.Number]] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html snowflake_resource_monitor} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Identifier for the resource monitor; must be unique for your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#name ResourceMonitor#name}
        :param credit_quota: The number of credits allocated monthly to the resource monitor. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#credit_quota ResourceMonitor#credit_quota}
        :param end_timestamp: The date and time when the resource monitor suspends the assigned warehouses. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#end_timestamp ResourceMonitor#end_timestamp}
        :param frequency: The frequency interval at which the credit usage resets to 0. If you set a frequency for a resource monitor, you must also set START_TIMESTAMP. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#frequency ResourceMonitor#frequency}
        :param notify_triggers: A list of percentage thresholds at which to send an alert to subscribed users. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#notify_triggers ResourceMonitor#notify_triggers}
        :param start_timestamp: The date and time when the resource monitor starts monitoring credit usage for the assigned warehouses. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#start_timestamp ResourceMonitor#start_timestamp}
        :param suspend_immediate_triggers: A list of percentage thresholds at which to immediately suspend all warehouses. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#suspend_immediate_triggers ResourceMonitor#suspend_immediate_triggers}
        :param suspend_triggers: A list of percentage thresholds at which to suspend all warehouses. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#suspend_triggers ResourceMonitor#suspend_triggers}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ResourceMonitorConfig(
            name=name,
            credit_quota=credit_quota,
            end_timestamp=end_timestamp,
            frequency=frequency,
            notify_triggers=notify_triggers,
            start_timestamp=start_timestamp,
            suspend_immediate_triggers=suspend_immediate_triggers,
            suspend_triggers=suspend_triggers,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ResourceMonitor, self, [scope, id, config])

    @jsii.member(jsii_name="resetCreditQuota")
    def reset_credit_quota(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetCreditQuota", []))

    @jsii.member(jsii_name="resetEndTimestamp")
    def reset_end_timestamp(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEndTimestamp", []))

    @jsii.member(jsii_name="resetFrequency")
    def reset_frequency(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFrequency", []))

    @jsii.member(jsii_name="resetNotifyTriggers")
    def reset_notify_triggers(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetNotifyTriggers", []))

    @jsii.member(jsii_name="resetStartTimestamp")
    def reset_start_timestamp(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStartTimestamp", []))

    @jsii.member(jsii_name="resetSuspendImmediateTriggers")
    def reset_suspend_immediate_triggers(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSuspendImmediateTriggers", []))

    @jsii.member(jsii_name="resetSuspendTriggers")
    def reset_suspend_triggers(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSuspendTriggers", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="creditQuotaInput")
    def credit_quota_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "creditQuotaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="endTimestampInput")
    def end_timestamp_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "endTimestampInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="frequencyInput")
    def frequency_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "frequencyInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="notifyTriggersInput")
    def notify_triggers_input(self) -> typing.Optional[typing.List[jsii.Number]]:
        return typing.cast(typing.Optional[typing.List[jsii.Number]], jsii.get(self, "notifyTriggersInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="startTimestampInput")
    def start_timestamp_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "startTimestampInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="suspendImmediateTriggersInput")
    def suspend_immediate_triggers_input(
        self,
    ) -> typing.Optional[typing.List[jsii.Number]]:
        return typing.cast(typing.Optional[typing.List[jsii.Number]], jsii.get(self, "suspendImmediateTriggersInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="suspendTriggersInput")
    def suspend_triggers_input(self) -> typing.Optional[typing.List[jsii.Number]]:
        return typing.cast(typing.Optional[typing.List[jsii.Number]], jsii.get(self, "suspendTriggersInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="creditQuota")
    def credit_quota(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "creditQuota"))

    @credit_quota.setter
    def credit_quota(self, value: jsii.Number) -> None:
        jsii.set(self, "creditQuota", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="endTimestamp")
    def end_timestamp(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "endTimestamp"))

    @end_timestamp.setter
    def end_timestamp(self, value: builtins.str) -> None:
        jsii.set(self, "endTimestamp", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="frequency")
    def frequency(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "frequency"))

    @frequency.setter
    def frequency(self, value: builtins.str) -> None:
        jsii.set(self, "frequency", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="notifyTriggers")
    def notify_triggers(self) -> typing.List[jsii.Number]:
        return typing.cast(typing.List[jsii.Number], jsii.get(self, "notifyTriggers"))

    @notify_triggers.setter
    def notify_triggers(self, value: typing.List[jsii.Number]) -> None:
        jsii.set(self, "notifyTriggers", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="startTimestamp")
    def start_timestamp(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "startTimestamp"))

    @start_timestamp.setter
    def start_timestamp(self, value: builtins.str) -> None:
        jsii.set(self, "startTimestamp", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="suspendImmediateTriggers")
    def suspend_immediate_triggers(self) -> typing.List[jsii.Number]:
        return typing.cast(typing.List[jsii.Number], jsii.get(self, "suspendImmediateTriggers"))

    @suspend_immediate_triggers.setter
    def suspend_immediate_triggers(self, value: typing.List[jsii.Number]) -> None:
        jsii.set(self, "suspendImmediateTriggers", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="suspendTriggers")
    def suspend_triggers(self) -> typing.List[jsii.Number]:
        return typing.cast(typing.List[jsii.Number], jsii.get(self, "suspendTriggers"))

    @suspend_triggers.setter
    def suspend_triggers(self, value: typing.List[jsii.Number]) -> None:
        jsii.set(self, "suspendTriggers", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ResourceMonitorConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "credit_quota": "creditQuota",
        "end_timestamp": "endTimestamp",
        "frequency": "frequency",
        "notify_triggers": "notifyTriggers",
        "start_timestamp": "startTimestamp",
        "suspend_immediate_triggers": "suspendImmediateTriggers",
        "suspend_triggers": "suspendTriggers",
    },
)
class ResourceMonitorConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        credit_quota: typing.Optional[jsii.Number] = None,
        end_timestamp: typing.Optional[builtins.str] = None,
        frequency: typing.Optional[builtins.str] = None,
        notify_triggers: typing.Optional[typing.Sequence[jsii.Number]] = None,
        start_timestamp: typing.Optional[builtins.str] = None,
        suspend_immediate_triggers: typing.Optional[typing.Sequence[jsii.Number]] = None,
        suspend_triggers: typing.Optional[typing.Sequence[jsii.Number]] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Identifier for the resource monitor; must be unique for your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#name ResourceMonitor#name}
        :param credit_quota: The number of credits allocated monthly to the resource monitor. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#credit_quota ResourceMonitor#credit_quota}
        :param end_timestamp: The date and time when the resource monitor suspends the assigned warehouses. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#end_timestamp ResourceMonitor#end_timestamp}
        :param frequency: The frequency interval at which the credit usage resets to 0. If you set a frequency for a resource monitor, you must also set START_TIMESTAMP. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#frequency ResourceMonitor#frequency}
        :param notify_triggers: A list of percentage thresholds at which to send an alert to subscribed users. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#notify_triggers ResourceMonitor#notify_triggers}
        :param start_timestamp: The date and time when the resource monitor starts monitoring credit usage for the assigned warehouses. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#start_timestamp ResourceMonitor#start_timestamp}
        :param suspend_immediate_triggers: A list of percentage thresholds at which to immediately suspend all warehouses. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#suspend_immediate_triggers ResourceMonitor#suspend_immediate_triggers}
        :param suspend_triggers: A list of percentage thresholds at which to suspend all warehouses. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#suspend_triggers ResourceMonitor#suspend_triggers}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if credit_quota is not None:
            self._values["credit_quota"] = credit_quota
        if end_timestamp is not None:
            self._values["end_timestamp"] = end_timestamp
        if frequency is not None:
            self._values["frequency"] = frequency
        if notify_triggers is not None:
            self._values["notify_triggers"] = notify_triggers
        if start_timestamp is not None:
            self._values["start_timestamp"] = start_timestamp
        if suspend_immediate_triggers is not None:
            self._values["suspend_immediate_triggers"] = suspend_immediate_triggers
        if suspend_triggers is not None:
            self._values["suspend_triggers"] = suspend_triggers

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Identifier for the resource monitor; must be unique for your account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#name ResourceMonitor#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def credit_quota(self) -> typing.Optional[jsii.Number]:
        '''The number of credits allocated monthly to the resource monitor.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#credit_quota ResourceMonitor#credit_quota}
        '''
        result = self._values.get("credit_quota")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def end_timestamp(self) -> typing.Optional[builtins.str]:
        '''The date and time when the resource monitor suspends the assigned warehouses.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#end_timestamp ResourceMonitor#end_timestamp}
        '''
        result = self._values.get("end_timestamp")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def frequency(self) -> typing.Optional[builtins.str]:
        '''The frequency interval at which the credit usage resets to 0.

        If you set a frequency for a resource monitor, you must also set START_TIMESTAMP.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#frequency ResourceMonitor#frequency}
        '''
        result = self._values.get("frequency")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def notify_triggers(self) -> typing.Optional[typing.List[jsii.Number]]:
        '''A list of percentage thresholds at which to send an alert to subscribed users.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#notify_triggers ResourceMonitor#notify_triggers}
        '''
        result = self._values.get("notify_triggers")
        return typing.cast(typing.Optional[typing.List[jsii.Number]], result)

    @builtins.property
    def start_timestamp(self) -> typing.Optional[builtins.str]:
        '''The date and time when the resource monitor starts monitoring credit usage for the assigned warehouses.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#start_timestamp ResourceMonitor#start_timestamp}
        '''
        result = self._values.get("start_timestamp")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def suspend_immediate_triggers(self) -> typing.Optional[typing.List[jsii.Number]]:
        '''A list of percentage thresholds at which to immediately suspend all warehouses.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#suspend_immediate_triggers ResourceMonitor#suspend_immediate_triggers}
        '''
        result = self._values.get("suspend_immediate_triggers")
        return typing.cast(typing.Optional[typing.List[jsii.Number]], result)

    @builtins.property
    def suspend_triggers(self) -> typing.Optional[typing.List[jsii.Number]]:
        '''A list of percentage thresholds at which to suspend all warehouses.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor.html#suspend_triggers ResourceMonitor#suspend_triggers}
        '''
        result = self._values.get("suspend_triggers")
        return typing.cast(typing.Optional[typing.List[jsii.Number]], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ResourceMonitorConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ResourceMonitorGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ResourceMonitorGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html snowflake_resource_monitor_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        monitor_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html snowflake_resource_monitor_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param monitor_name: Identifier for the resource monitor; must be unique for your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#monitor_name ResourceMonitorGrant#monitor_name}
        :param privilege: The privilege to grant on the resource monitor. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#privilege ResourceMonitorGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#roles ResourceMonitorGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#with_grant_option ResourceMonitorGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ResourceMonitorGrantConfig(
            monitor_name=monitor_name,
            privilege=privilege,
            roles=roles,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ResourceMonitorGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="monitorNameInput")
    def monitor_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "monitorNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="monitorName")
    def monitor_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "monitorName"))

    @monitor_name.setter
    def monitor_name(self, value: builtins.str) -> None:
        jsii.set(self, "monitorName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ResourceMonitorGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "monitor_name": "monitorName",
        "privilege": "privilege",
        "roles": "roles",
        "with_grant_option": "withGrantOption",
    },
)
class ResourceMonitorGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        monitor_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param monitor_name: Identifier for the resource monitor; must be unique for your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#monitor_name ResourceMonitorGrant#monitor_name}
        :param privilege: The privilege to grant on the resource monitor. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#privilege ResourceMonitorGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#roles ResourceMonitorGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#with_grant_option ResourceMonitorGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "monitor_name": monitor_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def monitor_name(self) -> builtins.str:
        '''Identifier for the resource monitor; must be unique for your account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#monitor_name ResourceMonitorGrant#monitor_name}
        '''
        result = self._values.get("monitor_name")
        assert result is not None, "Required property 'monitor_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the resource monitor.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#privilege ResourceMonitorGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#roles ResourceMonitorGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/resource_monitor_grant.html#with_grant_option ResourceMonitorGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ResourceMonitorGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Role(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Role",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/role.html snowflake_role}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/role.html snowflake_role} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role.html#name Role#name}.
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role.html#comment Role#comment}.
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = RoleConfig(
            name=name,
            comment=comment,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Role, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.RoleConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "comment": "comment",
    },
)
class RoleConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role.html#name Role#name}.
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role.html#comment Role#comment}.
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role.html#name Role#name}.'''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role.html#comment Role#comment}.'''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "RoleConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class RoleGrants(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.RoleGrants",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html snowflake_role_grants}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        role_name: builtins.str,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        users: typing.Optional[typing.Sequence[builtins.str]] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html snowflake_role_grants} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param role_name: The name of the role we are granting. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#role_name RoleGrants#role_name}
        :param roles: Grants role to this specified role. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#roles RoleGrants#roles}
        :param users: Grants role to this specified user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#users RoleGrants#users}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = RoleGrantsConfig(
            role_name=role_name,
            roles=roles,
            users=users,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(RoleGrants, self, [scope, id, config])

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetUsers")
    def reset_users(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetUsers", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roleNameInput")
    def role_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "roleNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="usersInput")
    def users_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "usersInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roleName")
    def role_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "roleName"))

    @role_name.setter
    def role_name(self, value: builtins.str) -> None:
        jsii.set(self, "roleName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="users")
    def users(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "users"))

    @users.setter
    def users(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "users", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.RoleGrantsConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "role_name": "roleName",
        "roles": "roles",
        "users": "users",
    },
)
class RoleGrantsConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        role_name: builtins.str,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        users: typing.Optional[typing.Sequence[builtins.str]] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param role_name: The name of the role we are granting. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#role_name RoleGrants#role_name}
        :param roles: Grants role to this specified role. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#roles RoleGrants#roles}
        :param users: Grants role to this specified user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#users RoleGrants#users}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "role_name": role_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if roles is not None:
            self._values["roles"] = roles
        if users is not None:
            self._values["users"] = users

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def role_name(self) -> builtins.str:
        '''The name of the role we are granting.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#role_name RoleGrants#role_name}
        '''
        result = self._values.get("role_name")
        assert result is not None, "Required property 'role_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants role to this specified role.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#roles RoleGrants#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def users(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants role to this specified user.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/role_grants.html#users RoleGrants#users}
        '''
        result = self._values.get("users")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "RoleGrantsConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class RowAccessPolicy(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.RowAccessPolicy",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html snowflake_row_access_policy}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        name: builtins.str,
        row_access_expression: builtins.str,
        schema: builtins.str,
        signature: typing.Mapping[builtins.str, builtins.str],
        comment: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html snowflake_row_access_policy} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#database RowAccessPolicy#database}
        :param name: Specifies the identifier for the row access policy; must be unique for the database and schema in which the row access policy is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#name RowAccessPolicy#name}
        :param row_access_expression: Specifies the SQL expression. The expression can be any boolean-valued SQL expression. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#row_access_expression RowAccessPolicy#row_access_expression}
        :param schema: The schema in which to create the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#schema RowAccessPolicy#schema}
        :param signature: Specifies signature (arguments) for the row access policy (uppercase and sorted to avoid recreation of resource). A signature specifies a set of attributes that must be considered to determine whether the row is accessible. The attribute values come from the database object (e.g. table or view) to be protected by the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#signature RowAccessPolicy#signature}
        :param comment: Specifies a comment for the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#comment RowAccessPolicy#comment}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = RowAccessPolicyConfig(
            database=database,
            name=name,
            row_access_expression=row_access_expression,
            schema=schema,
            signature=signature,
            comment=comment,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(RowAccessPolicy, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rowAccessExpressionInput")
    def row_access_expression_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "rowAccessExpressionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="signatureInput")
    def signature_input(self) -> typing.Mapping[builtins.str, builtins.str]:
        return typing.cast(typing.Mapping[builtins.str, builtins.str], jsii.get(self, "signatureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rowAccessExpression")
    def row_access_expression(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "rowAccessExpression"))

    @row_access_expression.setter
    def row_access_expression(self, value: builtins.str) -> None:
        jsii.set(self, "rowAccessExpression", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="signature")
    def signature(self) -> typing.Mapping[builtins.str, builtins.str]:
        return typing.cast(typing.Mapping[builtins.str, builtins.str], jsii.get(self, "signature"))

    @signature.setter
    def signature(self, value: typing.Mapping[builtins.str, builtins.str]) -> None:
        jsii.set(self, "signature", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.RowAccessPolicyConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "name": "name",
        "row_access_expression": "rowAccessExpression",
        "schema": "schema",
        "signature": "signature",
        "comment": "comment",
    },
)
class RowAccessPolicyConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        name: builtins.str,
        row_access_expression: builtins.str,
        schema: builtins.str,
        signature: typing.Mapping[builtins.str, builtins.str],
        comment: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#database RowAccessPolicy#database}
        :param name: Specifies the identifier for the row access policy; must be unique for the database and schema in which the row access policy is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#name RowAccessPolicy#name}
        :param row_access_expression: Specifies the SQL expression. The expression can be any boolean-valued SQL expression. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#row_access_expression RowAccessPolicy#row_access_expression}
        :param schema: The schema in which to create the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#schema RowAccessPolicy#schema}
        :param signature: Specifies signature (arguments) for the row access policy (uppercase and sorted to avoid recreation of resource). A signature specifies a set of attributes that must be considered to determine whether the row is accessible. The attribute values come from the database object (e.g. table or view) to be protected by the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#signature RowAccessPolicy#signature}
        :param comment: Specifies a comment for the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#comment RowAccessPolicy#comment}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "name": name,
            "row_access_expression": row_access_expression,
            "schema": schema,
            "signature": signature,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the row access policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#database RowAccessPolicy#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the row access policy;

        must be unique for the database and schema in which the row access policy is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#name RowAccessPolicy#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def row_access_expression(self) -> builtins.str:
        '''Specifies the SQL expression. The expression can be any boolean-valued SQL expression.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#row_access_expression RowAccessPolicy#row_access_expression}
        '''
        result = self._values.get("row_access_expression")
        assert result is not None, "Required property 'row_access_expression' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the row access policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#schema RowAccessPolicy#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def signature(self) -> typing.Mapping[builtins.str, builtins.str]:
        '''Specifies signature (arguments) for the row access policy (uppercase and sorted to avoid recreation of resource).

        A signature specifies a set of attributes that must be considered to determine whether the row is accessible. The attribute values come from the database object (e.g. table or view) to be protected by the row access policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#signature RowAccessPolicy#signature}
        '''
        result = self._values.get("signature")
        assert result is not None, "Required property 'signature' is missing"
        return typing.cast(typing.Mapping[builtins.str, builtins.str], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the row access policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy.html#comment RowAccessPolicy#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "RowAccessPolicyConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class RowAccessPolicyGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.RowAccessPolicyGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html snowflake_row_access_policy_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        row_access_policy_name: builtins.str,
        schema_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html snowflake_row_access_policy_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the row access policy on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#database_name RowAccessPolicyGrant#database_name}
        :param row_access_policy_name: The name of the row access policy on which to grant privileges immediately. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#row_access_policy_name RowAccessPolicyGrant#row_access_policy_name}
        :param schema_name: The name of the schema containing the row access policy on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#schema_name RowAccessPolicyGrant#schema_name}
        :param privilege: The privilege to grant on the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#privilege RowAccessPolicyGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#roles RowAccessPolicyGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#with_grant_option RowAccessPolicyGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = RowAccessPolicyGrantConfig(
            database_name=database_name,
            row_access_policy_name=row_access_policy_name,
            schema_name=schema_name,
            privilege=privilege,
            roles=roles,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(RowAccessPolicyGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rowAccessPolicyNameInput")
    def row_access_policy_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "rowAccessPolicyNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rowAccessPolicyName")
    def row_access_policy_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "rowAccessPolicyName"))

    @row_access_policy_name.setter
    def row_access_policy_name(self, value: builtins.str) -> None:
        jsii.set(self, "rowAccessPolicyName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.RowAccessPolicyGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "row_access_policy_name": "rowAccessPolicyName",
        "schema_name": "schemaName",
        "privilege": "privilege",
        "roles": "roles",
        "with_grant_option": "withGrantOption",
    },
)
class RowAccessPolicyGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        row_access_policy_name: builtins.str,
        schema_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the row access policy on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#database_name RowAccessPolicyGrant#database_name}
        :param row_access_policy_name: The name of the row access policy on which to grant privileges immediately. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#row_access_policy_name RowAccessPolicyGrant#row_access_policy_name}
        :param schema_name: The name of the schema containing the row access policy on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#schema_name RowAccessPolicyGrant#schema_name}
        :param privilege: The privilege to grant on the row access policy. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#privilege RowAccessPolicyGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#roles RowAccessPolicyGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#with_grant_option RowAccessPolicyGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "row_access_policy_name": row_access_policy_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the row access policy on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#database_name RowAccessPolicyGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def row_access_policy_name(self) -> builtins.str:
        '''The name of the row access policy on which to grant privileges immediately.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#row_access_policy_name RowAccessPolicyGrant#row_access_policy_name}
        '''
        result = self._values.get("row_access_policy_name")
        assert result is not None, "Required property 'row_access_policy_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the row access policy on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#schema_name RowAccessPolicyGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the row access policy.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#privilege RowAccessPolicyGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#roles RowAccessPolicyGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/row_access_policy_grant.html#with_grant_option RowAccessPolicyGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "RowAccessPolicyGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Schema(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Schema",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html snowflake_schema}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        data_retention_days: typing.Optional[jsii.Number] = None,
        is_managed: typing.Optional[builtins.bool] = None,
        is_transient: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html snowflake_schema} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the schema. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#database Schema#database}
        :param name: Specifies the identifier for the schema; must be unique for the database in which the schema is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#name Schema#name}
        :param comment: Specifies a comment for the schema. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#comment Schema#comment}
        :param data_retention_days: Specifies the number of days for which Time Travel actions (CLONE and UNDROP) can be performed on the schema, as well as specifying the default Time Travel retention time for all tables created in the schema. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#data_retention_days Schema#data_retention_days}
        :param is_managed: Specifies a managed schema. Managed access schemas centralize privilege management with the schema owner. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#is_managed Schema#is_managed}
        :param is_transient: Specifies a schema as transient. Transient schemas do not have a Fail-safe period so they do not incur additional storage costs once they leave Time Travel; however, this means they are also not protected by Fail-safe in the event of a data loss. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#is_transient Schema#is_transient}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = SchemaConfig(
            database=database,
            name=name,
            comment=comment,
            data_retention_days=data_retention_days,
            is_managed=is_managed,
            is_transient=is_transient,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Schema, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetDataRetentionDays")
    def reset_data_retention_days(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDataRetentionDays", []))

    @jsii.member(jsii_name="resetIsManaged")
    def reset_is_managed(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetIsManaged", []))

    @jsii.member(jsii_name="resetIsTransient")
    def reset_is_transient(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetIsTransient", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="dataRetentionDaysInput")
    def data_retention_days_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "dataRetentionDaysInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="isManagedInput")
    def is_managed_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "isManagedInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="isTransientInput")
    def is_transient_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "isTransientInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="dataRetentionDays")
    def data_retention_days(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "dataRetentionDays"))

    @data_retention_days.setter
    def data_retention_days(self, value: jsii.Number) -> None:
        jsii.set(self, "dataRetentionDays", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="isManaged")
    def is_managed(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "isManaged"))

    @is_managed.setter
    def is_managed(self, value: builtins.bool) -> None:
        jsii.set(self, "isManaged", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="isTransient")
    def is_transient(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "isTransient"))

    @is_transient.setter
    def is_transient(self, value: builtins.bool) -> None:
        jsii.set(self, "isTransient", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.SchemaConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "name": "name",
        "comment": "comment",
        "data_retention_days": "dataRetentionDays",
        "is_managed": "isManaged",
        "is_transient": "isTransient",
    },
)
class SchemaConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        data_retention_days: typing.Optional[jsii.Number] = None,
        is_managed: typing.Optional[builtins.bool] = None,
        is_transient: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the schema. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#database Schema#database}
        :param name: Specifies the identifier for the schema; must be unique for the database in which the schema is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#name Schema#name}
        :param comment: Specifies a comment for the schema. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#comment Schema#comment}
        :param data_retention_days: Specifies the number of days for which Time Travel actions (CLONE and UNDROP) can be performed on the schema, as well as specifying the default Time Travel retention time for all tables created in the schema. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#data_retention_days Schema#data_retention_days}
        :param is_managed: Specifies a managed schema. Managed access schemas centralize privilege management with the schema owner. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#is_managed Schema#is_managed}
        :param is_transient: Specifies a schema as transient. Transient schemas do not have a Fail-safe period so they do not incur additional storage costs once they leave Time Travel; however, this means they are also not protected by Fail-safe in the event of a data loss. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#is_transient Schema#is_transient}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment
        if data_retention_days is not None:
            self._values["data_retention_days"] = data_retention_days
        if is_managed is not None:
            self._values["is_managed"] = is_managed
        if is_transient is not None:
            self._values["is_transient"] = is_transient

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the schema.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#database Schema#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the schema; must be unique for the database in which the schema is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#name Schema#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the schema.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#comment Schema#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def data_retention_days(self) -> typing.Optional[jsii.Number]:
        '''Specifies the number of days for which Time Travel actions (CLONE and UNDROP) can be performed on the schema, as well as specifying the default Time Travel retention time for all tables created in the schema.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#data_retention_days Schema#data_retention_days}
        '''
        result = self._values.get("data_retention_days")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def is_managed(self) -> typing.Optional[builtins.bool]:
        '''Specifies a managed schema. Managed access schemas centralize privilege management with the schema owner.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#is_managed Schema#is_managed}
        '''
        result = self._values.get("is_managed")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def is_transient(self) -> typing.Optional[builtins.bool]:
        '''Specifies a schema as transient.

        Transient schemas do not have a Fail-safe period so they do not incur additional storage costs once they leave Time Travel; however, this means they are also not protected by Fail-safe in the event of a data loss.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema.html#is_transient Schema#is_transient}
        '''
        result = self._values.get("is_transient")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "SchemaConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class SchemaGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.SchemaGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html snowflake_schema_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        schema_name: typing.Optional[builtins.str] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html snowflake_schema_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the schema on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#database_name SchemaGrant#database_name}
        :param on_future: When this is set to true, apply this grant on all future schemas in the given database. The schema_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#on_future SchemaGrant#on_future}
        :param privilege: The privilege to grant on the current or future schema. Note that if "OWNERSHIP" is specified, ensure that the role that terraform is using is granted access. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#privilege SchemaGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#roles SchemaGrant#roles}
        :param schema_name: The name of the schema on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#schema_name SchemaGrant#schema_name}
        :param shares: Grants privilege to these shares (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#shares SchemaGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#with_grant_option SchemaGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = SchemaGrantConfig(
            database_name=database_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            schema_name=schema_name,
            shares=shares,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(SchemaGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetSchemaName")
    def reset_schema_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSchemaName", []))

    @jsii.member(jsii_name="resetShares")
    def reset_shares(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShares", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sharesInput")
    def shares_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "sharesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="shares")
    def shares(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "shares"))

    @shares.setter
    def shares(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "shares", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.SchemaGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "schema_name": "schemaName",
        "shares": "shares",
        "with_grant_option": "withGrantOption",
    },
)
class SchemaGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        schema_name: typing.Optional[builtins.str] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the schema on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#database_name SchemaGrant#database_name}
        :param on_future: When this is set to true, apply this grant on all future schemas in the given database. The schema_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#on_future SchemaGrant#on_future}
        :param privilege: The privilege to grant on the current or future schema. Note that if "OWNERSHIP" is specified, ensure that the role that terraform is using is granted access. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#privilege SchemaGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#roles SchemaGrant#roles}
        :param schema_name: The name of the schema on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#schema_name SchemaGrant#schema_name}
        :param shares: Grants privilege to these shares (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#shares SchemaGrant#shares}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#with_grant_option SchemaGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if schema_name is not None:
            self._values["schema_name"] = schema_name
        if shares is not None:
            self._values["shares"] = shares
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the schema on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#database_name SchemaGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, apply this grant on all future schemas in the given database.

        The schema_name and shares fields must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#on_future SchemaGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future schema.

        Note that if "OWNERSHIP" is specified, ensure that the role that terraform is using is granted access.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#privilege SchemaGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#roles SchemaGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def schema_name(self) -> typing.Optional[builtins.str]:
        '''The name of the schema on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#schema_name SchemaGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def shares(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these shares (only valid if on_future is unset).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#shares SchemaGrant#shares}
        '''
        result = self._values.get("shares")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/schema_grant.html#with_grant_option SchemaGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "SchemaGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ScimIntegration(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ScimIntegration",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html snowflake_scim_integration}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        provisioner_role: builtins.str,
        scim_client: builtins.str,
        network_policy: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html snowflake_scim_integration} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Specifies the name of the SCIM integration. This name follows the rules for Object Identifiers. The name should be unique among security integrations in your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#name ScimIntegration#name}
        :param provisioner_role: Specify the SCIM role in Snowflake that owns any users and roles that are imported from the identity provider into Snowflake using SCIM. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#provisioner_role ScimIntegration#provisioner_role}
        :param scim_client: Specifies the client type for the scim integration. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#scim_client ScimIntegration#scim_client}
        :param network_policy: Specifies an existing network policy active for your account. The network policy restricts the list of user IP addresses when exchanging an authorization code for an access or refresh token and when using a refresh token to obtain a new access token. If this parameter is not set, the network policy for the account (if any) is used instead. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#network_policy ScimIntegration#network_policy}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ScimIntegrationConfig(
            name=name,
            provisioner_role=provisioner_role,
            scim_client=scim_client,
            network_policy=network_policy,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ScimIntegration, self, [scope, id, config])

    @jsii.member(jsii_name="resetNetworkPolicy")
    def reset_network_policy(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetNetworkPolicy", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="createdOn")
    def created_on(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "createdOn"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="provisionerRoleInput")
    def provisioner_role_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "provisionerRoleInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="scimClientInput")
    def scim_client_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "scimClientInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="networkPolicyInput")
    def network_policy_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "networkPolicyInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="networkPolicy")
    def network_policy(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "networkPolicy"))

    @network_policy.setter
    def network_policy(self, value: builtins.str) -> None:
        jsii.set(self, "networkPolicy", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="provisionerRole")
    def provisioner_role(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "provisionerRole"))

    @provisioner_role.setter
    def provisioner_role(self, value: builtins.str) -> None:
        jsii.set(self, "provisionerRole", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="scimClient")
    def scim_client(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "scimClient"))

    @scim_client.setter
    def scim_client(self, value: builtins.str) -> None:
        jsii.set(self, "scimClient", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ScimIntegrationConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "provisioner_role": "provisionerRole",
        "scim_client": "scimClient",
        "network_policy": "networkPolicy",
    },
)
class ScimIntegrationConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        provisioner_role: builtins.str,
        scim_client: builtins.str,
        network_policy: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Specifies the name of the SCIM integration. This name follows the rules for Object Identifiers. The name should be unique among security integrations in your account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#name ScimIntegration#name}
        :param provisioner_role: Specify the SCIM role in Snowflake that owns any users and roles that are imported from the identity provider into Snowflake using SCIM. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#provisioner_role ScimIntegration#provisioner_role}
        :param scim_client: Specifies the client type for the scim integration. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#scim_client ScimIntegration#scim_client}
        :param network_policy: Specifies an existing network policy active for your account. The network policy restricts the list of user IP addresses when exchanging an authorization code for an access or refresh token and when using a refresh token to obtain a new access token. If this parameter is not set, the network policy for the account (if any) is used instead. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#network_policy ScimIntegration#network_policy}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
            "provisioner_role": provisioner_role,
            "scim_client": scim_client,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if network_policy is not None:
            self._values["network_policy"] = network_policy

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the name of the SCIM integration.

        This name follows the rules for Object Identifiers. The name should be unique among security integrations in your account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#name ScimIntegration#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def provisioner_role(self) -> builtins.str:
        '''Specify the SCIM role in Snowflake that owns any users and roles that are imported from the identity provider into Snowflake using SCIM.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#provisioner_role ScimIntegration#provisioner_role}
        '''
        result = self._values.get("provisioner_role")
        assert result is not None, "Required property 'provisioner_role' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def scim_client(self) -> builtins.str:
        '''Specifies the client type for the scim integration.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#scim_client ScimIntegration#scim_client}
        '''
        result = self._values.get("scim_client")
        assert result is not None, "Required property 'scim_client' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def network_policy(self) -> typing.Optional[builtins.str]:
        '''Specifies an existing network policy active for your account.

        The network policy restricts the list of user IP addresses when exchanging an authorization code for an access or refresh token and when using a refresh token to obtain a new access token. If this parameter is not set, the network policy for the account (if any) is used instead.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/scim_integration.html#network_policy ScimIntegration#network_policy}
        '''
        result = self._values.get("network_policy")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ScimIntegrationConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Sequence(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Sequence",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html snowflake_sequence}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        increment: typing.Optional[jsii.Number] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html snowflake_sequence} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the sequence. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#database Sequence#database}
        :param name: Specifies the name for the sequence. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#name Sequence#name}
        :param schema: The schema in which to create the sequence. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#schema Sequence#schema}
        :param comment: Specifies a comment for the sequence. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#comment Sequence#comment}
        :param increment: The amount the sequence will increase by each time it is used. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#increment Sequence#increment}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = SequenceConfig(
            database=database,
            name=name,
            schema=schema,
            comment=comment,
            increment=increment,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Sequence, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetIncrement")
    def reset_increment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetIncrement", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nextValue")
    def next_value(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "nextValue"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="incrementInput")
    def increment_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "incrementInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="increment")
    def increment(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "increment"))

    @increment.setter
    def increment(self, value: jsii.Number) -> None:
        jsii.set(self, "increment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.SequenceConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "name": "name",
        "schema": "schema",
        "comment": "comment",
        "increment": "increment",
    },
)
class SequenceConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        increment: typing.Optional[jsii.Number] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the sequence. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#database Sequence#database}
        :param name: Specifies the name for the sequence. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#name Sequence#name}
        :param schema: The schema in which to create the sequence. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#schema Sequence#schema}
        :param comment: Specifies a comment for the sequence. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#comment Sequence#comment}
        :param increment: The amount the sequence will increase by each time it is used. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#increment Sequence#increment}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "name": name,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment
        if increment is not None:
            self._values["increment"] = increment

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the sequence. Don't use the | character.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#database Sequence#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the name for the sequence.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#name Sequence#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the sequence. Don't use the | character.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#schema Sequence#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the sequence.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#comment Sequence#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def increment(self) -> typing.Optional[jsii.Number]:
        '''The amount the sequence will increase by each time it is used.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence.html#increment Sequence#increment}
        '''
        result = self._values.get("increment")
        return typing.cast(typing.Optional[jsii.Number], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "SequenceConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class SequenceGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.SequenceGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html snowflake_sequence_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        sequence_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html snowflake_sequence_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future sequences on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#database_name SequenceGrant#database_name}
        :param schema_name: The name of the schema containing the current or future sequences on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#schema_name SequenceGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future sequences in the given schema. When this is true and no schema_name is provided apply this grant on all future sequences in the given database. The sequence_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#on_future SequenceGrant#on_future}
        :param privilege: The privilege to grant on the current or future sequence. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#privilege SequenceGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#roles SequenceGrant#roles}
        :param sequence_name: The name of the sequence on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#sequence_name SequenceGrant#sequence_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#with_grant_option SequenceGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = SequenceGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            sequence_name=sequence_name,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(SequenceGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetSequenceName")
    def reset_sequence_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSequenceName", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sequenceNameInput")
    def sequence_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "sequenceNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sequenceName")
    def sequence_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "sequenceName"))

    @sequence_name.setter
    def sequence_name(self, value: builtins.str) -> None:
        jsii.set(self, "sequenceName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.SequenceGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "sequence_name": "sequenceName",
        "with_grant_option": "withGrantOption",
    },
)
class SequenceGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        sequence_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future sequences on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#database_name SequenceGrant#database_name}
        :param schema_name: The name of the schema containing the current or future sequences on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#schema_name SequenceGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future sequences in the given schema. When this is true and no schema_name is provided apply this grant on all future sequences in the given database. The sequence_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#on_future SequenceGrant#on_future}
        :param privilege: The privilege to grant on the current or future sequence. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#privilege SequenceGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#roles SequenceGrant#roles}
        :param sequence_name: The name of the sequence on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#sequence_name SequenceGrant#sequence_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#with_grant_option SequenceGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if sequence_name is not None:
            self._values["sequence_name"] = sequence_name
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future sequences on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#database_name SequenceGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current or future sequences on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#schema_name SequenceGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future sequences in the given schema.

        When this is true and no schema_name is provided apply this grant on all future sequences in the given database. The sequence_name field must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#on_future SequenceGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future sequence.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#privilege SequenceGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#roles SequenceGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def sequence_name(self) -> typing.Optional[builtins.str]:
        '''The name of the sequence on which to grant privileges immediately (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#sequence_name SequenceGrant#sequence_name}
        '''
        result = self._values.get("sequence_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/sequence_grant.html#with_grant_option SequenceGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "SequenceGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Share(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Share",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/share.html snowflake_share}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        accounts: typing.Optional[typing.Sequence[builtins.str]] = None,
        comment: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/share.html snowflake_share} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Specifies the identifier for the share; must be unique for the account in which the share is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#name Share#name}
        :param accounts: A list of accounts to be added to the share. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#accounts Share#accounts}
        :param comment: Specifies a comment for the managed account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#comment Share#comment}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ShareConfig(
            name=name,
            accounts=accounts,
            comment=comment,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Share, self, [scope, id, config])

    @jsii.member(jsii_name="resetAccounts")
    def reset_accounts(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAccounts", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="accountsInput")
    def accounts_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "accountsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="accounts")
    def accounts(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "accounts"))

    @accounts.setter
    def accounts(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "accounts", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ShareConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "accounts": "accounts",
        "comment": "comment",
    },
)
class ShareConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        accounts: typing.Optional[typing.Sequence[builtins.str]] = None,
        comment: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Specifies the identifier for the share; must be unique for the account in which the share is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#name Share#name}
        :param accounts: A list of accounts to be added to the share. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#accounts Share#accounts}
        :param comment: Specifies a comment for the managed account. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#comment Share#comment}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if accounts is not None:
            self._values["accounts"] = accounts
        if comment is not None:
            self._values["comment"] = comment

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the share; must be unique for the account in which the share is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#name Share#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def accounts(self) -> typing.Optional[typing.List[builtins.str]]:
        '''A list of accounts to be added to the share.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#accounts Share#accounts}
        '''
        result = self._values.get("accounts")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the managed account.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/share.html#comment Share#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ShareConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class SnowflakeProvider(
    cdktf.TerraformProvider,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.SnowflakeProvider",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake snowflake}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        account: builtins.str,
        username: builtins.str,
        alias: typing.Optional[builtins.str] = None,
        browser_auth: typing.Optional[builtins.bool] = None,
        oauth_access_token: typing.Optional[builtins.str] = None,
        oauth_client_id: typing.Optional[builtins.str] = None,
        oauth_client_secret: typing.Optional[builtins.str] = None,
        oauth_endpoint: typing.Optional[builtins.str] = None,
        oauth_redirect_url: typing.Optional[builtins.str] = None,
        oauth_refresh_token: typing.Optional[builtins.str] = None,
        password: typing.Optional[builtins.str] = None,
        private_key: typing.Optional[builtins.str] = None,
        private_key_path: typing.Optional[builtins.str] = None,
        region: typing.Optional[builtins.str] = None,
        role: typing.Optional[builtins.str] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake snowflake} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param account: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#account SnowflakeProvider#account}.
        :param username: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#username SnowflakeProvider#username}.
        :param alias: Alias name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#alias SnowflakeProvider#alias}
        :param browser_auth: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#browser_auth SnowflakeProvider#browser_auth}.
        :param oauth_access_token: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_access_token SnowflakeProvider#oauth_access_token}.
        :param oauth_client_id: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_client_id SnowflakeProvider#oauth_client_id}.
        :param oauth_client_secret: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_client_secret SnowflakeProvider#oauth_client_secret}.
        :param oauth_endpoint: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_endpoint SnowflakeProvider#oauth_endpoint}.
        :param oauth_redirect_url: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_redirect_url SnowflakeProvider#oauth_redirect_url}.
        :param oauth_refresh_token: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_refresh_token SnowflakeProvider#oauth_refresh_token}.
        :param password: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#password SnowflakeProvider#password}.
        :param private_key: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#private_key SnowflakeProvider#private_key}.
        :param private_key_path: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#private_key_path SnowflakeProvider#private_key_path}.
        :param region: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#region SnowflakeProvider#region}.
        :param role: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#role SnowflakeProvider#role}.
        '''
        config = SnowflakeProviderConfig(
            account=account,
            username=username,
            alias=alias,
            browser_auth=browser_auth,
            oauth_access_token=oauth_access_token,
            oauth_client_id=oauth_client_id,
            oauth_client_secret=oauth_client_secret,
            oauth_endpoint=oauth_endpoint,
            oauth_redirect_url=oauth_redirect_url,
            oauth_refresh_token=oauth_refresh_token,
            password=password,
            private_key=private_key,
            private_key_path=private_key_path,
            region=region,
            role=role,
        )

        jsii.create(SnowflakeProvider, self, [scope, id, config])

    @jsii.member(jsii_name="resetAlias")
    def reset_alias(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAlias", []))

    @jsii.member(jsii_name="resetBrowserAuth")
    def reset_browser_auth(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetBrowserAuth", []))

    @jsii.member(jsii_name="resetOauthAccessToken")
    def reset_oauth_access_token(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOauthAccessToken", []))

    @jsii.member(jsii_name="resetOauthClientId")
    def reset_oauth_client_id(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOauthClientId", []))

    @jsii.member(jsii_name="resetOauthClientSecret")
    def reset_oauth_client_secret(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOauthClientSecret", []))

    @jsii.member(jsii_name="resetOauthEndpoint")
    def reset_oauth_endpoint(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOauthEndpoint", []))

    @jsii.member(jsii_name="resetOauthRedirectUrl")
    def reset_oauth_redirect_url(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOauthRedirectUrl", []))

    @jsii.member(jsii_name="resetOauthRefreshToken")
    def reset_oauth_refresh_token(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOauthRefreshToken", []))

    @jsii.member(jsii_name="resetPassword")
    def reset_password(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPassword", []))

    @jsii.member(jsii_name="resetPrivateKey")
    def reset_private_key(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivateKey", []))

    @jsii.member(jsii_name="resetPrivateKeyPath")
    def reset_private_key_path(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivateKeyPath", []))

    @jsii.member(jsii_name="resetRegion")
    def reset_region(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRegion", []))

    @jsii.member(jsii_name="resetRole")
    def reset_role(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRole", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="accountInput")
    def account_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "accountInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="usernameInput")
    def username_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "usernameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="aliasInput")
    def alias_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "aliasInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="browserAuthInput")
    def browser_auth_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "browserAuthInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthAccessTokenInput")
    def oauth_access_token_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthAccessTokenInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthClientIdInput")
    def oauth_client_id_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthClientIdInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthClientSecretInput")
    def oauth_client_secret_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthClientSecretInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthEndpointInput")
    def oauth_endpoint_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthEndpointInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthRedirectUrlInput")
    def oauth_redirect_url_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthRedirectUrlInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthRefreshTokenInput")
    def oauth_refresh_token_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthRefreshTokenInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="passwordInput")
    def password_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "passwordInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privateKeyInput")
    def private_key_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privateKeyInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privateKeyPathInput")
    def private_key_path_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privateKeyPathInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="regionInput")
    def region_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "regionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roleInput")
    def role_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "roleInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="account")
    def account(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "account"))

    @account.setter
    def account(self, value: builtins.str) -> None:
        jsii.set(self, "account", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="username")
    def username(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "username"))

    @username.setter
    def username(self, value: builtins.str) -> None:
        jsii.set(self, "username", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="alias")
    def alias(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "alias"))

    @alias.setter
    def alias(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "alias", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="browserAuth")
    def browser_auth(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "browserAuth"))

    @browser_auth.setter
    def browser_auth(self, value: typing.Optional[builtins.bool]) -> None:
        jsii.set(self, "browserAuth", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthAccessToken")
    def oauth_access_token(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthAccessToken"))

    @oauth_access_token.setter
    def oauth_access_token(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "oauthAccessToken", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthClientId")
    def oauth_client_id(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthClientId"))

    @oauth_client_id.setter
    def oauth_client_id(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "oauthClientId", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthClientSecret")
    def oauth_client_secret(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthClientSecret"))

    @oauth_client_secret.setter
    def oauth_client_secret(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "oauthClientSecret", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthEndpoint")
    def oauth_endpoint(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthEndpoint"))

    @oauth_endpoint.setter
    def oauth_endpoint(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "oauthEndpoint", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthRedirectUrl")
    def oauth_redirect_url(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthRedirectUrl"))

    @oauth_redirect_url.setter
    def oauth_redirect_url(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "oauthRedirectUrl", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="oauthRefreshToken")
    def oauth_refresh_token(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "oauthRefreshToken"))

    @oauth_refresh_token.setter
    def oauth_refresh_token(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "oauthRefreshToken", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="password")
    def password(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "password"))

    @password.setter
    def password(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "password", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privateKey")
    def private_key(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privateKey"))

    @private_key.setter
    def private_key(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "privateKey", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privateKeyPath")
    def private_key_path(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privateKeyPath"))

    @private_key_path.setter
    def private_key_path(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "privateKeyPath", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="region")
    def region(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "region"))

    @region.setter
    def region(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "region", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="role")
    def role(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "role"))

    @role.setter
    def role(self, value: typing.Optional[builtins.str]) -> None:
        jsii.set(self, "role", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.SnowflakeProviderConfig",
    jsii_struct_bases=[],
    name_mapping={
        "account": "account",
        "username": "username",
        "alias": "alias",
        "browser_auth": "browserAuth",
        "oauth_access_token": "oauthAccessToken",
        "oauth_client_id": "oauthClientId",
        "oauth_client_secret": "oauthClientSecret",
        "oauth_endpoint": "oauthEndpoint",
        "oauth_redirect_url": "oauthRedirectUrl",
        "oauth_refresh_token": "oauthRefreshToken",
        "password": "password",
        "private_key": "privateKey",
        "private_key_path": "privateKeyPath",
        "region": "region",
        "role": "role",
    },
)
class SnowflakeProviderConfig:
    def __init__(
        self,
        *,
        account: builtins.str,
        username: builtins.str,
        alias: typing.Optional[builtins.str] = None,
        browser_auth: typing.Optional[builtins.bool] = None,
        oauth_access_token: typing.Optional[builtins.str] = None,
        oauth_client_id: typing.Optional[builtins.str] = None,
        oauth_client_secret: typing.Optional[builtins.str] = None,
        oauth_endpoint: typing.Optional[builtins.str] = None,
        oauth_redirect_url: typing.Optional[builtins.str] = None,
        oauth_refresh_token: typing.Optional[builtins.str] = None,
        password: typing.Optional[builtins.str] = None,
        private_key: typing.Optional[builtins.str] = None,
        private_key_path: typing.Optional[builtins.str] = None,
        region: typing.Optional[builtins.str] = None,
        role: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param account: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#account SnowflakeProvider#account}.
        :param username: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#username SnowflakeProvider#username}.
        :param alias: Alias name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#alias SnowflakeProvider#alias}
        :param browser_auth: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#browser_auth SnowflakeProvider#browser_auth}.
        :param oauth_access_token: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_access_token SnowflakeProvider#oauth_access_token}.
        :param oauth_client_id: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_client_id SnowflakeProvider#oauth_client_id}.
        :param oauth_client_secret: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_client_secret SnowflakeProvider#oauth_client_secret}.
        :param oauth_endpoint: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_endpoint SnowflakeProvider#oauth_endpoint}.
        :param oauth_redirect_url: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_redirect_url SnowflakeProvider#oauth_redirect_url}.
        :param oauth_refresh_token: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_refresh_token SnowflakeProvider#oauth_refresh_token}.
        :param password: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#password SnowflakeProvider#password}.
        :param private_key: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#private_key SnowflakeProvider#private_key}.
        :param private_key_path: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#private_key_path SnowflakeProvider#private_key_path}.
        :param region: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#region SnowflakeProvider#region}.
        :param role: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#role SnowflakeProvider#role}.
        '''
        self._values: typing.Dict[str, typing.Any] = {
            "account": account,
            "username": username,
        }
        if alias is not None:
            self._values["alias"] = alias
        if browser_auth is not None:
            self._values["browser_auth"] = browser_auth
        if oauth_access_token is not None:
            self._values["oauth_access_token"] = oauth_access_token
        if oauth_client_id is not None:
            self._values["oauth_client_id"] = oauth_client_id
        if oauth_client_secret is not None:
            self._values["oauth_client_secret"] = oauth_client_secret
        if oauth_endpoint is not None:
            self._values["oauth_endpoint"] = oauth_endpoint
        if oauth_redirect_url is not None:
            self._values["oauth_redirect_url"] = oauth_redirect_url
        if oauth_refresh_token is not None:
            self._values["oauth_refresh_token"] = oauth_refresh_token
        if password is not None:
            self._values["password"] = password
        if private_key is not None:
            self._values["private_key"] = private_key
        if private_key_path is not None:
            self._values["private_key_path"] = private_key_path
        if region is not None:
            self._values["region"] = region
        if role is not None:
            self._values["role"] = role

    @builtins.property
    def account(self) -> builtins.str:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#account SnowflakeProvider#account}.'''
        result = self._values.get("account")
        assert result is not None, "Required property 'account' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def username(self) -> builtins.str:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#username SnowflakeProvider#username}.'''
        result = self._values.get("username")
        assert result is not None, "Required property 'username' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def alias(self) -> typing.Optional[builtins.str]:
        '''Alias name.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#alias SnowflakeProvider#alias}
        '''
        result = self._values.get("alias")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def browser_auth(self) -> typing.Optional[builtins.bool]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#browser_auth SnowflakeProvider#browser_auth}.'''
        result = self._values.get("browser_auth")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def oauth_access_token(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_access_token SnowflakeProvider#oauth_access_token}.'''
        result = self._values.get("oauth_access_token")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def oauth_client_id(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_client_id SnowflakeProvider#oauth_client_id}.'''
        result = self._values.get("oauth_client_id")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def oauth_client_secret(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_client_secret SnowflakeProvider#oauth_client_secret}.'''
        result = self._values.get("oauth_client_secret")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def oauth_endpoint(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_endpoint SnowflakeProvider#oauth_endpoint}.'''
        result = self._values.get("oauth_endpoint")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def oauth_redirect_url(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_redirect_url SnowflakeProvider#oauth_redirect_url}.'''
        result = self._values.get("oauth_redirect_url")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def oauth_refresh_token(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#oauth_refresh_token SnowflakeProvider#oauth_refresh_token}.'''
        result = self._values.get("oauth_refresh_token")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def password(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#password SnowflakeProvider#password}.'''
        result = self._values.get("password")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def private_key(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#private_key SnowflakeProvider#private_key}.'''
        result = self._values.get("private_key")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def private_key_path(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#private_key_path SnowflakeProvider#private_key_path}.'''
        result = self._values.get("private_key_path")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def region(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#region SnowflakeProvider#region}.'''
        result = self._values.get("region")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def role(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake#role SnowflakeProvider#role}.'''
        result = self._values.get("role")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "SnowflakeProviderConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Stage(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Stage",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html snowflake_stage}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        aws_external_id: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        copy_options: typing.Optional[builtins.str] = None,
        credentials: typing.Optional[builtins.str] = None,
        encryption: typing.Optional[builtins.str] = None,
        file_format: typing.Optional[builtins.str] = None,
        snowflake_iam_user: typing.Optional[builtins.str] = None,
        storage_integration: typing.Optional[builtins.str] = None,
        url: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html snowflake_stage} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#database Stage#database}
        :param name: Specifies the identifier for the stage; must be unique for the database and schema in which the stage is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#name Stage#name}
        :param schema: The schema in which to create the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#schema Stage#schema}
        :param aws_external_id: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#aws_external_id Stage#aws_external_id}.
        :param comment: Specifies a comment for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#comment Stage#comment}
        :param copy_options: Specifies the copy options for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#copy_options Stage#copy_options}
        :param credentials: Specifies the credentials for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#credentials Stage#credentials}
        :param encryption: Specifies the encryption settings for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#encryption Stage#encryption}
        :param file_format: Specifies the file format for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#file_format Stage#file_format}
        :param snowflake_iam_user: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#snowflake_iam_user Stage#snowflake_iam_user}.
        :param storage_integration: Specifies the name of the storage integration used to delegate authentication responsibility for external cloud storage to a Snowflake identity and access management (IAM) entity. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#storage_integration Stage#storage_integration}
        :param url: Specifies the URL for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#url Stage#url}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = StageConfig(
            database=database,
            name=name,
            schema=schema,
            aws_external_id=aws_external_id,
            comment=comment,
            copy_options=copy_options,
            credentials=credentials,
            encryption=encryption,
            file_format=file_format,
            snowflake_iam_user=snowflake_iam_user,
            storage_integration=storage_integration,
            url=url,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Stage, self, [scope, id, config])

    @jsii.member(jsii_name="resetAwsExternalId")
    def reset_aws_external_id(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAwsExternalId", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetCopyOptions")
    def reset_copy_options(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetCopyOptions", []))

    @jsii.member(jsii_name="resetCredentials")
    def reset_credentials(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetCredentials", []))

    @jsii.member(jsii_name="resetEncryption")
    def reset_encryption(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEncryption", []))

    @jsii.member(jsii_name="resetFileFormat")
    def reset_file_format(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFileFormat", []))

    @jsii.member(jsii_name="resetSnowflakeIamUser")
    def reset_snowflake_iam_user(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSnowflakeIamUser", []))

    @jsii.member(jsii_name="resetStorageIntegration")
    def reset_storage_integration(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStorageIntegration", []))

    @jsii.member(jsii_name="resetUrl")
    def reset_url(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetUrl", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsExternalIdInput")
    def aws_external_id_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "awsExternalIdInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="copyOptionsInput")
    def copy_options_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "copyOptionsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="credentialsInput")
    def credentials_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "credentialsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="encryptionInput")
    def encryption_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "encryptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fileFormatInput")
    def file_format_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "fileFormatInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="snowflakeIamUserInput")
    def snowflake_iam_user_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "snowflakeIamUserInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageIntegrationInput")
    def storage_integration_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "storageIntegrationInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="urlInput")
    def url_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "urlInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="awsExternalId")
    def aws_external_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "awsExternalId"))

    @aws_external_id.setter
    def aws_external_id(self, value: builtins.str) -> None:
        jsii.set(self, "awsExternalId", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="copyOptions")
    def copy_options(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "copyOptions"))

    @copy_options.setter
    def copy_options(self, value: builtins.str) -> None:
        jsii.set(self, "copyOptions", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="credentials")
    def credentials(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "credentials"))

    @credentials.setter
    def credentials(self, value: builtins.str) -> None:
        jsii.set(self, "credentials", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="encryption")
    def encryption(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "encryption"))

    @encryption.setter
    def encryption(self, value: builtins.str) -> None:
        jsii.set(self, "encryption", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="fileFormat")
    def file_format(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "fileFormat"))

    @file_format.setter
    def file_format(self, value: builtins.str) -> None:
        jsii.set(self, "fileFormat", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="snowflakeIamUser")
    def snowflake_iam_user(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "snowflakeIamUser"))

    @snowflake_iam_user.setter
    def snowflake_iam_user(self, value: builtins.str) -> None:
        jsii.set(self, "snowflakeIamUser", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageIntegration")
    def storage_integration(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "storageIntegration"))

    @storage_integration.setter
    def storage_integration(self, value: builtins.str) -> None:
        jsii.set(self, "storageIntegration", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="url")
    def url(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "url"))

    @url.setter
    def url(self, value: builtins.str) -> None:
        jsii.set(self, "url", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.StageConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "name": "name",
        "schema": "schema",
        "aws_external_id": "awsExternalId",
        "comment": "comment",
        "copy_options": "copyOptions",
        "credentials": "credentials",
        "encryption": "encryption",
        "file_format": "fileFormat",
        "snowflake_iam_user": "snowflakeIamUser",
        "storage_integration": "storageIntegration",
        "url": "url",
    },
)
class StageConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        aws_external_id: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        copy_options: typing.Optional[builtins.str] = None,
        credentials: typing.Optional[builtins.str] = None,
        encryption: typing.Optional[builtins.str] = None,
        file_format: typing.Optional[builtins.str] = None,
        snowflake_iam_user: typing.Optional[builtins.str] = None,
        storage_integration: typing.Optional[builtins.str] = None,
        url: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#database Stage#database}
        :param name: Specifies the identifier for the stage; must be unique for the database and schema in which the stage is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#name Stage#name}
        :param schema: The schema in which to create the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#schema Stage#schema}
        :param aws_external_id: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#aws_external_id Stage#aws_external_id}.
        :param comment: Specifies a comment for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#comment Stage#comment}
        :param copy_options: Specifies the copy options for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#copy_options Stage#copy_options}
        :param credentials: Specifies the credentials for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#credentials Stage#credentials}
        :param encryption: Specifies the encryption settings for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#encryption Stage#encryption}
        :param file_format: Specifies the file format for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#file_format Stage#file_format}
        :param snowflake_iam_user: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#snowflake_iam_user Stage#snowflake_iam_user}.
        :param storage_integration: Specifies the name of the storage integration used to delegate authentication responsibility for external cloud storage to a Snowflake identity and access management (IAM) entity. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#storage_integration Stage#storage_integration}
        :param url: Specifies the URL for the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#url Stage#url}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "name": name,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if aws_external_id is not None:
            self._values["aws_external_id"] = aws_external_id
        if comment is not None:
            self._values["comment"] = comment
        if copy_options is not None:
            self._values["copy_options"] = copy_options
        if credentials is not None:
            self._values["credentials"] = credentials
        if encryption is not None:
            self._values["encryption"] = encryption
        if file_format is not None:
            self._values["file_format"] = file_format
        if snowflake_iam_user is not None:
            self._values["snowflake_iam_user"] = snowflake_iam_user
        if storage_integration is not None:
            self._values["storage_integration"] = storage_integration
        if url is not None:
            self._values["url"] = url

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#database Stage#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the stage;

        must be unique for the database and schema in which the stage is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#name Stage#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#schema Stage#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def aws_external_id(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#aws_external_id Stage#aws_external_id}.'''
        result = self._values.get("aws_external_id")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#comment Stage#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def copy_options(self) -> typing.Optional[builtins.str]:
        '''Specifies the copy options for the stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#copy_options Stage#copy_options}
        '''
        result = self._values.get("copy_options")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def credentials(self) -> typing.Optional[builtins.str]:
        '''Specifies the credentials for the stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#credentials Stage#credentials}
        '''
        result = self._values.get("credentials")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def encryption(self) -> typing.Optional[builtins.str]:
        '''Specifies the encryption settings for the stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#encryption Stage#encryption}
        '''
        result = self._values.get("encryption")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def file_format(self) -> typing.Optional[builtins.str]:
        '''Specifies the file format for the stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#file_format Stage#file_format}
        '''
        result = self._values.get("file_format")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def snowflake_iam_user(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#snowflake_iam_user Stage#snowflake_iam_user}.'''
        result = self._values.get("snowflake_iam_user")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def storage_integration(self) -> typing.Optional[builtins.str]:
        '''Specifies the name of the storage integration used to delegate authentication responsibility for external cloud storage to a Snowflake identity and access management (IAM) entity.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#storage_integration Stage#storage_integration}
        '''
        result = self._values.get("storage_integration")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def url(self) -> typing.Optional[builtins.str]:
        '''Specifies the URL for the stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage.html#url Stage#url}
        '''
        result = self._values.get("url")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "StageConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class StageGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.StageGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html snowflake_stage_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        stage_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html snowflake_stage_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current stage on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#database_name StageGrant#database_name}
        :param schema_name: The name of the schema containing the current stage on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#schema_name StageGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future stages in the given schema. When this is true and no schema_name is provided apply this grant on all future stages in the given database. The stage_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#on_future StageGrant#on_future}
        :param privilege: The privilege to grant on the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#privilege StageGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#roles StageGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#shares StageGrant#shares}
        :param stage_name: The name of the stage on which to grant privilege (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#stage_name StageGrant#stage_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#with_grant_option StageGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = StageGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            shares=shares,
            stage_name=stage_name,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(StageGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetShares")
    def reset_shares(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShares", []))

    @jsii.member(jsii_name="resetStageName")
    def reset_stage_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStageName", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sharesInput")
    def shares_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "sharesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="stageNameInput")
    def stage_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "stageNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="shares")
    def shares(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "shares"))

    @shares.setter
    def shares(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "shares", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="stageName")
    def stage_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "stageName"))

    @stage_name.setter
    def stage_name(self, value: builtins.str) -> None:
        jsii.set(self, "stageName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.StageGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "shares": "shares",
        "stage_name": "stageName",
        "with_grant_option": "withGrantOption",
    },
)
class StageGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        stage_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current stage on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#database_name StageGrant#database_name}
        :param schema_name: The name of the schema containing the current stage on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#schema_name StageGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future stages in the given schema. When this is true and no schema_name is provided apply this grant on all future stages in the given database. The stage_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#on_future StageGrant#on_future}
        :param privilege: The privilege to grant on the stage. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#privilege StageGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#roles StageGrant#roles}
        :param shares: Grants privilege to these shares (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#shares StageGrant#shares}
        :param stage_name: The name of the stage on which to grant privilege (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#stage_name StageGrant#stage_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#with_grant_option StageGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if shares is not None:
            self._values["shares"] = shares
        if stage_name is not None:
            self._values["stage_name"] = stage_name
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current stage on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#database_name StageGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current stage on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#schema_name StageGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future stages in the given schema.

        When this is true and no schema_name is provided apply this grant on all future stages in the given database. The stage_name and shares fields must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#on_future StageGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the stage.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#privilege StageGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#roles StageGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def shares(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these shares (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#shares StageGrant#shares}
        '''
        result = self._values.get("shares")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def stage_name(self) -> typing.Optional[builtins.str]:
        '''The name of the stage on which to grant privilege (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#stage_name StageGrant#stage_name}
        '''
        result = self._values.get("stage_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stage_grant.html#with_grant_option StageGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "StageGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class StorageIntegration(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.StorageIntegration",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html snowflake_storage_integration}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        storage_allowed_locations: typing.Sequence[builtins.str],
        storage_provider: builtins.str,
        azure_tenant_id: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        enabled: typing.Optional[builtins.bool] = None,
        storage_aws_role_arn: typing.Optional[builtins.str] = None,
        storage_blocked_locations: typing.Optional[typing.Sequence[builtins.str]] = None,
        type: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html snowflake_storage_integration} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#name StorageIntegration#name}.
        :param storage_allowed_locations: Explicitly limits external stages that use the integration to reference one or more storage locations. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_allowed_locations StorageIntegration#storage_allowed_locations}
        :param storage_provider: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_provider StorageIntegration#storage_provider}.
        :param azure_tenant_id: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#azure_tenant_id StorageIntegration#azure_tenant_id}.
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#comment StorageIntegration#comment}.
        :param enabled: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#enabled StorageIntegration#enabled}.
        :param storage_aws_role_arn: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_aws_role_arn StorageIntegration#storage_aws_role_arn}.
        :param storage_blocked_locations: Explicitly prohibits external stages that use the integration from referencing one or more storage locations. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_blocked_locations StorageIntegration#storage_blocked_locations}
        :param type: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#type StorageIntegration#type}.
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = StorageIntegrationConfig(
            name=name,
            storage_allowed_locations=storage_allowed_locations,
            storage_provider=storage_provider,
            azure_tenant_id=azure_tenant_id,
            comment=comment,
            enabled=enabled,
            storage_aws_role_arn=storage_aws_role_arn,
            storage_blocked_locations=storage_blocked_locations,
            type=type,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(StorageIntegration, self, [scope, id, config])

    @jsii.member(jsii_name="resetAzureTenantId")
    def reset_azure_tenant_id(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAzureTenantId", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetEnabled")
    def reset_enabled(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEnabled", []))

    @jsii.member(jsii_name="resetStorageAwsRoleArn")
    def reset_storage_aws_role_arn(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStorageAwsRoleArn", []))

    @jsii.member(jsii_name="resetStorageBlockedLocations")
    def reset_storage_blocked_locations(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStorageBlockedLocations", []))

    @jsii.member(jsii_name="resetType")
    def reset_type(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetType", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureConsentUrl")
    def azure_consent_url(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azureConsentUrl"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureMultiTenantAppName")
    def azure_multi_tenant_app_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azureMultiTenantAppName"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="createdOn")
    def created_on(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "createdOn"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageAllowedLocationsInput")
    def storage_allowed_locations_input(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "storageAllowedLocationsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageAwsExternalId")
    def storage_aws_external_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "storageAwsExternalId"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageAwsIamUserArn")
    def storage_aws_iam_user_arn(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "storageAwsIamUserArn"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageGcpServiceAccount")
    def storage_gcp_service_account(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "storageGcpServiceAccount"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageProviderInput")
    def storage_provider_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "storageProviderInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureTenantIdInput")
    def azure_tenant_id_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "azureTenantIdInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enabledInput")
    def enabled_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "enabledInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageAwsRoleArnInput")
    def storage_aws_role_arn_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "storageAwsRoleArnInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageBlockedLocationsInput")
    def storage_blocked_locations_input(
        self,
    ) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "storageBlockedLocationsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="typeInput")
    def type_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "typeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="azureTenantId")
    def azure_tenant_id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "azureTenantId"))

    @azure_tenant_id.setter
    def azure_tenant_id(self, value: builtins.str) -> None:
        jsii.set(self, "azureTenantId", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enabled")
    def enabled(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "enabled"))

    @enabled.setter
    def enabled(self, value: builtins.bool) -> None:
        jsii.set(self, "enabled", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageAllowedLocations")
    def storage_allowed_locations(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "storageAllowedLocations"))

    @storage_allowed_locations.setter
    def storage_allowed_locations(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "storageAllowedLocations", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageAwsRoleArn")
    def storage_aws_role_arn(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "storageAwsRoleArn"))

    @storage_aws_role_arn.setter
    def storage_aws_role_arn(self, value: builtins.str) -> None:
        jsii.set(self, "storageAwsRoleArn", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageBlockedLocations")
    def storage_blocked_locations(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "storageBlockedLocations"))

    @storage_blocked_locations.setter
    def storage_blocked_locations(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "storageBlockedLocations", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="storageProvider")
    def storage_provider(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "storageProvider"))

    @storage_provider.setter
    def storage_provider(self, value: builtins.str) -> None:
        jsii.set(self, "storageProvider", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="type")
    def type(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "type"))

    @type.setter
    def type(self, value: builtins.str) -> None:
        jsii.set(self, "type", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.StorageIntegrationConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "storage_allowed_locations": "storageAllowedLocations",
        "storage_provider": "storageProvider",
        "azure_tenant_id": "azureTenantId",
        "comment": "comment",
        "enabled": "enabled",
        "storage_aws_role_arn": "storageAwsRoleArn",
        "storage_blocked_locations": "storageBlockedLocations",
        "type": "type",
    },
)
class StorageIntegrationConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        storage_allowed_locations: typing.Sequence[builtins.str],
        storage_provider: builtins.str,
        azure_tenant_id: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        enabled: typing.Optional[builtins.bool] = None,
        storage_aws_role_arn: typing.Optional[builtins.str] = None,
        storage_blocked_locations: typing.Optional[typing.Sequence[builtins.str]] = None,
        type: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#name StorageIntegration#name}.
        :param storage_allowed_locations: Explicitly limits external stages that use the integration to reference one or more storage locations. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_allowed_locations StorageIntegration#storage_allowed_locations}
        :param storage_provider: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_provider StorageIntegration#storage_provider}.
        :param azure_tenant_id: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#azure_tenant_id StorageIntegration#azure_tenant_id}.
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#comment StorageIntegration#comment}.
        :param enabled: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#enabled StorageIntegration#enabled}.
        :param storage_aws_role_arn: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_aws_role_arn StorageIntegration#storage_aws_role_arn}.
        :param storage_blocked_locations: Explicitly prohibits external stages that use the integration from referencing one or more storage locations. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_blocked_locations StorageIntegration#storage_blocked_locations}
        :param type: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#type StorageIntegration#type}.
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
            "storage_allowed_locations": storage_allowed_locations,
            "storage_provider": storage_provider,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if azure_tenant_id is not None:
            self._values["azure_tenant_id"] = azure_tenant_id
        if comment is not None:
            self._values["comment"] = comment
        if enabled is not None:
            self._values["enabled"] = enabled
        if storage_aws_role_arn is not None:
            self._values["storage_aws_role_arn"] = storage_aws_role_arn
        if storage_blocked_locations is not None:
            self._values["storage_blocked_locations"] = storage_blocked_locations
        if type is not None:
            self._values["type"] = type

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#name StorageIntegration#name}.'''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def storage_allowed_locations(self) -> typing.List[builtins.str]:
        '''Explicitly limits external stages that use the integration to reference one or more storage locations.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_allowed_locations StorageIntegration#storage_allowed_locations}
        '''
        result = self._values.get("storage_allowed_locations")
        assert result is not None, "Required property 'storage_allowed_locations' is missing"
        return typing.cast(typing.List[builtins.str], result)

    @builtins.property
    def storage_provider(self) -> builtins.str:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_provider StorageIntegration#storage_provider}.'''
        result = self._values.get("storage_provider")
        assert result is not None, "Required property 'storage_provider' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def azure_tenant_id(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#azure_tenant_id StorageIntegration#azure_tenant_id}.'''
        result = self._values.get("azure_tenant_id")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#comment StorageIntegration#comment}.'''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def enabled(self) -> typing.Optional[builtins.bool]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#enabled StorageIntegration#enabled}.'''
        result = self._values.get("enabled")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def storage_aws_role_arn(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_aws_role_arn StorageIntegration#storage_aws_role_arn}.'''
        result = self._values.get("storage_aws_role_arn")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def storage_blocked_locations(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Explicitly prohibits external stages that use the integration from referencing one or more storage locations.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#storage_blocked_locations StorageIntegration#storage_blocked_locations}
        '''
        result = self._values.get("storage_blocked_locations")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def type(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/storage_integration.html#type StorageIntegration#type}.'''
        result = self._values.get("type")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "StorageIntegrationConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Stream(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Stream",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html snowflake_stream}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        append_only: typing.Optional[builtins.bool] = None,
        comment: typing.Optional[builtins.str] = None,
        on_table: typing.Optional[builtins.str] = None,
        show_initial_rows: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html snowflake_stream} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the stream. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#database Stream#database}
        :param name: Specifies the identifier for the stream; must be unique for the database and schema in which the stream is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#name Stream#name}
        :param schema: The schema in which to create the stream. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#schema Stream#schema}
        :param append_only: Type of the stream that will be created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#append_only Stream#append_only}
        :param comment: Specifies a comment for the stream. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#comment Stream#comment}
        :param on_table: Name of the table the stream will monitor. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#on_table Stream#on_table}
        :param show_initial_rows: Specifies whether to return all existing rows in the source table as row inserts the first time the stream is consumed. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#show_initial_rows Stream#show_initial_rows}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = StreamConfig(
            database=database,
            name=name,
            schema=schema,
            append_only=append_only,
            comment=comment,
            on_table=on_table,
            show_initial_rows=show_initial_rows,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Stream, self, [scope, id, config])

    @jsii.member(jsii_name="resetAppendOnly")
    def reset_append_only(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAppendOnly", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetOnTable")
    def reset_on_table(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnTable", []))

    @jsii.member(jsii_name="resetShowInitialRows")
    def reset_show_initial_rows(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShowInitialRows", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="owner")
    def owner(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "owner"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="appendOnlyInput")
    def append_only_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "appendOnlyInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onTableInput")
    def on_table_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "onTableInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="showInitialRowsInput")
    def show_initial_rows_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "showInitialRowsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="appendOnly")
    def append_only(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "appendOnly"))

    @append_only.setter
    def append_only(self, value: builtins.bool) -> None:
        jsii.set(self, "appendOnly", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onTable")
    def on_table(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "onTable"))

    @on_table.setter
    def on_table(self, value: builtins.str) -> None:
        jsii.set(self, "onTable", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="showInitialRows")
    def show_initial_rows(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "showInitialRows"))

    @show_initial_rows.setter
    def show_initial_rows(self, value: builtins.bool) -> None:
        jsii.set(self, "showInitialRows", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.StreamConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "name": "name",
        "schema": "schema",
        "append_only": "appendOnly",
        "comment": "comment",
        "on_table": "onTable",
        "show_initial_rows": "showInitialRows",
    },
)
class StreamConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        append_only: typing.Optional[builtins.bool] = None,
        comment: typing.Optional[builtins.str] = None,
        on_table: typing.Optional[builtins.str] = None,
        show_initial_rows: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the stream. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#database Stream#database}
        :param name: Specifies the identifier for the stream; must be unique for the database and schema in which the stream is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#name Stream#name}
        :param schema: The schema in which to create the stream. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#schema Stream#schema}
        :param append_only: Type of the stream that will be created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#append_only Stream#append_only}
        :param comment: Specifies a comment for the stream. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#comment Stream#comment}
        :param on_table: Name of the table the stream will monitor. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#on_table Stream#on_table}
        :param show_initial_rows: Specifies whether to return all existing rows in the source table as row inserts the first time the stream is consumed. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#show_initial_rows Stream#show_initial_rows}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "name": name,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if append_only is not None:
            self._values["append_only"] = append_only
        if comment is not None:
            self._values["comment"] = comment
        if on_table is not None:
            self._values["on_table"] = on_table
        if show_initial_rows is not None:
            self._values["show_initial_rows"] = show_initial_rows

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the stream.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#database Stream#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the stream;

        must be unique for the database and schema in which the stream is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#name Stream#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the stream.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#schema Stream#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def append_only(self) -> typing.Optional[builtins.bool]:
        '''Type of the stream that will be created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#append_only Stream#append_only}
        '''
        result = self._values.get("append_only")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the stream.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#comment Stream#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def on_table(self) -> typing.Optional[builtins.str]:
        '''Name of the table the stream will monitor.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#on_table Stream#on_table}
        '''
        result = self._values.get("on_table")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def show_initial_rows(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether to return all existing rows in the source table as row inserts the first time the stream is consumed.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream.html#show_initial_rows Stream#show_initial_rows}
        '''
        result = self._values.get("show_initial_rows")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "StreamConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class StreamGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.StreamGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html snowflake_stream_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        stream_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html snowflake_stream_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future streams on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#database_name StreamGrant#database_name}
        :param schema_name: The name of the schema containing the current or future streams on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#schema_name StreamGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future streams in the given schema. When this is true and no schema_name is provided apply this grant on all future streams in the given database. The stream_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#on_future StreamGrant#on_future}
        :param privilege: The privilege to grant on the current or future stream. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#privilege StreamGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#roles StreamGrant#roles}
        :param stream_name: The name of the stream on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#stream_name StreamGrant#stream_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#with_grant_option StreamGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = StreamGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            stream_name=stream_name,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(StreamGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetStreamName")
    def reset_stream_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStreamName", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="streamNameInput")
    def stream_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "streamNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="streamName")
    def stream_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "streamName"))

    @stream_name.setter
    def stream_name(self, value: builtins.str) -> None:
        jsii.set(self, "streamName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.StreamGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "stream_name": "streamName",
        "with_grant_option": "withGrantOption",
    },
)
class StreamGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        stream_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future streams on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#database_name StreamGrant#database_name}
        :param schema_name: The name of the schema containing the current or future streams on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#schema_name StreamGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future streams in the given schema. When this is true and no schema_name is provided apply this grant on all future streams in the given database. The stream_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#on_future StreamGrant#on_future}
        :param privilege: The privilege to grant on the current or future stream. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#privilege StreamGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#roles StreamGrant#roles}
        :param stream_name: The name of the stream on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#stream_name StreamGrant#stream_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#with_grant_option StreamGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if stream_name is not None:
            self._values["stream_name"] = stream_name
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future streams on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#database_name StreamGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current or future streams on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#schema_name StreamGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future streams in the given schema.

        When this is true and no schema_name is provided apply this grant on all future streams in the given database. The stream_name field must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#on_future StreamGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future stream.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#privilege StreamGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#roles StreamGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def stream_name(self) -> typing.Optional[builtins.str]:
        '''The name of the stream on which to grant privileges immediately (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#stream_name StreamGrant#stream_name}
        '''
        result = self._values.get("stream_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/stream_grant.html#with_grant_option StreamGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "StreamGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Table(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Table",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/table.html snowflake_table}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        column: typing.Sequence["TableColumn"],
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        change_tracking: typing.Optional[builtins.bool] = None,
        cluster_by: typing.Optional[typing.Sequence[builtins.str]] = None,
        comment: typing.Optional[builtins.str] = None,
        data_retention_days: typing.Optional[jsii.Number] = None,
        primary_key: typing.Optional[typing.Sequence["TablePrimaryKey"]] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/table.html snowflake_table} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param column: column block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#column Table#column}
        :param database: The database in which to create the table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#database Table#database}
        :param name: Specifies the identifier for the table; must be unique for the database and schema in which the table is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}
        :param schema: The schema in which to create the table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#schema Table#schema}
        :param change_tracking: Specifies whether to enable change tracking on the table. Default false. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#change_tracking Table#change_tracking}
        :param cluster_by: A list of one or more table columns/expressions to be used as clustering key(s) for the table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#cluster_by Table#cluster_by}
        :param comment: Specifies a comment for the table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#comment Table#comment}
        :param data_retention_days: Specifies the retention period for the table so that Time Travel actions (SELECT, CLONE, UNDROP) can be performed on historical data in the table. Default value is 1, if you wish to inherit the parent schema setting then pass in the schema attribute to this argument. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#data_retention_days Table#data_retention_days}
        :param primary_key: primary_key block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#primary_key Table#primary_key}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = TableConfig(
            column=column,
            database=database,
            name=name,
            schema=schema,
            change_tracking=change_tracking,
            cluster_by=cluster_by,
            comment=comment,
            data_retention_days=data_retention_days,
            primary_key=primary_key,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Table, self, [scope, id, config])

    @jsii.member(jsii_name="resetChangeTracking")
    def reset_change_tracking(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetChangeTracking", []))

    @jsii.member(jsii_name="resetClusterBy")
    def reset_cluster_by(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetClusterBy", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetDataRetentionDays")
    def reset_data_retention_days(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDataRetentionDays", []))

    @jsii.member(jsii_name="resetPrimaryKey")
    def reset_primary_key(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrimaryKey", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="columnInput")
    def column_input(self) -> typing.List["TableColumn"]:
        return typing.cast(typing.List["TableColumn"], jsii.get(self, "columnInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="owner")
    def owner(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "owner"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="changeTrackingInput")
    def change_tracking_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "changeTrackingInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="clusterByInput")
    def cluster_by_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "clusterByInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="dataRetentionDaysInput")
    def data_retention_days_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "dataRetentionDaysInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="primaryKeyInput")
    def primary_key_input(self) -> typing.Optional[typing.List["TablePrimaryKey"]]:
        return typing.cast(typing.Optional[typing.List["TablePrimaryKey"]], jsii.get(self, "primaryKeyInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="changeTracking")
    def change_tracking(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "changeTracking"))

    @change_tracking.setter
    def change_tracking(self, value: builtins.bool) -> None:
        jsii.set(self, "changeTracking", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="clusterBy")
    def cluster_by(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "clusterBy"))

    @cluster_by.setter
    def cluster_by(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "clusterBy", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="column")
    def column(self) -> typing.List["TableColumn"]:
        return typing.cast(typing.List["TableColumn"], jsii.get(self, "column"))

    @column.setter
    def column(self, value: typing.List["TableColumn"]) -> None:
        jsii.set(self, "column", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="dataRetentionDays")
    def data_retention_days(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "dataRetentionDays"))

    @data_retention_days.setter
    def data_retention_days(self, value: jsii.Number) -> None:
        jsii.set(self, "dataRetentionDays", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="primaryKey")
    def primary_key(self) -> typing.List["TablePrimaryKey"]:
        return typing.cast(typing.List["TablePrimaryKey"], jsii.get(self, "primaryKey"))

    @primary_key.setter
    def primary_key(self, value: typing.List["TablePrimaryKey"]) -> None:
        jsii.set(self, "primaryKey", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.TableColumn",
    jsii_struct_bases=[],
    name_mapping={
        "name": "name",
        "type": "type",
        "comment": "comment",
        "nullable": "nullable",
    },
)
class TableColumn:
    def __init__(
        self,
        *,
        name: builtins.str,
        type: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        nullable: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param name: Column name. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}
        :param type: Column type, e.g. VARIANT. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#type Table#type}
        :param comment: Column comment. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#comment Table#comment}
        :param nullable: Whether this column can contain null values. **Note**: Depending on your Snowflake version, the default value will not suffice if this column is used in a primary key constraint. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#nullable Table#nullable}
        '''
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
            "type": type,
        }
        if comment is not None:
            self._values["comment"] = comment
        if nullable is not None:
            self._values["nullable"] = nullable

    @builtins.property
    def name(self) -> builtins.str:
        '''Column name.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def type(self) -> builtins.str:
        '''Column type, e.g. VARIANT.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#type Table#type}
        '''
        result = self._values.get("type")
        assert result is not None, "Required property 'type' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Column comment.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#comment Table#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def nullable(self) -> typing.Optional[builtins.bool]:
        '''Whether this column can contain null values.

        **Note**: Depending on your Snowflake version, the default value will not suffice if this column is used in a primary key constraint.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#nullable Table#nullable}
        '''
        result = self._values.get("nullable")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "TableColumn(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


@jsii.data_type(
    jsii_type="cdktf-snowflake.TableConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "column": "column",
        "database": "database",
        "name": "name",
        "schema": "schema",
        "change_tracking": "changeTracking",
        "cluster_by": "clusterBy",
        "comment": "comment",
        "data_retention_days": "dataRetentionDays",
        "primary_key": "primaryKey",
    },
)
class TableConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        column: typing.Sequence[TableColumn],
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        change_tracking: typing.Optional[builtins.bool] = None,
        cluster_by: typing.Optional[typing.Sequence[builtins.str]] = None,
        comment: typing.Optional[builtins.str] = None,
        data_retention_days: typing.Optional[jsii.Number] = None,
        primary_key: typing.Optional[typing.Sequence["TablePrimaryKey"]] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param column: column block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#column Table#column}
        :param database: The database in which to create the table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#database Table#database}
        :param name: Specifies the identifier for the table; must be unique for the database and schema in which the table is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}
        :param schema: The schema in which to create the table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#schema Table#schema}
        :param change_tracking: Specifies whether to enable change tracking on the table. Default false. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#change_tracking Table#change_tracking}
        :param cluster_by: A list of one or more table columns/expressions to be used as clustering key(s) for the table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#cluster_by Table#cluster_by}
        :param comment: Specifies a comment for the table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#comment Table#comment}
        :param data_retention_days: Specifies the retention period for the table so that Time Travel actions (SELECT, CLONE, UNDROP) can be performed on historical data in the table. Default value is 1, if you wish to inherit the parent schema setting then pass in the schema attribute to this argument. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#data_retention_days Table#data_retention_days}
        :param primary_key: primary_key block. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#primary_key Table#primary_key}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "column": column,
            "database": database,
            "name": name,
            "schema": schema,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if change_tracking is not None:
            self._values["change_tracking"] = change_tracking
        if cluster_by is not None:
            self._values["cluster_by"] = cluster_by
        if comment is not None:
            self._values["comment"] = comment
        if data_retention_days is not None:
            self._values["data_retention_days"] = data_retention_days
        if primary_key is not None:
            self._values["primary_key"] = primary_key

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def column(self) -> typing.List[TableColumn]:
        '''column block.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#column Table#column}
        '''
        result = self._values.get("column")
        assert result is not None, "Required property 'column' is missing"
        return typing.cast(typing.List[TableColumn], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#database Table#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the table;

        must be unique for the database and schema in which the table is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#schema Table#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def change_tracking(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether to enable change tracking on the table. Default false.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#change_tracking Table#change_tracking}
        '''
        result = self._values.get("change_tracking")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def cluster_by(self) -> typing.Optional[typing.List[builtins.str]]:
        '''A list of one or more table columns/expressions to be used as clustering key(s) for the table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#cluster_by Table#cluster_by}
        '''
        result = self._values.get("cluster_by")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#comment Table#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def data_retention_days(self) -> typing.Optional[jsii.Number]:
        '''Specifies the retention period for the table so that Time Travel actions (SELECT, CLONE, UNDROP) can be performed on historical data in the table.

        Default value is 1, if you wish to inherit the parent schema setting then pass in the schema attribute to this argument.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#data_retention_days Table#data_retention_days}
        '''
        result = self._values.get("data_retention_days")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def primary_key(self) -> typing.Optional[typing.List["TablePrimaryKey"]]:
        '''primary_key block.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#primary_key Table#primary_key}
        '''
        result = self._values.get("primary_key")
        return typing.cast(typing.Optional[typing.List["TablePrimaryKey"]], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "TableConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class TableGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.TableGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html snowflake_table_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        schema_name: typing.Optional[builtins.str] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        table_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html snowflake_table_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future tables on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#database_name TableGrant#database_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future tables in the given schema. When this is true and no schema_name is provided apply this grant on all future tables in the given database. The table_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#on_future TableGrant#on_future}
        :param privilege: The privilege to grant on the current or future table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#privilege TableGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#roles TableGrant#roles}
        :param schema_name: The name of the schema containing the current or future tables on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#schema_name TableGrant#schema_name}
        :param shares: Grants privilege to these shares (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#shares TableGrant#shares}
        :param table_name: The name of the table on which to grant privileges immediately (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#table_name TableGrant#table_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#with_grant_option TableGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = TableGrantConfig(
            database_name=database_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            schema_name=schema_name,
            shares=shares,
            table_name=table_name,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(TableGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetSchemaName")
    def reset_schema_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSchemaName", []))

    @jsii.member(jsii_name="resetShares")
    def reset_shares(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShares", []))

    @jsii.member(jsii_name="resetTableName")
    def reset_table_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetTableName", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sharesInput")
    def shares_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "sharesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="tableNameInput")
    def table_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "tableNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="shares")
    def shares(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "shares"))

    @shares.setter
    def shares(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "shares", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="tableName")
    def table_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "tableName"))

    @table_name.setter
    def table_name(self, value: builtins.str) -> None:
        jsii.set(self, "tableName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.TableGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "schema_name": "schemaName",
        "shares": "shares",
        "table_name": "tableName",
        "with_grant_option": "withGrantOption",
    },
)
class TableGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        schema_name: typing.Optional[builtins.str] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        table_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future tables on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#database_name TableGrant#database_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future tables in the given schema. When this is true and no schema_name is provided apply this grant on all future tables in the given database. The table_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#on_future TableGrant#on_future}
        :param privilege: The privilege to grant on the current or future table. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#privilege TableGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#roles TableGrant#roles}
        :param schema_name: The name of the schema containing the current or future tables on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#schema_name TableGrant#schema_name}
        :param shares: Grants privilege to these shares (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#shares TableGrant#shares}
        :param table_name: The name of the table on which to grant privileges immediately (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#table_name TableGrant#table_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#with_grant_option TableGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if schema_name is not None:
            self._values["schema_name"] = schema_name
        if shares is not None:
            self._values["shares"] = shares
        if table_name is not None:
            self._values["table_name"] = table_name
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future tables on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#database_name TableGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future tables in the given schema.

        When this is true and no schema_name is provided apply this grant on all future tables in the given database. The table_name and shares fields must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#on_future TableGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future table.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#privilege TableGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#roles TableGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def schema_name(self) -> typing.Optional[builtins.str]:
        '''The name of the schema containing the current or future tables on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#schema_name TableGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def shares(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these shares (only valid if on_future is unset).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#shares TableGrant#shares}
        '''
        result = self._values.get("shares")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def table_name(self) -> typing.Optional[builtins.str]:
        '''The name of the table on which to grant privileges immediately (only valid if on_future is unset).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#table_name TableGrant#table_name}
        '''
        result = self._values.get("table_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table_grant.html#with_grant_option TableGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "TableGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


@jsii.data_type(
    jsii_type="cdktf-snowflake.TablePrimaryKey",
    jsii_struct_bases=[],
    name_mapping={"keys": "keys", "name": "name"},
)
class TablePrimaryKey:
    def __init__(
        self,
        *,
        keys: typing.Sequence[builtins.str],
        name: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param keys: Columns to use in primary key. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#keys Table#keys}
        :param name: Name of constraint. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}
        '''
        self._values: typing.Dict[str, typing.Any] = {
            "keys": keys,
        }
        if name is not None:
            self._values["name"] = name

    @builtins.property
    def keys(self) -> typing.List[builtins.str]:
        '''Columns to use in primary key.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#keys Table#keys}
        '''
        result = self._values.get("keys")
        assert result is not None, "Required property 'keys' is missing"
        return typing.cast(typing.List[builtins.str], result)

    @builtins.property
    def name(self) -> typing.Optional[builtins.str]:
        '''Name of constraint.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/table.html#name Table#name}
        '''
        result = self._values.get("name")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "TablePrimaryKey(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Task(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Task",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/task.html snowflake_task}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        sql_statement: builtins.str,
        warehouse: builtins.str,
        after: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        enabled: typing.Optional[builtins.bool] = None,
        schedule: typing.Optional[builtins.str] = None,
        session_parameters: typing.Optional[typing.Mapping[builtins.str, builtins.str]] = None,
        user_task_timeout_ms: typing.Optional[jsii.Number] = None,
        when: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/task.html snowflake_task} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the task. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#database Task#database}
        :param name: Specifies the identifier for the task; must be unique for the database and schema in which the task is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#name Task#name}
        :param schema: The schema in which to create the task. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#schema Task#schema}
        :param sql_statement: Any single SQL statement, or a call to a stored procedure, executed when the task runs. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#sql_statement Task#sql_statement}
        :param warehouse: The warehouse the task will use. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#warehouse Task#warehouse}
        :param after: Specifies the predecessor task in the same database and schema of the current task. When a run of the predecessor task finishes successfully, it triggers this task (after a brief lag). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#after Task#after}
        :param comment: Specifies a comment for the task. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#comment Task#comment}
        :param enabled: Specifies if the task should be started (enabled) after creation or should remain suspended (default). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#enabled Task#enabled}
        :param schedule: The schedule for periodically running the task. This can be a cron or interval in minutes. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#schedule Task#schedule}
        :param session_parameters: Specifies session parameters to set for the session when the task runs. A task supports all session parameters. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#session_parameters Task#session_parameters}
        :param user_task_timeout_ms: Specifies the time limit on a single run of the task before it times out (in milliseconds). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#user_task_timeout_ms Task#user_task_timeout_ms}
        :param when: Specifies a Boolean SQL expression; multiple conditions joined with AND/OR are supported. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#when Task#when}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = TaskConfig(
            database=database,
            name=name,
            schema=schema,
            sql_statement=sql_statement,
            warehouse=warehouse,
            after=after,
            comment=comment,
            enabled=enabled,
            schedule=schedule,
            session_parameters=session_parameters,
            user_task_timeout_ms=user_task_timeout_ms,
            when=when,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Task, self, [scope, id, config])

    @jsii.member(jsii_name="resetAfter")
    def reset_after(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAfter", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetEnabled")
    def reset_enabled(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEnabled", []))

    @jsii.member(jsii_name="resetSchedule")
    def reset_schedule(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSchedule", []))

    @jsii.member(jsii_name="resetSessionParameters")
    def reset_session_parameters(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSessionParameters", []))

    @jsii.member(jsii_name="resetUserTaskTimeoutMs")
    def reset_user_task_timeout_ms(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetUserTaskTimeoutMs", []))

    @jsii.member(jsii_name="resetWhen")
    def reset_when(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWhen", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sqlStatementInput")
    def sql_statement_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "sqlStatementInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="warehouseInput")
    def warehouse_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "warehouseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="afterInput")
    def after_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "afterInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enabledInput")
    def enabled_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "enabledInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="scheduleInput")
    def schedule_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "scheduleInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sessionParametersInput")
    def session_parameters_input(
        self,
    ) -> typing.Optional[typing.Mapping[builtins.str, builtins.str]]:
        return typing.cast(typing.Optional[typing.Mapping[builtins.str, builtins.str]], jsii.get(self, "sessionParametersInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="userTaskTimeoutMsInput")
    def user_task_timeout_ms_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "userTaskTimeoutMsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="whenInput")
    def when_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "whenInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="after")
    def after(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "after"))

    @after.setter
    def after(self, value: builtins.str) -> None:
        jsii.set(self, "after", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="enabled")
    def enabled(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "enabled"))

    @enabled.setter
    def enabled(self, value: builtins.bool) -> None:
        jsii.set(self, "enabled", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schedule")
    def schedule(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schedule"))

    @schedule.setter
    def schedule(self, value: builtins.str) -> None:
        jsii.set(self, "schedule", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sessionParameters")
    def session_parameters(self) -> typing.Mapping[builtins.str, builtins.str]:
        return typing.cast(typing.Mapping[builtins.str, builtins.str], jsii.get(self, "sessionParameters"))

    @session_parameters.setter
    def session_parameters(
        self,
        value: typing.Mapping[builtins.str, builtins.str],
    ) -> None:
        jsii.set(self, "sessionParameters", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sqlStatement")
    def sql_statement(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "sqlStatement"))

    @sql_statement.setter
    def sql_statement(self, value: builtins.str) -> None:
        jsii.set(self, "sqlStatement", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="userTaskTimeoutMs")
    def user_task_timeout_ms(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "userTaskTimeoutMs"))

    @user_task_timeout_ms.setter
    def user_task_timeout_ms(self, value: jsii.Number) -> None:
        jsii.set(self, "userTaskTimeoutMs", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="warehouse")
    def warehouse(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "warehouse"))

    @warehouse.setter
    def warehouse(self, value: builtins.str) -> None:
        jsii.set(self, "warehouse", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="when")
    def when(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "when"))

    @when.setter
    def when(self, value: builtins.str) -> None:
        jsii.set(self, "when", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.TaskConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "name": "name",
        "schema": "schema",
        "sql_statement": "sqlStatement",
        "warehouse": "warehouse",
        "after": "after",
        "comment": "comment",
        "enabled": "enabled",
        "schedule": "schedule",
        "session_parameters": "sessionParameters",
        "user_task_timeout_ms": "userTaskTimeoutMs",
        "when": "when",
    },
)
class TaskConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        sql_statement: builtins.str,
        warehouse: builtins.str,
        after: typing.Optional[builtins.str] = None,
        comment: typing.Optional[builtins.str] = None,
        enabled: typing.Optional[builtins.bool] = None,
        schedule: typing.Optional[builtins.str] = None,
        session_parameters: typing.Optional[typing.Mapping[builtins.str, builtins.str]] = None,
        user_task_timeout_ms: typing.Optional[jsii.Number] = None,
        when: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the task. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#database Task#database}
        :param name: Specifies the identifier for the task; must be unique for the database and schema in which the task is created. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#name Task#name}
        :param schema: The schema in which to create the task. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#schema Task#schema}
        :param sql_statement: Any single SQL statement, or a call to a stored procedure, executed when the task runs. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#sql_statement Task#sql_statement}
        :param warehouse: The warehouse the task will use. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#warehouse Task#warehouse}
        :param after: Specifies the predecessor task in the same database and schema of the current task. When a run of the predecessor task finishes successfully, it triggers this task (after a brief lag). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#after Task#after}
        :param comment: Specifies a comment for the task. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#comment Task#comment}
        :param enabled: Specifies if the task should be started (enabled) after creation or should remain suspended (default). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#enabled Task#enabled}
        :param schedule: The schedule for periodically running the task. This can be a cron or interval in minutes. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#schedule Task#schedule}
        :param session_parameters: Specifies session parameters to set for the session when the task runs. A task supports all session parameters. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#session_parameters Task#session_parameters}
        :param user_task_timeout_ms: Specifies the time limit on a single run of the task before it times out (in milliseconds). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#user_task_timeout_ms Task#user_task_timeout_ms}
        :param when: Specifies a Boolean SQL expression; multiple conditions joined with AND/OR are supported. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#when Task#when}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "name": name,
            "schema": schema,
            "sql_statement": sql_statement,
            "warehouse": warehouse,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if after is not None:
            self._values["after"] = after
        if comment is not None:
            self._values["comment"] = comment
        if enabled is not None:
            self._values["enabled"] = enabled
        if schedule is not None:
            self._values["schedule"] = schedule
        if session_parameters is not None:
            self._values["session_parameters"] = session_parameters
        if user_task_timeout_ms is not None:
            self._values["user_task_timeout_ms"] = user_task_timeout_ms
        if when is not None:
            self._values["when"] = when

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the task.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#database Task#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the task;

        must be unique for the database and schema in which the task is created.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#name Task#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the task.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#schema Task#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def sql_statement(self) -> builtins.str:
        '''Any single SQL statement, or a call to a stored procedure, executed when the task runs.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#sql_statement Task#sql_statement}
        '''
        result = self._values.get("sql_statement")
        assert result is not None, "Required property 'sql_statement' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def warehouse(self) -> builtins.str:
        '''The warehouse the task will use.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#warehouse Task#warehouse}
        '''
        result = self._values.get("warehouse")
        assert result is not None, "Required property 'warehouse' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def after(self) -> typing.Optional[builtins.str]:
        '''Specifies the predecessor task in the same database and schema of the current task.

        When a run of the predecessor task finishes successfully, it triggers this task (after a brief lag).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#after Task#after}
        '''
        result = self._values.get("after")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the task.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#comment Task#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def enabled(self) -> typing.Optional[builtins.bool]:
        '''Specifies if the task should be started (enabled) after creation or should remain suspended (default).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#enabled Task#enabled}
        '''
        result = self._values.get("enabled")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def schedule(self) -> typing.Optional[builtins.str]:
        '''The schedule for periodically running the task. This can be a cron or interval in minutes.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#schedule Task#schedule}
        '''
        result = self._values.get("schedule")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def session_parameters(
        self,
    ) -> typing.Optional[typing.Mapping[builtins.str, builtins.str]]:
        '''Specifies session parameters to set for the session when the task runs. A task supports all session parameters.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#session_parameters Task#session_parameters}
        '''
        result = self._values.get("session_parameters")
        return typing.cast(typing.Optional[typing.Mapping[builtins.str, builtins.str]], result)

    @builtins.property
    def user_task_timeout_ms(self) -> typing.Optional[jsii.Number]:
        '''Specifies the time limit on a single run of the task before it times out (in milliseconds).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#user_task_timeout_ms Task#user_task_timeout_ms}
        '''
        result = self._values.get("user_task_timeout_ms")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def when(self) -> typing.Optional[builtins.str]:
        '''Specifies a Boolean SQL expression; multiple conditions joined with AND/OR are supported.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task.html#when Task#when}
        '''
        result = self._values.get("when")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "TaskConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class TaskGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.TaskGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html snowflake_task_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        task_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html snowflake_task_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future tasks on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#database_name TaskGrant#database_name}
        :param schema_name: The name of the schema containing the current or future tasks on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#schema_name TaskGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future tasks in the given schema. When this is true and no schema_name is provided apply this grant on all future tasks in the given database. The task_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#on_future TaskGrant#on_future}
        :param privilege: The privilege to grant on the current or future task. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#privilege TaskGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#roles TaskGrant#roles}
        :param task_name: The name of the task on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#task_name TaskGrant#task_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#with_grant_option TaskGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = TaskGrantConfig(
            database_name=database_name,
            schema_name=schema_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            task_name=task_name,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(TaskGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetTaskName")
    def reset_task_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetTaskName", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="taskNameInput")
    def task_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "taskNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="taskName")
    def task_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "taskName"))

    @task_name.setter
    def task_name(self, value: builtins.str) -> None:
        jsii.set(self, "taskName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.TaskGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "schema_name": "schemaName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "task_name": "taskName",
        "with_grant_option": "withGrantOption",
    },
)
class TaskGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        schema_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        task_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future tasks on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#database_name TaskGrant#database_name}
        :param schema_name: The name of the schema containing the current or future tasks on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#schema_name TaskGrant#schema_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future tasks in the given schema. When this is true and no schema_name is provided apply this grant on all future tasks in the given database. The task_name field must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#on_future TaskGrant#on_future}
        :param privilege: The privilege to grant on the current or future task. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#privilege TaskGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#roles TaskGrant#roles}
        :param task_name: The name of the task on which to grant privileges immediately (only valid if on_future is false). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#task_name TaskGrant#task_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#with_grant_option TaskGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
            "schema_name": schema_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if task_name is not None:
            self._values["task_name"] = task_name
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future tasks on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#database_name TaskGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema_name(self) -> builtins.str:
        '''The name of the schema containing the current or future tasks on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#schema_name TaskGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        assert result is not None, "Required property 'schema_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future tasks in the given schema.

        When this is true and no schema_name is provided apply this grant on all future tasks in the given database. The task_name field must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#on_future TaskGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future task.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#privilege TaskGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#roles TaskGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def task_name(self) -> typing.Optional[builtins.str]:
        '''The name of the task on which to grant privileges immediately (only valid if on_future is false).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#task_name TaskGrant#task_name}
        '''
        result = self._values.get("task_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/task_grant.html#with_grant_option TaskGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "TaskGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class User(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.User",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/user.html snowflake_user}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        default_namespace: typing.Optional[builtins.str] = None,
        default_role: typing.Optional[builtins.str] = None,
        default_warehouse: typing.Optional[builtins.str] = None,
        disabled: typing.Optional[builtins.bool] = None,
        display_name: typing.Optional[builtins.str] = None,
        email: typing.Optional[builtins.str] = None,
        first_name: typing.Optional[builtins.str] = None,
        last_name: typing.Optional[builtins.str] = None,
        login_name: typing.Optional[builtins.str] = None,
        must_change_password: typing.Optional[builtins.bool] = None,
        password: typing.Optional[builtins.str] = None,
        rsa_public_key: typing.Optional[builtins.str] = None,
        rsa_public_key2: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/user.html snowflake_user} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Name of the user. Note that if you do not supply login_name this will be used as login_name. `doc <https://docs.snowflake.net/manuals/sql-reference/sql/create-user.html#required-parameters>`_. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#name User#name}
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#comment User#comment}.
        :param default_namespace: Specifies the namespace (database only or database and schema) that is active by default for the user’s session upon login. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_namespace User#default_namespace}
        :param default_role: Specifies the role that is active by default for the user’s session upon login. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_role User#default_role}
        :param default_warehouse: Specifies the virtual warehouse that is active by default for the user’s session upon login. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_warehouse User#default_warehouse}
        :param disabled: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#disabled User#disabled}.
        :param display_name: Name displayed for the user in the Snowflake web interface. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#display_name User#display_name}
        :param email: Email address for the user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#email User#email}
        :param first_name: First name of the user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#first_name User#first_name}
        :param last_name: Last name of the user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#last_name User#last_name}
        :param login_name: The name users use to log in. If not supplied, snowflake will use name instead. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#login_name User#login_name}
        :param must_change_password: Specifies whether the user is forced to change their password on next login (including their first/initial login) into the system. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#must_change_password User#must_change_password}
        :param password: **WARNING:** this will put the password in the terraform state file. Use carefully. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#password User#password}
        :param rsa_public_key: Specifies the user’s RSA public key; used for key-pair authentication. Must be on 1 line without header and trailer. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#rsa_public_key User#rsa_public_key}
        :param rsa_public_key2: Specifies the user’s second RSA public key; used to rotate the public and private keys for key-pair authentication based on an expiration schedule set by your organization. Must be on 1 line without header and trailer. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#rsa_public_key_2 User#rsa_public_key_2}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = UserConfig(
            name=name,
            comment=comment,
            default_namespace=default_namespace,
            default_role=default_role,
            default_warehouse=default_warehouse,
            disabled=disabled,
            display_name=display_name,
            email=email,
            first_name=first_name,
            last_name=last_name,
            login_name=login_name,
            must_change_password=must_change_password,
            password=password,
            rsa_public_key=rsa_public_key,
            rsa_public_key2=rsa_public_key2,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(User, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetDefaultNamespace")
    def reset_default_namespace(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDefaultNamespace", []))

    @jsii.member(jsii_name="resetDefaultRole")
    def reset_default_role(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDefaultRole", []))

    @jsii.member(jsii_name="resetDefaultWarehouse")
    def reset_default_warehouse(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDefaultWarehouse", []))

    @jsii.member(jsii_name="resetDisabled")
    def reset_disabled(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDisabled", []))

    @jsii.member(jsii_name="resetDisplayName")
    def reset_display_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetDisplayName", []))

    @jsii.member(jsii_name="resetEmail")
    def reset_email(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetEmail", []))

    @jsii.member(jsii_name="resetFirstName")
    def reset_first_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetFirstName", []))

    @jsii.member(jsii_name="resetLastName")
    def reset_last_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetLastName", []))

    @jsii.member(jsii_name="resetLoginName")
    def reset_login_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetLoginName", []))

    @jsii.member(jsii_name="resetMustChangePassword")
    def reset_must_change_password(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetMustChangePassword", []))

    @jsii.member(jsii_name="resetPassword")
    def reset_password(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPassword", []))

    @jsii.member(jsii_name="resetRsaPublicKey")
    def reset_rsa_public_key(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRsaPublicKey", []))

    @jsii.member(jsii_name="resetRsaPublicKey2")
    def reset_rsa_public_key2(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRsaPublicKey2", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="hasRsaPublicKey")
    def has_rsa_public_key(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "hasRsaPublicKey"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="defaultNamespaceInput")
    def default_namespace_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "defaultNamespaceInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="defaultRoleInput")
    def default_role_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "defaultRoleInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="defaultWarehouseInput")
    def default_warehouse_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "defaultWarehouseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="disabledInput")
    def disabled_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "disabledInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="displayNameInput")
    def display_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "displayNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="emailInput")
    def email_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "emailInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="firstNameInput")
    def first_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "firstNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="lastNameInput")
    def last_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "lastNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="loginNameInput")
    def login_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "loginNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="mustChangePasswordInput")
    def must_change_password_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "mustChangePasswordInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="passwordInput")
    def password_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "passwordInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rsaPublicKey2Input")
    def rsa_public_key2_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "rsaPublicKey2Input"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rsaPublicKeyInput")
    def rsa_public_key_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "rsaPublicKeyInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="defaultNamespace")
    def default_namespace(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "defaultNamespace"))

    @default_namespace.setter
    def default_namespace(self, value: builtins.str) -> None:
        jsii.set(self, "defaultNamespace", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="defaultRole")
    def default_role(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "defaultRole"))

    @default_role.setter
    def default_role(self, value: builtins.str) -> None:
        jsii.set(self, "defaultRole", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="defaultWarehouse")
    def default_warehouse(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "defaultWarehouse"))

    @default_warehouse.setter
    def default_warehouse(self, value: builtins.str) -> None:
        jsii.set(self, "defaultWarehouse", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="disabled")
    def disabled(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "disabled"))

    @disabled.setter
    def disabled(self, value: builtins.bool) -> None:
        jsii.set(self, "disabled", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="displayName")
    def display_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "displayName"))

    @display_name.setter
    def display_name(self, value: builtins.str) -> None:
        jsii.set(self, "displayName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="email")
    def email(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "email"))

    @email.setter
    def email(self, value: builtins.str) -> None:
        jsii.set(self, "email", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="firstName")
    def first_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "firstName"))

    @first_name.setter
    def first_name(self, value: builtins.str) -> None:
        jsii.set(self, "firstName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="lastName")
    def last_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "lastName"))

    @last_name.setter
    def last_name(self, value: builtins.str) -> None:
        jsii.set(self, "lastName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="loginName")
    def login_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "loginName"))

    @login_name.setter
    def login_name(self, value: builtins.str) -> None:
        jsii.set(self, "loginName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="mustChangePassword")
    def must_change_password(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "mustChangePassword"))

    @must_change_password.setter
    def must_change_password(self, value: builtins.bool) -> None:
        jsii.set(self, "mustChangePassword", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="password")
    def password(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "password"))

    @password.setter
    def password(self, value: builtins.str) -> None:
        jsii.set(self, "password", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rsaPublicKey")
    def rsa_public_key(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "rsaPublicKey"))

    @rsa_public_key.setter
    def rsa_public_key(self, value: builtins.str) -> None:
        jsii.set(self, "rsaPublicKey", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rsaPublicKey2")
    def rsa_public_key2(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "rsaPublicKey2"))

    @rsa_public_key2.setter
    def rsa_public_key2(self, value: builtins.str) -> None:
        jsii.set(self, "rsaPublicKey2", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.UserConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "comment": "comment",
        "default_namespace": "defaultNamespace",
        "default_role": "defaultRole",
        "default_warehouse": "defaultWarehouse",
        "disabled": "disabled",
        "display_name": "displayName",
        "email": "email",
        "first_name": "firstName",
        "last_name": "lastName",
        "login_name": "loginName",
        "must_change_password": "mustChangePassword",
        "password": "password",
        "rsa_public_key": "rsaPublicKey",
        "rsa_public_key2": "rsaPublicKey2",
    },
)
class UserConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        default_namespace: typing.Optional[builtins.str] = None,
        default_role: typing.Optional[builtins.str] = None,
        default_warehouse: typing.Optional[builtins.str] = None,
        disabled: typing.Optional[builtins.bool] = None,
        display_name: typing.Optional[builtins.str] = None,
        email: typing.Optional[builtins.str] = None,
        first_name: typing.Optional[builtins.str] = None,
        last_name: typing.Optional[builtins.str] = None,
        login_name: typing.Optional[builtins.str] = None,
        must_change_password: typing.Optional[builtins.bool] = None,
        password: typing.Optional[builtins.str] = None,
        rsa_public_key: typing.Optional[builtins.str] = None,
        rsa_public_key2: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Name of the user. Note that if you do not supply login_name this will be used as login_name. `doc <https://docs.snowflake.net/manuals/sql-reference/sql/create-user.html#required-parameters>`_. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#name User#name}
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#comment User#comment}.
        :param default_namespace: Specifies the namespace (database only or database and schema) that is active by default for the user’s session upon login. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_namespace User#default_namespace}
        :param default_role: Specifies the role that is active by default for the user’s session upon login. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_role User#default_role}
        :param default_warehouse: Specifies the virtual warehouse that is active by default for the user’s session upon login. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_warehouse User#default_warehouse}
        :param disabled: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#disabled User#disabled}.
        :param display_name: Name displayed for the user in the Snowflake web interface. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#display_name User#display_name}
        :param email: Email address for the user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#email User#email}
        :param first_name: First name of the user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#first_name User#first_name}
        :param last_name: Last name of the user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#last_name User#last_name}
        :param login_name: The name users use to log in. If not supplied, snowflake will use name instead. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#login_name User#login_name}
        :param must_change_password: Specifies whether the user is forced to change their password on next login (including their first/initial login) into the system. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#must_change_password User#must_change_password}
        :param password: **WARNING:** this will put the password in the terraform state file. Use carefully. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#password User#password}
        :param rsa_public_key: Specifies the user’s RSA public key; used for key-pair authentication. Must be on 1 line without header and trailer. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#rsa_public_key User#rsa_public_key}
        :param rsa_public_key2: Specifies the user’s second RSA public key; used to rotate the public and private keys for key-pair authentication based on an expiration schedule set by your organization. Must be on 1 line without header and trailer. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#rsa_public_key_2 User#rsa_public_key_2}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment
        if default_namespace is not None:
            self._values["default_namespace"] = default_namespace
        if default_role is not None:
            self._values["default_role"] = default_role
        if default_warehouse is not None:
            self._values["default_warehouse"] = default_warehouse
        if disabled is not None:
            self._values["disabled"] = disabled
        if display_name is not None:
            self._values["display_name"] = display_name
        if email is not None:
            self._values["email"] = email
        if first_name is not None:
            self._values["first_name"] = first_name
        if last_name is not None:
            self._values["last_name"] = last_name
        if login_name is not None:
            self._values["login_name"] = login_name
        if must_change_password is not None:
            self._values["must_change_password"] = must_change_password
        if password is not None:
            self._values["password"] = password
        if rsa_public_key is not None:
            self._values["rsa_public_key"] = rsa_public_key
        if rsa_public_key2 is not None:
            self._values["rsa_public_key2"] = rsa_public_key2

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Name of the user. Note that if you do not supply login_name this will be used as login_name. `doc <https://docs.snowflake.net/manuals/sql-reference/sql/create-user.html#required-parameters>`_.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#name User#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#comment User#comment}.'''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def default_namespace(self) -> typing.Optional[builtins.str]:
        '''Specifies the namespace (database only or database and schema) that is active by default for the user’s session upon login.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_namespace User#default_namespace}
        '''
        result = self._values.get("default_namespace")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def default_role(self) -> typing.Optional[builtins.str]:
        '''Specifies the role that is active by default for the user’s session upon login.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_role User#default_role}
        '''
        result = self._values.get("default_role")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def default_warehouse(self) -> typing.Optional[builtins.str]:
        '''Specifies the virtual warehouse that is active by default for the user’s session upon login.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#default_warehouse User#default_warehouse}
        '''
        result = self._values.get("default_warehouse")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def disabled(self) -> typing.Optional[builtins.bool]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#disabled User#disabled}.'''
        result = self._values.get("disabled")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def display_name(self) -> typing.Optional[builtins.str]:
        '''Name displayed for the user in the Snowflake web interface.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#display_name User#display_name}
        '''
        result = self._values.get("display_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def email(self) -> typing.Optional[builtins.str]:
        '''Email address for the user.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#email User#email}
        '''
        result = self._values.get("email")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def first_name(self) -> typing.Optional[builtins.str]:
        '''First name of the user.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#first_name User#first_name}
        '''
        result = self._values.get("first_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def last_name(self) -> typing.Optional[builtins.str]:
        '''Last name of the user.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#last_name User#last_name}
        '''
        result = self._values.get("last_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def login_name(self) -> typing.Optional[builtins.str]:
        '''The name users use to log in. If not supplied, snowflake will use name instead.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#login_name User#login_name}
        '''
        result = self._values.get("login_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def must_change_password(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether the user is forced to change their password on next login (including their first/initial login) into the system.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#must_change_password User#must_change_password}
        '''
        result = self._values.get("must_change_password")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def password(self) -> typing.Optional[builtins.str]:
        '''**WARNING:** this will put the password in the terraform state file. Use carefully.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#password User#password}
        '''
        result = self._values.get("password")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def rsa_public_key(self) -> typing.Optional[builtins.str]:
        '''Specifies the user’s RSA public key; used for key-pair authentication. Must be on 1 line without header and trailer.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#rsa_public_key User#rsa_public_key}
        '''
        result = self._values.get("rsa_public_key")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def rsa_public_key2(self) -> typing.Optional[builtins.str]:
        '''Specifies the user’s second RSA public key;

        used to rotate the public and private keys for key-pair authentication based on an expiration schedule set by your organization. Must be on 1 line without header and trailer.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user.html#rsa_public_key_2 User#rsa_public_key_2}
        '''
        result = self._values.get("rsa_public_key2")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "UserConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class UserPublicKeys(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.UserPublicKeys",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html snowflake_user_public_keys}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        rsa_public_key: typing.Optional[builtins.str] = None,
        rsa_public_key2: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html snowflake_user_public_keys} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Name of the user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#name UserPublicKeys#name}
        :param rsa_public_key: Specifies the user’s RSA public key; used for key-pair authentication. Must be on 1 line without header and trailer. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#rsa_public_key UserPublicKeys#rsa_public_key}
        :param rsa_public_key2: Specifies the user’s second RSA public key; used to rotate the public and Public keys for key-pair authentication based on an expiration schedule set by your organization. Must be on 1 line without header and trailer. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#rsa_public_key_2 UserPublicKeys#rsa_public_key_2}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = UserPublicKeysConfig(
            name=name,
            rsa_public_key=rsa_public_key,
            rsa_public_key2=rsa_public_key2,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(UserPublicKeys, self, [scope, id, config])

    @jsii.member(jsii_name="resetRsaPublicKey")
    def reset_rsa_public_key(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRsaPublicKey", []))

    @jsii.member(jsii_name="resetRsaPublicKey2")
    def reset_rsa_public_key2(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRsaPublicKey2", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rsaPublicKey2Input")
    def rsa_public_key2_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "rsaPublicKey2Input"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rsaPublicKeyInput")
    def rsa_public_key_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "rsaPublicKeyInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rsaPublicKey")
    def rsa_public_key(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "rsaPublicKey"))

    @rsa_public_key.setter
    def rsa_public_key(self, value: builtins.str) -> None:
        jsii.set(self, "rsaPublicKey", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rsaPublicKey2")
    def rsa_public_key2(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "rsaPublicKey2"))

    @rsa_public_key2.setter
    def rsa_public_key2(self, value: builtins.str) -> None:
        jsii.set(self, "rsaPublicKey2", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.UserPublicKeysConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "rsa_public_key": "rsaPublicKey",
        "rsa_public_key2": "rsaPublicKey2",
    },
)
class UserPublicKeysConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        rsa_public_key: typing.Optional[builtins.str] = None,
        rsa_public_key2: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Name of the user. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#name UserPublicKeys#name}
        :param rsa_public_key: Specifies the user’s RSA public key; used for key-pair authentication. Must be on 1 line without header and trailer. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#rsa_public_key UserPublicKeys#rsa_public_key}
        :param rsa_public_key2: Specifies the user’s second RSA public key; used to rotate the public and Public keys for key-pair authentication based on an expiration schedule set by your organization. Must be on 1 line without header and trailer. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#rsa_public_key_2 UserPublicKeys#rsa_public_key_2}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if rsa_public_key is not None:
            self._values["rsa_public_key"] = rsa_public_key
        if rsa_public_key2 is not None:
            self._values["rsa_public_key2"] = rsa_public_key2

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Name of the user.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#name UserPublicKeys#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def rsa_public_key(self) -> typing.Optional[builtins.str]:
        '''Specifies the user’s RSA public key; used for key-pair authentication. Must be on 1 line without header and trailer.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#rsa_public_key UserPublicKeys#rsa_public_key}
        '''
        result = self._values.get("rsa_public_key")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def rsa_public_key2(self) -> typing.Optional[builtins.str]:
        '''Specifies the user’s second RSA public key;

        used to rotate the public and Public keys for key-pair authentication based on an expiration schedule set by your organization. Must be on 1 line without header and trailer.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/user_public_keys.html#rsa_public_key_2 UserPublicKeys#rsa_public_key_2}
        '''
        result = self._values.get("rsa_public_key2")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "UserPublicKeysConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class View(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.View",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/view.html snowflake_view}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        statement: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        is_secure: typing.Optional[builtins.bool] = None,
        or_replace: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/view.html snowflake_view} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database: The database in which to create the view. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#database View#database}
        :param name: Specifies the identifier for the view; must be unique for the schema in which the view is created. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#name View#name}
        :param schema: The schema in which to create the view. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#schema View#schema}
        :param statement: Specifies the query used to create the view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#statement View#statement}
        :param comment: Specifies a comment for the view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#comment View#comment}
        :param is_secure: Specifies that the view is secure. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#is_secure View#is_secure}
        :param or_replace: Overwrites the View if it exists. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#or_replace View#or_replace}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ViewConfig(
            database=database,
            name=name,
            schema=schema,
            statement=statement,
            comment=comment,
            is_secure=is_secure,
            or_replace=or_replace,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(View, self, [scope, id, config])

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetIsSecure")
    def reset_is_secure(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetIsSecure", []))

    @jsii.member(jsii_name="resetOrReplace")
    def reset_or_replace(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOrReplace", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseInput")
    def database_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaInput")
    def schema_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="statementInput")
    def statement_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "statementInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="isSecureInput")
    def is_secure_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "isSecureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="orReplaceInput")
    def or_replace_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "orReplaceInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="database")
    def database(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "database"))

    @database.setter
    def database(self, value: builtins.str) -> None:
        jsii.set(self, "database", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="isSecure")
    def is_secure(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "isSecure"))

    @is_secure.setter
    def is_secure(self, value: builtins.bool) -> None:
        jsii.set(self, "isSecure", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="orReplace")
    def or_replace(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "orReplace"))

    @or_replace.setter
    def or_replace(self, value: builtins.bool) -> None:
        jsii.set(self, "orReplace", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schema")
    def schema(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schema"))

    @schema.setter
    def schema(self, value: builtins.str) -> None:
        jsii.set(self, "schema", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="statement")
    def statement(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "statement"))

    @statement.setter
    def statement(self, value: builtins.str) -> None:
        jsii.set(self, "statement", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ViewConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database": "database",
        "name": "name",
        "schema": "schema",
        "statement": "statement",
        "comment": "comment",
        "is_secure": "isSecure",
        "or_replace": "orReplace",
    },
)
class ViewConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database: builtins.str,
        name: builtins.str,
        schema: builtins.str,
        statement: builtins.str,
        comment: typing.Optional[builtins.str] = None,
        is_secure: typing.Optional[builtins.bool] = None,
        or_replace: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database: The database in which to create the view. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#database View#database}
        :param name: Specifies the identifier for the view; must be unique for the schema in which the view is created. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#name View#name}
        :param schema: The schema in which to create the view. Don't use the | character. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#schema View#schema}
        :param statement: Specifies the query used to create the view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#statement View#statement}
        :param comment: Specifies a comment for the view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#comment View#comment}
        :param is_secure: Specifies that the view is secure. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#is_secure View#is_secure}
        :param or_replace: Overwrites the View if it exists. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#or_replace View#or_replace}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database": database,
            "name": name,
            "schema": schema,
            "statement": statement,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if comment is not None:
            self._values["comment"] = comment
        if is_secure is not None:
            self._values["is_secure"] = is_secure
        if or_replace is not None:
            self._values["or_replace"] = or_replace

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database(self) -> builtins.str:
        '''The database in which to create the view. Don't use the | character.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#database View#database}
        '''
        result = self._values.get("database")
        assert result is not None, "Required property 'database' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Specifies the identifier for the view;

        must be unique for the schema in which the view is created. Don't use the | character.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#name View#name}
        '''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def schema(self) -> builtins.str:
        '''The schema in which to create the view. Don't use the | character.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#schema View#schema}
        '''
        result = self._values.get("schema")
        assert result is not None, "Required property 'schema' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def statement(self) -> builtins.str:
        '''Specifies the query used to create the view.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#statement View#statement}
        '''
        result = self._values.get("statement")
        assert result is not None, "Required property 'statement' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Specifies a comment for the view.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#comment View#comment}
        '''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def is_secure(self) -> typing.Optional[builtins.bool]:
        '''Specifies that the view is secure.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#is_secure View#is_secure}
        '''
        result = self._values.get("is_secure")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def or_replace(self) -> typing.Optional[builtins.bool]:
        '''Overwrites the View if it exists.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view.html#or_replace View#or_replace}
        '''
        result = self._values.get("or_replace")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ViewConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class ViewGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.ViewGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html snowflake_view_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        database_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        schema_name: typing.Optional[builtins.str] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        view_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html snowflake_view_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param database_name: The name of the database containing the current or future views on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#database_name ViewGrant#database_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future views in the given schema. When this is true and no schema_name is provided apply this grant on all future views in the given database. The view_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#on_future ViewGrant#on_future}
        :param privilege: The privilege to grant on the current or future view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#privilege ViewGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#roles ViewGrant#roles}
        :param schema_name: The name of the schema containing the current or future views on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#schema_name ViewGrant#schema_name}
        :param shares: Grants privilege to these shares (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#shares ViewGrant#shares}
        :param view_name: The name of the view on which to grant privileges immediately (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#view_name ViewGrant#view_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#with_grant_option ViewGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = ViewGrantConfig(
            database_name=database_name,
            on_future=on_future,
            privilege=privilege,
            roles=roles,
            schema_name=schema_name,
            shares=shares,
            view_name=view_name,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(ViewGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetOnFuture")
    def reset_on_future(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetOnFuture", []))

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetSchemaName")
    def reset_schema_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetSchemaName", []))

    @jsii.member(jsii_name="resetShares")
    def reset_shares(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetShares", []))

    @jsii.member(jsii_name="resetViewName")
    def reset_view_name(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetViewName", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseNameInput")
    def database_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFutureInput")
    def on_future_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "onFutureInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaNameInput")
    def schema_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "schemaNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="sharesInput")
    def shares_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "sharesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="viewNameInput")
    def view_name_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "viewNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="databaseName")
    def database_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "databaseName"))

    @database_name.setter
    def database_name(self, value: builtins.str) -> None:
        jsii.set(self, "databaseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="onFuture")
    def on_future(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "onFuture"))

    @on_future.setter
    def on_future(self, value: builtins.bool) -> None:
        jsii.set(self, "onFuture", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="schemaName")
    def schema_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "schemaName"))

    @schema_name.setter
    def schema_name(self, value: builtins.str) -> None:
        jsii.set(self, "schemaName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="shares")
    def shares(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "shares"))

    @shares.setter
    def shares(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "shares", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="viewName")
    def view_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "viewName"))

    @view_name.setter
    def view_name(self, value: builtins.str) -> None:
        jsii.set(self, "viewName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.ViewGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "database_name": "databaseName",
        "on_future": "onFuture",
        "privilege": "privilege",
        "roles": "roles",
        "schema_name": "schemaName",
        "shares": "shares",
        "view_name": "viewName",
        "with_grant_option": "withGrantOption",
    },
)
class ViewGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        database_name: builtins.str,
        on_future: typing.Optional[builtins.bool] = None,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        schema_name: typing.Optional[builtins.str] = None,
        shares: typing.Optional[typing.Sequence[builtins.str]] = None,
        view_name: typing.Optional[builtins.str] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param database_name: The name of the database containing the current or future views on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#database_name ViewGrant#database_name}
        :param on_future: When this is set to true and a schema_name is provided, apply this grant on all future views in the given schema. When this is true and no schema_name is provided apply this grant on all future views in the given database. The view_name and shares fields must be unset in order to use on_future. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#on_future ViewGrant#on_future}
        :param privilege: The privilege to grant on the current or future view. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#privilege ViewGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#roles ViewGrant#roles}
        :param schema_name: The name of the schema containing the current or future views on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#schema_name ViewGrant#schema_name}
        :param shares: Grants privilege to these shares (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#shares ViewGrant#shares}
        :param view_name: The name of the view on which to grant privileges immediately (only valid if on_future is unset). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#view_name ViewGrant#view_name}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#with_grant_option ViewGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "database_name": database_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if on_future is not None:
            self._values["on_future"] = on_future
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if schema_name is not None:
            self._values["schema_name"] = schema_name
        if shares is not None:
            self._values["shares"] = shares
        if view_name is not None:
            self._values["view_name"] = view_name
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def database_name(self) -> builtins.str:
        '''The name of the database containing the current or future views on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#database_name ViewGrant#database_name}
        '''
        result = self._values.get("database_name")
        assert result is not None, "Required property 'database_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def on_future(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true and a schema_name is provided, apply this grant on all future views in the given schema.

        When this is true and no schema_name is provided apply this grant on all future views in the given database. The view_name and shares fields must be unset in order to use on_future.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#on_future ViewGrant#on_future}
        '''
        result = self._values.get("on_future")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the current or future view.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#privilege ViewGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#roles ViewGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def schema_name(self) -> typing.Optional[builtins.str]:
        '''The name of the schema containing the current or future views on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#schema_name ViewGrant#schema_name}
        '''
        result = self._values.get("schema_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def shares(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these shares (only valid if on_future is unset).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#shares ViewGrant#shares}
        '''
        result = self._values.get("shares")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def view_name(self) -> typing.Optional[builtins.str]:
        '''The name of the view on which to grant privileges immediately (only valid if on_future is unset).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#view_name ViewGrant#view_name}
        '''
        result = self._values.get("view_name")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/view_grant.html#with_grant_option ViewGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "ViewGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class Warehouse(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.Warehouse",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html snowflake_warehouse}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        name: builtins.str,
        auto_resume: typing.Optional[builtins.bool] = None,
        auto_suspend: typing.Optional[jsii.Number] = None,
        comment: typing.Optional[builtins.str] = None,
        initially_suspended: typing.Optional[builtins.bool] = None,
        max_cluster_count: typing.Optional[jsii.Number] = None,
        max_concurrency_level: typing.Optional[jsii.Number] = None,
        min_cluster_count: typing.Optional[jsii.Number] = None,
        resource_monitor: typing.Optional[builtins.str] = None,
        scaling_policy: typing.Optional[builtins.str] = None,
        statement_queued_timeout_in_seconds: typing.Optional[jsii.Number] = None,
        statement_timeout_in_seconds: typing.Optional[jsii.Number] = None,
        wait_for_provisioning: typing.Optional[builtins.bool] = None,
        warehouse_size: typing.Optional[builtins.str] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html snowflake_warehouse} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#name Warehouse#name}.
        :param auto_resume: Specifies whether to automatically resume a warehouse when a SQL statement (e.g. query) is submitted to it. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#auto_resume Warehouse#auto_resume}
        :param auto_suspend: Specifies the number of seconds of inactivity after which a warehouse is automatically suspended. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#auto_suspend Warehouse#auto_suspend}
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#comment Warehouse#comment}.
        :param initially_suspended: Specifies whether the warehouse is created initially in the ‘Suspended’ state. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#initially_suspended Warehouse#initially_suspended}
        :param max_cluster_count: Specifies the maximum number of server clusters for the warehouse. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#max_cluster_count Warehouse#max_cluster_count}
        :param max_concurrency_level: Object parameter that specifies the concurrency level for SQL statements (i.e. queries and DML) executed by a warehouse. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#max_concurrency_level Warehouse#max_concurrency_level}
        :param min_cluster_count: Specifies the minimum number of server clusters for the warehouse (only applies to multi-cluster warehouses). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#min_cluster_count Warehouse#min_cluster_count}
        :param resource_monitor: Specifies the name of a resource monitor that is explicitly assigned to the warehouse. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#resource_monitor Warehouse#resource_monitor}
        :param scaling_policy: Specifies the policy for automatically starting and shutting down clusters in a multi-cluster warehouse running in Auto-scale mode. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#scaling_policy Warehouse#scaling_policy}
        :param statement_queued_timeout_in_seconds: Object parameter that specifies the time, in seconds, a SQL statement (query, DDL, DML, etc.) can be queued on a warehouse before it is canceled by the system. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#statement_queued_timeout_in_seconds Warehouse#statement_queued_timeout_in_seconds}
        :param statement_timeout_in_seconds: Specifies the time, in seconds, after which a running SQL statement (query, DDL, DML, etc.) is canceled by the system. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#statement_timeout_in_seconds Warehouse#statement_timeout_in_seconds}
        :param wait_for_provisioning: Specifies whether the warehouse, after being resized, waits for all the servers to provision before executing any queued or new queries. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#wait_for_provisioning Warehouse#wait_for_provisioning}
        :param warehouse_size: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#warehouse_size Warehouse#warehouse_size}.
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = WarehouseConfig(
            name=name,
            auto_resume=auto_resume,
            auto_suspend=auto_suspend,
            comment=comment,
            initially_suspended=initially_suspended,
            max_cluster_count=max_cluster_count,
            max_concurrency_level=max_concurrency_level,
            min_cluster_count=min_cluster_count,
            resource_monitor=resource_monitor,
            scaling_policy=scaling_policy,
            statement_queued_timeout_in_seconds=statement_queued_timeout_in_seconds,
            statement_timeout_in_seconds=statement_timeout_in_seconds,
            wait_for_provisioning=wait_for_provisioning,
            warehouse_size=warehouse_size,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(Warehouse, self, [scope, id, config])

    @jsii.member(jsii_name="resetAutoResume")
    def reset_auto_resume(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAutoResume", []))

    @jsii.member(jsii_name="resetAutoSuspend")
    def reset_auto_suspend(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetAutoSuspend", []))

    @jsii.member(jsii_name="resetComment")
    def reset_comment(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetComment", []))

    @jsii.member(jsii_name="resetInitiallySuspended")
    def reset_initially_suspended(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetInitiallySuspended", []))

    @jsii.member(jsii_name="resetMaxClusterCount")
    def reset_max_cluster_count(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetMaxClusterCount", []))

    @jsii.member(jsii_name="resetMaxConcurrencyLevel")
    def reset_max_concurrency_level(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetMaxConcurrencyLevel", []))

    @jsii.member(jsii_name="resetMinClusterCount")
    def reset_min_cluster_count(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetMinClusterCount", []))

    @jsii.member(jsii_name="resetResourceMonitor")
    def reset_resource_monitor(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetResourceMonitor", []))

    @jsii.member(jsii_name="resetScalingPolicy")
    def reset_scaling_policy(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetScalingPolicy", []))

    @jsii.member(jsii_name="resetStatementQueuedTimeoutInSeconds")
    def reset_statement_queued_timeout_in_seconds(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStatementQueuedTimeoutInSeconds", []))

    @jsii.member(jsii_name="resetStatementTimeoutInSeconds")
    def reset_statement_timeout_in_seconds(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetStatementTimeoutInSeconds", []))

    @jsii.member(jsii_name="resetWaitForProvisioning")
    def reset_wait_for_provisioning(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWaitForProvisioning", []))

    @jsii.member(jsii_name="resetWarehouseSize")
    def reset_warehouse_size(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWarehouseSize", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="nameInput")
    def name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "nameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="autoResumeInput")
    def auto_resume_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "autoResumeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="autoSuspendInput")
    def auto_suspend_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "autoSuspendInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="commentInput")
    def comment_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "commentInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="initiallySuspendedInput")
    def initially_suspended_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "initiallySuspendedInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maxClusterCountInput")
    def max_cluster_count_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "maxClusterCountInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maxConcurrencyLevelInput")
    def max_concurrency_level_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "maxConcurrencyLevelInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="minClusterCountInput")
    def min_cluster_count_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "minClusterCountInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="resourceMonitorInput")
    def resource_monitor_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "resourceMonitorInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="scalingPolicyInput")
    def scaling_policy_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "scalingPolicyInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="statementQueuedTimeoutInSecondsInput")
    def statement_queued_timeout_in_seconds_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "statementQueuedTimeoutInSecondsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="statementTimeoutInSecondsInput")
    def statement_timeout_in_seconds_input(self) -> typing.Optional[jsii.Number]:
        return typing.cast(typing.Optional[jsii.Number], jsii.get(self, "statementTimeoutInSecondsInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="waitForProvisioningInput")
    def wait_for_provisioning_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "waitForProvisioningInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="warehouseSizeInput")
    def warehouse_size_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "warehouseSizeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="autoResume")
    def auto_resume(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "autoResume"))

    @auto_resume.setter
    def auto_resume(self, value: builtins.bool) -> None:
        jsii.set(self, "autoResume", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="autoSuspend")
    def auto_suspend(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "autoSuspend"))

    @auto_suspend.setter
    def auto_suspend(self, value: jsii.Number) -> None:
        jsii.set(self, "autoSuspend", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="comment")
    def comment(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "comment"))

    @comment.setter
    def comment(self, value: builtins.str) -> None:
        jsii.set(self, "comment", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="initiallySuspended")
    def initially_suspended(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "initiallySuspended"))

    @initially_suspended.setter
    def initially_suspended(self, value: builtins.bool) -> None:
        jsii.set(self, "initiallySuspended", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maxClusterCount")
    def max_cluster_count(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "maxClusterCount"))

    @max_cluster_count.setter
    def max_cluster_count(self, value: jsii.Number) -> None:
        jsii.set(self, "maxClusterCount", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="maxConcurrencyLevel")
    def max_concurrency_level(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "maxConcurrencyLevel"))

    @max_concurrency_level.setter
    def max_concurrency_level(self, value: jsii.Number) -> None:
        jsii.set(self, "maxConcurrencyLevel", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="minClusterCount")
    def min_cluster_count(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "minClusterCount"))

    @min_cluster_count.setter
    def min_cluster_count(self, value: jsii.Number) -> None:
        jsii.set(self, "minClusterCount", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="name")
    def name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "name"))

    @name.setter
    def name(self, value: builtins.str) -> None:
        jsii.set(self, "name", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="resourceMonitor")
    def resource_monitor(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "resourceMonitor"))

    @resource_monitor.setter
    def resource_monitor(self, value: builtins.str) -> None:
        jsii.set(self, "resourceMonitor", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="scalingPolicy")
    def scaling_policy(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "scalingPolicy"))

    @scaling_policy.setter
    def scaling_policy(self, value: builtins.str) -> None:
        jsii.set(self, "scalingPolicy", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="statementQueuedTimeoutInSeconds")
    def statement_queued_timeout_in_seconds(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "statementQueuedTimeoutInSeconds"))

    @statement_queued_timeout_in_seconds.setter
    def statement_queued_timeout_in_seconds(self, value: jsii.Number) -> None:
        jsii.set(self, "statementQueuedTimeoutInSeconds", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="statementTimeoutInSeconds")
    def statement_timeout_in_seconds(self) -> jsii.Number:
        return typing.cast(jsii.Number, jsii.get(self, "statementTimeoutInSeconds"))

    @statement_timeout_in_seconds.setter
    def statement_timeout_in_seconds(self, value: jsii.Number) -> None:
        jsii.set(self, "statementTimeoutInSeconds", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="waitForProvisioning")
    def wait_for_provisioning(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "waitForProvisioning"))

    @wait_for_provisioning.setter
    def wait_for_provisioning(self, value: builtins.bool) -> None:
        jsii.set(self, "waitForProvisioning", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="warehouseSize")
    def warehouse_size(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "warehouseSize"))

    @warehouse_size.setter
    def warehouse_size(self, value: builtins.str) -> None:
        jsii.set(self, "warehouseSize", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.WarehouseConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "name": "name",
        "auto_resume": "autoResume",
        "auto_suspend": "autoSuspend",
        "comment": "comment",
        "initially_suspended": "initiallySuspended",
        "max_cluster_count": "maxClusterCount",
        "max_concurrency_level": "maxConcurrencyLevel",
        "min_cluster_count": "minClusterCount",
        "resource_monitor": "resourceMonitor",
        "scaling_policy": "scalingPolicy",
        "statement_queued_timeout_in_seconds": "statementQueuedTimeoutInSeconds",
        "statement_timeout_in_seconds": "statementTimeoutInSeconds",
        "wait_for_provisioning": "waitForProvisioning",
        "warehouse_size": "warehouseSize",
    },
)
class WarehouseConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        name: builtins.str,
        auto_resume: typing.Optional[builtins.bool] = None,
        auto_suspend: typing.Optional[jsii.Number] = None,
        comment: typing.Optional[builtins.str] = None,
        initially_suspended: typing.Optional[builtins.bool] = None,
        max_cluster_count: typing.Optional[jsii.Number] = None,
        max_concurrency_level: typing.Optional[jsii.Number] = None,
        min_cluster_count: typing.Optional[jsii.Number] = None,
        resource_monitor: typing.Optional[builtins.str] = None,
        scaling_policy: typing.Optional[builtins.str] = None,
        statement_queued_timeout_in_seconds: typing.Optional[jsii.Number] = None,
        statement_timeout_in_seconds: typing.Optional[jsii.Number] = None,
        wait_for_provisioning: typing.Optional[builtins.bool] = None,
        warehouse_size: typing.Optional[builtins.str] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param name: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#name Warehouse#name}.
        :param auto_resume: Specifies whether to automatically resume a warehouse when a SQL statement (e.g. query) is submitted to it. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#auto_resume Warehouse#auto_resume}
        :param auto_suspend: Specifies the number of seconds of inactivity after which a warehouse is automatically suspended. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#auto_suspend Warehouse#auto_suspend}
        :param comment: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#comment Warehouse#comment}.
        :param initially_suspended: Specifies whether the warehouse is created initially in the ‘Suspended’ state. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#initially_suspended Warehouse#initially_suspended}
        :param max_cluster_count: Specifies the maximum number of server clusters for the warehouse. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#max_cluster_count Warehouse#max_cluster_count}
        :param max_concurrency_level: Object parameter that specifies the concurrency level for SQL statements (i.e. queries and DML) executed by a warehouse. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#max_concurrency_level Warehouse#max_concurrency_level}
        :param min_cluster_count: Specifies the minimum number of server clusters for the warehouse (only applies to multi-cluster warehouses). Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#min_cluster_count Warehouse#min_cluster_count}
        :param resource_monitor: Specifies the name of a resource monitor that is explicitly assigned to the warehouse. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#resource_monitor Warehouse#resource_monitor}
        :param scaling_policy: Specifies the policy for automatically starting and shutting down clusters in a multi-cluster warehouse running in Auto-scale mode. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#scaling_policy Warehouse#scaling_policy}
        :param statement_queued_timeout_in_seconds: Object parameter that specifies the time, in seconds, a SQL statement (query, DDL, DML, etc.) can be queued on a warehouse before it is canceled by the system. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#statement_queued_timeout_in_seconds Warehouse#statement_queued_timeout_in_seconds}
        :param statement_timeout_in_seconds: Specifies the time, in seconds, after which a running SQL statement (query, DDL, DML, etc.) is canceled by the system. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#statement_timeout_in_seconds Warehouse#statement_timeout_in_seconds}
        :param wait_for_provisioning: Specifies whether the warehouse, after being resized, waits for all the servers to provision before executing any queued or new queries. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#wait_for_provisioning Warehouse#wait_for_provisioning}
        :param warehouse_size: Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#warehouse_size Warehouse#warehouse_size}.
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "name": name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if auto_resume is not None:
            self._values["auto_resume"] = auto_resume
        if auto_suspend is not None:
            self._values["auto_suspend"] = auto_suspend
        if comment is not None:
            self._values["comment"] = comment
        if initially_suspended is not None:
            self._values["initially_suspended"] = initially_suspended
        if max_cluster_count is not None:
            self._values["max_cluster_count"] = max_cluster_count
        if max_concurrency_level is not None:
            self._values["max_concurrency_level"] = max_concurrency_level
        if min_cluster_count is not None:
            self._values["min_cluster_count"] = min_cluster_count
        if resource_monitor is not None:
            self._values["resource_monitor"] = resource_monitor
        if scaling_policy is not None:
            self._values["scaling_policy"] = scaling_policy
        if statement_queued_timeout_in_seconds is not None:
            self._values["statement_queued_timeout_in_seconds"] = statement_queued_timeout_in_seconds
        if statement_timeout_in_seconds is not None:
            self._values["statement_timeout_in_seconds"] = statement_timeout_in_seconds
        if wait_for_provisioning is not None:
            self._values["wait_for_provisioning"] = wait_for_provisioning
        if warehouse_size is not None:
            self._values["warehouse_size"] = warehouse_size

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def name(self) -> builtins.str:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#name Warehouse#name}.'''
        result = self._values.get("name")
        assert result is not None, "Required property 'name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def auto_resume(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether to automatically resume a warehouse when a SQL statement (e.g. query) is submitted to it.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#auto_resume Warehouse#auto_resume}
        '''
        result = self._values.get("auto_resume")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def auto_suspend(self) -> typing.Optional[jsii.Number]:
        '''Specifies the number of seconds of inactivity after which a warehouse is automatically suspended.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#auto_suspend Warehouse#auto_suspend}
        '''
        result = self._values.get("auto_suspend")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def comment(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#comment Warehouse#comment}.'''
        result = self._values.get("comment")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def initially_suspended(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether the warehouse is created initially in the ‘Suspended’ state.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#initially_suspended Warehouse#initially_suspended}
        '''
        result = self._values.get("initially_suspended")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def max_cluster_count(self) -> typing.Optional[jsii.Number]:
        '''Specifies the maximum number of server clusters for the warehouse.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#max_cluster_count Warehouse#max_cluster_count}
        '''
        result = self._values.get("max_cluster_count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def max_concurrency_level(self) -> typing.Optional[jsii.Number]:
        '''Object parameter that specifies the concurrency level for SQL statements (i.e. queries and DML) executed by a warehouse.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#max_concurrency_level Warehouse#max_concurrency_level}
        '''
        result = self._values.get("max_concurrency_level")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def min_cluster_count(self) -> typing.Optional[jsii.Number]:
        '''Specifies the minimum number of server clusters for the warehouse (only applies to multi-cluster warehouses).

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#min_cluster_count Warehouse#min_cluster_count}
        '''
        result = self._values.get("min_cluster_count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def resource_monitor(self) -> typing.Optional[builtins.str]:
        '''Specifies the name of a resource monitor that is explicitly assigned to the warehouse.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#resource_monitor Warehouse#resource_monitor}
        '''
        result = self._values.get("resource_monitor")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def scaling_policy(self) -> typing.Optional[builtins.str]:
        '''Specifies the policy for automatically starting and shutting down clusters in a multi-cluster warehouse running in Auto-scale mode.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#scaling_policy Warehouse#scaling_policy}
        '''
        result = self._values.get("scaling_policy")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def statement_queued_timeout_in_seconds(self) -> typing.Optional[jsii.Number]:
        '''Object parameter that specifies the time, in seconds, a SQL statement (query, DDL, DML, etc.) can be queued on a warehouse before it is canceled by the system.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#statement_queued_timeout_in_seconds Warehouse#statement_queued_timeout_in_seconds}
        '''
        result = self._values.get("statement_queued_timeout_in_seconds")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def statement_timeout_in_seconds(self) -> typing.Optional[jsii.Number]:
        '''Specifies the time, in seconds, after which a running SQL statement (query, DDL, DML, etc.) is canceled by the system.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#statement_timeout_in_seconds Warehouse#statement_timeout_in_seconds}
        '''
        result = self._values.get("statement_timeout_in_seconds")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def wait_for_provisioning(self) -> typing.Optional[builtins.bool]:
        '''Specifies whether the warehouse, after being resized, waits for all the servers to provision before executing any queued or new queries.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#wait_for_provisioning Warehouse#wait_for_provisioning}
        '''
        result = self._values.get("wait_for_provisioning")
        return typing.cast(typing.Optional[builtins.bool], result)

    @builtins.property
    def warehouse_size(self) -> typing.Optional[builtins.str]:
        '''Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse.html#warehouse_size Warehouse#warehouse_size}.'''
        result = self._values.get("warehouse_size")
        return typing.cast(typing.Optional[builtins.str], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "WarehouseConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


class WarehouseGrant(
    cdktf.TerraformResource,
    metaclass=jsii.JSIIMeta,
    jsii_type="cdktf-snowflake.WarehouseGrant",
):
    '''Represents a {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html snowflake_warehouse_grant}.'''

    def __init__(
        self,
        scope: constructs.Construct,
        id: builtins.str,
        *,
        warehouse_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
    ) -> None:
        '''Create a new {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html snowflake_warehouse_grant} Resource.

        :param scope: The scope in which to define this construct.
        :param id: The scoped construct ID. Must be unique amongst siblings in the same scope
        :param warehouse_name: The name of the warehouse on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#warehouse_name WarehouseGrant#warehouse_name}
        :param privilege: The privilege to grant on the warehouse. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#privilege WarehouseGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#roles WarehouseGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#with_grant_option WarehouseGrant#with_grant_option}
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        '''
        config = WarehouseGrantConfig(
            warehouse_name=warehouse_name,
            privilege=privilege,
            roles=roles,
            with_grant_option=with_grant_option,
            count=count,
            depends_on=depends_on,
            lifecycle=lifecycle,
            provider=provider,
        )

        jsii.create(WarehouseGrant, self, [scope, id, config])

    @jsii.member(jsii_name="resetPrivilege")
    def reset_privilege(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetPrivilege", []))

    @jsii.member(jsii_name="resetRoles")
    def reset_roles(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetRoles", []))

    @jsii.member(jsii_name="resetWithGrantOption")
    def reset_with_grant_option(self) -> None:
        return typing.cast(None, jsii.invoke(self, "resetWithGrantOption", []))

    @jsii.member(jsii_name="synthesizeAttributes")
    def _synthesize_attributes(self) -> typing.Mapping[builtins.str, typing.Any]:
        return typing.cast(typing.Mapping[builtins.str, typing.Any], jsii.invoke(self, "synthesizeAttributes", []))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="id")
    def id(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "id"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="warehouseNameInput")
    def warehouse_name_input(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "warehouseNameInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilegeInput")
    def privilege_input(self) -> typing.Optional[builtins.str]:
        return typing.cast(typing.Optional[builtins.str], jsii.get(self, "privilegeInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="rolesInput")
    def roles_input(self) -> typing.Optional[typing.List[builtins.str]]:
        return typing.cast(typing.Optional[typing.List[builtins.str]], jsii.get(self, "rolesInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOptionInput")
    def with_grant_option_input(self) -> typing.Optional[builtins.bool]:
        return typing.cast(typing.Optional[builtins.bool], jsii.get(self, "withGrantOptionInput"))

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="privilege")
    def privilege(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "privilege"))

    @privilege.setter
    def privilege(self, value: builtins.str) -> None:
        jsii.set(self, "privilege", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="roles")
    def roles(self) -> typing.List[builtins.str]:
        return typing.cast(typing.List[builtins.str], jsii.get(self, "roles"))

    @roles.setter
    def roles(self, value: typing.List[builtins.str]) -> None:
        jsii.set(self, "roles", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="warehouseName")
    def warehouse_name(self) -> builtins.str:
        return typing.cast(builtins.str, jsii.get(self, "warehouseName"))

    @warehouse_name.setter
    def warehouse_name(self, value: builtins.str) -> None:
        jsii.set(self, "warehouseName", value)

    @builtins.property # type: ignore[misc]
    @jsii.member(jsii_name="withGrantOption")
    def with_grant_option(self) -> builtins.bool:
        return typing.cast(builtins.bool, jsii.get(self, "withGrantOption"))

    @with_grant_option.setter
    def with_grant_option(self, value: builtins.bool) -> None:
        jsii.set(self, "withGrantOption", value)


@jsii.data_type(
    jsii_type="cdktf-snowflake.WarehouseGrantConfig",
    jsii_struct_bases=[cdktf.TerraformMetaArguments],
    name_mapping={
        "count": "count",
        "depends_on": "dependsOn",
        "lifecycle": "lifecycle",
        "provider": "provider",
        "warehouse_name": "warehouseName",
        "privilege": "privilege",
        "roles": "roles",
        "with_grant_option": "withGrantOption",
    },
)
class WarehouseGrantConfig(cdktf.TerraformMetaArguments):
    def __init__(
        self,
        *,
        count: typing.Optional[jsii.Number] = None,
        depends_on: typing.Optional[typing.Sequence[cdktf.ITerraformDependable]] = None,
        lifecycle: typing.Optional[cdktf.TerraformResourceLifecycle] = None,
        provider: typing.Optional[cdktf.TerraformProvider] = None,
        warehouse_name: builtins.str,
        privilege: typing.Optional[builtins.str] = None,
        roles: typing.Optional[typing.Sequence[builtins.str]] = None,
        with_grant_option: typing.Optional[builtins.bool] = None,
    ) -> None:
        '''
        :param count: 
        :param depends_on: 
        :param lifecycle: 
        :param provider: 
        :param warehouse_name: The name of the warehouse on which to grant privileges. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#warehouse_name WarehouseGrant#warehouse_name}
        :param privilege: The privilege to grant on the warehouse. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#privilege WarehouseGrant#privilege}
        :param roles: Grants privilege to these roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#roles WarehouseGrant#roles}
        :param with_grant_option: When this is set to true, allows the recipient role to grant the privileges to other roles. Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#with_grant_option WarehouseGrant#with_grant_option}
        '''
        if isinstance(lifecycle, dict):
            lifecycle = cdktf.TerraformResourceLifecycle(**lifecycle)
        self._values: typing.Dict[str, typing.Any] = {
            "warehouse_name": warehouse_name,
        }
        if count is not None:
            self._values["count"] = count
        if depends_on is not None:
            self._values["depends_on"] = depends_on
        if lifecycle is not None:
            self._values["lifecycle"] = lifecycle
        if provider is not None:
            self._values["provider"] = provider
        if privilege is not None:
            self._values["privilege"] = privilege
        if roles is not None:
            self._values["roles"] = roles
        if with_grant_option is not None:
            self._values["with_grant_option"] = with_grant_option

    @builtins.property
    def count(self) -> typing.Optional[jsii.Number]:
        '''
        :stability: experimental
        '''
        result = self._values.get("count")
        return typing.cast(typing.Optional[jsii.Number], result)

    @builtins.property
    def depends_on(self) -> typing.Optional[typing.List[cdktf.ITerraformDependable]]:
        '''
        :stability: experimental
        '''
        result = self._values.get("depends_on")
        return typing.cast(typing.Optional[typing.List[cdktf.ITerraformDependable]], result)

    @builtins.property
    def lifecycle(self) -> typing.Optional[cdktf.TerraformResourceLifecycle]:
        '''
        :stability: experimental
        '''
        result = self._values.get("lifecycle")
        return typing.cast(typing.Optional[cdktf.TerraformResourceLifecycle], result)

    @builtins.property
    def provider(self) -> typing.Optional[cdktf.TerraformProvider]:
        '''
        :stability: experimental
        '''
        result = self._values.get("provider")
        return typing.cast(typing.Optional[cdktf.TerraformProvider], result)

    @builtins.property
    def warehouse_name(self) -> builtins.str:
        '''The name of the warehouse on which to grant privileges.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#warehouse_name WarehouseGrant#warehouse_name}
        '''
        result = self._values.get("warehouse_name")
        assert result is not None, "Required property 'warehouse_name' is missing"
        return typing.cast(builtins.str, result)

    @builtins.property
    def privilege(self) -> typing.Optional[builtins.str]:
        '''The privilege to grant on the warehouse.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#privilege WarehouseGrant#privilege}
        '''
        result = self._values.get("privilege")
        return typing.cast(typing.Optional[builtins.str], result)

    @builtins.property
    def roles(self) -> typing.Optional[typing.List[builtins.str]]:
        '''Grants privilege to these roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#roles WarehouseGrant#roles}
        '''
        result = self._values.get("roles")
        return typing.cast(typing.Optional[typing.List[builtins.str]], result)

    @builtins.property
    def with_grant_option(self) -> typing.Optional[builtins.bool]:
        '''When this is set to true, allows the recipient role to grant the privileges to other roles.

        Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/snowflake/r/warehouse_grant.html#with_grant_option WarehouseGrant#with_grant_option}
        '''
        result = self._values.get("with_grant_option")
        return typing.cast(typing.Optional[builtins.bool], result)

    def __eq__(self, rhs: typing.Any) -> builtins.bool:
        return isinstance(rhs, self.__class__) and rhs._values == self._values

    def __ne__(self, rhs: typing.Any) -> builtins.bool:
        return not (rhs == self)

    def __repr__(self) -> str:
        return "WarehouseGrantConfig(%s)" % ", ".join(
            k + "=" + repr(v) for k, v in self._values.items()
        )


__all__ = [
    "AccountGrant",
    "AccountGrantConfig",
    "ApiIntegration",
    "ApiIntegrationConfig",
    "DataSnowflakeCurrentAccount",
    "DataSnowflakeCurrentAccountConfig",
    "DataSnowflakeExternalFunctions",
    "DataSnowflakeExternalFunctionsConfig",
    "DataSnowflakeExternalFunctionsExternalFunctions",
    "DataSnowflakeExternalTables",
    "DataSnowflakeExternalTablesConfig",
    "DataSnowflakeExternalTablesExternalTables",
    "DataSnowflakeFileFormats",
    "DataSnowflakeFileFormatsConfig",
    "DataSnowflakeFileFormatsFileFormats",
    "DataSnowflakeMaskingPolicies",
    "DataSnowflakeMaskingPoliciesConfig",
    "DataSnowflakeMaskingPoliciesMaskingPolicies",
    "DataSnowflakeMaterializedViews",
    "DataSnowflakeMaterializedViewsConfig",
    "DataSnowflakeMaterializedViewsMaterializedViews",
    "DataSnowflakePipes",
    "DataSnowflakePipesConfig",
    "DataSnowflakePipesPipes",
    "DataSnowflakeResourceMonitors",
    "DataSnowflakeResourceMonitorsConfig",
    "DataSnowflakeResourceMonitorsResourceMonitors",
    "DataSnowflakeRowAccessPolicies",
    "DataSnowflakeRowAccessPoliciesConfig",
    "DataSnowflakeRowAccessPoliciesRowAccessPolicies",
    "DataSnowflakeSchemas",
    "DataSnowflakeSchemasConfig",
    "DataSnowflakeSchemasSchemas",
    "DataSnowflakeSequences",
    "DataSnowflakeSequencesConfig",
    "DataSnowflakeSequencesSequences",
    "DataSnowflakeStages",
    "DataSnowflakeStagesConfig",
    "DataSnowflakeStagesStages",
    "DataSnowflakeStorageIntegrations",
    "DataSnowflakeStorageIntegrationsConfig",
    "DataSnowflakeStorageIntegrationsStorageIntegrations",
    "DataSnowflakeStreams",
    "DataSnowflakeStreamsConfig",
    "DataSnowflakeStreamsStreams",
    "DataSnowflakeSystemGenerateScimAccessToken",
    "DataSnowflakeSystemGenerateScimAccessTokenConfig",
    "DataSnowflakeSystemGetAwsSnsIamPolicy",
    "DataSnowflakeSystemGetAwsSnsIamPolicyConfig",
    "DataSnowflakeSystemGetPrivatelinkConfig",
    "DataSnowflakeSystemGetPrivatelinkConfigConfig",
    "DataSnowflakeSystemGetSnowflakePlatformInfo",
    "DataSnowflakeSystemGetSnowflakePlatformInfoConfig",
    "DataSnowflakeTables",
    "DataSnowflakeTablesConfig",
    "DataSnowflakeTablesTables",
    "DataSnowflakeTasks",
    "DataSnowflakeTasksConfig",
    "DataSnowflakeTasksTasks",
    "DataSnowflakeViews",
    "DataSnowflakeViewsConfig",
    "DataSnowflakeViewsViews",
    "DataSnowflakeWarehouses",
    "DataSnowflakeWarehousesConfig",
    "DataSnowflakeWarehousesWarehouses",
    "Database",
    "DatabaseConfig",
    "DatabaseGrant",
    "DatabaseGrantConfig",
    "ExternalFunction",
    "ExternalFunctionArg",
    "ExternalFunctionConfig",
    "ExternalFunctionHeader",
    "ExternalTable",
    "ExternalTableColumn",
    "ExternalTableConfig",
    "ExternalTableGrant",
    "ExternalTableGrantConfig",
    "FileFormat",
    "FileFormatConfig",
    "FileFormatGrant",
    "FileFormatGrantConfig",
    "FunctionGrant",
    "FunctionGrantArguments",
    "FunctionGrantConfig",
    "IntegrationGrant",
    "IntegrationGrantConfig",
    "ManagedAccount",
    "ManagedAccountConfig",
    "MaskingPolicy",
    "MaskingPolicyConfig",
    "MaskingPolicyGrant",
    "MaskingPolicyGrantConfig",
    "MaterializedView",
    "MaterializedViewConfig",
    "MaterializedViewGrant",
    "MaterializedViewGrantConfig",
    "NetworkPolicy",
    "NetworkPolicyAttachment",
    "NetworkPolicyAttachmentConfig",
    "NetworkPolicyConfig",
    "NotificationIntegration",
    "NotificationIntegrationConfig",
    "Pipe",
    "PipeConfig",
    "PipeGrant",
    "PipeGrantConfig",
    "ProcedureGrant",
    "ProcedureGrantArguments",
    "ProcedureGrantConfig",
    "ResourceMonitor",
    "ResourceMonitorConfig",
    "ResourceMonitorGrant",
    "ResourceMonitorGrantConfig",
    "Role",
    "RoleConfig",
    "RoleGrants",
    "RoleGrantsConfig",
    "RowAccessPolicy",
    "RowAccessPolicyConfig",
    "RowAccessPolicyGrant",
    "RowAccessPolicyGrantConfig",
    "Schema",
    "SchemaConfig",
    "SchemaGrant",
    "SchemaGrantConfig",
    "ScimIntegration",
    "ScimIntegrationConfig",
    "Sequence",
    "SequenceConfig",
    "SequenceGrant",
    "SequenceGrantConfig",
    "Share",
    "ShareConfig",
    "SnowflakeProvider",
    "SnowflakeProviderConfig",
    "Stage",
    "StageConfig",
    "StageGrant",
    "StageGrantConfig",
    "StorageIntegration",
    "StorageIntegrationConfig",
    "Stream",
    "StreamConfig",
    "StreamGrant",
    "StreamGrantConfig",
    "Table",
    "TableColumn",
    "TableConfig",
    "TableGrant",
    "TableGrantConfig",
    "TablePrimaryKey",
    "Task",
    "TaskConfig",
    "TaskGrant",
    "TaskGrantConfig",
    "User",
    "UserConfig",
    "UserPublicKeys",
    "UserPublicKeysConfig",
    "View",
    "ViewConfig",
    "ViewGrant",
    "ViewGrantConfig",
    "Warehouse",
    "WarehouseConfig",
    "WarehouseGrant",
    "WarehouseGrantConfig",
]

publication.publish()
